#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1746
#define LARGE_STATE_COUNT 330
#define SYMBOL_COUNT 264
#define ALIAS_COUNT 4
#define TOKEN_COUNT 136
#define EXTERNAL_TOKEN_COUNT 8
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 113

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_as = 6,
  anon_sym_LBRACE = 7,
  anon_sym_COMMA = 8,
  anon_sym_RBRACE = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_with = 12,
  anon_sym_var = 13,
  anon_sym_let = 14,
  anon_sym_const = 15,
  anon_sym_else = 16,
  anon_sym_if = 17,
  anon_sym_switch = 18,
  anon_sym_for = 19,
  anon_sym_LPAREN = 20,
  anon_sym_SEMI = 21,
  anon_sym_RPAREN = 22,
  anon_sym_await = 23,
  anon_sym_in = 24,
  anon_sym_of = 25,
  anon_sym_while = 26,
  anon_sym_do = 27,
  anon_sym_try = 28,
  anon_sym_break = 29,
  anon_sym_continue = 30,
  anon_sym_debugger = 31,
  anon_sym_return = 32,
  anon_sym_throw = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  sym_glimmer_opening_tag = 43,
  sym_glimmer_closing_tag = 44,
  sym_html_character_reference = 45,
  anon_sym_LT = 46,
  anon_sym_GT = 47,
  sym_jsx_identifier = 48,
  anon_sym_DOT = 49,
  anon_sym_LT_SLASH = 50,
  anon_sym_SLASH_GT = 51,
  anon_sym_DQUOTE = 52,
  anon_sym_SQUOTE = 53,
  sym_unescaped_double_jsx_string_fragment = 54,
  sym_unescaped_single_jsx_string_fragment = 55,
  anon_sym_class = 56,
  anon_sym_extends = 57,
  anon_sym_async = 58,
  anon_sym_function = 59,
  anon_sym_EQ_GT = 60,
  sym_optional_chain = 61,
  anon_sym_new = 62,
  anon_sym_PLUS_EQ = 63,
  anon_sym_DASH_EQ = 64,
  anon_sym_STAR_EQ = 65,
  anon_sym_SLASH_EQ = 66,
  anon_sym_PERCENT_EQ = 67,
  anon_sym_CARET_EQ = 68,
  anon_sym_AMP_EQ = 69,
  anon_sym_PIPE_EQ = 70,
  anon_sym_GT_GT_EQ = 71,
  anon_sym_GT_GT_GT_EQ = 72,
  anon_sym_LT_LT_EQ = 73,
  anon_sym_STAR_STAR_EQ = 74,
  anon_sym_AMP_AMP_EQ = 75,
  anon_sym_PIPE_PIPE_EQ = 76,
  anon_sym_QMARK_QMARK_EQ = 77,
  anon_sym_DOT_DOT_DOT = 78,
  anon_sym_AMP_AMP = 79,
  anon_sym_PIPE_PIPE = 80,
  anon_sym_GT_GT = 81,
  anon_sym_GT_GT_GT = 82,
  anon_sym_LT_LT = 83,
  anon_sym_AMP = 84,
  anon_sym_CARET = 85,
  anon_sym_PIPE = 86,
  anon_sym_PLUS = 87,
  anon_sym_DASH = 88,
  anon_sym_SLASH = 89,
  anon_sym_PERCENT = 90,
  anon_sym_STAR_STAR = 91,
  anon_sym_LT_EQ = 92,
  anon_sym_EQ_EQ = 93,
  anon_sym_EQ_EQ_EQ = 94,
  anon_sym_BANG_EQ = 95,
  anon_sym_BANG_EQ_EQ = 96,
  anon_sym_GT_EQ = 97,
  anon_sym_QMARK_QMARK = 98,
  anon_sym_instanceof = 99,
  anon_sym_BANG = 100,
  anon_sym_TILDE = 101,
  anon_sym_typeof = 102,
  anon_sym_void = 103,
  anon_sym_delete = 104,
  anon_sym_PLUS_PLUS = 105,
  anon_sym_DASH_DASH = 106,
  sym_unescaped_double_string_fragment = 107,
  sym_unescaped_single_string_fragment = 108,
  sym_escape_sequence = 109,
  sym_comment = 110,
  anon_sym_BQUOTE = 111,
  anon_sym_DOLLAR_LBRACE = 112,
  anon_sym_SLASH2 = 113,
  sym_regex_pattern = 114,
  sym_regex_flags = 115,
  sym_number = 116,
  sym_private_property_identifier = 117,
  anon_sym_target = 118,
  anon_sym_meta = 119,
  sym_this = 120,
  sym_super = 121,
  sym_true = 122,
  sym_false = 123,
  sym_null = 124,
  sym_undefined = 125,
  anon_sym_AT = 126,
  anon_sym_static = 127,
  aux_sym_method_definition_token1 = 128,
  anon_sym_get = 129,
  anon_sym_set = 130,
  sym__automatic_semicolon = 131,
  sym__template_chars = 132,
  sym__ternary_qmark = 133,
  sym_html_comment = 134,
  sym_jsx_text = 135,
  sym_program = 136,
  sym_export_statement = 137,
  sym_namespace_export = 138,
  sym_export_clause = 139,
  sym_export_specifier = 140,
  sym__module_export_name = 141,
  sym_declaration = 142,
  sym_import = 143,
  sym_import_statement = 144,
  sym_import_clause = 145,
  sym__from_clause = 146,
  sym_namespace_import = 147,
  sym_named_imports = 148,
  sym_import_specifier = 149,
  sym_import_attribute = 150,
  sym_statement = 151,
  sym_expression_statement = 152,
  sym_variable_declaration = 153,
  sym_lexical_declaration = 154,
  sym_variable_declarator = 155,
  sym_statement_block = 156,
  sym_else_clause = 157,
  sym_if_statement = 158,
  sym_switch_statement = 159,
  sym_for_statement = 160,
  sym_for_in_statement = 161,
  sym__for_header = 162,
  sym_while_statement = 163,
  sym_do_statement = 164,
  sym_try_statement = 165,
  sym_with_statement = 166,
  sym_break_statement = 167,
  sym_continue_statement = 168,
  sym_debugger_statement = 169,
  sym_return_statement = 170,
  sym_throw_statement = 171,
  sym_empty_statement = 172,
  sym_labeled_statement = 173,
  sym_switch_body = 174,
  sym_switch_case = 175,
  sym_switch_default = 176,
  sym_catch_clause = 177,
  sym_finally_clause = 178,
  sym_parenthesized_expression = 179,
  sym_expression = 180,
  sym_primary_expression = 181,
  sym_yield_expression = 182,
  sym_object = 183,
  sym_object_pattern = 184,
  sym_assignment_pattern = 185,
  sym_object_assignment_pattern = 186,
  sym_array = 187,
  sym_array_pattern = 188,
  sym_glimmer_template = 189,
  sym_jsx_element = 190,
  sym_jsx_expression = 191,
  sym_jsx_opening_element = 192,
  sym_nested_identifier = 193,
  sym_jsx_namespace_name = 194,
  sym_jsx_closing_element = 195,
  sym_jsx_self_closing_element = 196,
  sym_jsx_attribute = 197,
  sym__jsx_string = 198,
  sym_class = 199,
  sym_class_declaration = 200,
  sym_class_heritage = 201,
  sym_function_expression = 202,
  sym_function_declaration = 203,
  sym_generator_function = 204,
  sym_generator_function_declaration = 205,
  sym_arrow_function = 206,
  sym_call_expression = 207,
  sym_new_expression = 208,
  sym_await_expression = 209,
  sym_member_expression = 210,
  sym_subscript_expression = 211,
  sym_assignment_expression = 212,
  sym__augmented_assignment_lhs = 213,
  sym_augmented_assignment_expression = 214,
  sym__initializer = 215,
  sym__destructuring_pattern = 216,
  sym_spread_element = 217,
  sym_ternary_expression = 218,
  sym_binary_expression = 219,
  sym_unary_expression = 220,
  sym_update_expression = 221,
  sym_sequence_expression = 222,
  sym_string = 223,
  sym_template_string = 224,
  sym_template_substitution = 225,
  sym_regex = 226,
  sym_meta_property = 227,
  sym_arguments = 228,
  sym_decorator = 229,
  sym_decorator_member_expression = 230,
  sym_decorator_call_expression = 231,
  sym_class_body = 232,
  sym_field_definition = 233,
  sym_formal_parameters = 234,
  sym_class_static_block = 235,
  sym_pattern = 236,
  sym_rest_pattern = 237,
  sym_method_definition = 238,
  sym_pair = 239,
  sym_pair_pattern = 240,
  sym__property_name = 241,
  sym_computed_property_name = 242,
  aux_sym_program_repeat1 = 243,
  aux_sym_export_statement_repeat1 = 244,
  aux_sym_export_clause_repeat1 = 245,
  aux_sym_named_imports_repeat1 = 246,
  aux_sym_variable_declaration_repeat1 = 247,
  aux_sym_switch_body_repeat1 = 248,
  aux_sym_object_repeat1 = 249,
  aux_sym_object_pattern_repeat1 = 250,
  aux_sym_array_repeat1 = 251,
  aux_sym_array_pattern_repeat1 = 252,
  aux_sym_glimmer_template_repeat1 = 253,
  aux_sym_jsx_element_repeat1 = 254,
  aux_sym_jsx_opening_element_repeat1 = 255,
  aux_sym__jsx_string_repeat1 = 256,
  aux_sym__jsx_string_repeat2 = 257,
  aux_sym_sequence_expression_repeat1 = 258,
  aux_sym_string_repeat1 = 259,
  aux_sym_string_repeat2 = 260,
  aux_sym_template_string_repeat1 = 261,
  aux_sym_class_body_repeat1 = 262,
  aux_sym_formal_parameters_repeat1 = 263,
  alias_sym_property_identifier = 264,
  alias_sym_shorthand_property_identifier = 265,
  alias_sym_shorthand_property_identifier_pattern = 266,
  alias_sym_statement_identifier = 267,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_as] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_SEMI] = ";",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [anon_sym_meta] = "meta",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [aux_sym_method_definition_token1] = "static get",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_jsx_text] = "jsx_text",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "member_expression",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [anon_sym_meta] = anon_sym_meta,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [aux_sym_method_definition_token1] = aux_sym_method_definition_token1,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_html_comment] = sym_html_comment,
  [sym_jsx_text] = sym_jsx_text,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_member_expression,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_meta] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_method_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 1},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 2},
  [26] = {.index = 32, .length = 6},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 3},
  [32] = {.index = 48, .length = 1},
  [33] = {.index = 49, .length = 1},
  [34] = {.index = 50, .length = 1},
  [35] = {.index = 51, .length = 1},
  [36] = {.index = 52, .length = 1},
  [37] = {.index = 53, .length = 2},
  [38] = {.index = 55, .length = 1},
  [39] = {.index = 56, .length = 2},
  [40] = {.index = 58, .length = 2},
  [41] = {.index = 60, .length = 1},
  [42] = {.index = 18, .length = 2},
  [43] = {.index = 20, .length = 2},
  [44] = {.index = 61, .length = 3},
  [45] = {.index = 64, .length = 2},
  [46] = {.index = 64, .length = 2},
  [47] = {.index = 66, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 18, .length = 2},
  [57] = {.index = 82, .length = 2},
  [58] = {.index = 84, .length = 3},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 6},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 2},
  [66] = {.index = 106, .length = 1},
  [67] = {.index = 107, .length = 2},
  [68] = {.index = 109, .length = 2},
  [69] = {.index = 111, .length = 2},
  [70] = {.index = 113, .length = 4},
  [71] = {.index = 117, .length = 2},
  [72] = {.index = 119, .length = 2},
  [73] = {.index = 121, .length = 2},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 123, .length = 2},
  [76] = {.index = 125, .length = 3},
  [77] = {.index = 128, .length = 2},
  [78] = {.index = 130, .length = 2},
  [79] = {.index = 132, .length = 2},
  [80] = {.index = 134, .length = 3},
  [81] = {.index = 137, .length = 2},
  [82] = {.index = 139, .length = 2},
  [83] = {.index = 141, .length = 4},
  [84] = {.index = 145, .length = 2},
  [85] = {.index = 147, .length = 2},
  [86] = {.index = 149, .length = 3},
  [87] = {.index = 152, .length = 2},
  [88] = {.index = 154, .length = 3},
  [89] = {.index = 157, .length = 3},
  [90] = {.index = 160, .length = 3},
  [91] = {.index = 163, .length = 2},
  [92] = {.index = 165, .length = 3},
  [93] = {.index = 168, .length = 4},
  [94] = {.index = 172, .length = 3},
  [95] = {.index = 172, .length = 3},
  [96] = {.index = 175, .length = 3},
  [97] = {.index = 178, .length = 3},
  [98] = {.index = 181, .length = 3},
  [99] = {.index = 184, .length = 4},
  [100] = {.index = 188, .length = 2},
  [101] = {.index = 190, .length = 4},
  [102] = {.index = 194, .length = 4},
  [103] = {.index = 198, .length = 4},
  [104] = {.index = 202, .length = 3},
  [105] = {.index = 205, .length = 2},
  [106] = {.index = 207, .length = 4},
  [107] = {.index = 211, .length = 5},
  [108] = {.index = 216, .length = 4},
  [109] = {.index = 220, .length = 5},
  [110] = {.index = 225, .length = 4},
  [111] = {.index = 229, .length = 4},
  [112] = {.index = 233, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [6] =
    {field_constructor, 1},
  [7] =
    {field_argument, 1},
    {field_operator, 0},
  [9] =
    {field_arguments, 1},
    {field_function, 0},
  [11] =
    {field_argument, 0},
    {field_operator, 1},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_body, 2},
    {field_object, 1},
  [25] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [27] =
    {field_kind, 0},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_value, 1},
  [32] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 1},
    {field_handler, 2},
  [42] =
    {field_body, 1},
    {field_finalizer, 2},
  [44] =
    {field_label, 1},
  [45] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [48] =
    {field_name, 1},
  [49] =
    {field_attribute, 0},
  [50] =
    {field_template, 0},
  [51] =
    {field_member, 0},
  [52] =
    {field_property, 0},
  [53] =
    {field_body, 2},
    {field_name, 1},
  [55] =
    {field_body, 2},
  [56] =
    {field_body, 2},
    {field_parameters, 1},
  [58] =
    {field_arguments, 2},
    {field_constructor, 1},
  [60] =
    {field_pattern, 1},
  [61] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [64] =
    {field_object, 0},
    {field_property, 2},
  [66] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [69] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_key, 0},
    {field_value, 2},
  [84] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [87] =
    {field_value, 1},
  [88] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [91] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [97] =
    {field_body, 1},
    {field_condition, 3},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_property, 1},
  [107] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [109] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [111] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [113] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [117] =
    {field_body, 3},
    {field_name, 1},
  [119] =
    {field_body, 3},
    {field_parameter, 1},
  [121] =
    {field_body, 3},
    {field_parameters, 2},
  [123] =
    {field_body, 3},
    {field_parameters, 1},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_flags, 3},
    {field_pattern, 1},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [152] =
    {field_body, 4},
    {field_parameters, 3},
  [154] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [157] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [160] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [163] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [165] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [172] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [175] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [178] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [184] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [188] =
    {field_body, 3},
    {field_value, 1},
  [190] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [194] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [198] =
    {field_body, 6},
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 2},
  [202] =
    {field_body, 6},
    {field_condition, 4},
    {field_initializer, 2},
  [205] =
    {field_body, 4},
    {field_parameter, 2},
  [207] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [211] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [216] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
  [220] =
    {field_body, 7},
    {field_condition, 3},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [225] =
    {field_body, 7},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [229] =
    {field_body, 7},
    {field_condition, 4},
    {field_condition, 5},
    {field_initializer, 2},
  [233] =
    {field_body, 8},
    {field_condition, 4},
    {field_condition, 5},
    {field_increment, 6},
    {field_initializer, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [45] = {
    [2] = alias_sym_property_identifier,
  },
  [47] = {
    [2] = alias_sym_property_identifier,
  },
  [56] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [72] = {
    [1] = sym_identifier,
  },
  [94] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 13,
  [18] = 16,
  [19] = 16,
  [20] = 13,
  [21] = 16,
  [22] = 13,
  [23] = 16,
  [24] = 13,
  [25] = 13,
  [26] = 16,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 27,
  [35] = 35,
  [36] = 36,
  [37] = 30,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 41,
  [45] = 28,
  [46] = 38,
  [47] = 36,
  [48] = 31,
  [49] = 39,
  [50] = 40,
  [51] = 32,
  [52] = 52,
  [53] = 29,
  [54] = 42,
  [55] = 43,
  [56] = 33,
  [57] = 52,
  [58] = 58,
  [59] = 58,
  [60] = 58,
  [61] = 58,
  [62] = 58,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 64,
  [75] = 75,
  [76] = 76,
  [77] = 64,
  [78] = 64,
  [79] = 79,
  [80] = 64,
  [81] = 81,
  [82] = 82,
  [83] = 64,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 86,
  [88] = 85,
  [89] = 89,
  [90] = 89,
  [91] = 91,
  [92] = 92,
  [93] = 92,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 96,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 98,
  [103] = 98,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 105,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 110,
  [113] = 113,
  [114] = 113,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 118,
  [120] = 115,
  [121] = 116,
  [122] = 122,
  [123] = 122,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 124,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 128,
  [137] = 137,
  [138] = 125,
  [139] = 139,
  [140] = 140,
  [141] = 135,
  [142] = 137,
  [143] = 143,
  [144] = 140,
  [145] = 145,
  [146] = 146,
  [147] = 135,
  [148] = 140,
  [149] = 137,
  [150] = 124,
  [151] = 134,
  [152] = 125,
  [153] = 143,
  [154] = 128,
  [155] = 155,
  [156] = 146,
  [157] = 140,
  [158] = 135,
  [159] = 125,
  [160] = 128,
  [161] = 137,
  [162] = 134,
  [163] = 124,
  [164] = 140,
  [165] = 135,
  [166] = 137,
  [167] = 124,
  [168] = 134,
  [169] = 125,
  [170] = 134,
  [171] = 128,
  [172] = 172,
  [173] = 139,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 181,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 187,
  [203] = 203,
  [204] = 188,
  [205] = 179,
  [206] = 206,
  [207] = 189,
  [208] = 190,
  [209] = 185,
  [210] = 191,
  [211] = 174,
  [212] = 192,
  [213] = 193,
  [214] = 194,
  [215] = 195,
  [216] = 196,
  [217] = 197,
  [218] = 198,
  [219] = 199,
  [220] = 200,
  [221] = 183,
  [222] = 203,
  [223] = 201,
  [224] = 183,
  [225] = 184,
  [226] = 185,
  [227] = 181,
  [228] = 187,
  [229] = 188,
  [230] = 189,
  [231] = 191,
  [232] = 192,
  [233] = 194,
  [234] = 195,
  [235] = 196,
  [236] = 197,
  [237] = 198,
  [238] = 199,
  [239] = 200,
  [240] = 201,
  [241] = 241,
  [242] = 242,
  [243] = 184,
  [244] = 179,
  [245] = 174,
  [246] = 246,
  [247] = 247,
  [248] = 203,
  [249] = 184,
  [250] = 185,
  [251] = 181,
  [252] = 187,
  [253] = 188,
  [254] = 206,
  [255] = 189,
  [256] = 191,
  [257] = 192,
  [258] = 193,
  [259] = 194,
  [260] = 195,
  [261] = 196,
  [262] = 197,
  [263] = 198,
  [264] = 199,
  [265] = 200,
  [266] = 201,
  [267] = 242,
  [268] = 268,
  [269] = 179,
  [270] = 206,
  [271] = 174,
  [272] = 183,
  [273] = 273,
  [274] = 183,
  [275] = 184,
  [276] = 185,
  [277] = 181,
  [278] = 187,
  [279] = 206,
  [280] = 188,
  [281] = 189,
  [282] = 191,
  [283] = 192,
  [284] = 193,
  [285] = 194,
  [286] = 195,
  [287] = 196,
  [288] = 197,
  [289] = 198,
  [290] = 199,
  [291] = 200,
  [292] = 201,
  [293] = 179,
  [294] = 174,
  [295] = 206,
  [296] = 193,
  [297] = 297,
  [298] = 297,
  [299] = 297,
  [300] = 300,
  [301] = 301,
  [302] = 300,
  [303] = 300,
  [304] = 301,
  [305] = 305,
  [306] = 305,
  [307] = 305,
  [308] = 308,
  [309] = 308,
  [310] = 308,
  [311] = 311,
  [312] = 311,
  [313] = 313,
  [314] = 72,
  [315] = 70,
  [316] = 316,
  [317] = 316,
  [318] = 311,
  [319] = 319,
  [320] = 311,
  [321] = 71,
  [322] = 73,
  [323] = 311,
  [324] = 324,
  [325] = 324,
  [326] = 319,
  [327] = 327,
  [328] = 311,
  [329] = 324,
  [330] = 327,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 71,
  [335] = 72,
  [336] = 73,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 319,
  [345] = 70,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 68,
  [350] = 69,
  [351] = 351,
  [352] = 311,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 355,
  [357] = 357,
  [358] = 311,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 332,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 401,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 311,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 432,
  [434] = 432,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 347,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 441,
  [443] = 440,
  [444] = 444,
  [445] = 430,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 347,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 440,
  [456] = 436,
  [457] = 435,
  [458] = 458,
  [459] = 431,
  [460] = 460,
  [461] = 441,
  [462] = 462,
  [463] = 429,
  [464] = 458,
  [465] = 441,
  [466] = 437,
  [467] = 441,
  [468] = 440,
  [469] = 469,
  [470] = 347,
  [471] = 430,
  [472] = 472,
  [473] = 440,
  [474] = 460,
  [475] = 475,
  [476] = 440,
  [477] = 439,
  [478] = 462,
  [479] = 475,
  [480] = 441,
  [481] = 469,
  [482] = 472,
  [483] = 483,
  [484] = 430,
  [485] = 485,
  [486] = 430,
  [487] = 483,
  [488] = 488,
  [489] = 489,
  [490] = 458,
  [491] = 485,
  [492] = 440,
  [493] = 441,
  [494] = 460,
  [495] = 495,
  [496] = 483,
  [497] = 489,
  [498] = 440,
  [499] = 488,
  [500] = 441,
  [501] = 440,
  [502] = 441,
  [503] = 495,
  [504] = 430,
  [505] = 63,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 70,
  [511] = 511,
  [512] = 512,
  [513] = 72,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 73,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 68,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 69,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 71,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 527,
  [579] = 579,
  [580] = 68,
  [581] = 581,
  [582] = 582,
  [583] = 71,
  [584] = 70,
  [585] = 72,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 73,
  [603] = 506,
  [604] = 507,
  [605] = 605,
  [606] = 69,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 509,
  [611] = 574,
  [612] = 523,
  [613] = 613,
  [614] = 517,
  [615] = 514,
  [616] = 574,
  [617] = 511,
  [618] = 508,
  [619] = 515,
  [620] = 63,
  [621] = 621,
  [622] = 564,
  [623] = 527,
  [624] = 63,
  [625] = 523,
  [626] = 512,
  [627] = 509,
  [628] = 559,
  [629] = 544,
  [630] = 595,
  [631] = 613,
  [632] = 509,
  [633] = 76,
  [634] = 575,
  [635] = 635,
  [636] = 596,
  [637] = 568,
  [638] = 597,
  [639] = 569,
  [640] = 598,
  [641] = 599,
  [642] = 519,
  [643] = 543,
  [644] = 609,
  [645] = 590,
  [646] = 570,
  [647] = 539,
  [648] = 541,
  [649] = 531,
  [650] = 566,
  [651] = 552,
  [652] = 548,
  [653] = 516,
  [654] = 530,
  [655] = 550,
  [656] = 549,
  [657] = 581,
  [658] = 521,
  [659] = 551,
  [660] = 558,
  [661] = 79,
  [662] = 545,
  [663] = 582,
  [664] = 571,
  [665] = 591,
  [666] = 600,
  [667] = 592,
  [668] = 561,
  [669] = 81,
  [670] = 605,
  [671] = 562,
  [672] = 572,
  [673] = 581,
  [674] = 582,
  [675] = 607,
  [676] = 82,
  [677] = 573,
  [678] = 533,
  [679] = 586,
  [680] = 534,
  [681] = 537,
  [682] = 587,
  [683] = 588,
  [684] = 589,
  [685] = 535,
  [686] = 686,
  [687] = 591,
  [688] = 592,
  [689] = 593,
  [690] = 594,
  [691] = 595,
  [692] = 613,
  [693] = 596,
  [694] = 597,
  [695] = 598,
  [696] = 599,
  [697] = 600,
  [698] = 601,
  [699] = 84,
  [700] = 605,
  [701] = 607,
  [702] = 608,
  [703] = 65,
  [704] = 608,
  [705] = 609,
  [706] = 520,
  [707] = 66,
  [708] = 525,
  [709] = 528,
  [710] = 529,
  [711] = 67,
  [712] = 563,
  [713] = 576,
  [714] = 593,
  [715] = 522,
  [716] = 509,
  [717] = 524,
  [718] = 601,
  [719] = 579,
  [720] = 553,
  [721] = 577,
  [722] = 532,
  [723] = 594,
  [724] = 536,
  [725] = 554,
  [726] = 540,
  [727] = 554,
  [728] = 567,
  [729] = 635,
  [730] = 538,
  [731] = 574,
  [732] = 527,
  [733] = 523,
  [734] = 555,
  [735] = 587,
  [736] = 556,
  [737] = 588,
  [738] = 526,
  [739] = 589,
  [740] = 586,
  [741] = 557,
  [742] = 546,
  [743] = 579,
  [744] = 542,
  [745] = 590,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 686,
  [757] = 757,
  [758] = 758,
  [759] = 574,
  [760] = 527,
  [761] = 523,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 595,
  [767] = 767,
  [768] = 599,
  [769] = 600,
  [770] = 601,
  [771] = 605,
  [772] = 767,
  [773] = 579,
  [774] = 607,
  [775] = 608,
  [776] = 776,
  [777] = 777,
  [778] = 609,
  [779] = 581,
  [780] = 635,
  [781] = 781,
  [782] = 582,
  [783] = 783,
  [784] = 764,
  [785] = 586,
  [786] = 613,
  [787] = 777,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 790,
  [792] = 792,
  [793] = 765,
  [794] = 789,
  [795] = 795,
  [796] = 762,
  [797] = 587,
  [798] = 749,
  [799] = 799,
  [800] = 789,
  [801] = 596,
  [802] = 802,
  [803] = 803,
  [804] = 763,
  [805] = 589,
  [806] = 597,
  [807] = 590,
  [808] = 598,
  [809] = 809,
  [810] = 591,
  [811] = 594,
  [812] = 763,
  [813] = 813,
  [814] = 574,
  [815] = 789,
  [816] = 527,
  [817] = 592,
  [818] = 818,
  [819] = 523,
  [820] = 802,
  [821] = 821,
  [822] = 813,
  [823] = 823,
  [824] = 621,
  [825] = 825,
  [826] = 593,
  [827] = 788,
  [828] = 809,
  [829] = 795,
  [830] = 588,
  [831] = 600,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 554,
  [836] = 832,
  [837] = 579,
  [838] = 838,
  [839] = 839,
  [840] = 832,
  [841] = 841,
  [842] = 832,
  [843] = 832,
  [844] = 832,
  [845] = 758,
  [846] = 581,
  [847] = 509,
  [848] = 586,
  [849] = 587,
  [850] = 588,
  [851] = 589,
  [852] = 590,
  [853] = 591,
  [854] = 592,
  [855] = 593,
  [856] = 594,
  [857] = 595,
  [858] = 613,
  [859] = 596,
  [860] = 597,
  [861] = 598,
  [862] = 599,
  [863] = 601,
  [864] = 605,
  [865] = 607,
  [866] = 608,
  [867] = 609,
  [868] = 582,
  [869] = 869,
  [870] = 869,
  [871] = 871,
  [872] = 749,
  [873] = 873,
  [874] = 871,
  [875] = 869,
  [876] = 869,
  [877] = 869,
  [878] = 878,
  [879] = 879,
  [880] = 879,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 881,
  [885] = 881,
  [886] = 882,
  [887] = 881,
  [888] = 882,
  [889] = 882,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 892,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 895,
  [898] = 896,
  [899] = 896,
  [900] = 895,
  [901] = 895,
  [902] = 896,
  [903] = 895,
  [904] = 896,
  [905] = 896,
  [906] = 895,
  [907] = 907,
  [908] = 908,
  [909] = 908,
  [910] = 908,
  [911] = 908,
  [912] = 908,
  [913] = 908,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 70,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 72,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 575,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 73,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 71,
  [978] = 545,
  [979] = 979,
  [980] = 929,
  [981] = 981,
  [982] = 982,
  [983] = 929,
  [984] = 984,
  [985] = 920,
  [986] = 982,
  [987] = 919,
  [988] = 988,
  [989] = 989,
  [990] = 543,
  [991] = 991,
  [992] = 992,
  [993] = 964,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 989,
  [1001] = 1001,
  [1002] = 933,
  [1003] = 934,
  [1004] = 1004,
  [1005] = 965,
  [1006] = 966,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 996,
  [1011] = 994,
  [1012] = 964,
  [1013] = 1004,
  [1014] = 557,
  [1015] = 995,
  [1016] = 999,
  [1017] = 1008,
  [1018] = 1009,
  [1019] = 997,
  [1020] = 998,
  [1021] = 1001,
  [1022] = 1022,
  [1023] = 524,
  [1024] = 1022,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1028,
  [1033] = 1028,
  [1034] = 1028,
  [1035] = 1025,
  [1036] = 1027,
  [1037] = 1030,
  [1038] = 1038,
  [1039] = 1038,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1029,
  [1043] = 1031,
  [1044] = 1041,
  [1045] = 1026,
  [1046] = 1040,
  [1047] = 1028,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1049,
  [1051] = 1051,
  [1052] = 1051,
  [1053] = 1051,
  [1054] = 1049,
  [1055] = 1055,
  [1056] = 1055,
  [1057] = 1055,
  [1058] = 1055,
  [1059] = 1051,
  [1060] = 1049,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1061,
  [1065] = 1061,
  [1066] = 1063,
  [1067] = 1061,
  [1068] = 1063,
  [1069] = 1063,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1070,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1072,
  [1077] = 1074,
  [1078] = 1070,
  [1079] = 1075,
  [1080] = 1071,
  [1081] = 1072,
  [1082] = 1074,
  [1083] = 1075,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1072,
  [1088] = 1071,
  [1089] = 1070,
  [1090] = 1074,
  [1091] = 1075,
  [1092] = 1071,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1098,
  [1103] = 1103,
  [1104] = 1098,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1098,
  [1116] = 1098,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1098,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1106,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1110,
  [1132] = 1097,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1096,
  [1139] = 1139,
  [1140] = 1139,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1120,
  [1144] = 564,
  [1145] = 1145,
  [1146] = 517,
  [1147] = 1147,
  [1148] = 1111,
  [1149] = 1149,
  [1150] = 558,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 546,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1153,
  [1162] = 1162,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 517,
  [1166] = 1151,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 516,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1168,
  [1174] = 1174,
  [1175] = 1164,
  [1176] = 1164,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 571,
  [1180] = 1178,
  [1181] = 549,
  [1182] = 551,
  [1183] = 570,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1164,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 536,
  [1191] = 1152,
  [1192] = 1192,
  [1193] = 570,
  [1194] = 1194,
  [1195] = 1155,
  [1196] = 1162,
  [1197] = 546,
  [1198] = 1155,
  [1199] = 1199,
  [1200] = 516,
  [1201] = 571,
  [1202] = 564,
  [1203] = 549,
  [1204] = 551,
  [1205] = 558,
  [1206] = 559,
  [1207] = 536,
  [1208] = 1189,
  [1209] = 1209,
  [1210] = 1156,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1169,
  [1214] = 1184,
  [1215] = 1155,
  [1216] = 559,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1100,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1223,
  [1226] = 1224,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1147,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1159,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1239,
  [1242] = 1233,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1222,
  [1249] = 1239,
  [1250] = 1233,
  [1251] = 1251,
  [1252] = 1246,
  [1253] = 1247,
  [1254] = 1254,
  [1255] = 1246,
  [1256] = 1247,
  [1257] = 1257,
  [1258] = 1128,
  [1259] = 1129,
  [1260] = 1260,
  [1261] = 1236,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1245,
  [1265] = 1254,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1262,
  [1275] = 1260,
  [1276] = 1239,
  [1277] = 1233,
  [1278] = 1227,
  [1279] = 1267,
  [1280] = 1280,
  [1281] = 1095,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1218,
  [1286] = 1286,
  [1287] = 1246,
  [1288] = 1247,
  [1289] = 1217,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1296,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1293,
  [1316] = 1316,
  [1317] = 1294,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1297,
  [1321] = 1321,
  [1322] = 1293,
  [1323] = 1323,
  [1324] = 1294,
  [1325] = 1301,
  [1326] = 1326,
  [1327] = 1302,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 351,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1291,
  [1337] = 1326,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1304,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1303,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1297,
  [1356] = 1356,
  [1357] = 1303,
  [1358] = 1308,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1314,
  [1362] = 1356,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1343,
  [1366] = 1363,
  [1367] = 1309,
  [1368] = 1314,
  [1369] = 1354,
  [1370] = 1360,
  [1371] = 1354,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1338,
  [1378] = 1374,
  [1379] = 1312,
  [1380] = 1346,
  [1381] = 1381,
  [1382] = 1311,
  [1383] = 1372,
  [1384] = 1310,
  [1385] = 1385,
  [1386] = 1374,
  [1387] = 1372,
  [1388] = 1308,
  [1389] = 1373,
  [1390] = 1390,
  [1391] = 1296,
  [1392] = 1381,
  [1393] = 1335,
  [1394] = 1296,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 539,
  [1431] = 1431,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1407,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 544,
  [1443] = 526,
  [1444] = 1444,
  [1445] = 1416,
  [1446] = 1446,
  [1447] = 1418,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1433,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1434,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1441,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1472,
  [1478] = 1478,
  [1479] = 1469,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1488,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1446,
  [1496] = 1409,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1406,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1398,
  [1508] = 1399,
  [1509] = 1449,
  [1510] = 1510,
  [1511] = 1400,
  [1512] = 1416,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1404,
  [1518] = 1408,
  [1519] = 1436,
  [1520] = 1437,
  [1521] = 1438,
  [1522] = 1522,
  [1523] = 1418,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1499,
  [1528] = 1402,
  [1529] = 1529,
  [1530] = 1401,
  [1531] = 1421,
  [1532] = 1422,
  [1533] = 1423,
  [1534] = 1428,
  [1535] = 1448,
  [1536] = 1450,
  [1537] = 1454,
  [1538] = 1457,
  [1539] = 1462,
  [1540] = 1463,
  [1541] = 1464,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1506,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1529,
  [1554] = 1554,
  [1555] = 1451,
  [1556] = 1552,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1403,
  [1563] = 1444,
  [1564] = 1405,
  [1565] = 1410,
  [1566] = 1411,
  [1567] = 1516,
  [1568] = 1568,
  [1569] = 1395,
  [1570] = 1413,
  [1571] = 1546,
  [1572] = 1572,
  [1573] = 1547,
  [1574] = 1574,
  [1575] = 1500,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1548,
  [1579] = 1503,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1414,
  [1586] = 1415,
  [1587] = 1587,
  [1588] = 1513,
  [1589] = 1417,
  [1590] = 1590,
  [1591] = 1419,
  [1592] = 1549,
  [1593] = 1550,
  [1594] = 1551,
  [1595] = 1424,
  [1596] = 1425,
  [1597] = 1429,
  [1598] = 1577,
  [1599] = 1568,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1461,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1475,
  [1608] = 1524,
  [1609] = 1609,
  [1610] = 1525,
  [1611] = 1572,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1240,
  [1616] = 1420,
  [1617] = 1426,
  [1618] = 1456,
  [1619] = 1619,
  [1620] = 1501,
  [1621] = 1458,
  [1622] = 1465,
  [1623] = 1502,
  [1624] = 1416,
  [1625] = 1432,
  [1626] = 1480,
  [1627] = 1396,
  [1628] = 1614,
  [1629] = 1418,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1440,
  [1633] = 1466,
  [1634] = 1467,
  [1635] = 1635,
  [1636] = 1487,
  [1637] = 1453,
  [1638] = 1459,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1651,
  [1655] = 1653,
  [1656] = 1656,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1657,
  [1663] = 1663,
  [1664] = 1648,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1650,
  [1669] = 1669,
  [1670] = 1646,
  [1671] = 1663,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1251,
  [1677] = 1677,
  [1678] = 1643,
  [1679] = 1653,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1643,
  [1685] = 1685,
  [1686] = 1686,
  [1687] = 1644,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1651,
  [1692] = 1692,
  [1693] = 1652,
  [1694] = 1647,
  [1695] = 1648,
  [1696] = 1644,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1652,
  [1702] = 1661,
  [1703] = 1642,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1704,
  [1707] = 1707,
  [1708] = 1704,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1642,
  [1712] = 1686,
  [1713] = 1713,
  [1714] = 1704,
  [1715] = 1715,
  [1716] = 1643,
  [1717] = 1717,
  [1718] = 1661,
  [1719] = 1644,
  [1720] = 1647,
  [1721] = 1685,
  [1722] = 1648,
  [1723] = 1643,
  [1724] = 1639,
  [1725] = 1652,
  [1726] = 1661,
  [1727] = 1647,
  [1728] = 1648,
  [1729] = 1666,
  [1730] = 1730,
  [1731] = 1688,
  [1732] = 1653,
  [1733] = 1651,
  [1734] = 1652,
  [1735] = 1642,
  [1736] = 1736,
  [1737] = 1737,
  [1738] = 1647,
  [1739] = 1739,
  [1740] = 1740,
  [1741] = 1661,
  [1742] = 1682,
  [1743] = 1739,
  [1744] = 1651,
  [1745] = 1710,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(145);
      ADVANCE_MAP(
        '!', 253,
        '"', 186,
        '#', 4,
        '$', 300,
        '%', 241,
        '&', 228,
        '\'', 187,
        '(', 153,
        ')', 155,
        '*', 148,
        '+', 235,
        ',', 151,
        '-', 237,
        '.', 182,
        '/', 280,
        '0', 285,
        ':', 156,
        ';', 154,
        '<', 172,
        '=', 159,
        '>', 178,
        '?', 31,
        '@', 304,
        '[', 161,
        '\\', 99,
        ']', 162,
        '^', 231,
        '`', 278,
        's', 298,
        '{', 150,
        '|', 232,
        '}', 152,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(142);
      if (lookahead > '@') ADVANCE(302);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(305);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(2);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead == '<') ADVANCE(166);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(165);
      if (lookahead != 0) ADVANCE(163);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(35);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '[') ADVANCE(80);
      if (lookahead == '\\') ADVANCE(141);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(281);
      if (lookahead != 0) ADVANCE(282);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(146);
      if (lookahead == '\\') ADVANCE(100);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(303);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 252,
        '"', 186,
        '#', 79,
        '\'', 187,
        '(', 153,
        '*', 147,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 30,
        '/', 238,
        '0', 285,
        ';', 154,
        '<', 176,
        '@', 304,
        '[', 161,
        '\\', 101,
        '`', 278,
        's', 298,
        '{', 150,
        '}', 152,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 252,
        '"', 186,
        '#', 79,
        '\'', 187,
        '(', 153,
        '+', 234,
        '-', 236,
        '.', 183,
        '/', 238,
        '0', 285,
        ':', 156,
        '<', 176,
        '>', 177,
        '@', 304,
        '[', 161,
        '\\', 101,
        '`', 278,
        '{', 150,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 75,
        '"', 186,
        '#', 79,
        '%', 241,
        '&', 228,
        '\'', 187,
        '(', 153,
        ')', 155,
        '*', 148,
        '+', 235,
        ',', 151,
        '-', 237,
        '.', 183,
        '/', 239,
        '0', 285,
        ':', 156,
        ';', 154,
        '<', 173,
        '=', 159,
        '>', 178,
        '?', 31,
        '@', 304,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 231,
        '`', 278,
        '{', 150,
        '|', 232,
        '}', 152,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 75,
        '%', 240,
        '&', 229,
        '(', 153,
        ')', 155,
        '*', 149,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 181,
        '/', 238,
        ':', 156,
        ';', 154,
        '<', 174,
        '=', 158,
        '>', 179,
        '?', 32,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 230,
        '`', 278,
        '{', 150,
        '|', 233,
        '}', 152,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(8);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 75,
        '%', 240,
        '&', 229,
        '(', 153,
        ')', 155,
        '*', 149,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 181,
        '/', 238,
        ':', 156,
        ';', 154,
        '<', 174,
        '=', 76,
        '>', 179,
        '?', 32,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 230,
        '`', 278,
        '{', 150,
        '|', 233,
        '}', 152,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(283);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 75,
        '%', 240,
        '&', 229,
        '(', 153,
        ')', 155,
        '*', 149,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 181,
        '/', 238,
        ':', 156,
        ';', 154,
        '<', 174,
        '=', 76,
        '>', 179,
        '?', 32,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 230,
        '`', 278,
        '{', 150,
        '|', 233,
        '}', 152,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(10);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '"', 186,
        '#', 79,
        '&', 16,
        '\'', 187,
        '(', 153,
        '*', 147,
        '.', 183,
        '/', 24,
        '0', 285,
        '<', 171,
        '@', 304,
        '[', 161,
        '\\', 101,
        's', 298,
        '{', 150,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '&') ADVANCE(17);
      if (lookahead == '/') ADVANCE(189);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(188);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '"', 186,
        '\'', 187,
        '.', 181,
        '/', 25,
        ':', 156,
        '<', 170,
        '=', 157,
        '>', 177,
        '\\', 101,
        '{', 150,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(13);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      if (lookahead > '~') ADVANCE(302);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '/') ADVANCE(24);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(14);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '/') ADVANCE(257);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(14);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(260);
      if (lookahead != 0) ADVANCE(262);
      END_STATE();
    case 16:
      if (lookahead == '#') ADVANCE(113);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 17:
      if (lookahead == '#') ADVANCE(113);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(113);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(196);
      END_STATE();
    case 19:
      if (lookahead == '$') ADVANCE(103);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '`') ADVANCE(278);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(20);
      END_STATE();
    case 20:
      if (lookahead == '$') ADVANCE(103);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '`') ADVANCE(278);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(20);
      END_STATE();
    case 21:
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '/') ADVANCE(195);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(194);
      if (lookahead != 0) ADVANCE(196);
      END_STATE();
    case 22:
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '/') ADVANCE(24);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(22);
      END_STATE();
    case 23:
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '/') ADVANCE(263);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(22);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(266);
      if (lookahead != 0) ADVANCE(268);
      END_STATE();
    case 24:
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(277);
      END_STATE();
    case 25:
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead == '>') ADVANCE(185);
      END_STATE();
    case 26:
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '/') ADVANCE(274);
      if (lookahead != 0) ADVANCE(27);
      END_STATE();
    case 27:
      if (lookahead == '*') ADVANCE(26);
      if (lookahead != 0) ADVANCE(27);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(27);
      if (lookahead != 0) ADVANCE(192);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(197);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(27);
      if (lookahead != 0) ADVANCE(198);
      END_STATE();
    case 30:
      if (lookahead == '.') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 31:
      if (lookahead == '.') ADVANCE(201);
      if (lookahead == '?') ADVANCE(251);
      END_STATE();
    case 32:
      if (lookahead == '.') ADVANCE(201);
      if (lookahead == '?') ADVANCE(250);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(217);
      END_STATE();
    case 34:
      if (lookahead == '/') ADVANCE(280);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(35);
      END_STATE();
    case 35:
      if (lookahead == '/') ADVANCE(24);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(35);
      END_STATE();
    case 36:
      if (lookahead == ';') ADVANCE(169);
      END_STATE();
    case 37:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(36);
      END_STATE();
    case 38:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(37);
      END_STATE();
    case 39:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(38);
      END_STATE();
    case 40:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(39);
      END_STATE();
    case 41:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 42:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 43:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 44:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == ';') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(36);
      END_STATE();
    case 47:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(47);
      END_STATE();
    case 49:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(49);
      END_STATE();
    case 51:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(51);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 54:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 56:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(57);
      END_STATE();
    case 59:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(169);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 76:
      if (lookahead == '=') ADVANCE(245);
      END_STATE();
    case 77:
      if (lookahead == '>') ADVANCE(167);
      END_STATE();
    case 78:
      if (lookahead == '>') ADVANCE(168);
      END_STATE();
    case 79:
      if (lookahead == '\\') ADVANCE(100);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(303);
      END_STATE();
    case 80:
      if (lookahead == '\\') ADVANCE(140);
      if (lookahead == ']') ADVANCE(282);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(80);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(96);
      END_STATE();
    case 82:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 88:
      if (lookahead == 'g') ADVANCE(85);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(88);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(81);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(82);
      END_STATE();
    case 91:
      if (lookahead == 'm') ADVANCE(93);
      END_STATE();
    case 92:
      if (lookahead == 'm') ADVANCE(94);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(89);
      END_STATE();
    case 94:
      if (lookahead == 'p') ADVANCE(90);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(1);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(84);
      END_STATE();
    case 97:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 99:
      if (lookahead == 'u') ADVANCE(104);
      if (lookahead == 'x') ADVANCE(130);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(273);
      if (lookahead != 0) ADVANCE(269);
      END_STATE();
    case 100:
      if (lookahead == 'u') ADVANCE(105);
      END_STATE();
    case 101:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 102:
      if (lookahead == 'u') ADVANCE(107);
      if (lookahead == 'x') ADVANCE(130);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(273);
      if (lookahead != 0) ADVANCE(269);
      END_STATE();
    case 103:
      if (lookahead == '{') ADVANCE(279);
      END_STATE();
    case 104:
      if (lookahead == '{') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 105:
      if (lookahead == '{') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 106:
      if (lookahead == '{') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 107:
      if (lookahead == '{') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 108:
      if (lookahead == '}') ADVANCE(302);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 109:
      if (lookahead == '}') ADVANCE(303);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 110:
      if (lookahead == '}') ADVANCE(269);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 111:
      if (lookahead == '}') ADVANCE(270);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 112:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(292);
      END_STATE();
    case 113:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(40);
      END_STATE();
    case 114:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(288);
      END_STATE();
    case 115:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(289);
      END_STATE();
    case 116:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(286);
      END_STATE();
    case 117:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 118:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(292);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(302);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(303);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(269);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(290);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(270);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(109);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(108);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(110);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 134:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(120);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(132);
      END_STATE();
    case 136:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(133);
      END_STATE();
    case 137:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 138:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(190);
      END_STATE();
    case 139:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(196);
      END_STATE();
    case 140:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(80);
      END_STATE();
    case 141:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(282);
      END_STATE();
    case 142:
      if (eof) ADVANCE(145);
      ADVANCE_MAP(
        '!', 253,
        '"', 186,
        '#', 4,
        '$', 300,
        '%', 241,
        '&', 228,
        '\'', 187,
        '(', 153,
        ')', 155,
        '*', 148,
        '+', 235,
        ',', 151,
        '-', 237,
        '.', 182,
        '/', 239,
        '0', 285,
        ':', 156,
        ';', 154,
        '<', 172,
        '=', 159,
        '>', 178,
        '?', 31,
        '@', 304,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 231,
        '`', 278,
        's', 298,
        '{', 150,
        '|', 232,
        '}', 152,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(142);
      if (lookahead > '@') ADVANCE(302);
      END_STATE();
    case 143:
      if (eof) ADVANCE(145);
      ADVANCE_MAP(
        '!', 253,
        '"', 186,
        '#', 79,
        '%', 240,
        '&', 229,
        '\'', 187,
        '(', 153,
        ')', 155,
        '*', 149,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 183,
        '/', 238,
        '0', 285,
        ':', 156,
        ';', 154,
        '<', 175,
        '=', 158,
        '>', 179,
        '?', 32,
        '@', 304,
        '[', 161,
        '\\', 101,
        ']', 162,
        '^', 230,
        '`', 278,
        '{', 150,
        '|', 233,
        '}', 152,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(143);
      if (lookahead > '#') ADVANCE(302);
      END_STATE();
    case 144:
      if (eof) ADVANCE(145);
      ADVANCE_MAP(
        '!', 252,
        '"', 186,
        '#', 4,
        '\'', 187,
        '(', 153,
        ')', 155,
        '*', 147,
        '+', 234,
        ',', 151,
        '-', 236,
        '.', 30,
        '/', 238,
        '0', 285,
        ':', 156,
        ';', 154,
        '<', 176,
        '=', 160,
        '>', 177,
        '@', 304,
        '[', 161,
        '\\', 101,
        ']', 162,
        '`', 278,
        '{', 150,
        '}', 152,
        '~', 254,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(144);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(302);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(243);
      if (lookahead == '=') ADVANCE(204);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(242);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(245);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(245);
      if (lookahead == '>') ADVANCE(200);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(200);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(277);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead == '<') ADVANCE(166);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(165);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(163);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(98);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_glimmer_opening_tag);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_glimmer_closing_tag);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(184);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead == '<') ADVANCE(227);
      if (lookahead == '=') ADVANCE(244);
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(227);
      if (lookahead == '=') ADVANCE(244);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(226);
      if (lookahead == '=') ADVANCE(244);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(226);
      if (lookahead == '=') ADVANCE(244);
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(249);
      if (lookahead == '>') ADVANCE(222);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(249);
      if (lookahead == '>') ADVANCE(223);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(17);
      if (lookahead == '/') ADVANCE(189);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(190);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(138);
      if (lookahead == '*') ADVANCE(192);
      if (lookahead == '/') ADVANCE(193);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(190);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(28);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(192);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(28);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(192);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(275);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(190);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(193);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(18);
      if (lookahead == '/') ADVANCE(195);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(139);
      if (lookahead == '*') ADVANCE(198);
      if (lookahead == '/') ADVANCE(199);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(139);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(196);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(29);
      if (lookahead == '*') ADVANCE(197);
      if (lookahead == '/') ADVANCE(196);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(29);
      if (lookahead == '*') ADVANCE(197);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(198);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(276);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(196);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(199);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(214);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(210);
      if (lookahead == '>') ADVANCE(225);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(224);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(211);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(212);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(219);
      if (lookahead == '=') ADVANCE(208);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(218);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '|') ADVANCE(221);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(220);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(255);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(255);
      if (lookahead == '=') ADVANCE(202);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(256);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(256);
      if (lookahead == '=') ADVANCE(203);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(277);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(27);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead == '=') ADVANCE(205);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(206);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(213);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(246);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(248);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(216);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(247);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(259);
      if (lookahead == '/') ADVANCE(261);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(262);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead == '/') ADVANCE(262);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(259);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(258);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(259);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(257);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(260);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(262);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(262);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(261);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(262);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(265);
      if (lookahead == '/') ADVANCE(267);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(268);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead == '/') ADVANCE(268);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(265);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(264);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(265);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(263);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(266);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(268);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(268);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(267);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(268);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(101);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(269);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(269);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(272);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(190);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(277);
      if (lookahead != 0) ADVANCE(193);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(196);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(277);
      if (lookahead != 0) ADVANCE(199);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(277);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(35);
      if (lookahead == '/') ADVANCE(24);
      if (lookahead == '[') ADVANCE(80);
      if (lookahead == '\\') ADVANCE(141);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(281);
      if (lookahead != 0) ADVANCE(282);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(80);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(282);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(101);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(283);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 293,
        '0', 287,
        '_', 118,
        'n', 284,
        'B', 114,
        'b', 114,
        'E', 112,
        'e', 112,
        'O', 115,
        'o', 115,
        'X', 123,
        'x', 123,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(286);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(293);
      if (lookahead == '_') ADVANCE(116);
      if (lookahead == 'n') ADVANCE(284);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(286);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(118);
      if (lookahead == 'n') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(114);
      if (lookahead == 'n') ADVANCE(284);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(288);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(115);
      if (lookahead == 'n') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(289);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(123);
      if (lookahead == 'n') ADVANCE(284);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(290);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(117);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(292);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(291);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(180);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == 'a') ADVANCE(299);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == 'c') ADVANCE(301);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == 'i') ADVANCE(296);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == 't') ADVANCE(295);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == 't') ADVANCE(297);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '{') ADVANCE(279);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(88);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(101);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(302);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(100);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(303);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(aux_sym_method_definition_token1);
      if (lookahead == '\n') ADVANCE(305);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'n', 11,
        'o', 12,
        'r', 13,
        's', 14,
        't', 15,
        'u', 16,
        'v', 17,
        'w', 18,
        'y', 19,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(23);
      if (lookahead == 'l') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(27);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'x') ADVANCE(29);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      if (lookahead == 'r') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(36);
      if (lookahead == 'm') ADVANCE(37);
      if (lookahead == 'n') ADVANCE(38);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(39);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(43);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(45);
      if (lookahead == 't') ADVANCE(46);
      if (lookahead == 'u') ADVANCE(47);
      if (lookahead == 'w') ADVANCE(48);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(49);
      if (lookahead == 'h') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      if (lookahead == 'y') ADVANCE(52);
      END_STATE();
    case 16:
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'o') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(56);
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 19:
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(59);
      END_STATE();
    case 21:
      if (lookahead == 'a') ADVANCE(60);
      END_STATE();
    case 22:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(62);
      if (lookahead == 't') ADVANCE(63);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 25:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 26:
      if (lookahead == 'b') ADVANCE(66);
      if (lookahead == 'f') ADVANCE(67);
      if (lookahead == 'l') ADVANCE(68);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'p') ADVANCE(70);
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(72);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(74);
      END_STATE();
    case 33:
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 37:
      if (lookahead == 'p') ADVANCE(78);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 40:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 41:
      if (lookahead == 'w') ADVANCE(82);
      END_STATE();
    case 42:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(84);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(86);
      END_STATE();
    case 47:
      if (lookahead == 'p') ADVANCE(87);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'r') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'u') ADVANCE(92);
      if (lookahead == 'y') ADVANCE(93);
      END_STATE();
    case 52:
      if (lookahead == 'p') ADVANCE(94);
      END_STATE();
    case 53:
      if (lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 59:
      if (lookahead == 'n') ADVANCE(101);
      END_STATE();
    case 60:
      if (lookahead == 'i') ADVANCE(102);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(103);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 63:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(107);
      if (lookahead == 't') ADVANCE(108);
      END_STATE();
    case 66:
      if (lookahead == 'u') ADVANCE(109);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(110);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 70:
      if (lookahead == 'o') ADVANCE(113);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(114);
      END_STATE();
    case 72:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(116);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 75:
      if (lookahead == 'm') ADVANCE(117);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(118);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 78:
      if (lookahead == 'o') ADVANCE(119);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(121);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 83:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 84:
      if (lookahead == 'u') ADVANCE(123);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 86:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(125);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 89:
      if (lookahead == 'g') ADVANCE(127);
      END_STATE();
    case 90:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(129);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 97:
      if (lookahead == 'd') ADVANCE(133);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 99:
      if (lookahead == 'h') ADVANCE(135);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(136);
      END_STATE();
    case 101:
      if (lookahead == 'c') ADVANCE(137);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 103:
      if (lookahead == 'k') ADVANCE(139);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 105:
      if (lookahead == 'h') ADVANCE(140);
      END_STATE();
    case 106:
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 107:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 108:
      if (lookahead == 'i') ADVANCE(143);
      END_STATE();
    case 109:
      if (lookahead == 'g') ADVANCE(144);
      END_STATE();
    case 110:
      if (lookahead == 'u') ADVANCE(145);
      END_STATE();
    case 111:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 113:
      if (lookahead == 'r') ADVANCE(147);
      END_STATE();
    case 114:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(150);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 118:
      if (lookahead == 't') ADVANCE(151);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 120:
      if (lookahead == 'a') ADVANCE(153);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_meta);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(154);
      END_STATE();
    case 124:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 125:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 126:
      if (lookahead == 'c') ADVANCE(157);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 129:
      if (lookahead == 'w') ADVANCE(159);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 131:
      if (lookahead == 'o') ADVANCE(160);
      END_STATE();
    case 132:
      if (lookahead == 'f') ADVANCE(161);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 136:
      if (lookahead == 'd') ADVANCE(163);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'g') ADVANCE(165);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 148:
      if (lookahead == 'd') ADVANCE(169);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 150:
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'i') ADVANCE(171);
      END_STATE();
    case 152:
      if (lookahead == 't') ADVANCE(172);
      END_STATE();
    case 153:
      if (lookahead == 'n') ADVANCE(173);
      END_STATE();
    case 154:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 155:
      if (lookahead == 'c') ADVANCE(175);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 157:
      if (lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 158:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 160:
      if (lookahead == 'f') ADVANCE(178);
      END_STATE();
    case 161:
      if (lookahead == 'i') ADVANCE(179);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 164:
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 165:
      if (lookahead == 'e') ADVANCE(181);
      END_STATE();
    case 166:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 170:
      if (lookahead == 'y') ADVANCE(184);
      END_STATE();
    case 171:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 173:
      if (lookahead == 'c') ADVANCE(186);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 179:
      if (lookahead == 'n') ADVANCE(187);
      END_STATE();
    case 180:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 181:
      if (lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 185:
      if (lookahead == 'n') ADVANCE(190);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 191:
      if (lookahead == 'o') ADVANCE(193);
      END_STATE();
    case 192:
      if (lookahead == 'd') ADVANCE(194);
      END_STATE();
    case 193:
      if (lookahead == 'f') ADVANCE(195);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 144, .external_lex_state = 2},
  [2] = {.lex_state = 5, .external_lex_state = 2},
  [3] = {.lex_state = 5, .external_lex_state = 2},
  [4] = {.lex_state = 5, .external_lex_state = 2},
  [5] = {.lex_state = 5, .external_lex_state = 2},
  [6] = {.lex_state = 5, .external_lex_state = 2},
  [7] = {.lex_state = 144, .external_lex_state = 2},
  [8] = {.lex_state = 144, .external_lex_state = 2},
  [9] = {.lex_state = 144, .external_lex_state = 2},
  [10] = {.lex_state = 144, .external_lex_state = 2},
  [11] = {.lex_state = 144, .external_lex_state = 2},
  [12] = {.lex_state = 144, .external_lex_state = 2},
  [13] = {.lex_state = 144, .external_lex_state = 2},
  [14] = {.lex_state = 144, .external_lex_state = 2},
  [15] = {.lex_state = 144, .external_lex_state = 2},
  [16] = {.lex_state = 144, .external_lex_state = 2},
  [17] = {.lex_state = 144, .external_lex_state = 2},
  [18] = {.lex_state = 144, .external_lex_state = 2},
  [19] = {.lex_state = 144, .external_lex_state = 2},
  [20] = {.lex_state = 144, .external_lex_state = 2},
  [21] = {.lex_state = 144, .external_lex_state = 2},
  [22] = {.lex_state = 144, .external_lex_state = 2},
  [23] = {.lex_state = 144, .external_lex_state = 2},
  [24] = {.lex_state = 144, .external_lex_state = 2},
  [25] = {.lex_state = 144, .external_lex_state = 2},
  [26] = {.lex_state = 144, .external_lex_state = 2},
  [27] = {.lex_state = 144, .external_lex_state = 2},
  [28] = {.lex_state = 144, .external_lex_state = 2},
  [29] = {.lex_state = 144, .external_lex_state = 2},
  [30] = {.lex_state = 144, .external_lex_state = 2},
  [31] = {.lex_state = 144, .external_lex_state = 2},
  [32] = {.lex_state = 144, .external_lex_state = 2},
  [33] = {.lex_state = 144, .external_lex_state = 2},
  [34] = {.lex_state = 144, .external_lex_state = 2},
  [35] = {.lex_state = 144, .external_lex_state = 2},
  [36] = {.lex_state = 144, .external_lex_state = 2},
  [37] = {.lex_state = 144, .external_lex_state = 2},
  [38] = {.lex_state = 144, .external_lex_state = 2},
  [39] = {.lex_state = 144, .external_lex_state = 2},
  [40] = {.lex_state = 144, .external_lex_state = 2},
  [41] = {.lex_state = 144, .external_lex_state = 2},
  [42] = {.lex_state = 144, .external_lex_state = 2},
  [43] = {.lex_state = 144, .external_lex_state = 2},
  [44] = {.lex_state = 144, .external_lex_state = 2},
  [45] = {.lex_state = 144, .external_lex_state = 2},
  [46] = {.lex_state = 144, .external_lex_state = 2},
  [47] = {.lex_state = 144, .external_lex_state = 2},
  [48] = {.lex_state = 144, .external_lex_state = 2},
  [49] = {.lex_state = 144, .external_lex_state = 2},
  [50] = {.lex_state = 144, .external_lex_state = 2},
  [51] = {.lex_state = 144, .external_lex_state = 2},
  [52] = {.lex_state = 144, .external_lex_state = 2},
  [53] = {.lex_state = 144, .external_lex_state = 2},
  [54] = {.lex_state = 144, .external_lex_state = 2},
  [55] = {.lex_state = 144, .external_lex_state = 2},
  [56] = {.lex_state = 144, .external_lex_state = 2},
  [57] = {.lex_state = 144, .external_lex_state = 2},
  [58] = {.lex_state = 143, .external_lex_state = 3},
  [59] = {.lex_state = 143, .external_lex_state = 4},
  [60] = {.lex_state = 143, .external_lex_state = 4},
  [61] = {.lex_state = 143, .external_lex_state = 3},
  [62] = {.lex_state = 143, .external_lex_state = 3},
  [63] = {.lex_state = 143, .external_lex_state = 4},
  [64] = {.lex_state = 144, .external_lex_state = 2},
  [65] = {.lex_state = 143, .external_lex_state = 4},
  [66] = {.lex_state = 143, .external_lex_state = 4},
  [67] = {.lex_state = 143, .external_lex_state = 4},
  [68] = {.lex_state = 143, .external_lex_state = 4},
  [69] = {.lex_state = 143, .external_lex_state = 4},
  [70] = {.lex_state = 143, .external_lex_state = 4},
  [71] = {.lex_state = 143, .external_lex_state = 4},
  [72] = {.lex_state = 143, .external_lex_state = 4},
  [73] = {.lex_state = 143, .external_lex_state = 4},
  [74] = {.lex_state = 144, .external_lex_state = 2},
  [75] = {.lex_state = 144, .external_lex_state = 2},
  [76] = {.lex_state = 143, .external_lex_state = 4},
  [77] = {.lex_state = 144, .external_lex_state = 2},
  [78] = {.lex_state = 144, .external_lex_state = 2},
  [79] = {.lex_state = 143, .external_lex_state = 4},
  [80] = {.lex_state = 144, .external_lex_state = 2},
  [81] = {.lex_state = 143, .external_lex_state = 4},
  [82] = {.lex_state = 143, .external_lex_state = 4},
  [83] = {.lex_state = 144, .external_lex_state = 2},
  [84] = {.lex_state = 143, .external_lex_state = 4},
  [85] = {.lex_state = 144, .external_lex_state = 2},
  [86] = {.lex_state = 144, .external_lex_state = 2},
  [87] = {.lex_state = 144, .external_lex_state = 2},
  [88] = {.lex_state = 144, .external_lex_state = 2},
  [89] = {.lex_state = 144, .external_lex_state = 2},
  [90] = {.lex_state = 144, .external_lex_state = 2},
  [91] = {.lex_state = 144, .external_lex_state = 2},
  [92] = {.lex_state = 144, .external_lex_state = 2},
  [93] = {.lex_state = 144, .external_lex_state = 2},
  [94] = {.lex_state = 144, .external_lex_state = 2},
  [95] = {.lex_state = 144, .external_lex_state = 2},
  [96] = {.lex_state = 144, .external_lex_state = 2},
  [97] = {.lex_state = 144, .external_lex_state = 2},
  [98] = {.lex_state = 144, .external_lex_state = 2},
  [99] = {.lex_state = 144, .external_lex_state = 2},
  [100] = {.lex_state = 144, .external_lex_state = 2},
  [101] = {.lex_state = 144, .external_lex_state = 2},
  [102] = {.lex_state = 144, .external_lex_state = 2},
  [103] = {.lex_state = 144, .external_lex_state = 2},
  [104] = {.lex_state = 144, .external_lex_state = 2},
  [105] = {.lex_state = 144, .external_lex_state = 2},
  [106] = {.lex_state = 144, .external_lex_state = 2},
  [107] = {.lex_state = 144, .external_lex_state = 2},
  [108] = {.lex_state = 144, .external_lex_state = 2},
  [109] = {.lex_state = 144, .external_lex_state = 2},
  [110] = {.lex_state = 144, .external_lex_state = 2},
  [111] = {.lex_state = 144, .external_lex_state = 5},
  [112] = {.lex_state = 144, .external_lex_state = 2},
  [113] = {.lex_state = 144, .external_lex_state = 2},
  [114] = {.lex_state = 144, .external_lex_state = 2},
  [115] = {.lex_state = 144, .external_lex_state = 2},
  [116] = {.lex_state = 144, .external_lex_state = 2},
  [117] = {.lex_state = 144, .external_lex_state = 2},
  [118] = {.lex_state = 144, .external_lex_state = 2},
  [119] = {.lex_state = 144, .external_lex_state = 2},
  [120] = {.lex_state = 144, .external_lex_state = 2},
  [121] = {.lex_state = 144, .external_lex_state = 2},
  [122] = {.lex_state = 144, .external_lex_state = 2},
  [123] = {.lex_state = 144, .external_lex_state = 2},
  [124] = {.lex_state = 144, .external_lex_state = 2},
  [125] = {.lex_state = 144, .external_lex_state = 2},
  [126] = {.lex_state = 144, .external_lex_state = 2},
  [127] = {.lex_state = 144, .external_lex_state = 2},
  [128] = {.lex_state = 6, .external_lex_state = 2},
  [129] = {.lex_state = 144, .external_lex_state = 2},
  [130] = {.lex_state = 144, .external_lex_state = 2},
  [131] = {.lex_state = 144, .external_lex_state = 2},
  [132] = {.lex_state = 144, .external_lex_state = 2},
  [133] = {.lex_state = 144, .external_lex_state = 2},
  [134] = {.lex_state = 144, .external_lex_state = 2},
  [135] = {.lex_state = 144, .external_lex_state = 2},
  [136] = {.lex_state = 6, .external_lex_state = 2},
  [137] = {.lex_state = 144, .external_lex_state = 2},
  [138] = {.lex_state = 144, .external_lex_state = 2},
  [139] = {.lex_state = 144, .external_lex_state = 2},
  [140] = {.lex_state = 144, .external_lex_state = 2},
  [141] = {.lex_state = 144, .external_lex_state = 2},
  [142] = {.lex_state = 144, .external_lex_state = 2},
  [143] = {.lex_state = 144, .external_lex_state = 2},
  [144] = {.lex_state = 144, .external_lex_state = 2},
  [145] = {.lex_state = 144, .external_lex_state = 2},
  [146] = {.lex_state = 144, .external_lex_state = 2},
  [147] = {.lex_state = 144, .external_lex_state = 2},
  [148] = {.lex_state = 144, .external_lex_state = 2},
  [149] = {.lex_state = 144, .external_lex_state = 2},
  [150] = {.lex_state = 144, .external_lex_state = 2},
  [151] = {.lex_state = 144, .external_lex_state = 2},
  [152] = {.lex_state = 144, .external_lex_state = 2},
  [153] = {.lex_state = 144, .external_lex_state = 2},
  [154] = {.lex_state = 6, .external_lex_state = 2},
  [155] = {.lex_state = 144, .external_lex_state = 2},
  [156] = {.lex_state = 144, .external_lex_state = 2},
  [157] = {.lex_state = 144, .external_lex_state = 2},
  [158] = {.lex_state = 144, .external_lex_state = 2},
  [159] = {.lex_state = 144, .external_lex_state = 2},
  [160] = {.lex_state = 6, .external_lex_state = 2},
  [161] = {.lex_state = 144, .external_lex_state = 2},
  [162] = {.lex_state = 144, .external_lex_state = 2},
  [163] = {.lex_state = 144, .external_lex_state = 2},
  [164] = {.lex_state = 144, .external_lex_state = 2},
  [165] = {.lex_state = 144, .external_lex_state = 2},
  [166] = {.lex_state = 144, .external_lex_state = 2},
  [167] = {.lex_state = 144, .external_lex_state = 2},
  [168] = {.lex_state = 144, .external_lex_state = 2},
  [169] = {.lex_state = 144, .external_lex_state = 2},
  [170] = {.lex_state = 144, .external_lex_state = 2},
  [171] = {.lex_state = 6, .external_lex_state = 2},
  [172] = {.lex_state = 144, .external_lex_state = 2},
  [173] = {.lex_state = 144, .external_lex_state = 2},
  [174] = {.lex_state = 144, .external_lex_state = 2},
  [175] = {.lex_state = 144, .external_lex_state = 2},
  [176] = {.lex_state = 144, .external_lex_state = 2},
  [177] = {.lex_state = 144, .external_lex_state = 2},
  [178] = {.lex_state = 144, .external_lex_state = 2},
  [179] = {.lex_state = 144, .external_lex_state = 2},
  [180] = {.lex_state = 144, .external_lex_state = 2},
  [181] = {.lex_state = 144, .external_lex_state = 2},
  [182] = {.lex_state = 144, .external_lex_state = 2},
  [183] = {.lex_state = 144, .external_lex_state = 2},
  [184] = {.lex_state = 144, .external_lex_state = 2},
  [185] = {.lex_state = 144, .external_lex_state = 2},
  [186] = {.lex_state = 144, .external_lex_state = 2},
  [187] = {.lex_state = 144, .external_lex_state = 2},
  [188] = {.lex_state = 144, .external_lex_state = 2},
  [189] = {.lex_state = 144, .external_lex_state = 2},
  [190] = {.lex_state = 144, .external_lex_state = 2},
  [191] = {.lex_state = 144, .external_lex_state = 2},
  [192] = {.lex_state = 144, .external_lex_state = 2},
  [193] = {.lex_state = 144, .external_lex_state = 2},
  [194] = {.lex_state = 144, .external_lex_state = 2},
  [195] = {.lex_state = 144, .external_lex_state = 2},
  [196] = {.lex_state = 144, .external_lex_state = 2},
  [197] = {.lex_state = 144, .external_lex_state = 2},
  [198] = {.lex_state = 144, .external_lex_state = 2},
  [199] = {.lex_state = 144, .external_lex_state = 2},
  [200] = {.lex_state = 144, .external_lex_state = 2},
  [201] = {.lex_state = 144, .external_lex_state = 2},
  [202] = {.lex_state = 144, .external_lex_state = 2},
  [203] = {.lex_state = 144, .external_lex_state = 2},
  [204] = {.lex_state = 144, .external_lex_state = 2},
  [205] = {.lex_state = 144, .external_lex_state = 2},
  [206] = {.lex_state = 144, .external_lex_state = 2},
  [207] = {.lex_state = 144, .external_lex_state = 2},
  [208] = {.lex_state = 144, .external_lex_state = 2},
  [209] = {.lex_state = 144, .external_lex_state = 2},
  [210] = {.lex_state = 144, .external_lex_state = 2},
  [211] = {.lex_state = 144, .external_lex_state = 2},
  [212] = {.lex_state = 144, .external_lex_state = 2},
  [213] = {.lex_state = 144, .external_lex_state = 2},
  [214] = {.lex_state = 144, .external_lex_state = 2},
  [215] = {.lex_state = 144, .external_lex_state = 2},
  [216] = {.lex_state = 144, .external_lex_state = 2},
  [217] = {.lex_state = 144, .external_lex_state = 2},
  [218] = {.lex_state = 144, .external_lex_state = 2},
  [219] = {.lex_state = 144, .external_lex_state = 2},
  [220] = {.lex_state = 144, .external_lex_state = 2},
  [221] = {.lex_state = 144, .external_lex_state = 2},
  [222] = {.lex_state = 144, .external_lex_state = 2},
  [223] = {.lex_state = 144, .external_lex_state = 2},
  [224] = {.lex_state = 144, .external_lex_state = 2},
  [225] = {.lex_state = 144, .external_lex_state = 2},
  [226] = {.lex_state = 144, .external_lex_state = 2},
  [227] = {.lex_state = 144, .external_lex_state = 2},
  [228] = {.lex_state = 144, .external_lex_state = 2},
  [229] = {.lex_state = 144, .external_lex_state = 2},
  [230] = {.lex_state = 144, .external_lex_state = 2},
  [231] = {.lex_state = 144, .external_lex_state = 2},
  [232] = {.lex_state = 144, .external_lex_state = 2},
  [233] = {.lex_state = 144, .external_lex_state = 2},
  [234] = {.lex_state = 144, .external_lex_state = 2},
  [235] = {.lex_state = 144, .external_lex_state = 2},
  [236] = {.lex_state = 144, .external_lex_state = 2},
  [237] = {.lex_state = 144, .external_lex_state = 2},
  [238] = {.lex_state = 144, .external_lex_state = 2},
  [239] = {.lex_state = 144, .external_lex_state = 2},
  [240] = {.lex_state = 144, .external_lex_state = 2},
  [241] = {.lex_state = 144, .external_lex_state = 2},
  [242] = {.lex_state = 144, .external_lex_state = 2},
  [243] = {.lex_state = 144, .external_lex_state = 2},
  [244] = {.lex_state = 144, .external_lex_state = 2},
  [245] = {.lex_state = 144, .external_lex_state = 2},
  [246] = {.lex_state = 144, .external_lex_state = 2},
  [247] = {.lex_state = 144, .external_lex_state = 2},
  [248] = {.lex_state = 144, .external_lex_state = 2},
  [249] = {.lex_state = 144, .external_lex_state = 2},
  [250] = {.lex_state = 144, .external_lex_state = 2},
  [251] = {.lex_state = 144, .external_lex_state = 2},
  [252] = {.lex_state = 144, .external_lex_state = 2},
  [253] = {.lex_state = 144, .external_lex_state = 2},
  [254] = {.lex_state = 144, .external_lex_state = 2},
  [255] = {.lex_state = 144, .external_lex_state = 2},
  [256] = {.lex_state = 144, .external_lex_state = 2},
  [257] = {.lex_state = 144, .external_lex_state = 2},
  [258] = {.lex_state = 144, .external_lex_state = 2},
  [259] = {.lex_state = 144, .external_lex_state = 2},
  [260] = {.lex_state = 144, .external_lex_state = 2},
  [261] = {.lex_state = 144, .external_lex_state = 2},
  [262] = {.lex_state = 144, .external_lex_state = 2},
  [263] = {.lex_state = 144, .external_lex_state = 2},
  [264] = {.lex_state = 144, .external_lex_state = 2},
  [265] = {.lex_state = 144, .external_lex_state = 2},
  [266] = {.lex_state = 144, .external_lex_state = 2},
  [267] = {.lex_state = 144, .external_lex_state = 2},
  [268] = {.lex_state = 144, .external_lex_state = 2},
  [269] = {.lex_state = 144, .external_lex_state = 2},
  [270] = {.lex_state = 144, .external_lex_state = 2},
  [271] = {.lex_state = 144, .external_lex_state = 2},
  [272] = {.lex_state = 144, .external_lex_state = 2},
  [273] = {.lex_state = 144, .external_lex_state = 2},
  [274] = {.lex_state = 144, .external_lex_state = 2},
  [275] = {.lex_state = 144, .external_lex_state = 2},
  [276] = {.lex_state = 144, .external_lex_state = 2},
  [277] = {.lex_state = 144, .external_lex_state = 2},
  [278] = {.lex_state = 144, .external_lex_state = 2},
  [279] = {.lex_state = 144, .external_lex_state = 2},
  [280] = {.lex_state = 144, .external_lex_state = 2},
  [281] = {.lex_state = 144, .external_lex_state = 2},
  [282] = {.lex_state = 144, .external_lex_state = 2},
  [283] = {.lex_state = 144, .external_lex_state = 2},
  [284] = {.lex_state = 144, .external_lex_state = 2},
  [285] = {.lex_state = 144, .external_lex_state = 2},
  [286] = {.lex_state = 144, .external_lex_state = 2},
  [287] = {.lex_state = 144, .external_lex_state = 2},
  [288] = {.lex_state = 144, .external_lex_state = 2},
  [289] = {.lex_state = 144, .external_lex_state = 2},
  [290] = {.lex_state = 144, .external_lex_state = 2},
  [291] = {.lex_state = 144, .external_lex_state = 2},
  [292] = {.lex_state = 144, .external_lex_state = 2},
  [293] = {.lex_state = 144, .external_lex_state = 2},
  [294] = {.lex_state = 144, .external_lex_state = 2},
  [295] = {.lex_state = 144, .external_lex_state = 2},
  [296] = {.lex_state = 144, .external_lex_state = 2},
  [297] = {.lex_state = 7, .external_lex_state = 4},
  [298] = {.lex_state = 7, .external_lex_state = 4},
  [299] = {.lex_state = 7, .external_lex_state = 4},
  [300] = {.lex_state = 7, .external_lex_state = 4},
  [301] = {.lex_state = 7, .external_lex_state = 4},
  [302] = {.lex_state = 7, .external_lex_state = 4},
  [303] = {.lex_state = 7, .external_lex_state = 4},
  [304] = {.lex_state = 7, .external_lex_state = 4},
  [305] = {.lex_state = 7, .external_lex_state = 4},
  [306] = {.lex_state = 7, .external_lex_state = 4},
  [307] = {.lex_state = 7, .external_lex_state = 4},
  [308] = {.lex_state = 7, .external_lex_state = 4},
  [309] = {.lex_state = 7, .external_lex_state = 4},
  [310] = {.lex_state = 7, .external_lex_state = 4},
  [311] = {.lex_state = 7, .external_lex_state = 3},
  [312] = {.lex_state = 7, .external_lex_state = 3},
  [313] = {.lex_state = 144, .external_lex_state = 2},
  [314] = {.lex_state = 144, .external_lex_state = 5},
  [315] = {.lex_state = 144, .external_lex_state = 5},
  [316] = {.lex_state = 7, .external_lex_state = 4},
  [317] = {.lex_state = 7, .external_lex_state = 4},
  [318] = {.lex_state = 7, .external_lex_state = 4},
  [319] = {.lex_state = 7, .external_lex_state = 3},
  [320] = {.lex_state = 7, .external_lex_state = 4},
  [321] = {.lex_state = 144, .external_lex_state = 2},
  [322] = {.lex_state = 144, .external_lex_state = 2},
  [323] = {.lex_state = 7, .external_lex_state = 4},
  [324] = {.lex_state = 7, .external_lex_state = 4},
  [325] = {.lex_state = 7, .external_lex_state = 4},
  [326] = {.lex_state = 7, .external_lex_state = 3},
  [327] = {.lex_state = 7, .external_lex_state = 3},
  [328] = {.lex_state = 7, .external_lex_state = 4},
  [329] = {.lex_state = 7, .external_lex_state = 4},
  [330] = {.lex_state = 7, .external_lex_state = 3},
  [331] = {.lex_state = 144, .external_lex_state = 2},
  [332] = {.lex_state = 7, .external_lex_state = 3},
  [333] = {.lex_state = 144, .external_lex_state = 5},
  [334] = {.lex_state = 144, .external_lex_state = 5},
  [335] = {.lex_state = 144, .external_lex_state = 5},
  [336] = {.lex_state = 144, .external_lex_state = 5},
  [337] = {.lex_state = 144, .external_lex_state = 2},
  [338] = {.lex_state = 144, .external_lex_state = 5},
  [339] = {.lex_state = 144, .external_lex_state = 5},
  [340] = {.lex_state = 144, .external_lex_state = 5},
  [341] = {.lex_state = 144, .external_lex_state = 5},
  [342] = {.lex_state = 144, .external_lex_state = 5},
  [343] = {.lex_state = 144, .external_lex_state = 5},
  [344] = {.lex_state = 7, .external_lex_state = 3},
  [345] = {.lex_state = 144, .external_lex_state = 5},
  [346] = {.lex_state = 144, .external_lex_state = 2},
  [347] = {.lex_state = 144, .external_lex_state = 5},
  [348] = {.lex_state = 144, .external_lex_state = 2},
  [349] = {.lex_state = 144, .external_lex_state = 5},
  [350] = {.lex_state = 144, .external_lex_state = 5},
  [351] = {.lex_state = 144, .external_lex_state = 2},
  [352] = {.lex_state = 7, .external_lex_state = 3},
  [353] = {.lex_state = 144, .external_lex_state = 5},
  [354] = {.lex_state = 144, .external_lex_state = 5},
  [355] = {.lex_state = 7, .external_lex_state = 4},
  [356] = {.lex_state = 7, .external_lex_state = 4},
  [357] = {.lex_state = 144, .external_lex_state = 2},
  [358] = {.lex_state = 7, .external_lex_state = 3},
  [359] = {.lex_state = 144, .external_lex_state = 2},
  [360] = {.lex_state = 144, .external_lex_state = 2},
  [361] = {.lex_state = 144, .external_lex_state = 2},
  [362] = {.lex_state = 144, .external_lex_state = 2},
  [363] = {.lex_state = 144, .external_lex_state = 2},
  [364] = {.lex_state = 144, .external_lex_state = 2},
  [365] = {.lex_state = 144, .external_lex_state = 2},
  [366] = {.lex_state = 144, .external_lex_state = 2},
  [367] = {.lex_state = 144, .external_lex_state = 2},
  [368] = {.lex_state = 144, .external_lex_state = 2},
  [369] = {.lex_state = 144, .external_lex_state = 2},
  [370] = {.lex_state = 144, .external_lex_state = 2},
  [371] = {.lex_state = 144, .external_lex_state = 2},
  [372] = {.lex_state = 144, .external_lex_state = 2},
  [373] = {.lex_state = 144, .external_lex_state = 2},
  [374] = {.lex_state = 144, .external_lex_state = 2},
  [375] = {.lex_state = 144, .external_lex_state = 2},
  [376] = {.lex_state = 144, .external_lex_state = 2},
  [377] = {.lex_state = 144, .external_lex_state = 2},
  [378] = {.lex_state = 144, .external_lex_state = 2},
  [379] = {.lex_state = 144, .external_lex_state = 2},
  [380] = {.lex_state = 144, .external_lex_state = 2},
  [381] = {.lex_state = 144, .external_lex_state = 2},
  [382] = {.lex_state = 144, .external_lex_state = 2},
  [383] = {.lex_state = 144, .external_lex_state = 2},
  [384] = {.lex_state = 144, .external_lex_state = 2},
  [385] = {.lex_state = 144, .external_lex_state = 2},
  [386] = {.lex_state = 144, .external_lex_state = 2},
  [387] = {.lex_state = 144, .external_lex_state = 2},
  [388] = {.lex_state = 144, .external_lex_state = 2},
  [389] = {.lex_state = 144, .external_lex_state = 2},
  [390] = {.lex_state = 144, .external_lex_state = 2},
  [391] = {.lex_state = 144, .external_lex_state = 2},
  [392] = {.lex_state = 144, .external_lex_state = 2},
  [393] = {.lex_state = 144, .external_lex_state = 2},
  [394] = {.lex_state = 144, .external_lex_state = 2},
  [395] = {.lex_state = 144, .external_lex_state = 2},
  [396] = {.lex_state = 144, .external_lex_state = 2},
  [397] = {.lex_state = 144, .external_lex_state = 2},
  [398] = {.lex_state = 144, .external_lex_state = 2},
  [399] = {.lex_state = 144, .external_lex_state = 2},
  [400] = {.lex_state = 144, .external_lex_state = 2},
  [401] = {.lex_state = 7, .external_lex_state = 4},
  [402] = {.lex_state = 144, .external_lex_state = 2},
  [403] = {.lex_state = 144, .external_lex_state = 2},
  [404] = {.lex_state = 144, .external_lex_state = 2},
  [405] = {.lex_state = 144, .external_lex_state = 2},
  [406] = {.lex_state = 144, .external_lex_state = 2},
  [407] = {.lex_state = 144, .external_lex_state = 2},
  [408] = {.lex_state = 144, .external_lex_state = 2},
  [409] = {.lex_state = 144, .external_lex_state = 2},
  [410] = {.lex_state = 144, .external_lex_state = 2},
  [411] = {.lex_state = 144, .external_lex_state = 2},
  [412] = {.lex_state = 7, .external_lex_state = 3},
  [413] = {.lex_state = 144, .external_lex_state = 2},
  [414] = {.lex_state = 144, .external_lex_state = 2},
  [415] = {.lex_state = 144, .external_lex_state = 2},
  [416] = {.lex_state = 144, .external_lex_state = 2},
  [417] = {.lex_state = 144, .external_lex_state = 2},
  [418] = {.lex_state = 144, .external_lex_state = 2},
  [419] = {.lex_state = 144, .external_lex_state = 2},
  [420] = {.lex_state = 7, .external_lex_state = 4},
  [421] = {.lex_state = 144, .external_lex_state = 2},
  [422] = {.lex_state = 144, .external_lex_state = 2},
  [423] = {.lex_state = 144, .external_lex_state = 2},
  [424] = {.lex_state = 144, .external_lex_state = 2},
  [425] = {.lex_state = 7, .external_lex_state = 3},
  [426] = {.lex_state = 144, .external_lex_state = 2},
  [427] = {.lex_state = 7, .external_lex_state = 3},
  [428] = {.lex_state = 7, .external_lex_state = 4},
  [429] = {.lex_state = 7, .external_lex_state = 3},
  [430] = {.lex_state = 7, .external_lex_state = 3},
  [431] = {.lex_state = 7, .external_lex_state = 3},
  [432] = {.lex_state = 7, .external_lex_state = 4},
  [433] = {.lex_state = 7, .external_lex_state = 4},
  [434] = {.lex_state = 7, .external_lex_state = 4},
  [435] = {.lex_state = 7, .external_lex_state = 3},
  [436] = {.lex_state = 7, .external_lex_state = 3},
  [437] = {.lex_state = 7, .external_lex_state = 3},
  [438] = {.lex_state = 7, .external_lex_state = 3},
  [439] = {.lex_state = 7, .external_lex_state = 3},
  [440] = {.lex_state = 7, .external_lex_state = 3},
  [441] = {.lex_state = 7, .external_lex_state = 3},
  [442] = {.lex_state = 7, .external_lex_state = 3},
  [443] = {.lex_state = 7, .external_lex_state = 3},
  [444] = {.lex_state = 7, .external_lex_state = 3},
  [445] = {.lex_state = 7, .external_lex_state = 3},
  [446] = {.lex_state = 144, .external_lex_state = 2},
  [447] = {.lex_state = 144, .external_lex_state = 2},
  [448] = {.lex_state = 144, .external_lex_state = 2},
  [449] = {.lex_state = 144, .external_lex_state = 2},
  [450] = {.lex_state = 144, .external_lex_state = 2},
  [451] = {.lex_state = 144, .external_lex_state = 2},
  [452] = {.lex_state = 144, .external_lex_state = 2},
  [453] = {.lex_state = 144, .external_lex_state = 2},
  [454] = {.lex_state = 144, .external_lex_state = 2},
  [455] = {.lex_state = 7, .external_lex_state = 4},
  [456] = {.lex_state = 7, .external_lex_state = 4},
  [457] = {.lex_state = 7, .external_lex_state = 4},
  [458] = {.lex_state = 7, .external_lex_state = 3},
  [459] = {.lex_state = 7, .external_lex_state = 4},
  [460] = {.lex_state = 7, .external_lex_state = 3},
  [461] = {.lex_state = 7, .external_lex_state = 4},
  [462] = {.lex_state = 7, .external_lex_state = 4},
  [463] = {.lex_state = 7, .external_lex_state = 4},
  [464] = {.lex_state = 7, .external_lex_state = 3},
  [465] = {.lex_state = 7, .external_lex_state = 4},
  [466] = {.lex_state = 7, .external_lex_state = 4},
  [467] = {.lex_state = 7, .external_lex_state = 4},
  [468] = {.lex_state = 7, .external_lex_state = 4},
  [469] = {.lex_state = 7, .external_lex_state = 3},
  [470] = {.lex_state = 7, .external_lex_state = 4},
  [471] = {.lex_state = 7, .external_lex_state = 4},
  [472] = {.lex_state = 7, .external_lex_state = 3},
  [473] = {.lex_state = 7, .external_lex_state = 4},
  [474] = {.lex_state = 7, .external_lex_state = 3},
  [475] = {.lex_state = 7, .external_lex_state = 4},
  [476] = {.lex_state = 7, .external_lex_state = 4},
  [477] = {.lex_state = 7, .external_lex_state = 4},
  [478] = {.lex_state = 7, .external_lex_state = 4},
  [479] = {.lex_state = 7, .external_lex_state = 4},
  [480] = {.lex_state = 7, .external_lex_state = 4},
  [481] = {.lex_state = 7, .external_lex_state = 3},
  [482] = {.lex_state = 7, .external_lex_state = 3},
  [483] = {.lex_state = 7, .external_lex_state = 3},
  [484] = {.lex_state = 7, .external_lex_state = 4},
  [485] = {.lex_state = 7, .external_lex_state = 3},
  [486] = {.lex_state = 7, .external_lex_state = 4},
  [487] = {.lex_state = 7, .external_lex_state = 3},
  [488] = {.lex_state = 7, .external_lex_state = 3},
  [489] = {.lex_state = 7, .external_lex_state = 3},
  [490] = {.lex_state = 7, .external_lex_state = 3},
  [491] = {.lex_state = 7, .external_lex_state = 3},
  [492] = {.lex_state = 7, .external_lex_state = 3},
  [493] = {.lex_state = 7, .external_lex_state = 3},
  [494] = {.lex_state = 7, .external_lex_state = 3},
  [495] = {.lex_state = 7, .external_lex_state = 3},
  [496] = {.lex_state = 7, .external_lex_state = 3},
  [497] = {.lex_state = 7, .external_lex_state = 3},
  [498] = {.lex_state = 7, .external_lex_state = 3},
  [499] = {.lex_state = 7, .external_lex_state = 3},
  [500] = {.lex_state = 7, .external_lex_state = 3},
  [501] = {.lex_state = 7, .external_lex_state = 3},
  [502] = {.lex_state = 7, .external_lex_state = 3},
  [503] = {.lex_state = 7, .external_lex_state = 3},
  [504] = {.lex_state = 7, .external_lex_state = 3},
  [505] = {.lex_state = 8, .external_lex_state = 4},
  [506] = {.lex_state = 8, .external_lex_state = 3},
  [507] = {.lex_state = 8, .external_lex_state = 3},
  [508] = {.lex_state = 8, .external_lex_state = 3},
  [509] = {.lex_state = 8, .external_lex_state = 3},
  [510] = {.lex_state = 8, .external_lex_state = 4},
  [511] = {.lex_state = 8, .external_lex_state = 3},
  [512] = {.lex_state = 8, .external_lex_state = 3},
  [513] = {.lex_state = 8, .external_lex_state = 4},
  [514] = {.lex_state = 8, .external_lex_state = 3},
  [515] = {.lex_state = 8, .external_lex_state = 3},
  [516] = {.lex_state = 8, .external_lex_state = 3},
  [517] = {.lex_state = 8, .external_lex_state = 3},
  [518] = {.lex_state = 8, .external_lex_state = 3},
  [519] = {.lex_state = 8, .external_lex_state = 3},
  [520] = {.lex_state = 8, .external_lex_state = 3},
  [521] = {.lex_state = 8, .external_lex_state = 3},
  [522] = {.lex_state = 8, .external_lex_state = 3},
  [523] = {.lex_state = 8, .external_lex_state = 3},
  [524] = {.lex_state = 8, .external_lex_state = 3},
  [525] = {.lex_state = 8, .external_lex_state = 3},
  [526] = {.lex_state = 8, .external_lex_state = 3},
  [527] = {.lex_state = 8, .external_lex_state = 3},
  [528] = {.lex_state = 8, .external_lex_state = 3},
  [529] = {.lex_state = 8, .external_lex_state = 3},
  [530] = {.lex_state = 8, .external_lex_state = 3},
  [531] = {.lex_state = 8, .external_lex_state = 3},
  [532] = {.lex_state = 8, .external_lex_state = 3},
  [533] = {.lex_state = 8, .external_lex_state = 3},
  [534] = {.lex_state = 8, .external_lex_state = 3},
  [535] = {.lex_state = 8, .external_lex_state = 3},
  [536] = {.lex_state = 8, .external_lex_state = 3},
  [537] = {.lex_state = 8, .external_lex_state = 3},
  [538] = {.lex_state = 8, .external_lex_state = 3},
  [539] = {.lex_state = 8, .external_lex_state = 3},
  [540] = {.lex_state = 8, .external_lex_state = 3},
  [541] = {.lex_state = 8, .external_lex_state = 3},
  [542] = {.lex_state = 8, .external_lex_state = 3},
  [543] = {.lex_state = 8, .external_lex_state = 3},
  [544] = {.lex_state = 8, .external_lex_state = 3},
  [545] = {.lex_state = 8, .external_lex_state = 3},
  [546] = {.lex_state = 8, .external_lex_state = 3},
  [547] = {.lex_state = 8, .external_lex_state = 3},
  [548] = {.lex_state = 8, .external_lex_state = 3},
  [549] = {.lex_state = 8, .external_lex_state = 3},
  [550] = {.lex_state = 8, .external_lex_state = 3},
  [551] = {.lex_state = 8, .external_lex_state = 3},
  [552] = {.lex_state = 8, .external_lex_state = 3},
  [553] = {.lex_state = 8, .external_lex_state = 3},
  [554] = {.lex_state = 9, .external_lex_state = 3},
  [555] = {.lex_state = 8, .external_lex_state = 3},
  [556] = {.lex_state = 8, .external_lex_state = 3},
  [557] = {.lex_state = 8, .external_lex_state = 3},
  [558] = {.lex_state = 8, .external_lex_state = 3},
  [559] = {.lex_state = 8, .external_lex_state = 3},
  [560] = {.lex_state = 8, .external_lex_state = 3},
  [561] = {.lex_state = 8, .external_lex_state = 3},
  [562] = {.lex_state = 8, .external_lex_state = 3},
  [563] = {.lex_state = 8, .external_lex_state = 3},
  [564] = {.lex_state = 8, .external_lex_state = 3},
  [565] = {.lex_state = 8, .external_lex_state = 3},
  [566] = {.lex_state = 8, .external_lex_state = 3},
  [567] = {.lex_state = 8, .external_lex_state = 3},
  [568] = {.lex_state = 8, .external_lex_state = 3},
  [569] = {.lex_state = 8, .external_lex_state = 3},
  [570] = {.lex_state = 8, .external_lex_state = 3},
  [571] = {.lex_state = 8, .external_lex_state = 3},
  [572] = {.lex_state = 8, .external_lex_state = 3},
  [573] = {.lex_state = 8, .external_lex_state = 3},
  [574] = {.lex_state = 8, .external_lex_state = 3},
  [575] = {.lex_state = 8, .external_lex_state = 3},
  [576] = {.lex_state = 8, .external_lex_state = 3},
  [577] = {.lex_state = 8, .external_lex_state = 3},
  [578] = {.lex_state = 8, .external_lex_state = 3},
  [579] = {.lex_state = 8, .external_lex_state = 3},
  [580] = {.lex_state = 8, .external_lex_state = 4},
  [581] = {.lex_state = 8, .external_lex_state = 3},
  [582] = {.lex_state = 8, .external_lex_state = 3},
  [583] = {.lex_state = 8, .external_lex_state = 4},
  [584] = {.lex_state = 8, .external_lex_state = 4},
  [585] = {.lex_state = 8, .external_lex_state = 4},
  [586] = {.lex_state = 8, .external_lex_state = 3},
  [587] = {.lex_state = 8, .external_lex_state = 3},
  [588] = {.lex_state = 8, .external_lex_state = 3},
  [589] = {.lex_state = 8, .external_lex_state = 3},
  [590] = {.lex_state = 8, .external_lex_state = 3},
  [591] = {.lex_state = 8, .external_lex_state = 3},
  [592] = {.lex_state = 8, .external_lex_state = 3},
  [593] = {.lex_state = 8, .external_lex_state = 3},
  [594] = {.lex_state = 8, .external_lex_state = 3},
  [595] = {.lex_state = 8, .external_lex_state = 3},
  [596] = {.lex_state = 8, .external_lex_state = 3},
  [597] = {.lex_state = 8, .external_lex_state = 3},
  [598] = {.lex_state = 8, .external_lex_state = 3},
  [599] = {.lex_state = 8, .external_lex_state = 3},
  [600] = {.lex_state = 8, .external_lex_state = 3},
  [601] = {.lex_state = 8, .external_lex_state = 3},
  [602] = {.lex_state = 8, .external_lex_state = 4},
  [603] = {.lex_state = 8, .external_lex_state = 4},
  [604] = {.lex_state = 8, .external_lex_state = 4},
  [605] = {.lex_state = 8, .external_lex_state = 3},
  [606] = {.lex_state = 8, .external_lex_state = 4},
  [607] = {.lex_state = 8, .external_lex_state = 3},
  [608] = {.lex_state = 8, .external_lex_state = 3},
  [609] = {.lex_state = 8, .external_lex_state = 3},
  [610] = {.lex_state = 8, .external_lex_state = 3},
  [611] = {.lex_state = 8, .external_lex_state = 3},
  [612] = {.lex_state = 8, .external_lex_state = 3},
  [613] = {.lex_state = 8, .external_lex_state = 3},
  [614] = {.lex_state = 8, .external_lex_state = 4},
  [615] = {.lex_state = 8, .external_lex_state = 4},
  [616] = {.lex_state = 8, .external_lex_state = 4},
  [617] = {.lex_state = 8, .external_lex_state = 4},
  [618] = {.lex_state = 8, .external_lex_state = 4},
  [619] = {.lex_state = 8, .external_lex_state = 4},
  [620] = {.lex_state = 8, .external_lex_state = 4},
  [621] = {.lex_state = 8, .external_lex_state = 3},
  [622] = {.lex_state = 8, .external_lex_state = 4},
  [623] = {.lex_state = 8, .external_lex_state = 4},
  [624] = {.lex_state = 8, .external_lex_state = 4},
  [625] = {.lex_state = 8, .external_lex_state = 4},
  [626] = {.lex_state = 8, .external_lex_state = 4},
  [627] = {.lex_state = 8, .external_lex_state = 4},
  [628] = {.lex_state = 8, .external_lex_state = 4},
  [629] = {.lex_state = 8, .external_lex_state = 4},
  [630] = {.lex_state = 8, .external_lex_state = 4},
  [631] = {.lex_state = 8, .external_lex_state = 4},
  [632] = {.lex_state = 8, .external_lex_state = 4},
  [633] = {.lex_state = 8, .external_lex_state = 4},
  [634] = {.lex_state = 8, .external_lex_state = 4},
  [635] = {.lex_state = 8, .external_lex_state = 3},
  [636] = {.lex_state = 8, .external_lex_state = 4},
  [637] = {.lex_state = 8, .external_lex_state = 4},
  [638] = {.lex_state = 8, .external_lex_state = 4},
  [639] = {.lex_state = 8, .external_lex_state = 4},
  [640] = {.lex_state = 8, .external_lex_state = 4},
  [641] = {.lex_state = 8, .external_lex_state = 4},
  [642] = {.lex_state = 8, .external_lex_state = 4},
  [643] = {.lex_state = 8, .external_lex_state = 4},
  [644] = {.lex_state = 8, .external_lex_state = 4},
  [645] = {.lex_state = 8, .external_lex_state = 4},
  [646] = {.lex_state = 8, .external_lex_state = 4},
  [647] = {.lex_state = 8, .external_lex_state = 4},
  [648] = {.lex_state = 8, .external_lex_state = 4},
  [649] = {.lex_state = 8, .external_lex_state = 4},
  [650] = {.lex_state = 8, .external_lex_state = 4},
  [651] = {.lex_state = 8, .external_lex_state = 4},
  [652] = {.lex_state = 8, .external_lex_state = 4},
  [653] = {.lex_state = 8, .external_lex_state = 4},
  [654] = {.lex_state = 8, .external_lex_state = 4},
  [655] = {.lex_state = 8, .external_lex_state = 4},
  [656] = {.lex_state = 8, .external_lex_state = 4},
  [657] = {.lex_state = 8, .external_lex_state = 4},
  [658] = {.lex_state = 8, .external_lex_state = 4},
  [659] = {.lex_state = 8, .external_lex_state = 4},
  [660] = {.lex_state = 8, .external_lex_state = 4},
  [661] = {.lex_state = 8, .external_lex_state = 4},
  [662] = {.lex_state = 8, .external_lex_state = 4},
  [663] = {.lex_state = 8, .external_lex_state = 4},
  [664] = {.lex_state = 8, .external_lex_state = 4},
  [665] = {.lex_state = 8, .external_lex_state = 4},
  [666] = {.lex_state = 8, .external_lex_state = 4},
  [667] = {.lex_state = 8, .external_lex_state = 4},
  [668] = {.lex_state = 8, .external_lex_state = 4},
  [669] = {.lex_state = 8, .external_lex_state = 4},
  [670] = {.lex_state = 8, .external_lex_state = 4},
  [671] = {.lex_state = 8, .external_lex_state = 4},
  [672] = {.lex_state = 8, .external_lex_state = 4},
  [673] = {.lex_state = 8, .external_lex_state = 4},
  [674] = {.lex_state = 8, .external_lex_state = 4},
  [675] = {.lex_state = 8, .external_lex_state = 4},
  [676] = {.lex_state = 8, .external_lex_state = 4},
  [677] = {.lex_state = 8, .external_lex_state = 4},
  [678] = {.lex_state = 8, .external_lex_state = 4},
  [679] = {.lex_state = 8, .external_lex_state = 4},
  [680] = {.lex_state = 8, .external_lex_state = 4},
  [681] = {.lex_state = 8, .external_lex_state = 4},
  [682] = {.lex_state = 8, .external_lex_state = 4},
  [683] = {.lex_state = 8, .external_lex_state = 4},
  [684] = {.lex_state = 8, .external_lex_state = 4},
  [685] = {.lex_state = 8, .external_lex_state = 4},
  [686] = {.lex_state = 8, .external_lex_state = 3},
  [687] = {.lex_state = 8, .external_lex_state = 4},
  [688] = {.lex_state = 8, .external_lex_state = 4},
  [689] = {.lex_state = 8, .external_lex_state = 4},
  [690] = {.lex_state = 8, .external_lex_state = 4},
  [691] = {.lex_state = 8, .external_lex_state = 4},
  [692] = {.lex_state = 8, .external_lex_state = 4},
  [693] = {.lex_state = 8, .external_lex_state = 4},
  [694] = {.lex_state = 8, .external_lex_state = 4},
  [695] = {.lex_state = 8, .external_lex_state = 4},
  [696] = {.lex_state = 8, .external_lex_state = 4},
  [697] = {.lex_state = 8, .external_lex_state = 4},
  [698] = {.lex_state = 8, .external_lex_state = 4},
  [699] = {.lex_state = 8, .external_lex_state = 4},
  [700] = {.lex_state = 8, .external_lex_state = 4},
  [701] = {.lex_state = 8, .external_lex_state = 4},
  [702] = {.lex_state = 8, .external_lex_state = 4},
  [703] = {.lex_state = 8, .external_lex_state = 4},
  [704] = {.lex_state = 8, .external_lex_state = 4},
  [705] = {.lex_state = 8, .external_lex_state = 4},
  [706] = {.lex_state = 8, .external_lex_state = 4},
  [707] = {.lex_state = 8, .external_lex_state = 4},
  [708] = {.lex_state = 8, .external_lex_state = 4},
  [709] = {.lex_state = 8, .external_lex_state = 4},
  [710] = {.lex_state = 8, .external_lex_state = 4},
  [711] = {.lex_state = 8, .external_lex_state = 4},
  [712] = {.lex_state = 8, .external_lex_state = 4},
  [713] = {.lex_state = 8, .external_lex_state = 4},
  [714] = {.lex_state = 8, .external_lex_state = 4},
  [715] = {.lex_state = 8, .external_lex_state = 4},
  [716] = {.lex_state = 8, .external_lex_state = 4},
  [717] = {.lex_state = 8, .external_lex_state = 4},
  [718] = {.lex_state = 8, .external_lex_state = 4},
  [719] = {.lex_state = 8, .external_lex_state = 4},
  [720] = {.lex_state = 8, .external_lex_state = 4},
  [721] = {.lex_state = 8, .external_lex_state = 4},
  [722] = {.lex_state = 8, .external_lex_state = 4},
  [723] = {.lex_state = 8, .external_lex_state = 4},
  [724] = {.lex_state = 8, .external_lex_state = 4},
  [725] = {.lex_state = 9, .external_lex_state = 4},
  [726] = {.lex_state = 8, .external_lex_state = 4},
  [727] = {.lex_state = 9, .external_lex_state = 4},
  [728] = {.lex_state = 8, .external_lex_state = 4},
  [729] = {.lex_state = 8, .external_lex_state = 3},
  [730] = {.lex_state = 8, .external_lex_state = 4},
  [731] = {.lex_state = 8, .external_lex_state = 3},
  [732] = {.lex_state = 8, .external_lex_state = 3},
  [733] = {.lex_state = 8, .external_lex_state = 3},
  [734] = {.lex_state = 8, .external_lex_state = 4},
  [735] = {.lex_state = 8, .external_lex_state = 4},
  [736] = {.lex_state = 8, .external_lex_state = 4},
  [737] = {.lex_state = 8, .external_lex_state = 4},
  [738] = {.lex_state = 8, .external_lex_state = 4},
  [739] = {.lex_state = 8, .external_lex_state = 4},
  [740] = {.lex_state = 8, .external_lex_state = 4},
  [741] = {.lex_state = 8, .external_lex_state = 4},
  [742] = {.lex_state = 8, .external_lex_state = 4},
  [743] = {.lex_state = 8, .external_lex_state = 4},
  [744] = {.lex_state = 8, .external_lex_state = 4},
  [745] = {.lex_state = 8, .external_lex_state = 4},
  [746] = {.lex_state = 8, .external_lex_state = 4},
  [747] = {.lex_state = 8, .external_lex_state = 4},
  [748] = {.lex_state = 8, .external_lex_state = 4},
  [749] = {.lex_state = 8, .external_lex_state = 4},
  [750] = {.lex_state = 8, .external_lex_state = 4},
  [751] = {.lex_state = 8, .external_lex_state = 4},
  [752] = {.lex_state = 8, .external_lex_state = 4},
  [753] = {.lex_state = 8, .external_lex_state = 4},
  [754] = {.lex_state = 8, .external_lex_state = 3},
  [755] = {.lex_state = 8, .external_lex_state = 4},
  [756] = {.lex_state = 8, .external_lex_state = 3},
  [757] = {.lex_state = 8, .external_lex_state = 3},
  [758] = {.lex_state = 8, .external_lex_state = 3},
  [759] = {.lex_state = 8, .external_lex_state = 3},
  [760] = {.lex_state = 8, .external_lex_state = 3},
  [761] = {.lex_state = 8, .external_lex_state = 3},
  [762] = {.lex_state = 8, .external_lex_state = 3},
  [763] = {.lex_state = 8, .external_lex_state = 3},
  [764] = {.lex_state = 8, .external_lex_state = 3},
  [765] = {.lex_state = 8, .external_lex_state = 3},
  [766] = {.lex_state = 8, .external_lex_state = 3},
  [767] = {.lex_state = 8, .external_lex_state = 3},
  [768] = {.lex_state = 8, .external_lex_state = 3},
  [769] = {.lex_state = 8, .external_lex_state = 3},
  [770] = {.lex_state = 8, .external_lex_state = 3},
  [771] = {.lex_state = 8, .external_lex_state = 3},
  [772] = {.lex_state = 8, .external_lex_state = 3},
  [773] = {.lex_state = 8, .external_lex_state = 3},
  [774] = {.lex_state = 8, .external_lex_state = 3},
  [775] = {.lex_state = 8, .external_lex_state = 3},
  [776] = {.lex_state = 8, .external_lex_state = 3},
  [777] = {.lex_state = 8, .external_lex_state = 3},
  [778] = {.lex_state = 8, .external_lex_state = 3},
  [779] = {.lex_state = 8, .external_lex_state = 3},
  [780] = {.lex_state = 8, .external_lex_state = 3},
  [781] = {.lex_state = 8, .external_lex_state = 3},
  [782] = {.lex_state = 8, .external_lex_state = 3},
  [783] = {.lex_state = 8, .external_lex_state = 3},
  [784] = {.lex_state = 8, .external_lex_state = 3},
  [785] = {.lex_state = 8, .external_lex_state = 3},
  [786] = {.lex_state = 8, .external_lex_state = 3},
  [787] = {.lex_state = 8, .external_lex_state = 3},
  [788] = {.lex_state = 8, .external_lex_state = 3},
  [789] = {.lex_state = 8, .external_lex_state = 3},
  [790] = {.lex_state = 8, .external_lex_state = 3},
  [791] = {.lex_state = 8, .external_lex_state = 3},
  [792] = {.lex_state = 8, .external_lex_state = 3},
  [793] = {.lex_state = 8, .external_lex_state = 3},
  [794] = {.lex_state = 8, .external_lex_state = 3},
  [795] = {.lex_state = 8, .external_lex_state = 3},
  [796] = {.lex_state = 8, .external_lex_state = 3},
  [797] = {.lex_state = 8, .external_lex_state = 3},
  [798] = {.lex_state = 8, .external_lex_state = 4},
  [799] = {.lex_state = 8, .external_lex_state = 3},
  [800] = {.lex_state = 8, .external_lex_state = 3},
  [801] = {.lex_state = 8, .external_lex_state = 3},
  [802] = {.lex_state = 8, .external_lex_state = 3},
  [803] = {.lex_state = 8, .external_lex_state = 3},
  [804] = {.lex_state = 8, .external_lex_state = 3},
  [805] = {.lex_state = 8, .external_lex_state = 3},
  [806] = {.lex_state = 8, .external_lex_state = 3},
  [807] = {.lex_state = 8, .external_lex_state = 3},
  [808] = {.lex_state = 8, .external_lex_state = 3},
  [809] = {.lex_state = 8, .external_lex_state = 3},
  [810] = {.lex_state = 8, .external_lex_state = 3},
  [811] = {.lex_state = 8, .external_lex_state = 3},
  [812] = {.lex_state = 8, .external_lex_state = 3},
  [813] = {.lex_state = 8, .external_lex_state = 3},
  [814] = {.lex_state = 8, .external_lex_state = 3},
  [815] = {.lex_state = 8, .external_lex_state = 3},
  [816] = {.lex_state = 8, .external_lex_state = 3},
  [817] = {.lex_state = 8, .external_lex_state = 3},
  [818] = {.lex_state = 8, .external_lex_state = 3},
  [819] = {.lex_state = 8, .external_lex_state = 3},
  [820] = {.lex_state = 8, .external_lex_state = 3},
  [821] = {.lex_state = 8, .external_lex_state = 3},
  [822] = {.lex_state = 8, .external_lex_state = 3},
  [823] = {.lex_state = 8, .external_lex_state = 3},
  [824] = {.lex_state = 8, .external_lex_state = 4},
  [825] = {.lex_state = 8, .external_lex_state = 3},
  [826] = {.lex_state = 8, .external_lex_state = 3},
  [827] = {.lex_state = 8, .external_lex_state = 3},
  [828] = {.lex_state = 8, .external_lex_state = 3},
  [829] = {.lex_state = 8, .external_lex_state = 3},
  [830] = {.lex_state = 8, .external_lex_state = 3},
  [831] = {.lex_state = 8, .external_lex_state = 3},
  [832] = {.lex_state = 5, .external_lex_state = 2},
  [833] = {.lex_state = 8, .external_lex_state = 4},
  [834] = {.lex_state = 8, .external_lex_state = 3},
  [835] = {.lex_state = 9, .external_lex_state = 3},
  [836] = {.lex_state = 5, .external_lex_state = 2},
  [837] = {.lex_state = 8, .external_lex_state = 3},
  [838] = {.lex_state = 8, .external_lex_state = 4},
  [839] = {.lex_state = 8, .external_lex_state = 3},
  [840] = {.lex_state = 5, .external_lex_state = 2},
  [841] = {.lex_state = 8, .external_lex_state = 3},
  [842] = {.lex_state = 5, .external_lex_state = 2},
  [843] = {.lex_state = 5, .external_lex_state = 2},
  [844] = {.lex_state = 5, .external_lex_state = 2},
  [845] = {.lex_state = 8, .external_lex_state = 3},
  [846] = {.lex_state = 8, .external_lex_state = 3},
  [847] = {.lex_state = 8, .external_lex_state = 3},
  [848] = {.lex_state = 8, .external_lex_state = 3},
  [849] = {.lex_state = 8, .external_lex_state = 3},
  [850] = {.lex_state = 8, .external_lex_state = 3},
  [851] = {.lex_state = 8, .external_lex_state = 3},
  [852] = {.lex_state = 8, .external_lex_state = 3},
  [853] = {.lex_state = 8, .external_lex_state = 3},
  [854] = {.lex_state = 8, .external_lex_state = 3},
  [855] = {.lex_state = 8, .external_lex_state = 3},
  [856] = {.lex_state = 8, .external_lex_state = 3},
  [857] = {.lex_state = 8, .external_lex_state = 3},
  [858] = {.lex_state = 8, .external_lex_state = 3},
  [859] = {.lex_state = 8, .external_lex_state = 3},
  [860] = {.lex_state = 8, .external_lex_state = 3},
  [861] = {.lex_state = 8, .external_lex_state = 3},
  [862] = {.lex_state = 8, .external_lex_state = 3},
  [863] = {.lex_state = 8, .external_lex_state = 3},
  [864] = {.lex_state = 8, .external_lex_state = 3},
  [865] = {.lex_state = 8, .external_lex_state = 3},
  [866] = {.lex_state = 8, .external_lex_state = 3},
  [867] = {.lex_state = 8, .external_lex_state = 3},
  [868] = {.lex_state = 8, .external_lex_state = 3},
  [869] = {.lex_state = 8, .external_lex_state = 3},
  [870] = {.lex_state = 8, .external_lex_state = 3},
  [871] = {.lex_state = 8, .external_lex_state = 3},
  [872] = {.lex_state = 8, .external_lex_state = 3},
  [873] = {.lex_state = 8, .external_lex_state = 3},
  [874] = {.lex_state = 8, .external_lex_state = 3},
  [875] = {.lex_state = 8, .external_lex_state = 3},
  [876] = {.lex_state = 8, .external_lex_state = 3},
  [877] = {.lex_state = 8, .external_lex_state = 3},
  [878] = {.lex_state = 5, .external_lex_state = 2},
  [879] = {.lex_state = 8, .external_lex_state = 3},
  [880] = {.lex_state = 8, .external_lex_state = 3},
  [881] = {.lex_state = 5, .external_lex_state = 2},
  [882] = {.lex_state = 5, .external_lex_state = 2},
  [883] = {.lex_state = 5, .external_lex_state = 2},
  [884] = {.lex_state = 5, .external_lex_state = 2},
  [885] = {.lex_state = 5, .external_lex_state = 2},
  [886] = {.lex_state = 5, .external_lex_state = 2},
  [887] = {.lex_state = 5, .external_lex_state = 2},
  [888] = {.lex_state = 5, .external_lex_state = 2},
  [889] = {.lex_state = 5, .external_lex_state = 2},
  [890] = {.lex_state = 5, .external_lex_state = 2},
  [891] = {.lex_state = 5, .external_lex_state = 2},
  [892] = {.lex_state = 144, .external_lex_state = 2},
  [893] = {.lex_state = 144, .external_lex_state = 2},
  [894] = {.lex_state = 144, .external_lex_state = 2},
  [895] = {.lex_state = 144, .external_lex_state = 2},
  [896] = {.lex_state = 144, .external_lex_state = 2},
  [897] = {.lex_state = 144, .external_lex_state = 2},
  [898] = {.lex_state = 144, .external_lex_state = 2},
  [899] = {.lex_state = 144, .external_lex_state = 2},
  [900] = {.lex_state = 144, .external_lex_state = 2},
  [901] = {.lex_state = 144, .external_lex_state = 2},
  [902] = {.lex_state = 144, .external_lex_state = 2},
  [903] = {.lex_state = 144, .external_lex_state = 2},
  [904] = {.lex_state = 144, .external_lex_state = 2},
  [905] = {.lex_state = 144, .external_lex_state = 2},
  [906] = {.lex_state = 144, .external_lex_state = 2},
  [907] = {.lex_state = 144, .external_lex_state = 5},
  [908] = {.lex_state = 144, .external_lex_state = 2},
  [909] = {.lex_state = 144, .external_lex_state = 2},
  [910] = {.lex_state = 144, .external_lex_state = 2},
  [911] = {.lex_state = 144, .external_lex_state = 2},
  [912] = {.lex_state = 144, .external_lex_state = 2},
  [913] = {.lex_state = 144, .external_lex_state = 2},
  [914] = {.lex_state = 144, .external_lex_state = 2},
  [915] = {.lex_state = 5, .external_lex_state = 2},
  [916] = {.lex_state = 144, .external_lex_state = 2},
  [917] = {.lex_state = 144, .external_lex_state = 2},
  [918] = {.lex_state = 144, .external_lex_state = 2},
  [919] = {.lex_state = 144, .external_lex_state = 5},
  [920] = {.lex_state = 144, .external_lex_state = 5},
  [921] = {.lex_state = 144, .external_lex_state = 2},
  [922] = {.lex_state = 144, .external_lex_state = 2},
  [923] = {.lex_state = 144, .external_lex_state = 2},
  [924] = {.lex_state = 144, .external_lex_state = 2},
  [925] = {.lex_state = 144, .external_lex_state = 5},
  [926] = {.lex_state = 5, .external_lex_state = 2},
  [927] = {.lex_state = 144, .external_lex_state = 5},
  [928] = {.lex_state = 5, .external_lex_state = 2},
  [929] = {.lex_state = 144, .external_lex_state = 5},
  [930] = {.lex_state = 5, .external_lex_state = 2},
  [931] = {.lex_state = 5, .external_lex_state = 2},
  [932] = {.lex_state = 5, .external_lex_state = 2},
  [933] = {.lex_state = 144, .external_lex_state = 5},
  [934] = {.lex_state = 144, .external_lex_state = 5},
  [935] = {.lex_state = 5, .external_lex_state = 2},
  [936] = {.lex_state = 11, .external_lex_state = 2},
  [937] = {.lex_state = 5, .external_lex_state = 2},
  [938] = {.lex_state = 5, .external_lex_state = 2},
  [939] = {.lex_state = 5, .external_lex_state = 2},
  [940] = {.lex_state = 5, .external_lex_state = 5},
  [941] = {.lex_state = 5, .external_lex_state = 2},
  [942] = {.lex_state = 5, .external_lex_state = 2},
  [943] = {.lex_state = 144, .external_lex_state = 2},
  [944] = {.lex_state = 5, .external_lex_state = 2},
  [945] = {.lex_state = 5, .external_lex_state = 2},
  [946] = {.lex_state = 5, .external_lex_state = 5},
  [947] = {.lex_state = 5, .external_lex_state = 2},
  [948] = {.lex_state = 5, .external_lex_state = 2},
  [949] = {.lex_state = 5, .external_lex_state = 2},
  [950] = {.lex_state = 5, .external_lex_state = 2},
  [951] = {.lex_state = 5, .external_lex_state = 2},
  [952] = {.lex_state = 5, .external_lex_state = 2},
  [953] = {.lex_state = 5, .external_lex_state = 2},
  [954] = {.lex_state = 5, .external_lex_state = 2},
  [955] = {.lex_state = 5, .external_lex_state = 2},
  [956] = {.lex_state = 5, .external_lex_state = 2},
  [957] = {.lex_state = 5, .external_lex_state = 2},
  [958] = {.lex_state = 5, .external_lex_state = 2},
  [959] = {.lex_state = 5, .external_lex_state = 2},
  [960] = {.lex_state = 5, .external_lex_state = 2},
  [961] = {.lex_state = 144, .external_lex_state = 5},
  [962] = {.lex_state = 5, .external_lex_state = 2},
  [963] = {.lex_state = 5, .external_lex_state = 2},
  [964] = {.lex_state = 144, .external_lex_state = 5},
  [965] = {.lex_state = 144, .external_lex_state = 5},
  [966] = {.lex_state = 144, .external_lex_state = 5},
  [967] = {.lex_state = 5, .external_lex_state = 2},
  [968] = {.lex_state = 5, .external_lex_state = 2},
  [969] = {.lex_state = 5, .external_lex_state = 2},
  [970] = {.lex_state = 5, .external_lex_state = 2},
  [971] = {.lex_state = 5, .external_lex_state = 2},
  [972] = {.lex_state = 5, .external_lex_state = 2},
  [973] = {.lex_state = 5, .external_lex_state = 2},
  [974] = {.lex_state = 5, .external_lex_state = 2},
  [975] = {.lex_state = 5, .external_lex_state = 2},
  [976] = {.lex_state = 5, .external_lex_state = 2},
  [977] = {.lex_state = 5, .external_lex_state = 2},
  [978] = {.lex_state = 5, .external_lex_state = 2},
  [979] = {.lex_state = 11, .external_lex_state = 2},
  [980] = {.lex_state = 144, .external_lex_state = 2},
  [981] = {.lex_state = 144, .external_lex_state = 2},
  [982] = {.lex_state = 144, .external_lex_state = 2},
  [983] = {.lex_state = 144, .external_lex_state = 2},
  [984] = {.lex_state = 144, .external_lex_state = 2},
  [985] = {.lex_state = 144, .external_lex_state = 2},
  [986] = {.lex_state = 144, .external_lex_state = 2},
  [987] = {.lex_state = 144, .external_lex_state = 2},
  [988] = {.lex_state = 144, .external_lex_state = 2},
  [989] = {.lex_state = 144, .external_lex_state = 2},
  [990] = {.lex_state = 5, .external_lex_state = 2},
  [991] = {.lex_state = 5, .external_lex_state = 2},
  [992] = {.lex_state = 5, .external_lex_state = 2},
  [993] = {.lex_state = 144, .external_lex_state = 2},
  [994] = {.lex_state = 144, .external_lex_state = 2},
  [995] = {.lex_state = 144, .external_lex_state = 2},
  [996] = {.lex_state = 144, .external_lex_state = 2},
  [997] = {.lex_state = 144, .external_lex_state = 2},
  [998] = {.lex_state = 144, .external_lex_state = 2},
  [999] = {.lex_state = 144, .external_lex_state = 2},
  [1000] = {.lex_state = 144, .external_lex_state = 2},
  [1001] = {.lex_state = 144, .external_lex_state = 2},
  [1002] = {.lex_state = 144, .external_lex_state = 2},
  [1003] = {.lex_state = 144, .external_lex_state = 2},
  [1004] = {.lex_state = 144, .external_lex_state = 2},
  [1005] = {.lex_state = 144, .external_lex_state = 2},
  [1006] = {.lex_state = 144, .external_lex_state = 2},
  [1007] = {.lex_state = 5, .external_lex_state = 2},
  [1008] = {.lex_state = 144, .external_lex_state = 2},
  [1009] = {.lex_state = 144, .external_lex_state = 2},
  [1010] = {.lex_state = 144, .external_lex_state = 2},
  [1011] = {.lex_state = 144, .external_lex_state = 2},
  [1012] = {.lex_state = 144, .external_lex_state = 2},
  [1013] = {.lex_state = 144, .external_lex_state = 2},
  [1014] = {.lex_state = 5, .external_lex_state = 2},
  [1015] = {.lex_state = 144, .external_lex_state = 2},
  [1016] = {.lex_state = 144, .external_lex_state = 2},
  [1017] = {.lex_state = 144, .external_lex_state = 2},
  [1018] = {.lex_state = 144, .external_lex_state = 2},
  [1019] = {.lex_state = 144, .external_lex_state = 2},
  [1020] = {.lex_state = 144, .external_lex_state = 2},
  [1021] = {.lex_state = 144, .external_lex_state = 2},
  [1022] = {.lex_state = 144, .external_lex_state = 2},
  [1023] = {.lex_state = 5, .external_lex_state = 2},
  [1024] = {.lex_state = 144, .external_lex_state = 2},
  [1025] = {.lex_state = 144, .external_lex_state = 2},
  [1026] = {.lex_state = 144, .external_lex_state = 2},
  [1027] = {.lex_state = 144, .external_lex_state = 2},
  [1028] = {.lex_state = 7, .external_lex_state = 2},
  [1029] = {.lex_state = 144, .external_lex_state = 2},
  [1030] = {.lex_state = 144, .external_lex_state = 2},
  [1031] = {.lex_state = 144, .external_lex_state = 2},
  [1032] = {.lex_state = 7, .external_lex_state = 2},
  [1033] = {.lex_state = 7, .external_lex_state = 2},
  [1034] = {.lex_state = 7, .external_lex_state = 2},
  [1035] = {.lex_state = 144, .external_lex_state = 2},
  [1036] = {.lex_state = 144, .external_lex_state = 2},
  [1037] = {.lex_state = 144, .external_lex_state = 2},
  [1038] = {.lex_state = 144, .external_lex_state = 2},
  [1039] = {.lex_state = 144, .external_lex_state = 2},
  [1040] = {.lex_state = 144, .external_lex_state = 2},
  [1041] = {.lex_state = 144, .external_lex_state = 2},
  [1042] = {.lex_state = 144, .external_lex_state = 2},
  [1043] = {.lex_state = 144, .external_lex_state = 2},
  [1044] = {.lex_state = 144, .external_lex_state = 2},
  [1045] = {.lex_state = 144, .external_lex_state = 2},
  [1046] = {.lex_state = 144, .external_lex_state = 2},
  [1047] = {.lex_state = 7, .external_lex_state = 2},
  [1048] = {.lex_state = 143, .external_lex_state = 2},
  [1049] = {.lex_state = 13, .external_lex_state = 2},
  [1050] = {.lex_state = 13, .external_lex_state = 2},
  [1051] = {.lex_state = 11, .external_lex_state = 6},
  [1052] = {.lex_state = 11, .external_lex_state = 6},
  [1053] = {.lex_state = 11, .external_lex_state = 6},
  [1054] = {.lex_state = 13, .external_lex_state = 2},
  [1055] = {.lex_state = 11, .external_lex_state = 6},
  [1056] = {.lex_state = 11, .external_lex_state = 6},
  [1057] = {.lex_state = 11, .external_lex_state = 6},
  [1058] = {.lex_state = 11, .external_lex_state = 6},
  [1059] = {.lex_state = 11, .external_lex_state = 6},
  [1060] = {.lex_state = 13, .external_lex_state = 2},
  [1061] = {.lex_state = 13, .external_lex_state = 2},
  [1062] = {.lex_state = 11, .external_lex_state = 6},
  [1063] = {.lex_state = 13, .external_lex_state = 2},
  [1064] = {.lex_state = 13, .external_lex_state = 2},
  [1065] = {.lex_state = 13, .external_lex_state = 2},
  [1066] = {.lex_state = 13, .external_lex_state = 2},
  [1067] = {.lex_state = 13, .external_lex_state = 2},
  [1068] = {.lex_state = 13, .external_lex_state = 2},
  [1069] = {.lex_state = 13, .external_lex_state = 2},
  [1070] = {.lex_state = 13, .external_lex_state = 2},
  [1071] = {.lex_state = 13, .external_lex_state = 2},
  [1072] = {.lex_state = 13, .external_lex_state = 2},
  [1073] = {.lex_state = 13, .external_lex_state = 2},
  [1074] = {.lex_state = 13, .external_lex_state = 2},
  [1075] = {.lex_state = 13, .external_lex_state = 2},
  [1076] = {.lex_state = 13, .external_lex_state = 2},
  [1077] = {.lex_state = 13, .external_lex_state = 2},
  [1078] = {.lex_state = 13, .external_lex_state = 2},
  [1079] = {.lex_state = 13, .external_lex_state = 2},
  [1080] = {.lex_state = 13, .external_lex_state = 2},
  [1081] = {.lex_state = 13, .external_lex_state = 2},
  [1082] = {.lex_state = 13, .external_lex_state = 2},
  [1083] = {.lex_state = 13, .external_lex_state = 2},
  [1084] = {.lex_state = 13, .external_lex_state = 2},
  [1085] = {.lex_state = 13, .external_lex_state = 2},
  [1086] = {.lex_state = 13, .external_lex_state = 2},
  [1087] = {.lex_state = 13, .external_lex_state = 2},
  [1088] = {.lex_state = 13, .external_lex_state = 2},
  [1089] = {.lex_state = 13, .external_lex_state = 2},
  [1090] = {.lex_state = 13, .external_lex_state = 2},
  [1091] = {.lex_state = 13, .external_lex_state = 2},
  [1092] = {.lex_state = 13, .external_lex_state = 2},
  [1093] = {.lex_state = 144, .external_lex_state = 2},
  [1094] = {.lex_state = 144, .external_lex_state = 2},
  [1095] = {.lex_state = 144, .external_lex_state = 2},
  [1096] = {.lex_state = 144, .external_lex_state = 2},
  [1097] = {.lex_state = 144, .external_lex_state = 2},
  [1098] = {.lex_state = 144, .external_lex_state = 2},
  [1099] = {.lex_state = 144, .external_lex_state = 2},
  [1100] = {.lex_state = 144, .external_lex_state = 2},
  [1101] = {.lex_state = 144, .external_lex_state = 2},
  [1102] = {.lex_state = 144, .external_lex_state = 2},
  [1103] = {.lex_state = 144, .external_lex_state = 5},
  [1104] = {.lex_state = 144, .external_lex_state = 2},
  [1105] = {.lex_state = 144, .external_lex_state = 2},
  [1106] = {.lex_state = 144, .external_lex_state = 2},
  [1107] = {.lex_state = 144, .external_lex_state = 2},
  [1108] = {.lex_state = 144, .external_lex_state = 2},
  [1109] = {.lex_state = 144, .external_lex_state = 5},
  [1110] = {.lex_state = 144, .external_lex_state = 2},
  [1111] = {.lex_state = 144, .external_lex_state = 2},
  [1112] = {.lex_state = 144, .external_lex_state = 2},
  [1113] = {.lex_state = 144, .external_lex_state = 2},
  [1114] = {.lex_state = 144, .external_lex_state = 2},
  [1115] = {.lex_state = 144, .external_lex_state = 2},
  [1116] = {.lex_state = 144, .external_lex_state = 2},
  [1117] = {.lex_state = 13, .external_lex_state = 2},
  [1118] = {.lex_state = 144, .external_lex_state = 2},
  [1119] = {.lex_state = 144, .external_lex_state = 2},
  [1120] = {.lex_state = 19, .external_lex_state = 7},
  [1121] = {.lex_state = 144, .external_lex_state = 2},
  [1122] = {.lex_state = 144, .external_lex_state = 5},
  [1123] = {.lex_state = 13, .external_lex_state = 2},
  [1124] = {.lex_state = 144, .external_lex_state = 2},
  [1125] = {.lex_state = 144, .external_lex_state = 5},
  [1126] = {.lex_state = 13, .external_lex_state = 2},
  [1127] = {.lex_state = 144, .external_lex_state = 5},
  [1128] = {.lex_state = 144, .external_lex_state = 5},
  [1129] = {.lex_state = 144, .external_lex_state = 5},
  [1130] = {.lex_state = 144, .external_lex_state = 2},
  [1131] = {.lex_state = 144, .external_lex_state = 5},
  [1132] = {.lex_state = 144, .external_lex_state = 5},
  [1133] = {.lex_state = 144, .external_lex_state = 5},
  [1134] = {.lex_state = 144, .external_lex_state = 2},
  [1135] = {.lex_state = 144, .external_lex_state = 2},
  [1136] = {.lex_state = 144, .external_lex_state = 5},
  [1137] = {.lex_state = 144, .external_lex_state = 2},
  [1138] = {.lex_state = 144, .external_lex_state = 5},
  [1139] = {.lex_state = 19, .external_lex_state = 7},
  [1140] = {.lex_state = 19, .external_lex_state = 7},
  [1141] = {.lex_state = 144, .external_lex_state = 2},
  [1142] = {.lex_state = 144, .external_lex_state = 2},
  [1143] = {.lex_state = 19, .external_lex_state = 7},
  [1144] = {.lex_state = 144, .external_lex_state = 2},
  [1145] = {.lex_state = 13, .external_lex_state = 2},
  [1146] = {.lex_state = 144, .external_lex_state = 2},
  [1147] = {.lex_state = 144, .external_lex_state = 5},
  [1148] = {.lex_state = 144, .external_lex_state = 5},
  [1149] = {.lex_state = 19, .external_lex_state = 7},
  [1150] = {.lex_state = 11, .external_lex_state = 6},
  [1151] = {.lex_state = 13, .external_lex_state = 2},
  [1152] = {.lex_state = 144, .external_lex_state = 2},
  [1153] = {.lex_state = 144, .external_lex_state = 2},
  [1154] = {.lex_state = 11, .external_lex_state = 6},
  [1155] = {.lex_state = 13, .external_lex_state = 2},
  [1156] = {.lex_state = 144, .external_lex_state = 2},
  [1157] = {.lex_state = 13, .external_lex_state = 2},
  [1158] = {.lex_state = 11, .external_lex_state = 6},
  [1159] = {.lex_state = 144, .external_lex_state = 2},
  [1160] = {.lex_state = 144, .external_lex_state = 2},
  [1161] = {.lex_state = 144, .external_lex_state = 2},
  [1162] = {.lex_state = 144, .external_lex_state = 2},
  [1163] = {.lex_state = 144, .external_lex_state = 5},
  [1164] = {.lex_state = 13, .external_lex_state = 2},
  [1165] = {.lex_state = 144, .external_lex_state = 5},
  [1166] = {.lex_state = 11, .external_lex_state = 6},
  [1167] = {.lex_state = 13, .external_lex_state = 2},
  [1168] = {.lex_state = 13, .external_lex_state = 2},
  [1169] = {.lex_state = 144, .external_lex_state = 2},
  [1170] = {.lex_state = 11, .external_lex_state = 6},
  [1171] = {.lex_state = 13, .external_lex_state = 2},
  [1172] = {.lex_state = 13, .external_lex_state = 2},
  [1173] = {.lex_state = 11, .external_lex_state = 6},
  [1174] = {.lex_state = 144, .external_lex_state = 2},
  [1175] = {.lex_state = 13, .external_lex_state = 2},
  [1176] = {.lex_state = 13, .external_lex_state = 2},
  [1177] = {.lex_state = 144, .external_lex_state = 2},
  [1178] = {.lex_state = 144, .external_lex_state = 2},
  [1179] = {.lex_state = 11, .external_lex_state = 6},
  [1180] = {.lex_state = 144, .external_lex_state = 2},
  [1181] = {.lex_state = 11, .external_lex_state = 6},
  [1182] = {.lex_state = 11, .external_lex_state = 6},
  [1183] = {.lex_state = 11, .external_lex_state = 6},
  [1184] = {.lex_state = 144, .external_lex_state = 2},
  [1185] = {.lex_state = 144, .external_lex_state = 2},
  [1186] = {.lex_state = 144, .external_lex_state = 5},
  [1187] = {.lex_state = 13, .external_lex_state = 2},
  [1188] = {.lex_state = 11, .external_lex_state = 6},
  [1189] = {.lex_state = 144, .external_lex_state = 2},
  [1190] = {.lex_state = 11, .external_lex_state = 6},
  [1191] = {.lex_state = 144, .external_lex_state = 2},
  [1192] = {.lex_state = 13, .external_lex_state = 2},
  [1193] = {.lex_state = 13, .external_lex_state = 2},
  [1194] = {.lex_state = 11, .external_lex_state = 6},
  [1195] = {.lex_state = 13, .external_lex_state = 2},
  [1196] = {.lex_state = 144, .external_lex_state = 2},
  [1197] = {.lex_state = 13, .external_lex_state = 2},
  [1198] = {.lex_state = 13, .external_lex_state = 2},
  [1199] = {.lex_state = 144, .external_lex_state = 2},
  [1200] = {.lex_state = 13, .external_lex_state = 2},
  [1201] = {.lex_state = 13, .external_lex_state = 2},
  [1202] = {.lex_state = 144, .external_lex_state = 5},
  [1203] = {.lex_state = 13, .external_lex_state = 2},
  [1204] = {.lex_state = 13, .external_lex_state = 2},
  [1205] = {.lex_state = 13, .external_lex_state = 2},
  [1206] = {.lex_state = 13, .external_lex_state = 2},
  [1207] = {.lex_state = 13, .external_lex_state = 2},
  [1208] = {.lex_state = 144, .external_lex_state = 2},
  [1209] = {.lex_state = 11, .external_lex_state = 6},
  [1210] = {.lex_state = 144, .external_lex_state = 2},
  [1211] = {.lex_state = 11, .external_lex_state = 6},
  [1212] = {.lex_state = 11, .external_lex_state = 6},
  [1213] = {.lex_state = 144, .external_lex_state = 2},
  [1214] = {.lex_state = 144, .external_lex_state = 2},
  [1215] = {.lex_state = 13, .external_lex_state = 2},
  [1216] = {.lex_state = 11, .external_lex_state = 6},
  [1217] = {.lex_state = 144, .external_lex_state = 2},
  [1218] = {.lex_state = 144, .external_lex_state = 2},
  [1219] = {.lex_state = 144, .external_lex_state = 5},
  [1220] = {.lex_state = 144, .external_lex_state = 5},
  [1221] = {.lex_state = 144, .external_lex_state = 5},
  [1222] = {.lex_state = 144, .external_lex_state = 2},
  [1223] = {.lex_state = 144, .external_lex_state = 2},
  [1224] = {.lex_state = 144, .external_lex_state = 2},
  [1225] = {.lex_state = 144, .external_lex_state = 2},
  [1226] = {.lex_state = 144, .external_lex_state = 2},
  [1227] = {.lex_state = 144, .external_lex_state = 2},
  [1228] = {.lex_state = 15, .external_lex_state = 8},
  [1229] = {.lex_state = 23, .external_lex_state = 8},
  [1230] = {.lex_state = 144, .external_lex_state = 2},
  [1231] = {.lex_state = 12, .external_lex_state = 2},
  [1232] = {.lex_state = 21, .external_lex_state = 2},
  [1233] = {.lex_state = 23, .external_lex_state = 8},
  [1234] = {.lex_state = 144, .external_lex_state = 2},
  [1235] = {.lex_state = 144, .external_lex_state = 2},
  [1236] = {.lex_state = 144, .external_lex_state = 2},
  [1237] = {.lex_state = 19, .external_lex_state = 7},
  [1238] = {.lex_state = 144, .external_lex_state = 2},
  [1239] = {.lex_state = 15, .external_lex_state = 8},
  [1240] = {.lex_state = 144, .external_lex_state = 5},
  [1241] = {.lex_state = 15, .external_lex_state = 8},
  [1242] = {.lex_state = 23, .external_lex_state = 8},
  [1243] = {.lex_state = 144, .external_lex_state = 2},
  [1244] = {.lex_state = 144, .external_lex_state = 2},
  [1245] = {.lex_state = 144, .external_lex_state = 2},
  [1246] = {.lex_state = 15, .external_lex_state = 8},
  [1247] = {.lex_state = 23, .external_lex_state = 8},
  [1248] = {.lex_state = 144, .external_lex_state = 2},
  [1249] = {.lex_state = 15, .external_lex_state = 8},
  [1250] = {.lex_state = 23, .external_lex_state = 8},
  [1251] = {.lex_state = 144, .external_lex_state = 5},
  [1252] = {.lex_state = 15, .external_lex_state = 8},
  [1253] = {.lex_state = 23, .external_lex_state = 8},
  [1254] = {.lex_state = 144, .external_lex_state = 2},
  [1255] = {.lex_state = 15, .external_lex_state = 8},
  [1256] = {.lex_state = 23, .external_lex_state = 8},
  [1257] = {.lex_state = 144, .external_lex_state = 2},
  [1258] = {.lex_state = 144, .external_lex_state = 2},
  [1259] = {.lex_state = 144, .external_lex_state = 2},
  [1260] = {.lex_state = 144, .external_lex_state = 2},
  [1261] = {.lex_state = 144, .external_lex_state = 2},
  [1262] = {.lex_state = 144, .external_lex_state = 2},
  [1263] = {.lex_state = 144, .external_lex_state = 2},
  [1264] = {.lex_state = 144, .external_lex_state = 2},
  [1265] = {.lex_state = 144, .external_lex_state = 2},
  [1266] = {.lex_state = 144, .external_lex_state = 2},
  [1267] = {.lex_state = 143, .external_lex_state = 2},
  [1268] = {.lex_state = 12, .external_lex_state = 2},
  [1269] = {.lex_state = 21, .external_lex_state = 2},
  [1270] = {.lex_state = 144, .external_lex_state = 2},
  [1271] = {.lex_state = 144, .external_lex_state = 5},
  [1272] = {.lex_state = 144, .external_lex_state = 2},
  [1273] = {.lex_state = 144, .external_lex_state = 5},
  [1274] = {.lex_state = 144, .external_lex_state = 2},
  [1275] = {.lex_state = 144, .external_lex_state = 2},
  [1276] = {.lex_state = 15, .external_lex_state = 8},
  [1277] = {.lex_state = 23, .external_lex_state = 8},
  [1278] = {.lex_state = 144, .external_lex_state = 2},
  [1279] = {.lex_state = 143, .external_lex_state = 2},
  [1280] = {.lex_state = 144, .external_lex_state = 5},
  [1281] = {.lex_state = 144, .external_lex_state = 5},
  [1282] = {.lex_state = 144, .external_lex_state = 5},
  [1283] = {.lex_state = 144, .external_lex_state = 5},
  [1284] = {.lex_state = 144, .external_lex_state = 5},
  [1285] = {.lex_state = 144, .external_lex_state = 2},
  [1286] = {.lex_state = 12, .external_lex_state = 2},
  [1287] = {.lex_state = 15, .external_lex_state = 8},
  [1288] = {.lex_state = 23, .external_lex_state = 8},
  [1289] = {.lex_state = 144, .external_lex_state = 2},
  [1290] = {.lex_state = 21, .external_lex_state = 2},
  [1291] = {.lex_state = 144, .external_lex_state = 2},
  [1292] = {.lex_state = 144, .external_lex_state = 2},
  [1293] = {.lex_state = 144, .external_lex_state = 2},
  [1294] = {.lex_state = 144, .external_lex_state = 2},
  [1295] = {.lex_state = 144, .external_lex_state = 2},
  [1296] = {.lex_state = 6, .external_lex_state = 2},
  [1297] = {.lex_state = 144, .external_lex_state = 2},
  [1298] = {.lex_state = 144, .external_lex_state = 5},
  [1299] = {.lex_state = 144, .external_lex_state = 2},
  [1300] = {.lex_state = 144, .external_lex_state = 2},
  [1301] = {.lex_state = 144, .external_lex_state = 2},
  [1302] = {.lex_state = 144, .external_lex_state = 2},
  [1303] = {.lex_state = 2, .external_lex_state = 2},
  [1304] = {.lex_state = 144, .external_lex_state = 2},
  [1305] = {.lex_state = 144, .external_lex_state = 2},
  [1306] = {.lex_state = 6, .external_lex_state = 2},
  [1307] = {.lex_state = 144, .external_lex_state = 5},
  [1308] = {.lex_state = 144, .external_lex_state = 2},
  [1309] = {.lex_state = 144, .external_lex_state = 2},
  [1310] = {.lex_state = 144, .external_lex_state = 2},
  [1311] = {.lex_state = 144, .external_lex_state = 2},
  [1312] = {.lex_state = 144, .external_lex_state = 2},
  [1313] = {.lex_state = 144, .external_lex_state = 2},
  [1314] = {.lex_state = 144, .external_lex_state = 2},
  [1315] = {.lex_state = 144, .external_lex_state = 2},
  [1316] = {.lex_state = 144, .external_lex_state = 2},
  [1317] = {.lex_state = 144, .external_lex_state = 2},
  [1318] = {.lex_state = 144, .external_lex_state = 2},
  [1319] = {.lex_state = 144, .external_lex_state = 2},
  [1320] = {.lex_state = 144, .external_lex_state = 2},
  [1321] = {.lex_state = 144, .external_lex_state = 5},
  [1322] = {.lex_state = 144, .external_lex_state = 2},
  [1323] = {.lex_state = 144, .external_lex_state = 2},
  [1324] = {.lex_state = 144, .external_lex_state = 2},
  [1325] = {.lex_state = 144, .external_lex_state = 2},
  [1326] = {.lex_state = 144, .external_lex_state = 2},
  [1327] = {.lex_state = 144, .external_lex_state = 2},
  [1328] = {.lex_state = 144, .external_lex_state = 2},
  [1329] = {.lex_state = 144, .external_lex_state = 2},
  [1330] = {.lex_state = 144, .external_lex_state = 5},
  [1331] = {.lex_state = 144, .external_lex_state = 2},
  [1332] = {.lex_state = 144, .external_lex_state = 2},
  [1333] = {.lex_state = 144, .external_lex_state = 2},
  [1334] = {.lex_state = 144, .external_lex_state = 2},
  [1335] = {.lex_state = 144, .external_lex_state = 2},
  [1336] = {.lex_state = 144, .external_lex_state = 2},
  [1337] = {.lex_state = 144, .external_lex_state = 2},
  [1338] = {.lex_state = 143, .external_lex_state = 2},
  [1339] = {.lex_state = 144, .external_lex_state = 5},
  [1340] = {.lex_state = 144, .external_lex_state = 2},
  [1341] = {.lex_state = 144, .external_lex_state = 2},
  [1342] = {.lex_state = 144, .external_lex_state = 2},
  [1343] = {.lex_state = 144, .external_lex_state = 2},
  [1344] = {.lex_state = 144, .external_lex_state = 5},
  [1345] = {.lex_state = 144, .external_lex_state = 2},
  [1346] = {.lex_state = 144, .external_lex_state = 2},
  [1347] = {.lex_state = 144, .external_lex_state = 2},
  [1348] = {.lex_state = 2, .external_lex_state = 2},
  [1349] = {.lex_state = 144, .external_lex_state = 5},
  [1350] = {.lex_state = 144, .external_lex_state = 2},
  [1351] = {.lex_state = 144, .external_lex_state = 5},
  [1352] = {.lex_state = 144, .external_lex_state = 2},
  [1353] = {.lex_state = 144, .external_lex_state = 5},
  [1354] = {.lex_state = 144, .external_lex_state = 2},
  [1355] = {.lex_state = 144, .external_lex_state = 2},
  [1356] = {.lex_state = 144, .external_lex_state = 2},
  [1357] = {.lex_state = 2, .external_lex_state = 2},
  [1358] = {.lex_state = 144, .external_lex_state = 2},
  [1359] = {.lex_state = 144, .external_lex_state = 2},
  [1360] = {.lex_state = 144, .external_lex_state = 2},
  [1361] = {.lex_state = 144, .external_lex_state = 2},
  [1362] = {.lex_state = 144, .external_lex_state = 2},
  [1363] = {.lex_state = 144, .external_lex_state = 2},
  [1364] = {.lex_state = 2, .external_lex_state = 2},
  [1365] = {.lex_state = 144, .external_lex_state = 2},
  [1366] = {.lex_state = 144, .external_lex_state = 2},
  [1367] = {.lex_state = 144, .external_lex_state = 2},
  [1368] = {.lex_state = 144, .external_lex_state = 2},
  [1369] = {.lex_state = 144, .external_lex_state = 2},
  [1370] = {.lex_state = 144, .external_lex_state = 2},
  [1371] = {.lex_state = 144, .external_lex_state = 2},
  [1372] = {.lex_state = 144, .external_lex_state = 2},
  [1373] = {.lex_state = 144, .external_lex_state = 2},
  [1374] = {.lex_state = 2, .external_lex_state = 2},
  [1375] = {.lex_state = 144, .external_lex_state = 2},
  [1376] = {.lex_state = 144, .external_lex_state = 5},
  [1377] = {.lex_state = 143, .external_lex_state = 2},
  [1378] = {.lex_state = 2, .external_lex_state = 2},
  [1379] = {.lex_state = 144, .external_lex_state = 2},
  [1380] = {.lex_state = 144, .external_lex_state = 2},
  [1381] = {.lex_state = 144, .external_lex_state = 2},
  [1382] = {.lex_state = 144, .external_lex_state = 2},
  [1383] = {.lex_state = 144, .external_lex_state = 2},
  [1384] = {.lex_state = 144, .external_lex_state = 2},
  [1385] = {.lex_state = 144, .external_lex_state = 2},
  [1386] = {.lex_state = 2, .external_lex_state = 2},
  [1387] = {.lex_state = 144, .external_lex_state = 2},
  [1388] = {.lex_state = 144, .external_lex_state = 2},
  [1389] = {.lex_state = 144, .external_lex_state = 2},
  [1390] = {.lex_state = 144, .external_lex_state = 2},
  [1391] = {.lex_state = 6, .external_lex_state = 2},
  [1392] = {.lex_state = 144, .external_lex_state = 2},
  [1393] = {.lex_state = 144, .external_lex_state = 2},
  [1394] = {.lex_state = 6, .external_lex_state = 2},
  [1395] = {.lex_state = 144, .external_lex_state = 2},
  [1396] = {.lex_state = 144, .external_lex_state = 2},
  [1397] = {.lex_state = 144, .external_lex_state = 2},
  [1398] = {.lex_state = 144, .external_lex_state = 2},
  [1399] = {.lex_state = 144, .external_lex_state = 2},
  [1400] = {.lex_state = 144, .external_lex_state = 2},
  [1401] = {.lex_state = 144, .external_lex_state = 2},
  [1402] = {.lex_state = 144, .external_lex_state = 2},
  [1403] = {.lex_state = 144, .external_lex_state = 2},
  [1404] = {.lex_state = 144, .external_lex_state = 2},
  [1405] = {.lex_state = 144, .external_lex_state = 2},
  [1406] = {.lex_state = 144, .external_lex_state = 2},
  [1407] = {.lex_state = 144, .external_lex_state = 2},
  [1408] = {.lex_state = 144, .external_lex_state = 2},
  [1409] = {.lex_state = 144, .external_lex_state = 2},
  [1410] = {.lex_state = 144, .external_lex_state = 2},
  [1411] = {.lex_state = 144, .external_lex_state = 2},
  [1412] = {.lex_state = 144, .external_lex_state = 5},
  [1413] = {.lex_state = 144, .external_lex_state = 2},
  [1414] = {.lex_state = 144, .external_lex_state = 2},
  [1415] = {.lex_state = 144, .external_lex_state = 2},
  [1416] = {.lex_state = 144, .external_lex_state = 2},
  [1417] = {.lex_state = 144, .external_lex_state = 2},
  [1418] = {.lex_state = 6, .external_lex_state = 2},
  [1419] = {.lex_state = 144, .external_lex_state = 2},
  [1420] = {.lex_state = 144, .external_lex_state = 2},
  [1421] = {.lex_state = 144, .external_lex_state = 2},
  [1422] = {.lex_state = 144, .external_lex_state = 2},
  [1423] = {.lex_state = 144, .external_lex_state = 2},
  [1424] = {.lex_state = 144, .external_lex_state = 2},
  [1425] = {.lex_state = 144, .external_lex_state = 2},
  [1426] = {.lex_state = 144, .external_lex_state = 2},
  [1427] = {.lex_state = 144, .external_lex_state = 2},
  [1428] = {.lex_state = 144, .external_lex_state = 2},
  [1429] = {.lex_state = 144, .external_lex_state = 2},
  [1430] = {.lex_state = 144, .external_lex_state = 5},
  [1431] = {.lex_state = 144, .external_lex_state = 2},
  [1432] = {.lex_state = 144, .external_lex_state = 2},
  [1433] = {.lex_state = 144, .external_lex_state = 2},
  [1434] = {.lex_state = 144, .external_lex_state = 2},
  [1435] = {.lex_state = 144, .external_lex_state = 2},
  [1436] = {.lex_state = 144, .external_lex_state = 2},
  [1437] = {.lex_state = 144, .external_lex_state = 2},
  [1438] = {.lex_state = 144, .external_lex_state = 2},
  [1439] = {.lex_state = 144, .external_lex_state = 2},
  [1440] = {.lex_state = 144, .external_lex_state = 2},
  [1441] = {.lex_state = 144, .external_lex_state = 2},
  [1442] = {.lex_state = 144, .external_lex_state = 5},
  [1443] = {.lex_state = 144, .external_lex_state = 5},
  [1444] = {.lex_state = 144, .external_lex_state = 2},
  [1445] = {.lex_state = 144, .external_lex_state = 2},
  [1446] = {.lex_state = 144, .external_lex_state = 2},
  [1447] = {.lex_state = 6, .external_lex_state = 2},
  [1448] = {.lex_state = 144, .external_lex_state = 2},
  [1449] = {.lex_state = 144, .external_lex_state = 2},
  [1450] = {.lex_state = 144, .external_lex_state = 2},
  [1451] = {.lex_state = 144, .external_lex_state = 2},
  [1452] = {.lex_state = 144, .external_lex_state = 2},
  [1453] = {.lex_state = 144, .external_lex_state = 2},
  [1454] = {.lex_state = 144, .external_lex_state = 2},
  [1455] = {.lex_state = 144, .external_lex_state = 2},
  [1456] = {.lex_state = 144, .external_lex_state = 2},
  [1457] = {.lex_state = 144, .external_lex_state = 2},
  [1458] = {.lex_state = 144, .external_lex_state = 2},
  [1459] = {.lex_state = 144, .external_lex_state = 2},
  [1460] = {.lex_state = 144, .external_lex_state = 2},
  [1461] = {.lex_state = 144, .external_lex_state = 2},
  [1462] = {.lex_state = 144, .external_lex_state = 2},
  [1463] = {.lex_state = 144, .external_lex_state = 2},
  [1464] = {.lex_state = 144, .external_lex_state = 2},
  [1465] = {.lex_state = 144, .external_lex_state = 2},
  [1466] = {.lex_state = 144, .external_lex_state = 2},
  [1467] = {.lex_state = 144, .external_lex_state = 2},
  [1468] = {.lex_state = 144, .external_lex_state = 2},
  [1469] = {.lex_state = 144, .external_lex_state = 2},
  [1470] = {.lex_state = 144, .external_lex_state = 2},
  [1471] = {.lex_state = 144, .external_lex_state = 2},
  [1472] = {.lex_state = 144, .external_lex_state = 2},
  [1473] = {.lex_state = 144, .external_lex_state = 2},
  [1474] = {.lex_state = 144, .external_lex_state = 2},
  [1475] = {.lex_state = 144, .external_lex_state = 2},
  [1476] = {.lex_state = 144, .external_lex_state = 2},
  [1477] = {.lex_state = 144, .external_lex_state = 2},
  [1478] = {.lex_state = 144, .external_lex_state = 5},
  [1479] = {.lex_state = 144, .external_lex_state = 2},
  [1480] = {.lex_state = 144, .external_lex_state = 2},
  [1481] = {.lex_state = 144, .external_lex_state = 2},
  [1482] = {.lex_state = 144, .external_lex_state = 2},
  [1483] = {.lex_state = 144, .external_lex_state = 2},
  [1484] = {.lex_state = 144, .external_lex_state = 2},
  [1485] = {.lex_state = 144, .external_lex_state = 5},
  [1486] = {.lex_state = 144, .external_lex_state = 2},
  [1487] = {.lex_state = 144, .external_lex_state = 2},
  [1488] = {.lex_state = 144, .external_lex_state = 2},
  [1489] = {.lex_state = 144, .external_lex_state = 2},
  [1490] = {.lex_state = 144, .external_lex_state = 2},
  [1491] = {.lex_state = 144, .external_lex_state = 5},
  [1492] = {.lex_state = 144, .external_lex_state = 2},
  [1493] = {.lex_state = 144, .external_lex_state = 5},
  [1494] = {.lex_state = 144, .external_lex_state = 2},
  [1495] = {.lex_state = 144, .external_lex_state = 2},
  [1496] = {.lex_state = 144, .external_lex_state = 2},
  [1497] = {.lex_state = 144, .external_lex_state = 2},
  [1498] = {.lex_state = 144, .external_lex_state = 2},
  [1499] = {.lex_state = 144, .external_lex_state = 2},
  [1500] = {.lex_state = 144, .external_lex_state = 2},
  [1501] = {.lex_state = 144, .external_lex_state = 2},
  [1502] = {.lex_state = 144, .external_lex_state = 2},
  [1503] = {.lex_state = 144, .external_lex_state = 2},
  [1504] = {.lex_state = 144, .external_lex_state = 2},
  [1505] = {.lex_state = 144, .external_lex_state = 2},
  [1506] = {.lex_state = 144, .external_lex_state = 2},
  [1507] = {.lex_state = 144, .external_lex_state = 2},
  [1508] = {.lex_state = 144, .external_lex_state = 2},
  [1509] = {.lex_state = 144, .external_lex_state = 2},
  [1510] = {.lex_state = 144, .external_lex_state = 2},
  [1511] = {.lex_state = 144, .external_lex_state = 2},
  [1512] = {.lex_state = 144, .external_lex_state = 2},
  [1513] = {.lex_state = 144, .external_lex_state = 2},
  [1514] = {.lex_state = 144, .external_lex_state = 5},
  [1515] = {.lex_state = 144, .external_lex_state = 5},
  [1516] = {.lex_state = 144, .external_lex_state = 2},
  [1517] = {.lex_state = 144, .external_lex_state = 2},
  [1518] = {.lex_state = 144, .external_lex_state = 2},
  [1519] = {.lex_state = 144, .external_lex_state = 2},
  [1520] = {.lex_state = 144, .external_lex_state = 2},
  [1521] = {.lex_state = 144, .external_lex_state = 2},
  [1522] = {.lex_state = 144, .external_lex_state = 2},
  [1523] = {.lex_state = 6, .external_lex_state = 2},
  [1524] = {.lex_state = 144, .external_lex_state = 2},
  [1525] = {.lex_state = 144, .external_lex_state = 2},
  [1526] = {.lex_state = 144, .external_lex_state = 5},
  [1527] = {.lex_state = 144, .external_lex_state = 2},
  [1528] = {.lex_state = 144, .external_lex_state = 2},
  [1529] = {.lex_state = 144, .external_lex_state = 2},
  [1530] = {.lex_state = 144, .external_lex_state = 2},
  [1531] = {.lex_state = 144, .external_lex_state = 2},
  [1532] = {.lex_state = 144, .external_lex_state = 2},
  [1533] = {.lex_state = 144, .external_lex_state = 2},
  [1534] = {.lex_state = 144, .external_lex_state = 2},
  [1535] = {.lex_state = 144, .external_lex_state = 2},
  [1536] = {.lex_state = 144, .external_lex_state = 2},
  [1537] = {.lex_state = 144, .external_lex_state = 2},
  [1538] = {.lex_state = 144, .external_lex_state = 2},
  [1539] = {.lex_state = 144, .external_lex_state = 2},
  [1540] = {.lex_state = 144, .external_lex_state = 2},
  [1541] = {.lex_state = 144, .external_lex_state = 2},
  [1542] = {.lex_state = 144, .external_lex_state = 2},
  [1543] = {.lex_state = 144, .external_lex_state = 5},
  [1544] = {.lex_state = 144, .external_lex_state = 2},
  [1545] = {.lex_state = 144, .external_lex_state = 5},
  [1546] = {.lex_state = 144, .external_lex_state = 2},
  [1547] = {.lex_state = 144, .external_lex_state = 2},
  [1548] = {.lex_state = 144, .external_lex_state = 2},
  [1549] = {.lex_state = 144, .external_lex_state = 2},
  [1550] = {.lex_state = 144, .external_lex_state = 2},
  [1551] = {.lex_state = 144, .external_lex_state = 2},
  [1552] = {.lex_state = 144, .external_lex_state = 2},
  [1553] = {.lex_state = 144, .external_lex_state = 2},
  [1554] = {.lex_state = 144, .external_lex_state = 5},
  [1555] = {.lex_state = 144, .external_lex_state = 2},
  [1556] = {.lex_state = 144, .external_lex_state = 2},
  [1557] = {.lex_state = 144, .external_lex_state = 2},
  [1558] = {.lex_state = 144, .external_lex_state = 5},
  [1559] = {.lex_state = 144, .external_lex_state = 2},
  [1560] = {.lex_state = 144, .external_lex_state = 2},
  [1561] = {.lex_state = 144, .external_lex_state = 2},
  [1562] = {.lex_state = 144, .external_lex_state = 2},
  [1563] = {.lex_state = 144, .external_lex_state = 2},
  [1564] = {.lex_state = 144, .external_lex_state = 2},
  [1565] = {.lex_state = 144, .external_lex_state = 2},
  [1566] = {.lex_state = 144, .external_lex_state = 2},
  [1567] = {.lex_state = 144, .external_lex_state = 2},
  [1568] = {.lex_state = 144, .external_lex_state = 2},
  [1569] = {.lex_state = 144, .external_lex_state = 2},
  [1570] = {.lex_state = 144, .external_lex_state = 2},
  [1571] = {.lex_state = 144, .external_lex_state = 2},
  [1572] = {.lex_state = 144, .external_lex_state = 2},
  [1573] = {.lex_state = 144, .external_lex_state = 2},
  [1574] = {.lex_state = 144, .external_lex_state = 5},
  [1575] = {.lex_state = 144, .external_lex_state = 2},
  [1576] = {.lex_state = 144, .external_lex_state = 2},
  [1577] = {.lex_state = 144, .external_lex_state = 2},
  [1578] = {.lex_state = 144, .external_lex_state = 2},
  [1579] = {.lex_state = 144, .external_lex_state = 2},
  [1580] = {.lex_state = 144, .external_lex_state = 2},
  [1581] = {.lex_state = 144, .external_lex_state = 5},
  [1582] = {.lex_state = 144, .external_lex_state = 5},
  [1583] = {.lex_state = 144, .external_lex_state = 2},
  [1584] = {.lex_state = 144, .external_lex_state = 2},
  [1585] = {.lex_state = 144, .external_lex_state = 2},
  [1586] = {.lex_state = 144, .external_lex_state = 2},
  [1587] = {.lex_state = 144, .external_lex_state = 2},
  [1588] = {.lex_state = 144, .external_lex_state = 2},
  [1589] = {.lex_state = 144, .external_lex_state = 2},
  [1590] = {.lex_state = 144, .external_lex_state = 2},
  [1591] = {.lex_state = 144, .external_lex_state = 2},
  [1592] = {.lex_state = 144, .external_lex_state = 2},
  [1593] = {.lex_state = 144, .external_lex_state = 2},
  [1594] = {.lex_state = 144, .external_lex_state = 2},
  [1595] = {.lex_state = 144, .external_lex_state = 2},
  [1596] = {.lex_state = 144, .external_lex_state = 2},
  [1597] = {.lex_state = 144, .external_lex_state = 2},
  [1598] = {.lex_state = 144, .external_lex_state = 2},
  [1599] = {.lex_state = 144, .external_lex_state = 2},
  [1600] = {.lex_state = 144, .external_lex_state = 2},
  [1601] = {.lex_state = 144, .external_lex_state = 5},
  [1602] = {.lex_state = 144, .external_lex_state = 2},
  [1603] = {.lex_state = 144, .external_lex_state = 5},
  [1604] = {.lex_state = 144, .external_lex_state = 2},
  [1605] = {.lex_state = 144, .external_lex_state = 5},
  [1606] = {.lex_state = 144, .external_lex_state = 2},
  [1607] = {.lex_state = 144, .external_lex_state = 2},
  [1608] = {.lex_state = 144, .external_lex_state = 2},
  [1609] = {.lex_state = 144, .external_lex_state = 5},
  [1610] = {.lex_state = 144, .external_lex_state = 2},
  [1611] = {.lex_state = 144, .external_lex_state = 2},
  [1612] = {.lex_state = 144, .external_lex_state = 2},
  [1613] = {.lex_state = 144, .external_lex_state = 2},
  [1614] = {.lex_state = 144, .external_lex_state = 2},
  [1615] = {.lex_state = 144, .external_lex_state = 2},
  [1616] = {.lex_state = 144, .external_lex_state = 2},
  [1617] = {.lex_state = 144, .external_lex_state = 2},
  [1618] = {.lex_state = 144, .external_lex_state = 2},
  [1619] = {.lex_state = 13, .external_lex_state = 2},
  [1620] = {.lex_state = 144, .external_lex_state = 2},
  [1621] = {.lex_state = 144, .external_lex_state = 2},
  [1622] = {.lex_state = 144, .external_lex_state = 2},
  [1623] = {.lex_state = 144, .external_lex_state = 2},
  [1624] = {.lex_state = 144, .external_lex_state = 2},
  [1625] = {.lex_state = 144, .external_lex_state = 2},
  [1626] = {.lex_state = 144, .external_lex_state = 2},
  [1627] = {.lex_state = 144, .external_lex_state = 2},
  [1628] = {.lex_state = 144, .external_lex_state = 2},
  [1629] = {.lex_state = 6, .external_lex_state = 2},
  [1630] = {.lex_state = 144, .external_lex_state = 2},
  [1631] = {.lex_state = 144, .external_lex_state = 2},
  [1632] = {.lex_state = 144, .external_lex_state = 2},
  [1633] = {.lex_state = 144, .external_lex_state = 2},
  [1634] = {.lex_state = 144, .external_lex_state = 2},
  [1635] = {.lex_state = 144, .external_lex_state = 2},
  [1636] = {.lex_state = 144, .external_lex_state = 2},
  [1637] = {.lex_state = 144, .external_lex_state = 2},
  [1638] = {.lex_state = 144, .external_lex_state = 2},
  [1639] = {.lex_state = 144, .external_lex_state = 2},
  [1640] = {.lex_state = 144, .external_lex_state = 2},
  [1641] = {.lex_state = 144, .external_lex_state = 2},
  [1642] = {.lex_state = 144, .external_lex_state = 2},
  [1643] = {.lex_state = 144, .external_lex_state = 2},
  [1644] = {.lex_state = 144, .external_lex_state = 2},
  [1645] = {.lex_state = 144, .external_lex_state = 2},
  [1646] = {.lex_state = 144, .external_lex_state = 2},
  [1647] = {.lex_state = 144, .external_lex_state = 2},
  [1648] = {.lex_state = 144, .external_lex_state = 2},
  [1649] = {.lex_state = 144, .external_lex_state = 2},
  [1650] = {.lex_state = 144, .external_lex_state = 2},
  [1651] = {.lex_state = 144, .external_lex_state = 2},
  [1652] = {.lex_state = 144, .external_lex_state = 2},
  [1653] = {.lex_state = 34, .external_lex_state = 2},
  [1654] = {.lex_state = 144, .external_lex_state = 2},
  [1655] = {.lex_state = 34, .external_lex_state = 2},
  [1656] = {.lex_state = 144, .external_lex_state = 2},
  [1657] = {.lex_state = 144, .external_lex_state = 2},
  [1658] = {.lex_state = 144, .external_lex_state = 2},
  [1659] = {.lex_state = 144, .external_lex_state = 2},
  [1660] = {.lex_state = 144, .external_lex_state = 2},
  [1661] = {.lex_state = 144, .external_lex_state = 2},
  [1662] = {.lex_state = 144, .external_lex_state = 2},
  [1663] = {.lex_state = 144, .external_lex_state = 2},
  [1664] = {.lex_state = 144, .external_lex_state = 2},
  [1665] = {.lex_state = 144, .external_lex_state = 2},
  [1666] = {.lex_state = 144, .external_lex_state = 2},
  [1667] = {.lex_state = 144, .external_lex_state = 2},
  [1668] = {.lex_state = 144, .external_lex_state = 2},
  [1669] = {.lex_state = 144, .external_lex_state = 2},
  [1670] = {.lex_state = 144, .external_lex_state = 2},
  [1671] = {.lex_state = 144, .external_lex_state = 2},
  [1672] = {.lex_state = 144, .external_lex_state = 2},
  [1673] = {.lex_state = 144, .external_lex_state = 2},
  [1674] = {.lex_state = 144, .external_lex_state = 2},
  [1675] = {.lex_state = 144, .external_lex_state = 2},
  [1676] = {.lex_state = 144, .external_lex_state = 2},
  [1677] = {.lex_state = 144, .external_lex_state = 2},
  [1678] = {.lex_state = 144, .external_lex_state = 2},
  [1679] = {.lex_state = 34, .external_lex_state = 2},
  [1680] = {.lex_state = 144, .external_lex_state = 2},
  [1681] = {.lex_state = 144, .external_lex_state = 2},
  [1682] = {.lex_state = 144, .external_lex_state = 2},
  [1683] = {.lex_state = 144, .external_lex_state = 2},
  [1684] = {.lex_state = 144, .external_lex_state = 2},
  [1685] = {.lex_state = 144, .external_lex_state = 2},
  [1686] = {.lex_state = 144, .external_lex_state = 2},
  [1687] = {.lex_state = 144, .external_lex_state = 2},
  [1688] = {.lex_state = 144, .external_lex_state = 2},
  [1689] = {.lex_state = 144, .external_lex_state = 2},
  [1690] = {.lex_state = 144, .external_lex_state = 2},
  [1691] = {.lex_state = 144, .external_lex_state = 2},
  [1692] = {.lex_state = 144, .external_lex_state = 2},
  [1693] = {.lex_state = 144, .external_lex_state = 2},
  [1694] = {.lex_state = 144, .external_lex_state = 2},
  [1695] = {.lex_state = 144, .external_lex_state = 2},
  [1696] = {.lex_state = 144, .external_lex_state = 2},
  [1697] = {.lex_state = 144, .external_lex_state = 2},
  [1698] = {.lex_state = 144, .external_lex_state = 2},
  [1699] = {.lex_state = 144, .external_lex_state = 2},
  [1700] = {.lex_state = 144, .external_lex_state = 2},
  [1701] = {.lex_state = 144, .external_lex_state = 2},
  [1702] = {.lex_state = 144, .external_lex_state = 2},
  [1703] = {.lex_state = 144, .external_lex_state = 2},
  [1704] = {.lex_state = 3, .external_lex_state = 9},
  [1705] = {.lex_state = 144, .external_lex_state = 2},
  [1706] = {.lex_state = 3, .external_lex_state = 9},
  [1707] = {.lex_state = 144, .external_lex_state = 2},
  [1708] = {.lex_state = 3, .external_lex_state = 9},
  [1709] = {.lex_state = 144, .external_lex_state = 2},
  [1710] = {.lex_state = 144, .external_lex_state = 2},
  [1711] = {.lex_state = 144, .external_lex_state = 2},
  [1712] = {.lex_state = 144, .external_lex_state = 2},
  [1713] = {.lex_state = 144, .external_lex_state = 2},
  [1714] = {.lex_state = 3, .external_lex_state = 9},
  [1715] = {.lex_state = 144, .external_lex_state = 2},
  [1716] = {.lex_state = 144, .external_lex_state = 2},
  [1717] = {.lex_state = 144, .external_lex_state = 2},
  [1718] = {.lex_state = 144, .external_lex_state = 2},
  [1719] = {.lex_state = 144, .external_lex_state = 2},
  [1720] = {.lex_state = 144, .external_lex_state = 2},
  [1721] = {.lex_state = 144, .external_lex_state = 2},
  [1722] = {.lex_state = 144, .external_lex_state = 2},
  [1723] = {.lex_state = 144, .external_lex_state = 2},
  [1724] = {.lex_state = 144, .external_lex_state = 2},
  [1725] = {.lex_state = 144, .external_lex_state = 2},
  [1726] = {.lex_state = 144, .external_lex_state = 2},
  [1727] = {.lex_state = 144, .external_lex_state = 2},
  [1728] = {.lex_state = 144, .external_lex_state = 2},
  [1729] = {.lex_state = 144, .external_lex_state = 2},
  [1730] = {.lex_state = 144, .external_lex_state = 2},
  [1731] = {.lex_state = 144, .external_lex_state = 2},
  [1732] = {.lex_state = 34, .external_lex_state = 2},
  [1733] = {.lex_state = 144, .external_lex_state = 2},
  [1734] = {.lex_state = 144, .external_lex_state = 2},
  [1735] = {.lex_state = 144, .external_lex_state = 2},
  [1736] = {.lex_state = 144, .external_lex_state = 2},
  [1737] = {.lex_state = 144, .external_lex_state = 2},
  [1738] = {.lex_state = 144, .external_lex_state = 2},
  [1739] = {.lex_state = 144, .external_lex_state = 2},
  [1740] = {.lex_state = 144, .external_lex_state = 2},
  [1741] = {.lex_state = 144, .external_lex_state = 2},
  [1742] = {.lex_state = 144, .external_lex_state = 2},
  [1743] = {.lex_state = 144, .external_lex_state = 2},
  [1744] = {.lex_state = 144, .external_lex_state = 2},
  [1745] = {.lex_state = 144, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_glimmer_opening_tag] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [anon_sym_meta] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [aux_sym_method_definition_token1] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym_jsx_text] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1658),
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(14),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(18),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1700),
    [sym_object_assignment_pattern] = STATE(1309),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1700),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1700),
    [sym_spread_element] = STATE(1314),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(747),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [sym_rest_pattern] = STATE(1309),
    [sym_method_definition] = STATE(1314),
    [sym_pair] = STATE(1314),
    [sym_pair_pattern] = STATE(1309),
    [sym__property_name] = STATE(1328),
    [sym_computed_property_name] = STATE(1328),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(915),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1360),
    [sym_identifier] = ACTIONS(97),
    [anon_sym_export] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(105),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(107),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(111),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(119),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(16),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1700),
    [sym_object_assignment_pattern] = STATE(1309),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1700),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1700),
    [sym_spread_element] = STATE(1314),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(747),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [sym_rest_pattern] = STATE(1309),
    [sym_method_definition] = STATE(1314),
    [sym_pair] = STATE(1314),
    [sym_pair_pattern] = STATE(1309),
    [sym__property_name] = STATE(1328),
    [sym_computed_property_name] = STATE(1328),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(915),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1360),
    [sym_identifier] = ACTIONS(97),
    [anon_sym_export] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(107),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(111),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(119),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(18),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1700),
    [sym_object_assignment_pattern] = STATE(1309),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1700),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1700),
    [sym_spread_element] = STATE(1314),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(747),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [sym_rest_pattern] = STATE(1309),
    [sym_method_definition] = STATE(1314),
    [sym_pair] = STATE(1314),
    [sym_pair_pattern] = STATE(1309),
    [sym__property_name] = STATE(1328),
    [sym_computed_property_name] = STATE(1328),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(915),
    [aux_sym_object_repeat1] = STATE(1354),
    [aux_sym_object_pattern_repeat1] = STATE(1360),
    [sym_identifier] = ACTIONS(97),
    [anon_sym_export] = ACTIONS(99),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(107),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(111),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(119),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(123),
    [anon_sym_set] = ACTIONS(123),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(19),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1700),
    [sym_object_assignment_pattern] = STATE(1309),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1700),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1700),
    [sym_spread_element] = STATE(1368),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(747),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [sym_rest_pattern] = STATE(1309),
    [sym_method_definition] = STATE(1368),
    [sym_pair] = STATE(1368),
    [sym_pair_pattern] = STATE(1309),
    [sym__property_name] = STATE(1328),
    [sym_computed_property_name] = STATE(1328),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(915),
    [aux_sym_object_repeat1] = STATE(1369),
    [aux_sym_object_pattern_repeat1] = STATE(1360),
    [sym_identifier] = ACTIONS(129),
    [anon_sym_export] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(137),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(139),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(141),
    [anon_sym_set] = ACTIONS(141),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(19),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1700),
    [sym_object_assignment_pattern] = STATE(1309),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1700),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1700),
    [sym_spread_element] = STATE(1368),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(747),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [sym_rest_pattern] = STATE(1309),
    [sym_method_definition] = STATE(1368),
    [sym_pair] = STATE(1368),
    [sym_pair_pattern] = STATE(1309),
    [sym__property_name] = STATE(1328),
    [sym_computed_property_name] = STATE(1328),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(915),
    [aux_sym_object_repeat1] = STATE(1369),
    [aux_sym_object_pattern_repeat1] = STATE(1360),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_STAR] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(103),
    [anon_sym_RBRACE] = ACTIONS(133),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(109),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(149),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(115),
    [sym_private_property_identifier] = ACTIONS(117),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(151),
    [aux_sym_method_definition_token1] = ACTIONS(121),
    [anon_sym_get] = ACTIONS(153),
    [anon_sym_set] = ACTIONS(153),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [ts_builtin_sym_end] = ACTIONS(155),
    [sym_identifier] = ACTIONS(157),
    [anon_sym_export] = ACTIONS(160),
    [anon_sym_default] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_import] = ACTIONS(168),
    [anon_sym_with] = ACTIONS(171),
    [anon_sym_var] = ACTIONS(174),
    [anon_sym_let] = ACTIONS(177),
    [anon_sym_const] = ACTIONS(180),
    [anon_sym_if] = ACTIONS(183),
    [anon_sym_switch] = ACTIONS(186),
    [anon_sym_for] = ACTIONS(189),
    [anon_sym_LPAREN] = ACTIONS(192),
    [anon_sym_SEMI] = ACTIONS(195),
    [anon_sym_await] = ACTIONS(198),
    [anon_sym_while] = ACTIONS(201),
    [anon_sym_do] = ACTIONS(204),
    [anon_sym_try] = ACTIONS(207),
    [anon_sym_break] = ACTIONS(210),
    [anon_sym_continue] = ACTIONS(213),
    [anon_sym_debugger] = ACTIONS(216),
    [anon_sym_return] = ACTIONS(219),
    [anon_sym_throw] = ACTIONS(222),
    [anon_sym_case] = ACTIONS(163),
    [anon_sym_yield] = ACTIONS(225),
    [anon_sym_LBRACK] = ACTIONS(228),
    [sym_glimmer_opening_tag] = ACTIONS(231),
    [anon_sym_LT] = ACTIONS(234),
    [anon_sym_DQUOTE] = ACTIONS(237),
    [anon_sym_SQUOTE] = ACTIONS(240),
    [anon_sym_class] = ACTIONS(243),
    [anon_sym_async] = ACTIONS(246),
    [anon_sym_function] = ACTIONS(249),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(255),
    [anon_sym_DASH] = ACTIONS(255),
    [anon_sym_SLASH] = ACTIONS(258),
    [anon_sym_BANG] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_typeof] = ACTIONS(255),
    [anon_sym_void] = ACTIONS(255),
    [anon_sym_delete] = ACTIONS(255),
    [anon_sym_PLUS_PLUS] = ACTIONS(264),
    [anon_sym_DASH_DASH] = ACTIONS(264),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(267),
    [sym_number] = ACTIONS(270),
    [sym_private_property_identifier] = ACTIONS(273),
    [sym_this] = ACTIONS(276),
    [sym_super] = ACTIONS(276),
    [sym_true] = ACTIONS(276),
    [sym_false] = ACTIONS(276),
    [sym_null] = ACTIONS(276),
    [sym_undefined] = ACTIONS(279),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_static] = ACTIONS(285),
    [anon_sym_get] = ACTIONS(285),
    [anon_sym_set] = ACTIONS(285),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(11),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(288),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(290),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(288),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(292),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(292),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(296),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(298),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(296),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(300),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(302),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_case] = ACTIONS(300),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(15),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [ts_builtin_sym_end] = ACTIONS(304),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(18),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(306),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [ts_builtin_sym_end] = ACTIONS(304),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [ts_builtin_sym_end] = ACTIONS(308),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(310),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(16),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(314),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(316),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(19),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(320),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(21),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(21),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(322),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(324),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(23),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(26),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(26),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(328),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(7),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(330),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(417),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(394),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(383),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(360),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(400),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(1332),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(415),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(417),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(1736),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(405),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(360),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(376),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(384),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(385),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(393),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(391),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(392),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(393),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(394),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(376),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(405),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(400),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(384),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(385),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(351),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(388),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(383),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(391),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(392),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(415),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1161),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(19),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(23),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(27),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(31),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(69),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(95),
    [anon_sym_get] = ACTIONS(95),
    [anon_sym_set] = ACTIONS(95),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(406),
    [sym_declaration] = STATE(406),
    [sym_import] = STATE(1267),
    [sym_import_statement] = STATE(406),
    [sym_statement] = STATE(388),
    [sym_expression_statement] = STATE(406),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_statement_block] = STATE(406),
    [sym_if_statement] = STATE(406),
    [sym_switch_statement] = STATE(406),
    [sym_for_statement] = STATE(406),
    [sym_for_in_statement] = STATE(406),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(406),
    [sym_try_statement] = STATE(406),
    [sym_with_statement] = STATE(406),
    [sym_break_statement] = STATE(406),
    [sym_continue_statement] = STATE(406),
    [sym_debugger_statement] = STATE(406),
    [sym_return_statement] = STATE(406),
    [sym_throw_statement] = STATE(406),
    [sym_empty_statement] = STATE(406),
    [sym_labeled_statement] = STATE(406),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(748),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1582),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1153),
    [sym_identifier] = ACTIONS(332),
    [anon_sym_export] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(17),
    [anon_sym_with] = ACTIONS(338),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(340),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_if] = ACTIONS(342),
    [anon_sym_switch] = ACTIONS(29),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_while] = ACTIONS(346),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_debugger] = ACTIONS(49),
    [anon_sym_return] = ACTIONS(51),
    [anon_sym_throw] = ACTIONS(53),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(350),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(354),
    [anon_sym_get] = ACTIONS(354),
    [anon_sym_set] = ACTIONS(354),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(579),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_STAR] = ACTIONS(360),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_RPAREN] = ACTIONS(364),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_RBRACK] = ACTIONS(364),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(743),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_STAR] = ACTIONS(416),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(75),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym__automatic_semicolon] = ACTIONS(364),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(719),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_STAR] = ACTIONS(432),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_COMMA] = ACTIONS(364),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(364),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_of] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(442),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym__automatic_semicolon] = ACTIONS(364),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(837),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_of] = ACTIONS(372),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(472),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(773),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_in] = ACTIONS(372),
    [anon_sym_COLON] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(372),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [sym_optional_chain] = ACTIONS(364),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(364),
    [anon_sym_PIPE_PIPE] = ACTIONS(364),
    [anon_sym_GT_GT] = ACTIONS(372),
    [anon_sym_GT_GT_GT] = ACTIONS(364),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_AMP] = ACTIONS(372),
    [anon_sym_CARET] = ACTIONS(364),
    [anon_sym_PIPE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(364),
    [anon_sym_STAR_STAR] = ACTIONS(364),
    [anon_sym_LT_EQ] = ACTIONS(364),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(364),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(364),
    [anon_sym_GT_EQ] = ACTIONS(364),
    [anon_sym_QMARK_QMARK] = ACTIONS(364),
    [anon_sym_instanceof] = ACTIONS(372),
    [anon_sym_BANG] = ACTIONS(498),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym__ternary_qmark] = ACTIONS(364),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [ts_builtin_sym_end] = ACTIONS(508),
    [sym_identifier] = ACTIONS(510),
    [anon_sym_export] = ACTIONS(510),
    [anon_sym_STAR] = ACTIONS(512),
    [anon_sym_default] = ACTIONS(510),
    [anon_sym_LBRACE] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(514),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(510),
    [anon_sym_with] = ACTIONS(510),
    [anon_sym_var] = ACTIONS(510),
    [anon_sym_let] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(510),
    [anon_sym_else] = ACTIONS(510),
    [anon_sym_if] = ACTIONS(510),
    [anon_sym_switch] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_await] = ACTIONS(510),
    [anon_sym_in] = ACTIONS(512),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(510),
    [anon_sym_try] = ACTIONS(510),
    [anon_sym_break] = ACTIONS(510),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_debugger] = ACTIONS(510),
    [anon_sym_return] = ACTIONS(510),
    [anon_sym_throw] = ACTIONS(510),
    [anon_sym_case] = ACTIONS(510),
    [anon_sym_yield] = ACTIONS(510),
    [anon_sym_EQ] = ACTIONS(516),
    [anon_sym_LBRACK] = ACTIONS(508),
    [sym_glimmer_opening_tag] = ACTIONS(508),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(512),
    [anon_sym_DOT] = ACTIONS(512),
    [anon_sym_DQUOTE] = ACTIONS(508),
    [anon_sym_SQUOTE] = ACTIONS(508),
    [anon_sym_class] = ACTIONS(510),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(510),
    [sym_optional_chain] = ACTIONS(514),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_AMP_AMP] = ACTIONS(514),
    [anon_sym_PIPE_PIPE] = ACTIONS(514),
    [anon_sym_GT_GT] = ACTIONS(512),
    [anon_sym_GT_GT_GT] = ACTIONS(514),
    [anon_sym_LT_LT] = ACTIONS(514),
    [anon_sym_AMP] = ACTIONS(512),
    [anon_sym_CARET] = ACTIONS(514),
    [anon_sym_PIPE] = ACTIONS(512),
    [anon_sym_PLUS] = ACTIONS(510),
    [anon_sym_DASH] = ACTIONS(510),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_PERCENT] = ACTIONS(514),
    [anon_sym_STAR_STAR] = ACTIONS(514),
    [anon_sym_LT_EQ] = ACTIONS(514),
    [anon_sym_EQ_EQ] = ACTIONS(512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(514),
    [anon_sym_BANG_EQ] = ACTIONS(512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(514),
    [anon_sym_GT_EQ] = ACTIONS(514),
    [anon_sym_QMARK_QMARK] = ACTIONS(514),
    [anon_sym_instanceof] = ACTIONS(512),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_typeof] = ACTIONS(510),
    [anon_sym_void] = ACTIONS(510),
    [anon_sym_delete] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_DASH_DASH] = ACTIONS(508),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(508),
    [sym_number] = ACTIONS(508),
    [sym_private_property_identifier] = ACTIONS(508),
    [sym_this] = ACTIONS(510),
    [sym_super] = ACTIONS(510),
    [sym_true] = ACTIONS(510),
    [sym_false] = ACTIONS(510),
    [sym_null] = ACTIONS(510),
    [sym_undefined] = ACTIONS(510),
    [anon_sym_AT] = ACTIONS(508),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
    [sym__automatic_semicolon] = ACTIONS(518),
    [sym__ternary_qmark] = ACTIONS(514),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(791),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_spread_element] = STATE(1311),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1218),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_repeat1] = STATE(1310),
    [aux_sym_array_pattern_repeat1] = STATE(1336),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(526),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [ts_builtin_sym_end] = ACTIONS(532),
    [sym_identifier] = ACTIONS(534),
    [anon_sym_export] = ACTIONS(534),
    [anon_sym_STAR] = ACTIONS(536),
    [anon_sym_default] = ACTIONS(534),
    [anon_sym_LBRACE] = ACTIONS(532),
    [anon_sym_COMMA] = ACTIONS(538),
    [anon_sym_RBRACE] = ACTIONS(532),
    [anon_sym_import] = ACTIONS(534),
    [anon_sym_with] = ACTIONS(534),
    [anon_sym_var] = ACTIONS(534),
    [anon_sym_let] = ACTIONS(534),
    [anon_sym_const] = ACTIONS(534),
    [anon_sym_else] = ACTIONS(534),
    [anon_sym_if] = ACTIONS(534),
    [anon_sym_switch] = ACTIONS(534),
    [anon_sym_for] = ACTIONS(534),
    [anon_sym_LPAREN] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(532),
    [anon_sym_await] = ACTIONS(534),
    [anon_sym_in] = ACTIONS(536),
    [anon_sym_while] = ACTIONS(534),
    [anon_sym_do] = ACTIONS(534),
    [anon_sym_try] = ACTIONS(534),
    [anon_sym_break] = ACTIONS(534),
    [anon_sym_continue] = ACTIONS(534),
    [anon_sym_debugger] = ACTIONS(534),
    [anon_sym_return] = ACTIONS(534),
    [anon_sym_throw] = ACTIONS(534),
    [anon_sym_case] = ACTIONS(534),
    [anon_sym_yield] = ACTIONS(534),
    [anon_sym_LBRACK] = ACTIONS(532),
    [sym_glimmer_opening_tag] = ACTIONS(532),
    [anon_sym_LT] = ACTIONS(534),
    [anon_sym_GT] = ACTIONS(536),
    [anon_sym_DOT] = ACTIONS(536),
    [anon_sym_DQUOTE] = ACTIONS(532),
    [anon_sym_SQUOTE] = ACTIONS(532),
    [anon_sym_class] = ACTIONS(534),
    [anon_sym_async] = ACTIONS(534),
    [anon_sym_function] = ACTIONS(534),
    [sym_optional_chain] = ACTIONS(538),
    [anon_sym_new] = ACTIONS(534),
    [anon_sym_AMP_AMP] = ACTIONS(538),
    [anon_sym_PIPE_PIPE] = ACTIONS(538),
    [anon_sym_GT_GT] = ACTIONS(536),
    [anon_sym_GT_GT_GT] = ACTIONS(538),
    [anon_sym_LT_LT] = ACTIONS(538),
    [anon_sym_AMP] = ACTIONS(536),
    [anon_sym_CARET] = ACTIONS(538),
    [anon_sym_PIPE] = ACTIONS(536),
    [anon_sym_PLUS] = ACTIONS(534),
    [anon_sym_DASH] = ACTIONS(534),
    [anon_sym_SLASH] = ACTIONS(534),
    [anon_sym_PERCENT] = ACTIONS(538),
    [anon_sym_STAR_STAR] = ACTIONS(538),
    [anon_sym_LT_EQ] = ACTIONS(538),
    [anon_sym_EQ_EQ] = ACTIONS(536),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(538),
    [anon_sym_BANG_EQ] = ACTIONS(536),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(538),
    [anon_sym_GT_EQ] = ACTIONS(538),
    [anon_sym_QMARK_QMARK] = ACTIONS(538),
    [anon_sym_instanceof] = ACTIONS(536),
    [anon_sym_BANG] = ACTIONS(534),
    [anon_sym_TILDE] = ACTIONS(532),
    [anon_sym_typeof] = ACTIONS(534),
    [anon_sym_void] = ACTIONS(534),
    [anon_sym_delete] = ACTIONS(534),
    [anon_sym_PLUS_PLUS] = ACTIONS(532),
    [anon_sym_DASH_DASH] = ACTIONS(532),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(532),
    [sym_number] = ACTIONS(532),
    [sym_private_property_identifier] = ACTIONS(532),
    [sym_this] = ACTIONS(534),
    [sym_super] = ACTIONS(534),
    [sym_true] = ACTIONS(534),
    [sym_false] = ACTIONS(534),
    [sym_null] = ACTIONS(534),
    [sym_undefined] = ACTIONS(534),
    [anon_sym_AT] = ACTIONS(532),
    [anon_sym_static] = ACTIONS(534),
    [anon_sym_get] = ACTIONS(534),
    [anon_sym_set] = ACTIONS(534),
    [sym__automatic_semicolon] = ACTIONS(540),
    [sym__ternary_qmark] = ACTIONS(538),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [ts_builtin_sym_end] = ACTIONS(542),
    [sym_identifier] = ACTIONS(544),
    [anon_sym_export] = ACTIONS(544),
    [anon_sym_STAR] = ACTIONS(546),
    [anon_sym_default] = ACTIONS(544),
    [anon_sym_LBRACE] = ACTIONS(542),
    [anon_sym_COMMA] = ACTIONS(548),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_import] = ACTIONS(544),
    [anon_sym_with] = ACTIONS(544),
    [anon_sym_var] = ACTIONS(544),
    [anon_sym_let] = ACTIONS(544),
    [anon_sym_const] = ACTIONS(544),
    [anon_sym_else] = ACTIONS(544),
    [anon_sym_if] = ACTIONS(544),
    [anon_sym_switch] = ACTIONS(544),
    [anon_sym_for] = ACTIONS(544),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_SEMI] = ACTIONS(542),
    [anon_sym_await] = ACTIONS(544),
    [anon_sym_in] = ACTIONS(546),
    [anon_sym_while] = ACTIONS(544),
    [anon_sym_do] = ACTIONS(544),
    [anon_sym_try] = ACTIONS(544),
    [anon_sym_break] = ACTIONS(544),
    [anon_sym_continue] = ACTIONS(544),
    [anon_sym_debugger] = ACTIONS(544),
    [anon_sym_return] = ACTIONS(544),
    [anon_sym_throw] = ACTIONS(544),
    [anon_sym_case] = ACTIONS(544),
    [anon_sym_yield] = ACTIONS(544),
    [anon_sym_LBRACK] = ACTIONS(542),
    [sym_glimmer_opening_tag] = ACTIONS(542),
    [anon_sym_LT] = ACTIONS(544),
    [anon_sym_GT] = ACTIONS(546),
    [anon_sym_DOT] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(542),
    [anon_sym_SQUOTE] = ACTIONS(542),
    [anon_sym_class] = ACTIONS(544),
    [anon_sym_async] = ACTIONS(544),
    [anon_sym_function] = ACTIONS(544),
    [sym_optional_chain] = ACTIONS(548),
    [anon_sym_new] = ACTIONS(544),
    [anon_sym_AMP_AMP] = ACTIONS(548),
    [anon_sym_PIPE_PIPE] = ACTIONS(548),
    [anon_sym_GT_GT] = ACTIONS(546),
    [anon_sym_GT_GT_GT] = ACTIONS(548),
    [anon_sym_LT_LT] = ACTIONS(548),
    [anon_sym_AMP] = ACTIONS(546),
    [anon_sym_CARET] = ACTIONS(548),
    [anon_sym_PIPE] = ACTIONS(546),
    [anon_sym_PLUS] = ACTIONS(544),
    [anon_sym_DASH] = ACTIONS(544),
    [anon_sym_SLASH] = ACTIONS(544),
    [anon_sym_PERCENT] = ACTIONS(548),
    [anon_sym_STAR_STAR] = ACTIONS(548),
    [anon_sym_LT_EQ] = ACTIONS(548),
    [anon_sym_EQ_EQ] = ACTIONS(546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(548),
    [anon_sym_BANG_EQ] = ACTIONS(546),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(548),
    [anon_sym_GT_EQ] = ACTIONS(548),
    [anon_sym_QMARK_QMARK] = ACTIONS(548),
    [anon_sym_instanceof] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(544),
    [anon_sym_TILDE] = ACTIONS(542),
    [anon_sym_typeof] = ACTIONS(544),
    [anon_sym_void] = ACTIONS(544),
    [anon_sym_delete] = ACTIONS(544),
    [anon_sym_PLUS_PLUS] = ACTIONS(542),
    [anon_sym_DASH_DASH] = ACTIONS(542),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(542),
    [sym_number] = ACTIONS(542),
    [sym_private_property_identifier] = ACTIONS(542),
    [sym_this] = ACTIONS(544),
    [sym_super] = ACTIONS(544),
    [sym_true] = ACTIONS(544),
    [sym_false] = ACTIONS(544),
    [sym_null] = ACTIONS(544),
    [sym_undefined] = ACTIONS(544),
    [anon_sym_AT] = ACTIONS(542),
    [anon_sym_static] = ACTIONS(544),
    [anon_sym_get] = ACTIONS(544),
    [anon_sym_set] = ACTIONS(544),
    [sym__automatic_semicolon] = ACTIONS(550),
    [sym__ternary_qmark] = ACTIONS(548),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [ts_builtin_sym_end] = ACTIONS(552),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_export] = ACTIONS(554),
    [anon_sym_STAR] = ACTIONS(556),
    [anon_sym_default] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(552),
    [anon_sym_COMMA] = ACTIONS(558),
    [anon_sym_RBRACE] = ACTIONS(552),
    [anon_sym_import] = ACTIONS(554),
    [anon_sym_with] = ACTIONS(554),
    [anon_sym_var] = ACTIONS(554),
    [anon_sym_let] = ACTIONS(554),
    [anon_sym_const] = ACTIONS(554),
    [anon_sym_else] = ACTIONS(554),
    [anon_sym_if] = ACTIONS(554),
    [anon_sym_switch] = ACTIONS(554),
    [anon_sym_for] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(554),
    [anon_sym_in] = ACTIONS(556),
    [anon_sym_while] = ACTIONS(554),
    [anon_sym_do] = ACTIONS(554),
    [anon_sym_try] = ACTIONS(554),
    [anon_sym_break] = ACTIONS(554),
    [anon_sym_continue] = ACTIONS(554),
    [anon_sym_debugger] = ACTIONS(554),
    [anon_sym_return] = ACTIONS(554),
    [anon_sym_throw] = ACTIONS(554),
    [anon_sym_case] = ACTIONS(554),
    [anon_sym_yield] = ACTIONS(554),
    [anon_sym_LBRACK] = ACTIONS(552),
    [sym_glimmer_opening_tag] = ACTIONS(552),
    [anon_sym_LT] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(556),
    [anon_sym_DOT] = ACTIONS(556),
    [anon_sym_DQUOTE] = ACTIONS(552),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_class] = ACTIONS(554),
    [anon_sym_async] = ACTIONS(554),
    [anon_sym_function] = ACTIONS(554),
    [sym_optional_chain] = ACTIONS(558),
    [anon_sym_new] = ACTIONS(554),
    [anon_sym_AMP_AMP] = ACTIONS(558),
    [anon_sym_PIPE_PIPE] = ACTIONS(558),
    [anon_sym_GT_GT] = ACTIONS(556),
    [anon_sym_GT_GT_GT] = ACTIONS(558),
    [anon_sym_LT_LT] = ACTIONS(558),
    [anon_sym_AMP] = ACTIONS(556),
    [anon_sym_CARET] = ACTIONS(558),
    [anon_sym_PIPE] = ACTIONS(556),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_SLASH] = ACTIONS(554),
    [anon_sym_PERCENT] = ACTIONS(558),
    [anon_sym_STAR_STAR] = ACTIONS(558),
    [anon_sym_LT_EQ] = ACTIONS(558),
    [anon_sym_EQ_EQ] = ACTIONS(556),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ] = ACTIONS(556),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(558),
    [anon_sym_GT_EQ] = ACTIONS(558),
    [anon_sym_QMARK_QMARK] = ACTIONS(558),
    [anon_sym_instanceof] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(552),
    [anon_sym_typeof] = ACTIONS(554),
    [anon_sym_void] = ACTIONS(554),
    [anon_sym_delete] = ACTIONS(554),
    [anon_sym_PLUS_PLUS] = ACTIONS(552),
    [anon_sym_DASH_DASH] = ACTIONS(552),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(552),
    [sym_number] = ACTIONS(552),
    [sym_private_property_identifier] = ACTIONS(552),
    [sym_this] = ACTIONS(554),
    [sym_super] = ACTIONS(554),
    [sym_true] = ACTIONS(554),
    [sym_false] = ACTIONS(554),
    [sym_null] = ACTIONS(554),
    [sym_undefined] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(554),
    [anon_sym_get] = ACTIONS(554),
    [anon_sym_set] = ACTIONS(554),
    [sym__automatic_semicolon] = ACTIONS(560),
    [sym__ternary_qmark] = ACTIONS(558),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [ts_builtin_sym_end] = ACTIONS(562),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_export] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_default] = ACTIONS(564),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_COMMA] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(562),
    [anon_sym_import] = ACTIONS(564),
    [anon_sym_with] = ACTIONS(564),
    [anon_sym_var] = ACTIONS(564),
    [anon_sym_let] = ACTIONS(564),
    [anon_sym_const] = ACTIONS(564),
    [anon_sym_else] = ACTIONS(564),
    [anon_sym_if] = ACTIONS(564),
    [anon_sym_switch] = ACTIONS(564),
    [anon_sym_for] = ACTIONS(564),
    [anon_sym_LPAREN] = ACTIONS(562),
    [anon_sym_SEMI] = ACTIONS(562),
    [anon_sym_await] = ACTIONS(564),
    [anon_sym_in] = ACTIONS(564),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(564),
    [anon_sym_try] = ACTIONS(564),
    [anon_sym_break] = ACTIONS(564),
    [anon_sym_continue] = ACTIONS(564),
    [anon_sym_debugger] = ACTIONS(564),
    [anon_sym_return] = ACTIONS(564),
    [anon_sym_throw] = ACTIONS(564),
    [anon_sym_case] = ACTIONS(564),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_LBRACK] = ACTIONS(562),
    [sym_glimmer_opening_tag] = ACTIONS(562),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [anon_sym_SQUOTE] = ACTIONS(562),
    [anon_sym_class] = ACTIONS(564),
    [anon_sym_async] = ACTIONS(564),
    [anon_sym_function] = ACTIONS(564),
    [sym_optional_chain] = ACTIONS(562),
    [anon_sym_new] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(562),
    [anon_sym_PIPE_PIPE] = ACTIONS(562),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_GT_GT_GT] = ACTIONS(562),
    [anon_sym_LT_LT] = ACTIONS(562),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(562),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(562),
    [anon_sym_STAR_STAR] = ACTIONS(562),
    [anon_sym_LT_EQ] = ACTIONS(562),
    [anon_sym_EQ_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(562),
    [anon_sym_BANG_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(562),
    [anon_sym_GT_EQ] = ACTIONS(562),
    [anon_sym_QMARK_QMARK] = ACTIONS(562),
    [anon_sym_instanceof] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(562),
    [anon_sym_typeof] = ACTIONS(564),
    [anon_sym_void] = ACTIONS(564),
    [anon_sym_delete] = ACTIONS(564),
    [anon_sym_PLUS_PLUS] = ACTIONS(562),
    [anon_sym_DASH_DASH] = ACTIONS(562),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(562),
    [sym_number] = ACTIONS(562),
    [sym_private_property_identifier] = ACTIONS(562),
    [sym_this] = ACTIONS(564),
    [sym_super] = ACTIONS(564),
    [sym_true] = ACTIONS(564),
    [sym_false] = ACTIONS(564),
    [sym_null] = ACTIONS(564),
    [sym_undefined] = ACTIONS(564),
    [anon_sym_AT] = ACTIONS(562),
    [anon_sym_static] = ACTIONS(564),
    [anon_sym_get] = ACTIONS(564),
    [anon_sym_set] = ACTIONS(564),
    [sym__automatic_semicolon] = ACTIONS(562),
    [sym__ternary_qmark] = ACTIONS(562),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [ts_builtin_sym_end] = ACTIONS(566),
    [sym_identifier] = ACTIONS(568),
    [anon_sym_export] = ACTIONS(568),
    [anon_sym_STAR] = ACTIONS(568),
    [anon_sym_default] = ACTIONS(568),
    [anon_sym_LBRACE] = ACTIONS(566),
    [anon_sym_COMMA] = ACTIONS(566),
    [anon_sym_RBRACE] = ACTIONS(566),
    [anon_sym_import] = ACTIONS(568),
    [anon_sym_with] = ACTIONS(568),
    [anon_sym_var] = ACTIONS(568),
    [anon_sym_let] = ACTIONS(568),
    [anon_sym_const] = ACTIONS(568),
    [anon_sym_else] = ACTIONS(568),
    [anon_sym_if] = ACTIONS(568),
    [anon_sym_switch] = ACTIONS(568),
    [anon_sym_for] = ACTIONS(568),
    [anon_sym_LPAREN] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(566),
    [anon_sym_await] = ACTIONS(568),
    [anon_sym_in] = ACTIONS(568),
    [anon_sym_while] = ACTIONS(568),
    [anon_sym_do] = ACTIONS(568),
    [anon_sym_try] = ACTIONS(568),
    [anon_sym_break] = ACTIONS(568),
    [anon_sym_continue] = ACTIONS(568),
    [anon_sym_debugger] = ACTIONS(568),
    [anon_sym_return] = ACTIONS(568),
    [anon_sym_throw] = ACTIONS(568),
    [anon_sym_case] = ACTIONS(568),
    [anon_sym_yield] = ACTIONS(568),
    [anon_sym_LBRACK] = ACTIONS(566),
    [sym_glimmer_opening_tag] = ACTIONS(566),
    [anon_sym_LT] = ACTIONS(568),
    [anon_sym_GT] = ACTIONS(568),
    [anon_sym_DOT] = ACTIONS(568),
    [anon_sym_DQUOTE] = ACTIONS(566),
    [anon_sym_SQUOTE] = ACTIONS(566),
    [anon_sym_class] = ACTIONS(568),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(568),
    [sym_optional_chain] = ACTIONS(566),
    [anon_sym_new] = ACTIONS(568),
    [anon_sym_AMP_AMP] = ACTIONS(566),
    [anon_sym_PIPE_PIPE] = ACTIONS(566),
    [anon_sym_GT_GT] = ACTIONS(568),
    [anon_sym_GT_GT_GT] = ACTIONS(566),
    [anon_sym_LT_LT] = ACTIONS(566),
    [anon_sym_AMP] = ACTIONS(568),
    [anon_sym_CARET] = ACTIONS(566),
    [anon_sym_PIPE] = ACTIONS(568),
    [anon_sym_PLUS] = ACTIONS(568),
    [anon_sym_DASH] = ACTIONS(568),
    [anon_sym_SLASH] = ACTIONS(568),
    [anon_sym_PERCENT] = ACTIONS(566),
    [anon_sym_STAR_STAR] = ACTIONS(566),
    [anon_sym_LT_EQ] = ACTIONS(566),
    [anon_sym_EQ_EQ] = ACTIONS(568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(566),
    [anon_sym_BANG_EQ] = ACTIONS(568),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(566),
    [anon_sym_GT_EQ] = ACTIONS(566),
    [anon_sym_QMARK_QMARK] = ACTIONS(566),
    [anon_sym_instanceof] = ACTIONS(568),
    [anon_sym_BANG] = ACTIONS(568),
    [anon_sym_TILDE] = ACTIONS(566),
    [anon_sym_typeof] = ACTIONS(568),
    [anon_sym_void] = ACTIONS(568),
    [anon_sym_delete] = ACTIONS(568),
    [anon_sym_PLUS_PLUS] = ACTIONS(566),
    [anon_sym_DASH_DASH] = ACTIONS(566),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(566),
    [sym_number] = ACTIONS(566),
    [sym_private_property_identifier] = ACTIONS(566),
    [sym_this] = ACTIONS(568),
    [sym_super] = ACTIONS(568),
    [sym_true] = ACTIONS(568),
    [sym_false] = ACTIONS(568),
    [sym_null] = ACTIONS(568),
    [sym_undefined] = ACTIONS(568),
    [anon_sym_AT] = ACTIONS(566),
    [anon_sym_static] = ACTIONS(568),
    [anon_sym_get] = ACTIONS(568),
    [anon_sym_set] = ACTIONS(568),
    [sym__automatic_semicolon] = ACTIONS(566),
    [sym__ternary_qmark] = ACTIONS(566),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(570),
    [sym_identifier] = ACTIONS(572),
    [anon_sym_export] = ACTIONS(572),
    [anon_sym_STAR] = ACTIONS(572),
    [anon_sym_default] = ACTIONS(572),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_COMMA] = ACTIONS(570),
    [anon_sym_RBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(572),
    [anon_sym_let] = ACTIONS(572),
    [anon_sym_const] = ACTIONS(572),
    [anon_sym_else] = ACTIONS(572),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(572),
    [anon_sym_for] = ACTIONS(572),
    [anon_sym_LPAREN] = ACTIONS(570),
    [anon_sym_SEMI] = ACTIONS(570),
    [anon_sym_await] = ACTIONS(572),
    [anon_sym_in] = ACTIONS(572),
    [anon_sym_while] = ACTIONS(572),
    [anon_sym_do] = ACTIONS(572),
    [anon_sym_try] = ACTIONS(572),
    [anon_sym_break] = ACTIONS(572),
    [anon_sym_continue] = ACTIONS(572),
    [anon_sym_debugger] = ACTIONS(572),
    [anon_sym_return] = ACTIONS(572),
    [anon_sym_throw] = ACTIONS(572),
    [anon_sym_case] = ACTIONS(572),
    [anon_sym_yield] = ACTIONS(572),
    [anon_sym_LBRACK] = ACTIONS(570),
    [sym_glimmer_opening_tag] = ACTIONS(570),
    [anon_sym_LT] = ACTIONS(572),
    [anon_sym_GT] = ACTIONS(572),
    [anon_sym_DOT] = ACTIONS(572),
    [anon_sym_DQUOTE] = ACTIONS(570),
    [anon_sym_SQUOTE] = ACTIONS(570),
    [anon_sym_class] = ACTIONS(572),
    [anon_sym_async] = ACTIONS(572),
    [anon_sym_function] = ACTIONS(572),
    [sym_optional_chain] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_AMP_AMP] = ACTIONS(570),
    [anon_sym_PIPE_PIPE] = ACTIONS(570),
    [anon_sym_GT_GT] = ACTIONS(572),
    [anon_sym_GT_GT_GT] = ACTIONS(570),
    [anon_sym_LT_LT] = ACTIONS(570),
    [anon_sym_AMP] = ACTIONS(572),
    [anon_sym_CARET] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_SLASH] = ACTIONS(572),
    [anon_sym_PERCENT] = ACTIONS(570),
    [anon_sym_STAR_STAR] = ACTIONS(570),
    [anon_sym_LT_EQ] = ACTIONS(570),
    [anon_sym_EQ_EQ] = ACTIONS(572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(570),
    [anon_sym_BANG_EQ] = ACTIONS(572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(570),
    [anon_sym_GT_EQ] = ACTIONS(570),
    [anon_sym_QMARK_QMARK] = ACTIONS(570),
    [anon_sym_instanceof] = ACTIONS(572),
    [anon_sym_BANG] = ACTIONS(572),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(572),
    [anon_sym_void] = ACTIONS(572),
    [anon_sym_delete] = ACTIONS(572),
    [anon_sym_PLUS_PLUS] = ACTIONS(570),
    [anon_sym_DASH_DASH] = ACTIONS(570),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(570),
    [sym_number] = ACTIONS(570),
    [sym_private_property_identifier] = ACTIONS(570),
    [sym_this] = ACTIONS(572),
    [sym_super] = ACTIONS(572),
    [sym_true] = ACTIONS(572),
    [sym_false] = ACTIONS(572),
    [sym_null] = ACTIONS(572),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(570),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [sym__automatic_semicolon] = ACTIONS(574),
    [sym__ternary_qmark] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [ts_builtin_sym_end] = ACTIONS(570),
    [sym_identifier] = ACTIONS(572),
    [anon_sym_export] = ACTIONS(572),
    [anon_sym_STAR] = ACTIONS(572),
    [anon_sym_default] = ACTIONS(572),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_COMMA] = ACTIONS(570),
    [anon_sym_RBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(572),
    [anon_sym_let] = ACTIONS(572),
    [anon_sym_const] = ACTIONS(572),
    [anon_sym_else] = ACTIONS(572),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(572),
    [anon_sym_for] = ACTIONS(572),
    [anon_sym_LPAREN] = ACTIONS(570),
    [anon_sym_SEMI] = ACTIONS(570),
    [anon_sym_await] = ACTIONS(572),
    [anon_sym_in] = ACTIONS(572),
    [anon_sym_while] = ACTIONS(572),
    [anon_sym_do] = ACTIONS(572),
    [anon_sym_try] = ACTIONS(572),
    [anon_sym_break] = ACTIONS(572),
    [anon_sym_continue] = ACTIONS(572),
    [anon_sym_debugger] = ACTIONS(572),
    [anon_sym_return] = ACTIONS(572),
    [anon_sym_throw] = ACTIONS(572),
    [anon_sym_case] = ACTIONS(572),
    [anon_sym_yield] = ACTIONS(572),
    [anon_sym_LBRACK] = ACTIONS(570),
    [sym_glimmer_opening_tag] = ACTIONS(570),
    [anon_sym_LT] = ACTIONS(572),
    [anon_sym_GT] = ACTIONS(572),
    [anon_sym_DOT] = ACTIONS(572),
    [anon_sym_DQUOTE] = ACTIONS(570),
    [anon_sym_SQUOTE] = ACTIONS(570),
    [anon_sym_class] = ACTIONS(572),
    [anon_sym_async] = ACTIONS(572),
    [anon_sym_function] = ACTIONS(572),
    [sym_optional_chain] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_AMP_AMP] = ACTIONS(570),
    [anon_sym_PIPE_PIPE] = ACTIONS(570),
    [anon_sym_GT_GT] = ACTIONS(572),
    [anon_sym_GT_GT_GT] = ACTIONS(570),
    [anon_sym_LT_LT] = ACTIONS(570),
    [anon_sym_AMP] = ACTIONS(572),
    [anon_sym_CARET] = ACTIONS(570),
    [anon_sym_PIPE] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_SLASH] = ACTIONS(572),
    [anon_sym_PERCENT] = ACTIONS(570),
    [anon_sym_STAR_STAR] = ACTIONS(570),
    [anon_sym_LT_EQ] = ACTIONS(570),
    [anon_sym_EQ_EQ] = ACTIONS(572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(570),
    [anon_sym_BANG_EQ] = ACTIONS(572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(570),
    [anon_sym_GT_EQ] = ACTIONS(570),
    [anon_sym_QMARK_QMARK] = ACTIONS(570),
    [anon_sym_instanceof] = ACTIONS(572),
    [anon_sym_BANG] = ACTIONS(572),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(572),
    [anon_sym_void] = ACTIONS(572),
    [anon_sym_delete] = ACTIONS(572),
    [anon_sym_PLUS_PLUS] = ACTIONS(570),
    [anon_sym_DASH_DASH] = ACTIONS(570),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(570),
    [sym_number] = ACTIONS(570),
    [sym_private_property_identifier] = ACTIONS(570),
    [sym_this] = ACTIONS(572),
    [sym_super] = ACTIONS(572),
    [sym_true] = ACTIONS(572),
    [sym_false] = ACTIONS(572),
    [sym_null] = ACTIONS(572),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(570),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [sym__automatic_semicolon] = ACTIONS(570),
    [sym__ternary_qmark] = ACTIONS(570),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(508),
    [sym_identifier] = ACTIONS(510),
    [anon_sym_export] = ACTIONS(510),
    [anon_sym_STAR] = ACTIONS(510),
    [anon_sym_default] = ACTIONS(510),
    [anon_sym_LBRACE] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(510),
    [anon_sym_with] = ACTIONS(510),
    [anon_sym_var] = ACTIONS(510),
    [anon_sym_let] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(510),
    [anon_sym_else] = ACTIONS(510),
    [anon_sym_if] = ACTIONS(510),
    [anon_sym_switch] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_await] = ACTIONS(510),
    [anon_sym_in] = ACTIONS(510),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(510),
    [anon_sym_try] = ACTIONS(510),
    [anon_sym_break] = ACTIONS(510),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_debugger] = ACTIONS(510),
    [anon_sym_return] = ACTIONS(510),
    [anon_sym_throw] = ACTIONS(510),
    [anon_sym_case] = ACTIONS(510),
    [anon_sym_yield] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(508),
    [sym_glimmer_opening_tag] = ACTIONS(508),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_GT] = ACTIONS(510),
    [anon_sym_DOT] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(508),
    [anon_sym_SQUOTE] = ACTIONS(508),
    [anon_sym_class] = ACTIONS(510),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(510),
    [sym_optional_chain] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_AMP_AMP] = ACTIONS(508),
    [anon_sym_PIPE_PIPE] = ACTIONS(508),
    [anon_sym_GT_GT] = ACTIONS(510),
    [anon_sym_GT_GT_GT] = ACTIONS(508),
    [anon_sym_LT_LT] = ACTIONS(508),
    [anon_sym_AMP] = ACTIONS(510),
    [anon_sym_CARET] = ACTIONS(508),
    [anon_sym_PIPE] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(510),
    [anon_sym_DASH] = ACTIONS(510),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_PERCENT] = ACTIONS(508),
    [anon_sym_STAR_STAR] = ACTIONS(508),
    [anon_sym_LT_EQ] = ACTIONS(508),
    [anon_sym_EQ_EQ] = ACTIONS(510),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(508),
    [anon_sym_BANG_EQ] = ACTIONS(510),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(508),
    [anon_sym_GT_EQ] = ACTIONS(508),
    [anon_sym_QMARK_QMARK] = ACTIONS(508),
    [anon_sym_instanceof] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_typeof] = ACTIONS(510),
    [anon_sym_void] = ACTIONS(510),
    [anon_sym_delete] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_DASH_DASH] = ACTIONS(508),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(508),
    [sym_number] = ACTIONS(508),
    [sym_private_property_identifier] = ACTIONS(508),
    [sym_this] = ACTIONS(510),
    [sym_super] = ACTIONS(510),
    [sym_true] = ACTIONS(510),
    [sym_false] = ACTIONS(510),
    [sym_null] = ACTIONS(510),
    [sym_undefined] = ACTIONS(510),
    [anon_sym_AT] = ACTIONS(508),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
    [sym__automatic_semicolon] = ACTIONS(576),
    [sym__ternary_qmark] = ACTIONS(508),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(578),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_default] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(578),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_import] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(580),
    [anon_sym_var] = ACTIONS(580),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_else] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(580),
    [anon_sym_for] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_SEMI] = ACTIONS(578),
    [anon_sym_await] = ACTIONS(580),
    [anon_sym_in] = ACTIONS(580),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(580),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_break] = ACTIONS(580),
    [anon_sym_continue] = ACTIONS(580),
    [anon_sym_debugger] = ACTIONS(580),
    [anon_sym_return] = ACTIONS(580),
    [anon_sym_throw] = ACTIONS(580),
    [anon_sym_case] = ACTIONS(580),
    [anon_sym_yield] = ACTIONS(580),
    [anon_sym_LBRACK] = ACTIONS(578),
    [sym_glimmer_opening_tag] = ACTIONS(578),
    [anon_sym_LT] = ACTIONS(580),
    [anon_sym_GT] = ACTIONS(580),
    [anon_sym_DOT] = ACTIONS(580),
    [anon_sym_DQUOTE] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(578),
    [anon_sym_class] = ACTIONS(580),
    [anon_sym_async] = ACTIONS(580),
    [anon_sym_function] = ACTIONS(580),
    [sym_optional_chain] = ACTIONS(578),
    [anon_sym_new] = ACTIONS(580),
    [anon_sym_AMP_AMP] = ACTIONS(578),
    [anon_sym_PIPE_PIPE] = ACTIONS(578),
    [anon_sym_GT_GT] = ACTIONS(580),
    [anon_sym_GT_GT_GT] = ACTIONS(578),
    [anon_sym_LT_LT] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(580),
    [anon_sym_CARET] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(580),
    [anon_sym_PERCENT] = ACTIONS(578),
    [anon_sym_STAR_STAR] = ACTIONS(578),
    [anon_sym_LT_EQ] = ACTIONS(578),
    [anon_sym_EQ_EQ] = ACTIONS(580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(578),
    [anon_sym_BANG_EQ] = ACTIONS(580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(578),
    [anon_sym_GT_EQ] = ACTIONS(578),
    [anon_sym_QMARK_QMARK] = ACTIONS(578),
    [anon_sym_instanceof] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(580),
    [anon_sym_TILDE] = ACTIONS(578),
    [anon_sym_typeof] = ACTIONS(580),
    [anon_sym_void] = ACTIONS(580),
    [anon_sym_delete] = ACTIONS(580),
    [anon_sym_PLUS_PLUS] = ACTIONS(578),
    [anon_sym_DASH_DASH] = ACTIONS(578),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_number] = ACTIONS(578),
    [sym_private_property_identifier] = ACTIONS(578),
    [sym_this] = ACTIONS(580),
    [sym_super] = ACTIONS(580),
    [sym_true] = ACTIONS(580),
    [sym_false] = ACTIONS(580),
    [sym_null] = ACTIONS(580),
    [sym_undefined] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [sym__automatic_semicolon] = ACTIONS(578),
    [sym__ternary_qmark] = ACTIONS(578),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(790),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_spread_element] = STATE(1382),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1218),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_repeat1] = STATE(1384),
    [aux_sym_array_pattern_repeat1] = STATE(1336),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(582),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(783),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_spread_element] = STATE(1311),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1218),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_repeat1] = STATE(1310),
    [aux_sym_array_pattern_repeat1] = STATE(1336),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(526),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [ts_builtin_sym_end] = ACTIONS(584),
    [sym_identifier] = ACTIONS(586),
    [anon_sym_export] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(588),
    [anon_sym_default] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(590),
    [anon_sym_RBRACE] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_var] = ACTIONS(586),
    [anon_sym_let] = ACTIONS(586),
    [anon_sym_const] = ACTIONS(586),
    [anon_sym_else] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_SEMI] = ACTIONS(584),
    [anon_sym_await] = ACTIONS(586),
    [anon_sym_in] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(586),
    [anon_sym_continue] = ACTIONS(586),
    [anon_sym_debugger] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_throw] = ACTIONS(586),
    [anon_sym_case] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [sym_glimmer_opening_tag] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(586),
    [anon_sym_GT] = ACTIONS(588),
    [anon_sym_DOT] = ACTIONS(588),
    [anon_sym_DQUOTE] = ACTIONS(584),
    [anon_sym_SQUOTE] = ACTIONS(584),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(586),
    [sym_optional_chain] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(586),
    [anon_sym_AMP_AMP] = ACTIONS(590),
    [anon_sym_PIPE_PIPE] = ACTIONS(590),
    [anon_sym_GT_GT] = ACTIONS(588),
    [anon_sym_GT_GT_GT] = ACTIONS(590),
    [anon_sym_LT_LT] = ACTIONS(590),
    [anon_sym_AMP] = ACTIONS(588),
    [anon_sym_CARET] = ACTIONS(590),
    [anon_sym_PIPE] = ACTIONS(588),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(586),
    [anon_sym_PERCENT] = ACTIONS(590),
    [anon_sym_STAR_STAR] = ACTIONS(590),
    [anon_sym_LT_EQ] = ACTIONS(590),
    [anon_sym_EQ_EQ] = ACTIONS(588),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(590),
    [anon_sym_BANG_EQ] = ACTIONS(588),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(590),
    [anon_sym_GT_EQ] = ACTIONS(590),
    [anon_sym_QMARK_QMARK] = ACTIONS(590),
    [anon_sym_instanceof] = ACTIONS(588),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(584),
    [anon_sym_DASH_DASH] = ACTIONS(584),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(584),
    [sym_number] = ACTIONS(584),
    [sym_private_property_identifier] = ACTIONS(584),
    [sym_this] = ACTIONS(586),
    [sym_super] = ACTIONS(586),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_null] = ACTIONS(586),
    [sym_undefined] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_static] = ACTIONS(586),
    [anon_sym_get] = ACTIONS(586),
    [anon_sym_set] = ACTIONS(586),
    [sym__automatic_semicolon] = ACTIONS(592),
    [sym__ternary_qmark] = ACTIONS(590),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(790),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_spread_element] = STATE(1382),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1218),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_repeat1] = STATE(1384),
    [aux_sym_array_pattern_repeat1] = STATE(1336),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(594),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(790),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_spread_element] = STATE(1382),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1218),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_repeat1] = STATE(1384),
    [aux_sym_array_pattern_repeat1] = STATE(1336),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(596),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [ts_builtin_sym_end] = ACTIONS(598),
    [sym_identifier] = ACTIONS(600),
    [anon_sym_export] = ACTIONS(600),
    [anon_sym_STAR] = ACTIONS(602),
    [anon_sym_default] = ACTIONS(600),
    [anon_sym_LBRACE] = ACTIONS(598),
    [anon_sym_COMMA] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(598),
    [anon_sym_import] = ACTIONS(600),
    [anon_sym_with] = ACTIONS(600),
    [anon_sym_var] = ACTIONS(600),
    [anon_sym_let] = ACTIONS(600),
    [anon_sym_const] = ACTIONS(600),
    [anon_sym_else] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(600),
    [anon_sym_switch] = ACTIONS(600),
    [anon_sym_for] = ACTIONS(600),
    [anon_sym_LPAREN] = ACTIONS(598),
    [anon_sym_SEMI] = ACTIONS(598),
    [anon_sym_await] = ACTIONS(600),
    [anon_sym_in] = ACTIONS(602),
    [anon_sym_while] = ACTIONS(600),
    [anon_sym_do] = ACTIONS(600),
    [anon_sym_try] = ACTIONS(600),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(600),
    [anon_sym_debugger] = ACTIONS(600),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(600),
    [anon_sym_case] = ACTIONS(600),
    [anon_sym_yield] = ACTIONS(600),
    [anon_sym_LBRACK] = ACTIONS(598),
    [sym_glimmer_opening_tag] = ACTIONS(598),
    [anon_sym_LT] = ACTIONS(600),
    [anon_sym_GT] = ACTIONS(602),
    [anon_sym_DOT] = ACTIONS(602),
    [anon_sym_DQUOTE] = ACTIONS(598),
    [anon_sym_SQUOTE] = ACTIONS(598),
    [anon_sym_class] = ACTIONS(600),
    [anon_sym_async] = ACTIONS(600),
    [anon_sym_function] = ACTIONS(600),
    [sym_optional_chain] = ACTIONS(604),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_AMP_AMP] = ACTIONS(604),
    [anon_sym_PIPE_PIPE] = ACTIONS(604),
    [anon_sym_GT_GT] = ACTIONS(602),
    [anon_sym_GT_GT_GT] = ACTIONS(604),
    [anon_sym_LT_LT] = ACTIONS(604),
    [anon_sym_AMP] = ACTIONS(602),
    [anon_sym_CARET] = ACTIONS(604),
    [anon_sym_PIPE] = ACTIONS(602),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_PERCENT] = ACTIONS(604),
    [anon_sym_STAR_STAR] = ACTIONS(604),
    [anon_sym_LT_EQ] = ACTIONS(604),
    [anon_sym_EQ_EQ] = ACTIONS(602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(604),
    [anon_sym_BANG_EQ] = ACTIONS(602),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(604),
    [anon_sym_GT_EQ] = ACTIONS(604),
    [anon_sym_QMARK_QMARK] = ACTIONS(604),
    [anon_sym_instanceof] = ACTIONS(602),
    [anon_sym_BANG] = ACTIONS(600),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_typeof] = ACTIONS(600),
    [anon_sym_void] = ACTIONS(600),
    [anon_sym_delete] = ACTIONS(600),
    [anon_sym_PLUS_PLUS] = ACTIONS(598),
    [anon_sym_DASH_DASH] = ACTIONS(598),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(598),
    [sym_number] = ACTIONS(598),
    [sym_private_property_identifier] = ACTIONS(598),
    [sym_this] = ACTIONS(600),
    [sym_super] = ACTIONS(600),
    [sym_true] = ACTIONS(600),
    [sym_false] = ACTIONS(600),
    [sym_null] = ACTIONS(600),
    [sym_undefined] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(598),
    [anon_sym_static] = ACTIONS(600),
    [anon_sym_get] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [sym__automatic_semicolon] = ACTIONS(606),
    [sym__ternary_qmark] = ACTIONS(604),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(790),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_spread_element] = STATE(1382),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1218),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_repeat1] = STATE(1384),
    [aux_sym_array_pattern_repeat1] = STATE(1336),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(608),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [ts_builtin_sym_end] = ACTIONS(610),
    [sym_identifier] = ACTIONS(612),
    [anon_sym_export] = ACTIONS(612),
    [anon_sym_STAR] = ACTIONS(614),
    [anon_sym_default] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(610),
    [anon_sym_COMMA] = ACTIONS(616),
    [anon_sym_RBRACE] = ACTIONS(610),
    [anon_sym_import] = ACTIONS(612),
    [anon_sym_with] = ACTIONS(612),
    [anon_sym_var] = ACTIONS(612),
    [anon_sym_let] = ACTIONS(612),
    [anon_sym_const] = ACTIONS(612),
    [anon_sym_else] = ACTIONS(612),
    [anon_sym_if] = ACTIONS(612),
    [anon_sym_switch] = ACTIONS(612),
    [anon_sym_for] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(610),
    [anon_sym_SEMI] = ACTIONS(610),
    [anon_sym_await] = ACTIONS(612),
    [anon_sym_in] = ACTIONS(614),
    [anon_sym_while] = ACTIONS(612),
    [anon_sym_do] = ACTIONS(612),
    [anon_sym_try] = ACTIONS(612),
    [anon_sym_break] = ACTIONS(612),
    [anon_sym_continue] = ACTIONS(612),
    [anon_sym_debugger] = ACTIONS(612),
    [anon_sym_return] = ACTIONS(612),
    [anon_sym_throw] = ACTIONS(612),
    [anon_sym_case] = ACTIONS(612),
    [anon_sym_yield] = ACTIONS(612),
    [anon_sym_LBRACK] = ACTIONS(610),
    [sym_glimmer_opening_tag] = ACTIONS(610),
    [anon_sym_LT] = ACTIONS(612),
    [anon_sym_GT] = ACTIONS(614),
    [anon_sym_DOT] = ACTIONS(614),
    [anon_sym_DQUOTE] = ACTIONS(610),
    [anon_sym_SQUOTE] = ACTIONS(610),
    [anon_sym_class] = ACTIONS(612),
    [anon_sym_async] = ACTIONS(612),
    [anon_sym_function] = ACTIONS(612),
    [sym_optional_chain] = ACTIONS(616),
    [anon_sym_new] = ACTIONS(612),
    [anon_sym_AMP_AMP] = ACTIONS(616),
    [anon_sym_PIPE_PIPE] = ACTIONS(616),
    [anon_sym_GT_GT] = ACTIONS(614),
    [anon_sym_GT_GT_GT] = ACTIONS(616),
    [anon_sym_LT_LT] = ACTIONS(616),
    [anon_sym_AMP] = ACTIONS(614),
    [anon_sym_CARET] = ACTIONS(616),
    [anon_sym_PIPE] = ACTIONS(614),
    [anon_sym_PLUS] = ACTIONS(612),
    [anon_sym_DASH] = ACTIONS(612),
    [anon_sym_SLASH] = ACTIONS(612),
    [anon_sym_PERCENT] = ACTIONS(616),
    [anon_sym_STAR_STAR] = ACTIONS(616),
    [anon_sym_LT_EQ] = ACTIONS(616),
    [anon_sym_EQ_EQ] = ACTIONS(614),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(616),
    [anon_sym_BANG_EQ] = ACTIONS(614),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(616),
    [anon_sym_GT_EQ] = ACTIONS(616),
    [anon_sym_QMARK_QMARK] = ACTIONS(616),
    [anon_sym_instanceof] = ACTIONS(614),
    [anon_sym_BANG] = ACTIONS(612),
    [anon_sym_TILDE] = ACTIONS(610),
    [anon_sym_typeof] = ACTIONS(612),
    [anon_sym_void] = ACTIONS(612),
    [anon_sym_delete] = ACTIONS(612),
    [anon_sym_PLUS_PLUS] = ACTIONS(610),
    [anon_sym_DASH_DASH] = ACTIONS(610),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(610),
    [sym_number] = ACTIONS(610),
    [sym_private_property_identifier] = ACTIONS(610),
    [sym_this] = ACTIONS(612),
    [sym_super] = ACTIONS(612),
    [sym_true] = ACTIONS(612),
    [sym_false] = ACTIONS(612),
    [sym_null] = ACTIONS(612),
    [sym_undefined] = ACTIONS(612),
    [anon_sym_AT] = ACTIONS(610),
    [anon_sym_static] = ACTIONS(612),
    [anon_sym_get] = ACTIONS(612),
    [anon_sym_set] = ACTIONS(612),
    [sym__automatic_semicolon] = ACTIONS(618),
    [sym__ternary_qmark] = ACTIONS(616),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [ts_builtin_sym_end] = ACTIONS(620),
    [sym_identifier] = ACTIONS(622),
    [anon_sym_export] = ACTIONS(622),
    [anon_sym_STAR] = ACTIONS(624),
    [anon_sym_default] = ACTIONS(622),
    [anon_sym_LBRACE] = ACTIONS(620),
    [anon_sym_COMMA] = ACTIONS(626),
    [anon_sym_RBRACE] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(622),
    [anon_sym_with] = ACTIONS(622),
    [anon_sym_var] = ACTIONS(622),
    [anon_sym_let] = ACTIONS(622),
    [anon_sym_const] = ACTIONS(622),
    [anon_sym_else] = ACTIONS(622),
    [anon_sym_if] = ACTIONS(622),
    [anon_sym_switch] = ACTIONS(622),
    [anon_sym_for] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(620),
    [anon_sym_await] = ACTIONS(622),
    [anon_sym_in] = ACTIONS(624),
    [anon_sym_while] = ACTIONS(622),
    [anon_sym_do] = ACTIONS(622),
    [anon_sym_try] = ACTIONS(622),
    [anon_sym_break] = ACTIONS(622),
    [anon_sym_continue] = ACTIONS(622),
    [anon_sym_debugger] = ACTIONS(622),
    [anon_sym_return] = ACTIONS(622),
    [anon_sym_throw] = ACTIONS(622),
    [anon_sym_case] = ACTIONS(622),
    [anon_sym_yield] = ACTIONS(622),
    [anon_sym_LBRACK] = ACTIONS(620),
    [sym_glimmer_opening_tag] = ACTIONS(620),
    [anon_sym_LT] = ACTIONS(622),
    [anon_sym_GT] = ACTIONS(624),
    [anon_sym_DOT] = ACTIONS(624),
    [anon_sym_DQUOTE] = ACTIONS(620),
    [anon_sym_SQUOTE] = ACTIONS(620),
    [anon_sym_class] = ACTIONS(622),
    [anon_sym_async] = ACTIONS(622),
    [anon_sym_function] = ACTIONS(622),
    [sym_optional_chain] = ACTIONS(626),
    [anon_sym_new] = ACTIONS(622),
    [anon_sym_AMP_AMP] = ACTIONS(626),
    [anon_sym_PIPE_PIPE] = ACTIONS(626),
    [anon_sym_GT_GT] = ACTIONS(624),
    [anon_sym_GT_GT_GT] = ACTIONS(626),
    [anon_sym_LT_LT] = ACTIONS(626),
    [anon_sym_AMP] = ACTIONS(624),
    [anon_sym_CARET] = ACTIONS(626),
    [anon_sym_PIPE] = ACTIONS(624),
    [anon_sym_PLUS] = ACTIONS(622),
    [anon_sym_DASH] = ACTIONS(622),
    [anon_sym_SLASH] = ACTIONS(622),
    [anon_sym_PERCENT] = ACTIONS(626),
    [anon_sym_STAR_STAR] = ACTIONS(626),
    [anon_sym_LT_EQ] = ACTIONS(626),
    [anon_sym_EQ_EQ] = ACTIONS(624),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(626),
    [anon_sym_BANG_EQ] = ACTIONS(624),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(626),
    [anon_sym_GT_EQ] = ACTIONS(626),
    [anon_sym_QMARK_QMARK] = ACTIONS(626),
    [anon_sym_instanceof] = ACTIONS(624),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_TILDE] = ACTIONS(620),
    [anon_sym_typeof] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(622),
    [anon_sym_delete] = ACTIONS(622),
    [anon_sym_PLUS_PLUS] = ACTIONS(620),
    [anon_sym_DASH_DASH] = ACTIONS(620),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(620),
    [sym_number] = ACTIONS(620),
    [sym_private_property_identifier] = ACTIONS(620),
    [sym_this] = ACTIONS(622),
    [sym_super] = ACTIONS(622),
    [sym_true] = ACTIONS(622),
    [sym_false] = ACTIONS(622),
    [sym_null] = ACTIONS(622),
    [sym_undefined] = ACTIONS(622),
    [anon_sym_AT] = ACTIONS(620),
    [anon_sym_static] = ACTIONS(622),
    [anon_sym_get] = ACTIONS(622),
    [anon_sym_set] = ACTIONS(622),
    [sym__automatic_semicolon] = ACTIONS(628),
    [sym__ternary_qmark] = ACTIONS(626),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(790),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_spread_element] = STATE(1382),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1218),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_repeat1] = STATE(1384),
    [aux_sym_array_pattern_repeat1] = STATE(1336),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(630),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [ts_builtin_sym_end] = ACTIONS(632),
    [sym_identifier] = ACTIONS(634),
    [anon_sym_export] = ACTIONS(634),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_default] = ACTIONS(634),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(638),
    [anon_sym_RBRACE] = ACTIONS(632),
    [anon_sym_import] = ACTIONS(634),
    [anon_sym_with] = ACTIONS(634),
    [anon_sym_var] = ACTIONS(634),
    [anon_sym_let] = ACTIONS(634),
    [anon_sym_const] = ACTIONS(634),
    [anon_sym_else] = ACTIONS(634),
    [anon_sym_if] = ACTIONS(634),
    [anon_sym_switch] = ACTIONS(634),
    [anon_sym_for] = ACTIONS(634),
    [anon_sym_LPAREN] = ACTIONS(632),
    [anon_sym_SEMI] = ACTIONS(632),
    [anon_sym_await] = ACTIONS(634),
    [anon_sym_in] = ACTIONS(636),
    [anon_sym_while] = ACTIONS(634),
    [anon_sym_do] = ACTIONS(634),
    [anon_sym_try] = ACTIONS(634),
    [anon_sym_break] = ACTIONS(634),
    [anon_sym_continue] = ACTIONS(634),
    [anon_sym_debugger] = ACTIONS(634),
    [anon_sym_return] = ACTIONS(634),
    [anon_sym_throw] = ACTIONS(634),
    [anon_sym_case] = ACTIONS(634),
    [anon_sym_yield] = ACTIONS(634),
    [anon_sym_LBRACK] = ACTIONS(632),
    [sym_glimmer_opening_tag] = ACTIONS(632),
    [anon_sym_LT] = ACTIONS(634),
    [anon_sym_GT] = ACTIONS(636),
    [anon_sym_DOT] = ACTIONS(636),
    [anon_sym_DQUOTE] = ACTIONS(632),
    [anon_sym_SQUOTE] = ACTIONS(632),
    [anon_sym_class] = ACTIONS(634),
    [anon_sym_async] = ACTIONS(634),
    [anon_sym_function] = ACTIONS(634),
    [sym_optional_chain] = ACTIONS(638),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_AMP_AMP] = ACTIONS(638),
    [anon_sym_PIPE_PIPE] = ACTIONS(638),
    [anon_sym_GT_GT] = ACTIONS(636),
    [anon_sym_GT_GT_GT] = ACTIONS(638),
    [anon_sym_LT_LT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_CARET] = ACTIONS(638),
    [anon_sym_PIPE] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(634),
    [anon_sym_DASH] = ACTIONS(634),
    [anon_sym_SLASH] = ACTIONS(634),
    [anon_sym_PERCENT] = ACTIONS(638),
    [anon_sym_STAR_STAR] = ACTIONS(638),
    [anon_sym_LT_EQ] = ACTIONS(638),
    [anon_sym_EQ_EQ] = ACTIONS(636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(638),
    [anon_sym_BANG_EQ] = ACTIONS(636),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(638),
    [anon_sym_GT_EQ] = ACTIONS(638),
    [anon_sym_QMARK_QMARK] = ACTIONS(638),
    [anon_sym_instanceof] = ACTIONS(636),
    [anon_sym_BANG] = ACTIONS(634),
    [anon_sym_TILDE] = ACTIONS(632),
    [anon_sym_typeof] = ACTIONS(634),
    [anon_sym_void] = ACTIONS(634),
    [anon_sym_delete] = ACTIONS(634),
    [anon_sym_PLUS_PLUS] = ACTIONS(632),
    [anon_sym_DASH_DASH] = ACTIONS(632),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(632),
    [sym_number] = ACTIONS(632),
    [sym_private_property_identifier] = ACTIONS(632),
    [sym_this] = ACTIONS(634),
    [sym_super] = ACTIONS(634),
    [sym_true] = ACTIONS(634),
    [sym_false] = ACTIONS(634),
    [sym_null] = ACTIONS(634),
    [sym_undefined] = ACTIONS(634),
    [anon_sym_AT] = ACTIONS(632),
    [anon_sym_static] = ACTIONS(634),
    [anon_sym_get] = ACTIONS(634),
    [anon_sym_set] = ACTIONS(634),
    [sym__automatic_semicolon] = ACTIONS(640),
    [sym__ternary_qmark] = ACTIONS(638),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_declaration] = STATE(413),
    [sym_import] = STATE(1267),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(838),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_declaration] = STATE(382),
    [sym_import] = STATE(1267),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(833),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1264),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(646),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_declaration] = STATE(382),
    [sym_import] = STATE(1267),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(833),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1245),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_async] = ACTIONS(644),
    [anon_sym_function] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_declaration] = STATE(413),
    [sym_import] = STATE(1267),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(838),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_class_declaration] = STATE(407),
    [sym_function_expression] = STATE(649),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function] = STATE(649),
    [sym_generator_function_declaration] = STATE(407),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1264),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_var] = ACTIONS(21),
    [anon_sym_let] = ACTIONS(642),
    [anon_sym_const] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(348),
    [anon_sym_async] = ACTIONS(646),
    [anon_sym_function] = ACTIONS(352),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(1279),
    [sym_variable_declaration] = STATE(113),
    [sym_lexical_declaration] = STATE(113),
    [sym_empty_statement] = STATE(113),
    [sym_parenthesized_expression] = STATE(495),
    [sym_expression] = STATE(795),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1393),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1393),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(495),
    [sym_subscript_expression] = STATE(495),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1393),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1739),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(648),
    [anon_sym_export] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(654),
    [anon_sym_let] = ACTIONS(656),
    [anon_sym_const] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(660),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(650),
    [anon_sym_get] = ACTIONS(650),
    [anon_sym_set] = ACTIONS(650),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(1279),
    [sym_variable_declaration] = STATE(114),
    [sym_lexical_declaration] = STATE(114),
    [sym_empty_statement] = STATE(114),
    [sym_parenthesized_expression] = STATE(495),
    [sym_expression] = STATE(829),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1393),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1393),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(495),
    [sym_subscript_expression] = STATE(495),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1393),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1743),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(648),
    [anon_sym_export] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(654),
    [anon_sym_let] = ACTIONS(656),
    [anon_sym_const] = ACTIONS(658),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(660),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(662),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(664),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(650),
    [anon_sym_get] = ACTIONS(650),
    [anon_sym_set] = ACTIONS(650),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(818),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1452),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_spread_element] = STATE(1313),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1316),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_COMMA] = ACTIONS(666),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [anon_sym_RBRACK] = ACTIONS(666),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(113),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1210),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1210),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1210),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [sym_pattern] = STATE(1218),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_pattern_repeat1] = STATE(1336),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(679),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1210),
    [sym_assignment_pattern] = STATE(1381),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1210),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1210),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [sym_pattern] = STATE(1285),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_pattern_repeat1] = STATE(1291),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(687),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(871),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1392),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(496),
    [sym_subscript_expression] = STATE(496),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1218),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_pattern_repeat1] = STATE(1336),
    [sym_identifier] = ACTIONS(689),
    [anon_sym_export] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_COMMA] = ACTIONS(675),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(691),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(695),
    [anon_sym_RBRACK] = ACTIONS(679),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(699),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(691),
    [anon_sym_get] = ACTIONS(691),
    [anon_sym_set] = ACTIONS(691),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1210),
    [sym_assignment_pattern] = STATE(1452),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1210),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1210),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [sym_pattern] = STATE(1316),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_COMMA] = ACTIONS(701),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [anon_sym_RBRACK] = ACTIONS(701),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(794),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1359),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1687),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1235),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(703),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(800),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1359),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1719),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1235),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(703),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(812),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_spread_element] = STATE(1315),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_repeat1] = STATE(1317),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(707),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1210),
    [sym_assignment_pattern] = STATE(1359),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1210),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1210),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [sym_pattern] = STATE(1235),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(703),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1210),
    [sym_assignment_pattern] = STATE(1630),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1210),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1210),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [sym_pattern] = STATE(1350),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(711),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(818),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_spread_element] = STATE(1313),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [anon_sym_RBRACK] = ACTIONS(713),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(763),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_spread_element] = STATE(1322),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_repeat1] = STATE(1324),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(804),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_spread_element] = STATE(1293),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [aux_sym_array_repeat1] = STATE(1294),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_COMMA] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(717),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1210),
    [sym_assignment_pattern] = STATE(1630),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1210),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1210),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [sym_pattern] = STATE(1350),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(820),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_spread_element] = STATE(1745),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1745),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_RBRACE] = ACTIONS(721),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1156),
    [sym_assignment_pattern] = STATE(1397),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1156),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1156),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [sym_pattern] = STATE(1385),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(520),
    [anon_sym_export] = ACTIONS(522),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(522),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(528),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(530),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(522),
    [anon_sym_get] = ACTIONS(522),
    [anon_sym_set] = ACTIONS(522),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1210),
    [sym_assignment_pattern] = STATE(1397),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1210),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1210),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [sym_pattern] = STATE(1385),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(802),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_spread_element] = STATE(1710),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1710),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_RBRACE] = ACTIONS(723),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(709),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1210),
    [sym_assignment_pattern] = STATE(1630),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1210),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(487),
    [sym_subscript_expression] = STATE(487),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1210),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [sym_pattern] = STATE(1350),
    [sym_rest_pattern] = STATE(1160),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(669),
    [anon_sym_export] = ACTIONS(671),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(671),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(681),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(671),
    [anon_sym_get] = ACTIONS(671),
    [anon_sym_set] = ACTIONS(671),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(1279),
    [sym_empty_statement] = STATE(120),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(762),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1671),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(755),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1605),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(725),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym__automatic_semicolon] = ACTIONS(725),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(1279),
    [sym_empty_statement] = STATE(115),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(796),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1663),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(1279),
    [sym_empty_statement] = STATE(119),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(777),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1657),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(1279),
    [sym_empty_statement] = STATE(118),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(787),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1662),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_SEMI] = ACTIONS(35),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(793),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1731),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(772),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1724),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(503),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1335),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1335),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(503),
    [sym_subscript_expression] = STATE(503),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1335),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(652),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(735),
    [anon_sym_let] = ACTIONS(737),
    [anon_sym_const] = ACTIONS(739),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(660),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(741),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(733),
    [anon_sym_get] = ACTIONS(733),
    [anon_sym_set] = ACTIONS(733),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(809),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1670),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(745),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1646),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(765),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1688),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(749),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1639),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(764),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1685),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(784),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1721),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(755),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(561),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(605),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(573),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(775),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(821),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1699),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(781),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1675),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(506),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(507),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(761),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(823),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1709),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1737),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(799),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1715),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(668),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(670),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(803),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1717),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(672),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(675),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(736),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(737),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(506),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(507),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(765),
    [anon_sym_export] = ACTIONS(767),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(767),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(761),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(767),
    [anon_sym_get] = ACTIONS(767),
    [anon_sym_set] = ACTIONS(767),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(713),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(718),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(677),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(704),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(822),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1682),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(521),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(582),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(556),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(588),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(576),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(601),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(788),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1712),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(658),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(674),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(792),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1690),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(815),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1644),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(736),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(683),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(658),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(663),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(713),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(698),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(668),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(700),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(672),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(701),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(1267),
    [sym_statement_block] = STATE(677),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(702),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1686),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(471),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(603),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(604),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(471),
    [sym_subscript_expression] = STATE(471),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(771),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(777),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(779),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(773),
    [anon_sym_get] = ACTIONS(773),
    [anon_sym_set] = ACTIONS(773),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(776),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1730),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(789),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1696),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(521),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(782),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(556),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(830),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(573),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(608),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(471),
    [sym_expression] = STATE(880),
    [sym_primary_expression] = STATE(603),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(604),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(471),
    [sym_subscript_expression] = STATE(471),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(781),
    [anon_sym_export] = ACTIONS(783),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(783),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(785),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(779),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(783),
    [anon_sym_get] = ACTIONS(783),
    [anon_sym_set] = ACTIONS(783),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(576),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(770),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(572),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(607),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(561),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(771),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(521),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(868),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(556),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(850),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(576),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(863),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(561),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(864),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(572),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(865),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(573),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(866),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(1279),
    [sym_statement_block] = STATE(572),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(774),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(506),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(507),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(787),
    [anon_sym_export] = ACTIONS(789),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(789),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DOT] = ACTIONS(761),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(791),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(789),
    [anon_sym_get] = ACTIONS(789),
    [anon_sym_set] = ACTIONS(789),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(750),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_sequence_expression] = STATE(1609),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(813),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_sequence_expression] = STATE(1742),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(626),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(757),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(839),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(841),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(879),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1159),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1159),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1159),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(793),
    [anon_sym_export] = ACTIONS(795),
    [anon_sym_LBRACE] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(677),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(797),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(799),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(795),
    [anon_sym_get] = ACTIONS(795),
    [anon_sym_set] = ACTIONS(795),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(644),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(834),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(873),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(511),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(508),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(581),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(586),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(587),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(589),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(590),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(621),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(591),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(592),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(593),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(595),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(613),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(596),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(597),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(598),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(599),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(600),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(735),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(872),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(739),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(870),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(645),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(657),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(665),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(512),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(667),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(714),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(723),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(630),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(631),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(636),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(638),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(640),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(641),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(749),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(666),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(511),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(508),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(779),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(785),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(797),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(805),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(807),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(810),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(817),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(811),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(766),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(786),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(801),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(806),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(808),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(768),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(769),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(746),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(871),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(618),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(778),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(512),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(751),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(753),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(486),
    [sym_expression] = STATE(798),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1654),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1654),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1028),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1654),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1701),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(412),
    [anon_sym_export] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(414),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(37),
    [anon_sym_yield] = ACTIONS(55),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(424),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(73),
    [anon_sym_PLUS] = ACTIONS(75),
    [anon_sym_DASH] = ACTIONS(75),
    [anon_sym_SLASH] = ACTIONS(77),
    [anon_sym_BANG] = ACTIONS(79),
    [anon_sym_TILDE] = ACTIONS(79),
    [anon_sym_typeof] = ACTIONS(75),
    [anon_sym_void] = ACTIONS(75),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_PLUS_PLUS] = ACTIONS(81),
    [anon_sym_DASH_DASH] = ACTIONS(81),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(87),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(91),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(414),
    [anon_sym_get] = ACTIONS(414),
    [anon_sym_set] = ACTIONS(414),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(618),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(673),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(679),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(682),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(684),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(869),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(745),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(687),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(688),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(689),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(690),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(691),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(693),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(694),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(695),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(696),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(697),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(874),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(757),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1238),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1238),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(491),
    [sym_subscript_expression] = STATE(491),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1238),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(801),
    [anon_sym_export] = ACTIONS(803),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(805),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(807),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(803),
    [anon_sym_get] = ACTIONS(803),
    [anon_sym_set] = ACTIONS(803),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(705),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(875),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(626),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(1267),
    [sym_parenthesized_expression] = STATE(484),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(619),
    [sym_yield_expression] = STATE(685),
    [sym_object] = STATE(649),
    [sym_object_pattern] = STATE(1733),
    [sym_array] = STATE(649),
    [sym_array_pattern] = STATE(1733),
    [sym_glimmer_template] = STATE(685),
    [sym_jsx_element] = STATE(685),
    [sym_jsx_opening_element] = STATE(1059),
    [sym_jsx_self_closing_element] = STATE(685),
    [sym_class] = STATE(649),
    [sym_function_expression] = STATE(649),
    [sym_generator_function] = STATE(649),
    [sym_arrow_function] = STATE(649),
    [sym_call_expression] = STATE(649),
    [sym_new_expression] = STATE(615),
    [sym_await_expression] = STATE(685),
    [sym_member_expression] = STATE(484),
    [sym_subscript_expression] = STATE(484),
    [sym_assignment_expression] = STATE(685),
    [sym__augmented_assignment_lhs] = STATE(1034),
    [sym_augmented_assignment_expression] = STATE(685),
    [sym__destructuring_pattern] = STATE(1733),
    [sym_ternary_expression] = STATE(685),
    [sym_binary_expression] = STATE(685),
    [sym_unary_expression] = STATE(685),
    [sym_update_expression] = STATE(685),
    [sym_string] = STATE(649),
    [sym_template_string] = STATE(649),
    [sym_regex] = STATE(649),
    [sym_meta_property] = STATE(649),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1734),
    [aux_sym_export_statement_repeat1] = STATE(1261),
    [sym_identifier] = ACTIONS(428),
    [anon_sym_export] = ACTIONS(430),
    [anon_sym_LBRACE] = ACTIONS(418),
    [anon_sym_import] = ACTIONS(420),
    [anon_sym_let] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(33),
    [anon_sym_await] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_LBRACK] = ACTIONS(57),
    [sym_glimmer_opening_tag] = ACTIONS(59),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_DQUOTE] = ACTIONS(63),
    [anon_sym_SQUOTE] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(422),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_BANG] = ACTIONS(446),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(448),
    [anon_sym_DASH_DASH] = ACTIONS(448),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_private_property_identifier] = ACTIONS(450),
    [sym_this] = ACTIONS(89),
    [sym_super] = ACTIONS(89),
    [sym_true] = ACTIONS(89),
    [sym_false] = ACTIONS(89),
    [sym_null] = ACTIONS(89),
    [sym_undefined] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_get] = ACTIONS(430),
    [anon_sym_set] = ACTIONS(430),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(445),
    [sym_expression] = STATE(754),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1691),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1691),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(445),
    [sym_subscript_expression] = STATE(445),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1032),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1691),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1652),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_export] = ACTIONS(358),
    [anon_sym_LBRACE] = ACTIONS(362),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(374),
    [anon_sym_LBRACK] = ACTIONS(376),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(388),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(392),
    [anon_sym_PLUS] = ACTIONS(394),
    [anon_sym_DASH] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(398),
    [anon_sym_TILDE] = ACTIONS(398),
    [anon_sym_typeof] = ACTIONS(394),
    [anon_sym_void] = ACTIONS(394),
    [anon_sym_delete] = ACTIONS(394),
    [anon_sym_PLUS_PLUS] = ACTIONS(400),
    [anon_sym_DASH_DASH] = ACTIONS(400),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(406),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(410),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(358),
    [anon_sym_get] = ACTIONS(358),
    [anon_sym_set] = ACTIONS(358),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(511),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(508),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(846),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(848),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(849),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(876),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(851),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(852),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(853),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(854),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(855),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(856),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(858),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(859),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(860),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(861),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(862),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(831),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(867),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(504),
    [sym_expression] = STATE(512),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1744),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1744),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(504),
    [sym_subscript_expression] = STATE(504),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1047),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1744),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1725),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(454),
    [anon_sym_export] = ACTIONS(456),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(462),
    [anon_sym_yield] = ACTIONS(464),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(468),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(470),
    [anon_sym_PLUS] = ACTIONS(472),
    [anon_sym_DASH] = ACTIONS(472),
    [anon_sym_SLASH] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_typeof] = ACTIONS(472),
    [anon_sym_void] = ACTIONS(472),
    [anon_sym_delete] = ACTIONS(472),
    [anon_sym_PLUS_PLUS] = ACTIONS(478),
    [anon_sym_DASH_DASH] = ACTIONS(478),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(480),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(456),
    [anon_sym_get] = ACTIONS(456),
    [anon_sym_set] = ACTIONS(456),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(877),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(1279),
    [sym_parenthesized_expression] = STATE(430),
    [sym_expression] = STATE(826),
    [sym_primary_expression] = STATE(515),
    [sym_yield_expression] = STATE(535),
    [sym_object] = STATE(531),
    [sym_object_pattern] = STATE(1651),
    [sym_array] = STATE(531),
    [sym_array_pattern] = STATE(1651),
    [sym_glimmer_template] = STATE(535),
    [sym_jsx_element] = STATE(535),
    [sym_jsx_opening_element] = STATE(1053),
    [sym_jsx_self_closing_element] = STATE(535),
    [sym_class] = STATE(531),
    [sym_function_expression] = STATE(531),
    [sym_generator_function] = STATE(531),
    [sym_arrow_function] = STATE(531),
    [sym_call_expression] = STATE(531),
    [sym_new_expression] = STATE(514),
    [sym_await_expression] = STATE(535),
    [sym_member_expression] = STATE(430),
    [sym_subscript_expression] = STATE(430),
    [sym_assignment_expression] = STATE(535),
    [sym__augmented_assignment_lhs] = STATE(1033),
    [sym_augmented_assignment_expression] = STATE(535),
    [sym__destructuring_pattern] = STATE(1651),
    [sym_ternary_expression] = STATE(535),
    [sym_binary_expression] = STATE(535),
    [sym_unary_expression] = STATE(535),
    [sym_update_expression] = STATE(535),
    [sym_string] = STATE(531),
    [sym_template_string] = STATE(531),
    [sym_regex] = STATE(531),
    [sym_meta_property] = STATE(531),
    [sym_decorator] = STATE(991),
    [sym_formal_parameters] = STATE(1693),
    [aux_sym_export_statement_repeat1] = STATE(1236),
    [sym_identifier] = ACTIONS(484),
    [anon_sym_export] = ACTIONS(486),
    [anon_sym_LBRACE] = ACTIONS(460),
    [anon_sym_import] = ACTIONS(366),
    [anon_sym_let] = ACTIONS(486),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_await] = ACTIONS(490),
    [anon_sym_yield] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(466),
    [sym_glimmer_opening_tag] = ACTIONS(378),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_DQUOTE] = ACTIONS(382),
    [anon_sym_SQUOTE] = ACTIONS(384),
    [anon_sym_class] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(494),
    [anon_sym_function] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(498),
    [anon_sym_DASH] = ACTIONS(498),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_TILDE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(498),
    [anon_sym_void] = ACTIONS(498),
    [anon_sym_delete] = ACTIONS(498),
    [anon_sym_PLUS_PLUS] = ACTIONS(502),
    [anon_sym_DASH_DASH] = ACTIONS(502),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(402),
    [sym_number] = ACTIONS(404),
    [sym_private_property_identifier] = ACTIONS(504),
    [sym_this] = ACTIONS(408),
    [sym_super] = ACTIONS(408),
    [sym_true] = ACTIONS(408),
    [sym_false] = ACTIONS(408),
    [sym_null] = ACTIONS(408),
    [sym_undefined] = ACTIONS(506),
    [anon_sym_AT] = ACTIONS(93),
    [anon_sym_static] = ACTIONS(486),
    [anon_sym_get] = ACTIONS(486),
    [anon_sym_set] = ACTIONS(486),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_namespace_export] = STATE(1604),
    [sym_export_clause] = STATE(1284),
    [sym_declaration] = STATE(379),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_class_declaration] = STATE(407),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function_declaration] = STATE(407),
    [sym_decorator] = STATE(991),
    [aux_sym_export_statement_repeat1] = STATE(1257),
    [aux_sym_object_repeat1] = STATE(1372),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_var] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_const] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_async] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_namespace_export] = STATE(1604),
    [sym_export_clause] = STATE(1284),
    [sym_declaration] = STATE(379),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_class_declaration] = STATE(407),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function_declaration] = STATE(407),
    [sym_decorator] = STATE(991),
    [aux_sym_export_statement_repeat1] = STATE(1257),
    [aux_sym_object_repeat1] = STATE(1383),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(843),
    [anon_sym_var] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_const] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_async] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_namespace_export] = STATE(1604),
    [sym_export_clause] = STATE(1284),
    [sym_declaration] = STATE(379),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_class_declaration] = STATE(407),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function_declaration] = STATE(407),
    [sym_decorator] = STATE(991),
    [aux_sym_export_statement_repeat1] = STATE(1257),
    [aux_sym_object_repeat1] = STATE(1383),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_var] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_const] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_async] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_string] = STATE(1488),
    [sym_formal_parameters] = STATE(1664),
    [sym__property_name] = STATE(1488),
    [sym_computed_property_name] = STATE(1488),
    [aux_sym_object_repeat1] = STATE(1383),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(847),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(849),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(865),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(849),
    [anon_sym_get] = ACTIONS(869),
    [anon_sym_set] = ACTIONS(869),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_namespace_export] = STATE(1604),
    [sym_export_clause] = STATE(1284),
    [sym_declaration] = STATE(379),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_class_declaration] = STATE(407),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function_declaration] = STATE(407),
    [sym_decorator] = STATE(991),
    [aux_sym_export_statement_repeat1] = STATE(1257),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_var] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_const] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(871),
    [anon_sym_EQ] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_async] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_string] = STATE(1488),
    [sym_formal_parameters] = STATE(1664),
    [sym__property_name] = STATE(1488),
    [sym_computed_property_name] = STATE(1488),
    [aux_sym_object_repeat1] = STATE(1372),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(847),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_let] = ACTIONS(849),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(865),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(849),
    [anon_sym_get] = ACTIONS(869),
    [anon_sym_set] = ACTIONS(869),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_string] = STATE(1488),
    [sym_formal_parameters] = STATE(1664),
    [sym__property_name] = STATE(1488),
    [sym_computed_property_name] = STATE(1488),
    [aux_sym_object_repeat1] = STATE(1383),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(847),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_let] = ACTIONS(849),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(865),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(849),
    [anon_sym_get] = ACTIONS(869),
    [anon_sym_set] = ACTIONS(869),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_namespace_export] = STATE(1604),
    [sym_export_clause] = STATE(1284),
    [sym_declaration] = STATE(379),
    [sym_variable_declaration] = STATE(407),
    [sym_lexical_declaration] = STATE(407),
    [sym_class_declaration] = STATE(407),
    [sym_function_declaration] = STATE(407),
    [sym_generator_function_declaration] = STATE(407),
    [sym_decorator] = STATE(991),
    [aux_sym_export_statement_repeat1] = STATE(1257),
    [anon_sym_STAR] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_var] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_const] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_EQ] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_async] = ACTIONS(835),
    [anon_sym_function] = ACTIONS(837),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_AT] = ACTIONS(93),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_string] = STATE(1488),
    [sym__property_name] = STATE(1488),
    [sym_computed_property_name] = STATE(1488),
    [aux_sym_object_repeat1] = STATE(1383),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_string] = STATE(1488),
    [sym__property_name] = STATE(1488),
    [sym_computed_property_name] = STATE(1488),
    [aux_sym_object_repeat1] = STATE(1383),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_string] = STATE(1488),
    [sym__property_name] = STATE(1488),
    [sym_computed_property_name] = STATE(1488),
    [aux_sym_object_repeat1] = STATE(1372),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(879),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(879),
    [anon_sym_set] = ACTIONS(879),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_string] = STATE(1488),
    [sym__property_name] = STATE(1488),
    [sym_computed_property_name] = STATE(1488),
    [aux_sym_object_repeat1] = STATE(1383),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(881),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(883),
    [anon_sym_set] = ACTIONS(883),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_string] = STATE(1488),
    [sym__property_name] = STATE(1488),
    [sym_computed_property_name] = STATE(1488),
    [aux_sym_object_repeat1] = STATE(1383),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(843),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(881),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(883),
    [anon_sym_set] = ACTIONS(883),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_string] = STATE(1488),
    [sym__property_name] = STATE(1488),
    [sym_computed_property_name] = STATE(1488),
    [aux_sym_object_repeat1] = STATE(1372),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(879),
    [anon_sym_export] = ACTIONS(879),
    [anon_sym_STAR] = ACTIONS(851),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_let] = ACTIONS(879),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [anon_sym_async] = ACTIONS(881),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym_number] = ACTIONS(867),
    [sym_private_property_identifier] = ACTIONS(867),
    [anon_sym_static] = ACTIONS(879),
    [anon_sym_get] = ACTIONS(883),
    [anon_sym_set] = ACTIONS(883),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_formal_parameters] = STATE(1722),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_formal_parameters] = STATE(1722),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_RBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_catch_clause] = STATE(331),
    [sym_finally_clause] = STATE(357),
    [ts_builtin_sym_end] = ACTIONS(900),
    [sym_identifier] = ACTIONS(902),
    [anon_sym_export] = ACTIONS(902),
    [anon_sym_default] = ACTIONS(902),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_RBRACE] = ACTIONS(900),
    [anon_sym_import] = ACTIONS(902),
    [anon_sym_with] = ACTIONS(902),
    [anon_sym_var] = ACTIONS(902),
    [anon_sym_let] = ACTIONS(902),
    [anon_sym_const] = ACTIONS(902),
    [anon_sym_else] = ACTIONS(902),
    [anon_sym_if] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(902),
    [anon_sym_for] = ACTIONS(902),
    [anon_sym_LPAREN] = ACTIONS(900),
    [anon_sym_SEMI] = ACTIONS(900),
    [anon_sym_await] = ACTIONS(902),
    [anon_sym_while] = ACTIONS(902),
    [anon_sym_do] = ACTIONS(902),
    [anon_sym_try] = ACTIONS(902),
    [anon_sym_break] = ACTIONS(902),
    [anon_sym_continue] = ACTIONS(902),
    [anon_sym_debugger] = ACTIONS(902),
    [anon_sym_return] = ACTIONS(902),
    [anon_sym_throw] = ACTIONS(902),
    [anon_sym_case] = ACTIONS(902),
    [anon_sym_catch] = ACTIONS(904),
    [anon_sym_finally] = ACTIONS(906),
    [anon_sym_yield] = ACTIONS(902),
    [anon_sym_LBRACK] = ACTIONS(900),
    [sym_glimmer_opening_tag] = ACTIONS(900),
    [anon_sym_LT] = ACTIONS(902),
    [anon_sym_DQUOTE] = ACTIONS(900),
    [anon_sym_SQUOTE] = ACTIONS(900),
    [anon_sym_class] = ACTIONS(902),
    [anon_sym_async] = ACTIONS(902),
    [anon_sym_function] = ACTIONS(902),
    [anon_sym_new] = ACTIONS(902),
    [anon_sym_PLUS] = ACTIONS(902),
    [anon_sym_DASH] = ACTIONS(902),
    [anon_sym_SLASH] = ACTIONS(902),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_typeof] = ACTIONS(902),
    [anon_sym_void] = ACTIONS(902),
    [anon_sym_delete] = ACTIONS(902),
    [anon_sym_PLUS_PLUS] = ACTIONS(900),
    [anon_sym_DASH_DASH] = ACTIONS(900),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(900),
    [sym_number] = ACTIONS(900),
    [sym_private_property_identifier] = ACTIONS(900),
    [sym_this] = ACTIONS(902),
    [sym_super] = ACTIONS(902),
    [sym_true] = ACTIONS(902),
    [sym_false] = ACTIONS(902),
    [sym_null] = ACTIONS(902),
    [sym_undefined] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(900),
    [anon_sym_static] = ACTIONS(902),
    [anon_sym_get] = ACTIONS(902),
    [anon_sym_set] = ACTIONS(902),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(508),
    [sym_identifier] = ACTIONS(510),
    [anon_sym_export] = ACTIONS(510),
    [anon_sym_default] = ACTIONS(510),
    [anon_sym_LBRACE] = ACTIONS(508),
    [anon_sym_COMMA] = ACTIONS(508),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_import] = ACTIONS(510),
    [anon_sym_with] = ACTIONS(510),
    [anon_sym_var] = ACTIONS(510),
    [anon_sym_let] = ACTIONS(510),
    [anon_sym_const] = ACTIONS(510),
    [anon_sym_else] = ACTIONS(510),
    [anon_sym_if] = ACTIONS(510),
    [anon_sym_switch] = ACTIONS(510),
    [anon_sym_for] = ACTIONS(510),
    [anon_sym_LPAREN] = ACTIONS(508),
    [anon_sym_SEMI] = ACTIONS(508),
    [anon_sym_await] = ACTIONS(510),
    [anon_sym_while] = ACTIONS(510),
    [anon_sym_do] = ACTIONS(510),
    [anon_sym_try] = ACTIONS(510),
    [anon_sym_break] = ACTIONS(510),
    [anon_sym_continue] = ACTIONS(510),
    [anon_sym_debugger] = ACTIONS(510),
    [anon_sym_return] = ACTIONS(510),
    [anon_sym_throw] = ACTIONS(510),
    [anon_sym_case] = ACTIONS(510),
    [anon_sym_catch] = ACTIONS(510),
    [anon_sym_finally] = ACTIONS(510),
    [anon_sym_yield] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(508),
    [sym_glimmer_opening_tag] = ACTIONS(508),
    [anon_sym_LT] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(508),
    [anon_sym_SQUOTE] = ACTIONS(508),
    [anon_sym_class] = ACTIONS(510),
    [anon_sym_async] = ACTIONS(510),
    [anon_sym_function] = ACTIONS(510),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS] = ACTIONS(510),
    [anon_sym_DASH] = ACTIONS(510),
    [anon_sym_SLASH] = ACTIONS(510),
    [anon_sym_BANG] = ACTIONS(508),
    [anon_sym_TILDE] = ACTIONS(508),
    [anon_sym_typeof] = ACTIONS(510),
    [anon_sym_void] = ACTIONS(510),
    [anon_sym_delete] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(508),
    [anon_sym_DASH_DASH] = ACTIONS(508),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(508),
    [sym_number] = ACTIONS(508),
    [sym_private_property_identifier] = ACTIONS(508),
    [sym_this] = ACTIONS(510),
    [sym_super] = ACTIONS(510),
    [sym_true] = ACTIONS(510),
    [sym_false] = ACTIONS(510),
    [sym_null] = ACTIONS(510),
    [sym_undefined] = ACTIONS(510),
    [anon_sym_AT] = ACTIONS(508),
    [anon_sym_static] = ACTIONS(510),
    [anon_sym_get] = ACTIONS(510),
    [anon_sym_set] = ACTIONS(510),
    [sym__automatic_semicolon] = ACTIONS(518),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(570),
    [sym_identifier] = ACTIONS(572),
    [anon_sym_export] = ACTIONS(572),
    [anon_sym_default] = ACTIONS(572),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_COMMA] = ACTIONS(570),
    [anon_sym_RBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(572),
    [anon_sym_let] = ACTIONS(572),
    [anon_sym_const] = ACTIONS(572),
    [anon_sym_else] = ACTIONS(572),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(572),
    [anon_sym_for] = ACTIONS(572),
    [anon_sym_LPAREN] = ACTIONS(570),
    [anon_sym_SEMI] = ACTIONS(570),
    [anon_sym_await] = ACTIONS(572),
    [anon_sym_while] = ACTIONS(572),
    [anon_sym_do] = ACTIONS(572),
    [anon_sym_try] = ACTIONS(572),
    [anon_sym_break] = ACTIONS(572),
    [anon_sym_continue] = ACTIONS(572),
    [anon_sym_debugger] = ACTIONS(572),
    [anon_sym_return] = ACTIONS(572),
    [anon_sym_throw] = ACTIONS(572),
    [anon_sym_case] = ACTIONS(572),
    [anon_sym_catch] = ACTIONS(572),
    [anon_sym_finally] = ACTIONS(572),
    [anon_sym_yield] = ACTIONS(572),
    [anon_sym_LBRACK] = ACTIONS(570),
    [sym_glimmer_opening_tag] = ACTIONS(570),
    [anon_sym_LT] = ACTIONS(572),
    [anon_sym_DQUOTE] = ACTIONS(570),
    [anon_sym_SQUOTE] = ACTIONS(570),
    [anon_sym_class] = ACTIONS(572),
    [anon_sym_async] = ACTIONS(572),
    [anon_sym_function] = ACTIONS(572),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_SLASH] = ACTIONS(572),
    [anon_sym_BANG] = ACTIONS(570),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(572),
    [anon_sym_void] = ACTIONS(572),
    [anon_sym_delete] = ACTIONS(572),
    [anon_sym_PLUS_PLUS] = ACTIONS(570),
    [anon_sym_DASH_DASH] = ACTIONS(570),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(570),
    [sym_number] = ACTIONS(570),
    [sym_private_property_identifier] = ACTIONS(570),
    [sym_this] = ACTIONS(572),
    [sym_super] = ACTIONS(572),
    [sym_true] = ACTIONS(572),
    [sym_false] = ACTIONS(572),
    [sym_null] = ACTIONS(572),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(570),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [sym__automatic_semicolon] = ACTIONS(908),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_formal_parameters] = STATE(1664),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(877),
    [anon_sym_EQ] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(914),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_formal_parameters] = STATE(1664),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(871),
    [anon_sym_EQ] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(865),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_formal_parameters] = STATE(1695),
    [sym_identifier] = ACTIONS(916),
    [anon_sym_export] = ACTIONS(918),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_of] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(920),
    [anon_sym_EQ_GT] = ACTIONS(922),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(918),
    [anon_sym_get] = ACTIONS(918),
    [anon_sym_set] = ACTIONS(918),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_formal_parameters] = STATE(1722),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(887),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(924),
    [anon_sym_RBRACE] = ACTIONS(924),
    [anon_sym_let] = ACTIONS(887),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(924),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_RBRACK] = ACTIONS(924),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(887),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(896),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(887),
    [anon_sym_get] = ACTIONS(887),
    [anon_sym_set] = ACTIONS(887),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_formal_parameters] = STATE(1695),
    [sym_identifier] = ACTIONS(916),
    [anon_sym_export] = ACTIONS(918),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(918),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_of] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(930),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(918),
    [anon_sym_function] = ACTIONS(920),
    [anon_sym_EQ_GT] = ACTIONS(922),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(918),
    [anon_sym_get] = ACTIONS(918),
    [anon_sym_set] = ACTIONS(918),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [ts_builtin_sym_end] = ACTIONS(570),
    [sym_identifier] = ACTIONS(572),
    [anon_sym_export] = ACTIONS(572),
    [anon_sym_default] = ACTIONS(572),
    [anon_sym_LBRACE] = ACTIONS(570),
    [anon_sym_COMMA] = ACTIONS(570),
    [anon_sym_RBRACE] = ACTIONS(570),
    [anon_sym_import] = ACTIONS(572),
    [anon_sym_with] = ACTIONS(572),
    [anon_sym_var] = ACTIONS(572),
    [anon_sym_let] = ACTIONS(572),
    [anon_sym_const] = ACTIONS(572),
    [anon_sym_else] = ACTIONS(572),
    [anon_sym_if] = ACTIONS(572),
    [anon_sym_switch] = ACTIONS(572),
    [anon_sym_for] = ACTIONS(572),
    [anon_sym_LPAREN] = ACTIONS(570),
    [anon_sym_SEMI] = ACTIONS(570),
    [anon_sym_await] = ACTIONS(572),
    [anon_sym_while] = ACTIONS(572),
    [anon_sym_do] = ACTIONS(572),
    [anon_sym_try] = ACTIONS(572),
    [anon_sym_break] = ACTIONS(572),
    [anon_sym_continue] = ACTIONS(572),
    [anon_sym_debugger] = ACTIONS(572),
    [anon_sym_return] = ACTIONS(572),
    [anon_sym_throw] = ACTIONS(572),
    [anon_sym_case] = ACTIONS(572),
    [anon_sym_catch] = ACTIONS(572),
    [anon_sym_finally] = ACTIONS(572),
    [anon_sym_yield] = ACTIONS(572),
    [anon_sym_LBRACK] = ACTIONS(570),
    [sym_glimmer_opening_tag] = ACTIONS(570),
    [anon_sym_LT] = ACTIONS(572),
    [anon_sym_DQUOTE] = ACTIONS(570),
    [anon_sym_SQUOTE] = ACTIONS(570),
    [anon_sym_class] = ACTIONS(572),
    [anon_sym_async] = ACTIONS(572),
    [anon_sym_function] = ACTIONS(572),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(572),
    [anon_sym_DASH] = ACTIONS(572),
    [anon_sym_SLASH] = ACTIONS(572),
    [anon_sym_BANG] = ACTIONS(570),
    [anon_sym_TILDE] = ACTIONS(570),
    [anon_sym_typeof] = ACTIONS(572),
    [anon_sym_void] = ACTIONS(572),
    [anon_sym_delete] = ACTIONS(572),
    [anon_sym_PLUS_PLUS] = ACTIONS(570),
    [anon_sym_DASH_DASH] = ACTIONS(570),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(570),
    [sym_number] = ACTIONS(570),
    [sym_private_property_identifier] = ACTIONS(570),
    [sym_this] = ACTIONS(572),
    [sym_super] = ACTIONS(572),
    [sym_true] = ACTIONS(572),
    [sym_false] = ACTIONS(572),
    [sym_null] = ACTIONS(572),
    [sym_undefined] = ACTIONS(572),
    [anon_sym_AT] = ACTIONS(570),
    [anon_sym_static] = ACTIONS(572),
    [anon_sym_get] = ACTIONS(572),
    [anon_sym_set] = ACTIONS(572),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(578),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_default] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(578),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_import] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(580),
    [anon_sym_var] = ACTIONS(580),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_else] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(580),
    [anon_sym_for] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_SEMI] = ACTIONS(578),
    [anon_sym_await] = ACTIONS(580),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(580),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_break] = ACTIONS(580),
    [anon_sym_continue] = ACTIONS(580),
    [anon_sym_debugger] = ACTIONS(580),
    [anon_sym_return] = ACTIONS(580),
    [anon_sym_throw] = ACTIONS(580),
    [anon_sym_case] = ACTIONS(580),
    [anon_sym_catch] = ACTIONS(580),
    [anon_sym_finally] = ACTIONS(580),
    [anon_sym_yield] = ACTIONS(580),
    [anon_sym_LBRACK] = ACTIONS(578),
    [sym_glimmer_opening_tag] = ACTIONS(578),
    [anon_sym_LT] = ACTIONS(580),
    [anon_sym_DQUOTE] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(578),
    [anon_sym_class] = ACTIONS(580),
    [anon_sym_async] = ACTIONS(580),
    [anon_sym_function] = ACTIONS(580),
    [anon_sym_new] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(578),
    [anon_sym_TILDE] = ACTIONS(578),
    [anon_sym_typeof] = ACTIONS(580),
    [anon_sym_void] = ACTIONS(580),
    [anon_sym_delete] = ACTIONS(580),
    [anon_sym_PLUS_PLUS] = ACTIONS(578),
    [anon_sym_DASH_DASH] = ACTIONS(578),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_number] = ACTIONS(578),
    [sym_private_property_identifier] = ACTIONS(578),
    [sym_this] = ACTIONS(580),
    [sym_super] = ACTIONS(580),
    [sym_true] = ACTIONS(580),
    [sym_false] = ACTIONS(580),
    [sym_null] = ACTIONS(580),
    [sym_undefined] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_formal_parameters] = STATE(1664),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(920),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_variable_declarator] = STATE(1221),
    [sym_object_pattern] = STATE(1163),
    [sym_array_pattern] = STATE(1163),
    [sym__destructuring_pattern] = STATE(1163),
    [aux_sym_object_repeat1] = STATE(1383),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(843),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_variable_declarator] = STATE(1221),
    [sym_object_pattern] = STATE(1163),
    [sym_array_pattern] = STATE(1163),
    [sym__destructuring_pattern] = STATE(1163),
    [aux_sym_object_repeat1] = STATE(1383),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_formal_parameters] = STATE(1648),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(942),
    [anon_sym_RBRACE] = ACTIONS(942),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(942),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(944),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_RBRACK] = ACTIONS(942),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(947),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_formal_parameters] = STATE(1648),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_export] = ACTIONS(940),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(949),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_let] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_RPAREN] = ACTIONS(949),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_RBRACK] = ACTIONS(949),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(894),
    [anon_sym_EQ_GT] = ACTIONS(947),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_get] = ACTIONS(940),
    [anon_sym_set] = ACTIONS(940),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_formal_parameters] = STATE(1664),
    [sym_identifier] = ACTIONS(910),
    [anon_sym_export] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_let] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(898),
    [anon_sym_LBRACK] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_async] = ACTIONS(912),
    [anon_sym_function] = ACTIONS(920),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_get] = ACTIONS(912),
    [anon_sym_set] = ACTIONS(912),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_variable_declarator] = STATE(1221),
    [sym_object_pattern] = STATE(1163),
    [sym_array_pattern] = STATE(1163),
    [sym__destructuring_pattern] = STATE(1163),
    [aux_sym_object_repeat1] = STATE(1372),
    [aux_sym_object_pattern_repeat1] = STATE(1373),
    [sym_identifier] = ACTIONS(932),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_COMMA] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_COLON] = ACTIONS(828),
    [anon_sym_EQ] = ACTIONS(831),
    [anon_sym_LBRACK] = ACTIONS(936),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(815),
    [anon_sym_EQ_GT] = ACTIONS(839),
    [sym_optional_chain] = ACTIONS(815),
    [anon_sym_PLUS_EQ] = ACTIONS(841),
    [anon_sym_DASH_EQ] = ACTIONS(841),
    [anon_sym_STAR_EQ] = ACTIONS(841),
    [anon_sym_SLASH_EQ] = ACTIONS(841),
    [anon_sym_PERCENT_EQ] = ACTIONS(841),
    [anon_sym_CARET_EQ] = ACTIONS(841),
    [anon_sym_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(841),
    [anon_sym_LT_LT_EQ] = ACTIONS(841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(841),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(841),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(815),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(815),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(815),
    [anon_sym_GT_EQ] = ACTIONS(815),
    [anon_sym_QMARK_QMARK] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(815),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym__ternary_qmark] = ACTIONS(815),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 12,
    ACTIONS(885), 1,
      sym_identifier,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    STATE(1722), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(951), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(887), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [89] = 5,
    ACTIONS(906), 1,
      anon_sym_finally,
    STATE(409), 1,
      sym_finally_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(954), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(956), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [164] = 13,
    ACTIONS(885), 1,
      sym_identifier,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(961), 1,
      anon_sym_of,
    STATE(1722), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(887), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [255] = 4,
    ACTIONS(606), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(598), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(600), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [327] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(570), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(572), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [397] = 4,
    ACTIONS(963), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(510), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [469] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(578), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(580), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [539] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(965), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(967), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [609] = 4,
    ACTIONS(640), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(632), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(634), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [681] = 4,
    ACTIONS(540), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(532), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(534), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [753] = 4,
    ACTIONS(550), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(542), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(544), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [825] = 4,
    ACTIONS(592), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(584), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(586), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [897] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(973), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(969), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(971), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [969] = 4,
    ACTIONS(618), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(610), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(612), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1041] = 13,
    ACTIONS(885), 1,
      sym_identifier,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(924), 1,
      anon_sym_RBRACK,
    ACTIONS(927), 1,
      anon_sym_EQ,
    ACTIONS(942), 1,
      anon_sym_COMMA,
    STATE(1722), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(887), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1131] = 4,
    ACTIONS(975), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(570), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(572), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1203] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(977), 18,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(979), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1273] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(981), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(983), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1343] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(985), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(987), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1413] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(562), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(564), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1483] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(566), 18,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(568), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1553] = 5,
    ACTIONS(993), 1,
      anon_sym_else,
    STATE(397), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(989), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(991), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1627] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_EQ_GT,
    STATE(1648), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(940), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1713] = 4,
    ACTIONS(560), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(552), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(554), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1785] = 4,
    ACTIONS(628), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(620), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(622), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1857] = 11,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(865), 1,
      anon_sym_function,
    ACTIONS(873), 1,
      anon_sym_EQ,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(910), 1,
      sym_identifier,
    STATE(1664), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(912), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1943] = 11,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(873), 1,
      anon_sym_EQ,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(910), 1,
      sym_identifier,
    ACTIONS(914), 1,
      anon_sym_function,
    STATE(1664), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(912), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2029] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(995), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(997), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2098] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(999), 1,
      sym_identifier,
    ACTIONS(1003), 1,
      anon_sym_EQ_GT,
    STATE(1728), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1001), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2183] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1005), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1007), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2252] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1009), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1011), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2321] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1013), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1015), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2390] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1017), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1019), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2459] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1021), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1023), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2528] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1025), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1027), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2597] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1029), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1031), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2666] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1033), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1035), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2735] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1037), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1039), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2804] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1041), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1043), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2873] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1045), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1047), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2942] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1049), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1051), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3011] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1049), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1051), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3080] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1053), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1055), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3149] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1057), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1059), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3218] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1021), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1023), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3287] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1021), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1023), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3356] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1061), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1063), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3425] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1065), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1067), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3494] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1069), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1071), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3563] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1073), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1075), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3632] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1077), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1079), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3701] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1081), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1083), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3770] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1085), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1087), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3839] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1089), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1091), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3908] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1093), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1095), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3977] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1097), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1099), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4046] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1101), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1103), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4115] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1081), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1083), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4184] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1105), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1107), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4253] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1109), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1111), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4322] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1113), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1115), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1117), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1119), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4460] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1121), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1123), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4529] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1125), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1127), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4598] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1129), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1131), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4667] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1133), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1135), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4736] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1137), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1139), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4805] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1141), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1143), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4874] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1145), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1147), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4943] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1149), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1151), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5012] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1153), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1155), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5081] = 12,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(873), 1,
      anon_sym_EQ,
    ACTIONS(877), 1,
      anon_sym_COLON,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(815), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [5168] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1157), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1159), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5237] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1161), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1163), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5306] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1165), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1167), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5375] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1169), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1171), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5444] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1173), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1175), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5513] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1177), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1179), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5582] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1181), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1183), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5651] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1185), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1187), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5720] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1189), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1191), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5789] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1193), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1195), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5858] = 13,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(938), 1,
      sym_identifier,
    ACTIONS(947), 1,
      anon_sym_EQ_GT,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(961), 1,
      anon_sym_of,
    STATE(1648), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(940), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [5947] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1197), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1199), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6016] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1021), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1023), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6085] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1201), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1203), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6154] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1021), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1023), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6223] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1205), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1207), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6292] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1209), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1211), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6361] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1021), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1023), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6430] = 12,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(871), 1,
      anon_sym_COLON,
    ACTIONS(873), 1,
      anon_sym_EQ,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(815), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6517] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1213), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1215), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6586] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1217), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1219), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6655] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1221), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1223), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6724] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1225), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1227), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6793] = 11,
    ACTIONS(889), 1,
      anon_sym_LPAREN,
    ACTIONS(894), 1,
      anon_sym_function,
    ACTIONS(999), 1,
      sym_identifier,
    ACTIONS(1003), 1,
      anon_sym_EQ_GT,
    ACTIONS(1229), 1,
      anon_sym_EQ,
    STATE(1728), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1001), 6,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [6878] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1005), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1007), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6947] = 13,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(934), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(961), 1,
      anon_sym_of,
    ACTIONS(1231), 1,
      sym_identifier,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1109), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [7035] = 11,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(873), 1,
      anon_sym_EQ,
    ACTIONS(932), 1,
      sym_identifier,
    ACTIONS(934), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(815), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [7118] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1235), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7184] = 5,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1239), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7254] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1245), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1247), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7320] = 11,
    ACTIONS(828), 1,
      anon_sym_COLON,
    ACTIONS(845), 1,
      anon_sym_RBRACE,
    ACTIONS(1249), 1,
      anon_sym_LPAREN,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7402] = 11,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(828), 1,
      anon_sym_COLON,
    ACTIONS(1249), 1,
      anon_sym_LPAREN,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    STATE(1372), 1,
      aux_sym_object_repeat1,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7484] = 11,
    ACTIONS(828), 1,
      anon_sym_COLON,
    ACTIONS(843), 1,
      anon_sym_RBRACE,
    ACTIONS(1249), 1,
      anon_sym_LPAREN,
    ACTIONS(1252), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1256), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1258), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7632] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1260), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1262), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7698] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1264), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1266), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7764] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(983), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(981), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7830] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1268), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1270), 36,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [7896] = 6,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7967] = 6,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8038] = 6,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8109] = 6,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8180] = 12,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(934), 1,
      anon_sym_LBRACE,
    ACTIONS(947), 1,
      anon_sym_EQ_GT,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(961), 1,
      anon_sym_of,
    ACTIONS(1276), 1,
      sym_identifier,
    ACTIONS(1278), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1339), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(815), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [8263] = 5,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8331] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1283), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1281), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8395] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1287), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1285), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8459] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1287), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1285), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8523] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1291), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1289), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8587] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1287), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1285), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8651] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(981), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(983), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8715] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1295), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1293), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8779] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1287), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1285), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8843] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1299), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1297), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_with,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8907] = 6,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1301), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8976] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1260), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1262), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9039] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1256), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1258), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9102] = 7,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(1306), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1303), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9173] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1245), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1247), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9236] = 7,
    ACTIONS(944), 1,
      anon_sym_EQ,
    ACTIONS(947), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(942), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9307] = 6,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(873), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9376] = 7,
    ACTIONS(871), 1,
      anon_sym_COLON,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1301), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9447] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1233), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1235), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9510] = 7,
    ACTIONS(1311), 1,
      anon_sym_EQ,
    ACTIONS(1314), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1309), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9581] = 6,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9650] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1264), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1266), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9713] = 6,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(922), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9782] = 6,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(1316), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9851] = 7,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(947), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(949), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9922] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(983), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(981), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9985] = 5,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10052] = 7,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(1314), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1318), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10123] = 6,
    ACTIONS(1316), 1,
      anon_sym_EQ_GT,
    ACTIONS(1320), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10192] = 7,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(927), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(924), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10263] = 7,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(871), 1,
      anon_sym_COLON,
    ACTIONS(873), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10334] = 6,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10403] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1268), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1270), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10466] = 7,
    ACTIONS(877), 1,
      anon_sym_COLON,
    ACTIONS(1254), 1,
      anon_sym_EQ_GT,
    ACTIONS(1301), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10537] = 7,
    ACTIONS(839), 1,
      anon_sym_EQ_GT,
    ACTIONS(873), 1,
      anon_sym_EQ,
    ACTIONS(877), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10608] = 6,
    ACTIONS(922), 1,
      anon_sym_EQ_GT,
    ACTIONS(930), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(815), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10677] = 7,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(951), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10747] = 7,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1322), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10817] = 6,
    ACTIONS(1306), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1303), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10885] = 5,
    ACTIONS(1320), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10951] = 6,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1318), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11019] = 5,
    ACTIONS(1301), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1239), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11085] = 6,
    ACTIONS(1311), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1309), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11153] = 8,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(1325), 1,
      anon_sym_in,
    ACTIONS(1328), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11225] = 8,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(1330), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11297] = 8,
    ACTIONS(1274), 1,
      anon_sym_EQ_GT,
    ACTIONS(1303), 1,
      anon_sym_RBRACK,
    ACTIONS(1306), 1,
      anon_sym_EQ,
    ACTIONS(1309), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11368] = 6,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1322), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11435] = 6,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(1314), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11502] = 6,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(947), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11569] = 8,
    ACTIONS(896), 1,
      anon_sym_EQ_GT,
    ACTIONS(924), 1,
      anon_sym_RBRACK,
    ACTIONS(927), 1,
      anon_sym_EQ,
    ACTIONS(942), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11640] = 7,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(1325), 1,
      anon_sym_in,
    ACTIONS(1328), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11709] = 7,
    ACTIONS(1303), 1,
      anon_sym_RBRACK,
    ACTIONS(1306), 1,
      anon_sym_EQ,
    ACTIONS(1309), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11777] = 8,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(947), 1,
      anon_sym_EQ_GT,
    ACTIONS(958), 1,
      anon_sym_in,
    ACTIONS(1330), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11847] = 6,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(1332), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11913] = 8,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(1314), 1,
      anon_sym_EQ_GT,
    ACTIONS(1325), 1,
      anon_sym_in,
    ACTIONS(1328), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11983] = 6,
    ACTIONS(1003), 1,
      anon_sym_EQ_GT,
    ACTIONS(1229), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12049] = 6,
    ACTIONS(1332), 1,
      anon_sym_EQ_GT,
    ACTIONS(1334), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12115] = 6,
    ACTIONS(898), 1,
      anon_sym_EQ,
    ACTIONS(1003), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(815), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(841), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(826), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12181] = 7,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(1325), 1,
      anon_sym_in,
    ACTIONS(1328), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12248] = 5,
    ACTIONS(1334), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1239), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1243), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1237), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12311] = 5,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(1336), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(508), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12367] = 10,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1348), 1,
      sym_optional_chain,
    STATE(553), 1,
      sym_arguments,
    STATE(569), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12433] = 7,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    STATE(553), 1,
      sym_arguments,
    STATE(569), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12493] = 8,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12554] = 4,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12607] = 4,
    ACTIONS(1356), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(572), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(570), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12660] = 9,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1358), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [12723] = 9,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1364), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1366), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [12786] = 4,
    ACTIONS(1336), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(508), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12839] = 5,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    STATE(569), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1368), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12894] = 8,
    ACTIONS(402), 1,
      anon_sym_BQUOTE,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1348), 1,
      sym_optional_chain,
    STATE(569), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1368), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [12955] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13005] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1378), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13055] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(580), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(578), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13105] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1380), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1382), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13155] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1384), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1386), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13205] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1388), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1390), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13255] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1392), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1394), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13305] = 5,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1396), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13359] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13409] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(636), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(638), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13459] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1403), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1405), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13509] = 5,
    ACTIONS(1414), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1411), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1407), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13563] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(536), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(538), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13613] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(546), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(548), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13663] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1416), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1418), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13713] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13763] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1420), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1422), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13813] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(602), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(604), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13863] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(614), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(616), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13913] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1368), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [13963] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1424), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14013] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(624), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(626), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14063] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1428), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1430), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14113] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1432), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1434), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14163] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1436), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1438), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14213] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1440), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1442), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14263] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1444), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1446), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14313] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1448), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1450), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14363] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1452), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14413] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1456), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1458), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14463] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1460), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1462), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14513] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(564), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(562), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14563] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1464), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1466), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14613] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14663] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(588), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(590), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14713] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14763] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1472), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1474), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14813] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1476), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1478), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14863] = 4,
    ACTIONS(1484), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1480), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1482), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14915] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1486), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1488), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14965] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1490), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1492), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15015] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1494), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1496), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15065] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15115] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15165] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(568), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(566), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15215] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1498), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1500), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15265] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1502), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1504), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15315] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(556), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(558), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15365] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1506), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1508), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15415] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(572), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(570), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15465] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1512), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15515] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1514), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1516), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15565] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1518), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1520), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15615] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1436), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1438), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15665] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1522), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1524), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15715] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1528), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15765] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1530), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1532), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15815] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1534), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1536), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15865] = 5,
    ACTIONS(1545), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1542), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1538), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1540), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15919] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1547), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15969] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1553), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16019] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1555), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 29,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16069] = 4,
    ACTIONS(1414), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1407), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16120] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1561), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16213] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(564), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(562), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16262] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1595), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16355] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1390), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16448] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(572), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(570), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16497] = 4,
    ACTIONS(1597), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(572), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(570), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16548] = 4,
    ACTIONS(1599), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(508), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16599] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1601), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16692] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1603), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16785] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1492), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [16878] = 15,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1607), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [16951] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 20,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [17014] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 11,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17099] = 22,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17186] = 13,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1607), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [17255] = 19,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1607), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17336] = 20,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17419] = 12,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1607), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 19,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [17486] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 20,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [17549] = 17,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1607), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 14,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17626] = 23,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [17715] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1609), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [17808] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1553), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [17901] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(580), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(578), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17950] = 10,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1617), 1,
      sym_optional_chain,
    STATE(639), 1,
      sym_template_string,
    STATE(720), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [18013] = 7,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    STATE(639), 1,
      sym_template_string,
    STATE(720), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1338), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1340), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [18070] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1500), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [18163] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(568), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(566), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18212] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1532), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [18305] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1536), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [18398] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1619), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [18491] = 4,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18542] = 4,
    ACTIONS(1545), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1538), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1540), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18593] = 4,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18644] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 11,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [18729] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1378), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18777] = 5,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    STATE(639), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1368), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [18829] = 4,
    ACTIONS(1545), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1538), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1540), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18879] = 9,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1358), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [18939] = 8,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1350), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1352), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18997] = 8,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1617), 1,
      sym_optional_chain,
    STATE(639), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1368), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [19055] = 5,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(1599), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(508), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19107] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1625), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [19199] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1506), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1508), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19247] = 4,
    ACTIONS(1414), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1407), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19297] = 6,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(518), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(508), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19351] = 4,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19401] = 9,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1364), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1366), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [19461] = 4,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19511] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19558] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1452), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1454), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19605] = 20,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [19686] = 21,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [19769] = 4,
    ACTIONS(1301), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19818] = 5,
    ACTIONS(592), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(584), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(588), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(590), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19869] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1547), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19916] = 5,
    ACTIONS(1306), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1303), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19967] = 12,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1607), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [20032] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1518), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1520), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20079] = 10,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [20140] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1436), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1438), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20187] = 17,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1607), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [20262] = 23,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [20349] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1380), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1382), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20396] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1448), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1450), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20443] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1619), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [20534] = 10,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [20595] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1522), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1524), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20642] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1432), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1434), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20689] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1440), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1442), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20736] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20783] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1510), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1512), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20830] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1472), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1474), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20877] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1464), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1466), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20924] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20971] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1416), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1418), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21018] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(588), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(590), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21065] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21112] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1595), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [21203] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1388), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1390), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21250] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21297] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21344] = 5,
    ACTIONS(606), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(598), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(602), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(604), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21395] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1456), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1458), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21442] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1390), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [21533] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1526), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1528), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21580] = 21,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [21663] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1609), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [21754] = 22,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [21839] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1498), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1500), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21886] = 5,
    ACTIONS(618), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(610), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(614), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(616), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21937] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1500), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [22028] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1502), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1504), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22075] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1530), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1532), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22122] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1595), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [22213] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1390), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [22304] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [22395] = 5,
    ACTIONS(628), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(620), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(624), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(626), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22446] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1534), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1536), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22493] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(602), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(604), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22540] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1601), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [22631] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(614), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(616), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22678] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(624), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(626), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22725] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1603), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [22816] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1492), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [22907] = 15,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1607), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [22978] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1368), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23025] = 5,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1318), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23076] = 21,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23159] = 22,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23244] = 13,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1607), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [23311] = 19,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1607), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23390] = 20,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23471] = 21,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23554] = 12,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1607), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [23619] = 10,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [23680] = 17,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1607), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23755] = 23,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [23842] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1609), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [23933] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1553), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [24024] = 5,
    ACTIONS(640), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(632), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(636), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(638), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24075] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1500), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [24166] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1532), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [24257] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1536), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [24348] = 5,
    ACTIONS(540), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(532), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(536), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(538), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24399] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1536), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [24490] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1619), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [24581] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1384), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1386), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24628] = 5,
    ACTIONS(550), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(542), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(546), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(548), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24679] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(636), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(638), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24726] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(536), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(538), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24773] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(546), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(548), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24820] = 5,
    ACTIONS(560), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(552), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(556), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(558), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24871] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(556), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(558), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24918] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1551), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1553), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24965] = 13,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1607), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [25032] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1392), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1394), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25079] = 4,
    ACTIONS(1320), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25128] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1401), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25175] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1553), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [25266] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1663), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1561), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [25357] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1476), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1478), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25404] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1555), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25451] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1420), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1422), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25498] = 19,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1607), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [25577] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1424), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1426), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25624] = 4,
    ACTIONS(1695), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1480), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1482), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25673] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1436), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1438), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25720] = 4,
    ACTIONS(1695), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1480), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1482), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25769] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1514), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1516), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25816] = 5,
    ACTIONS(1311), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1309), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25867] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1428), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1430), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25914] = 5,
    ACTIONS(1545), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1697), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1538), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1540), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25965] = 5,
    ACTIONS(1414), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1699), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1407), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26016] = 5,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1701), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26067] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1486), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1488), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26114] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1603), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [26205] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1490), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1492), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26252] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1492), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [26343] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1403), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1405), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26390] = 15,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1607), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [26461] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1601), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [26552] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1494), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1496), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26599] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1460), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1462), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26646] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1561), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [26737] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1444), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1446), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26784] = 10,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [26845] = 27,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1703), 1,
      anon_sym_COMMA,
    ACTIONS(1706), 1,
      anon_sym_RBRACE,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1595), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26939] = 5,
    ACTIONS(1708), 1,
      anon_sym_LPAREN,
    ACTIONS(1711), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26989] = 27,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    STATE(726), 1,
      sym_arguments,
    STATE(1220), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1715), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27083] = 26,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1665), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1667), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1669), 1,
      anon_sym_GT_GT,
    ACTIONS(1673), 1,
      anon_sym_AMP,
    ACTIONS(1675), 1,
      anon_sym_CARET,
    ACTIONS(1677), 1,
      anon_sym_PIPE,
    ACTIONS(1681), 1,
      anon_sym_PERCENT,
    ACTIONS(1683), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1691), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1693), 1,
      sym__ternary_qmark,
    ACTIONS(1719), 1,
      anon_sym_in,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1661), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1663), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1671), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1679), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1687), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1689), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1685), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1717), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
  [27175] = 27,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    STATE(726), 1,
      sym_arguments,
    STATE(1220), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1722), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27269] = 27,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1706), 1,
      anon_sym_RBRACE,
    ACTIONS(1724), 1,
      anon_sym_COMMA,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1603), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27363] = 5,
    ACTIONS(1727), 1,
      anon_sym_LPAREN,
    ACTIONS(1730), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1555), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27413] = 27,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1732), 1,
      anon_sym_COMMA,
    ACTIONS(1735), 1,
      anon_sym_RBRACE,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1603), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27507] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1737), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [27597] = 27,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    STATE(726), 1,
      sym_arguments,
    STATE(1220), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1739), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27691] = 5,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1322), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27741] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1741), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [27831] = 6,
    ACTIONS(1272), 1,
      anon_sym_EQ,
    ACTIONS(1325), 1,
      anon_sym_in,
    ACTIONS(1328), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27883] = 6,
    ACTIONS(1545), 1,
      anon_sym_EQ,
    ACTIONS(1697), 1,
      anon_sym_of,
    ACTIONS(1743), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1538), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1540), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27935] = 6,
    ACTIONS(1414), 1,
      anon_sym_EQ,
    ACTIONS(1699), 1,
      anon_sym_of,
    ACTIONS(1746), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1407), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27987] = 6,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(1701), 1,
      anon_sym_of,
    ACTIONS(1749), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(512), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28039] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1754), 1,
      anon_sym_SEMI,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28132] = 27,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1756), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1320), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28225] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28318] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1760), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28411] = 20,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 8,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [28490] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1784), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28583] = 23,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [28668] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1609), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28757] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1553), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28846] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1500), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28935] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29028] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1561), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29117] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1532), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29206] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1536), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29295] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1800), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29388] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1802), 1,
      anon_sym_SEMI,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29481] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1619), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29570] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1595), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29659] = 6,
    ACTIONS(1303), 1,
      anon_sym_RBRACK,
    ACTIONS(1306), 1,
      anon_sym_EQ,
    ACTIONS(1309), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29710] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1804), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29803] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1390), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29892] = 27,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1806), 1,
      anon_sym_RBRACK,
    STATE(540), 1,
      sym_arguments,
    STATE(1325), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29985] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1808), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30078] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1601), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30167] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [30248] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1810), 1,
      anon_sym_SEMI,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30341] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1812), 1,
      anon_sym_RBRACK,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30434] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1814), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30527] = 27,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1816), 1,
      anon_sym_RBRACK,
    STATE(540), 1,
      sym_arguments,
    STATE(1301), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30620] = 27,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1818), 1,
      anon_sym_RBRACK,
    STATE(540), 1,
      sym_arguments,
    STATE(1325), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30713] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30806] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1822), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30899] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1824), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30992] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1826), 1,
      anon_sym_SEMI,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31085] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1828), 1,
      anon_sym_SEMI,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31178] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1603), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31267] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1717), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [31356] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1830), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31449] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1832), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31542] = 12,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1607), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [31605] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1834), 1,
      anon_sym_RBRACE,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31698] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1836), 1,
      anon_sym_RBRACE,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31791] = 27,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1838), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1297), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31884] = 15,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1607), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [31953] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [32012] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 16,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [32071] = 17,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1607), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 10,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [32144] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1840), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32237] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [32318] = 19,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 8,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [32395] = 27,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1842), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1355), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32488] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1844), 1,
      anon_sym_RBRACK,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32581] = 6,
    ACTIONS(1542), 1,
      anon_sym_RBRACK,
    ACTIONS(1545), 1,
      anon_sym_EQ,
    ACTIONS(1697), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1538), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1540), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32632] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1846), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32725] = 6,
    ACTIONS(1411), 1,
      anon_sym_RBRACK,
    ACTIONS(1414), 1,
      anon_sym_EQ,
    ACTIONS(1699), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1407), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32776] = 22,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [32859] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1848), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [32948] = 6,
    ACTIONS(516), 1,
      anon_sym_EQ,
    ACTIONS(1396), 1,
      anon_sym_RBRACK,
    ACTIONS(1701), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(514), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [32999] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1850), 1,
      anon_sym_RBRACE,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33092] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1852), 1,
      anon_sym_COLON,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33185] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1854), 1,
      anon_sym_RBRACK,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33278] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33371] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1625), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33460] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1858), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33553] = 13,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1607), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [33618] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1860), 1,
      anon_sym_RBRACK,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33711] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1862), 1,
      anon_sym_RPAREN,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33804] = 27,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    ACTIONS(1864), 1,
      anon_sym_SEMI,
    STATE(540), 1,
      sym_arguments,
    STATE(1100), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33897] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1492), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33986] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1609), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34074] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1904), 1,
      anon_sym_RBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1908), 1,
      anon_sym_async,
    ACTIONS(1912), 1,
      anon_sym_static,
    STATE(928), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    STATE(1360), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1369), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1914), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1900), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1309), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1328), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1368), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1672), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34160] = 25,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1916), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34248] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1918), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34336] = 4,
    ACTIONS(1484), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1480), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1482), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [34382] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1922), 1,
      anon_sym_RBRACE,
    ACTIONS(1924), 1,
      anon_sym_async,
    ACTIONS(1926), 1,
      anon_sym_static,
    STATE(928), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    STATE(1354), 1,
      aux_sym_object_repeat1,
    STATE(1360), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1928), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1920), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1309), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1314), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1328), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1672), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34468] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1561), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34556] = 26,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1631), 1,
      anon_sym_GT_GT,
    ACTIONS(1635), 1,
      anon_sym_AMP,
    ACTIONS(1639), 1,
      anon_sym_PERCENT,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1649), 1,
      anon_sym_CARET,
    ACTIONS(1651), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1659), 1,
      sym__ternary_qmark,
    ACTIONS(1930), 1,
      anon_sym_SEMI,
    ACTIONS(1932), 1,
      sym__automatic_semicolon,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1623), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1627), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1633), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1637), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1645), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1647), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1629), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1643), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34646] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1706), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34734] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1936), 1,
      anon_sym_RBRACE,
    ACTIONS(1938), 1,
      anon_sym_async,
    ACTIONS(1940), 1,
      anon_sym_static,
    STATE(928), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    STATE(1360), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1369), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1942), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1934), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1309), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1328), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1368), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1672), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34820] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1735), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34908] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1946), 1,
      anon_sym_RBRACE,
    ACTIONS(1948), 1,
      anon_sym_async,
    ACTIONS(1950), 1,
      anon_sym_static,
    STATE(928), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    STATE(1360), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1369), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1952), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1944), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1309), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1328), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1368), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1672), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [34994] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1956), 1,
      anon_sym_RBRACE,
    ACTIONS(1958), 1,
      anon_sym_async,
    ACTIONS(1960), 1,
      anon_sym_static,
    STATE(928), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    STATE(1360), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1369), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1962), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1954), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1309), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1328), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1368), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1672), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35080] = 24,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_RBRACE,
    ACTIONS(1968), 1,
      anon_sym_async,
    ACTIONS(1970), 1,
      anon_sym_static,
    STATE(928), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    STATE(1360), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1369), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1972), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1964), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1309), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1328), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1368), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1672), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [35166] = 6,
    ACTIONS(1241), 1,
      anon_sym_EQ,
    ACTIONS(1325), 1,
      anon_sym_in,
    ACTIONS(1328), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35216] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1595), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35304] = 4,
    ACTIONS(1334), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1237), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [35350] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1601), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35438] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1603), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35526] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1492), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35614] = 15,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1607), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 12,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35682] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35740] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [35820] = 22,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [35902] = 13,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1607), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [35966] = 19,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 7,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [36042] = 20,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 7,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [36120] = 21,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1607), 1,
      anon_sym_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [36200] = 12,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1607), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [36262] = 10,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1607), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [36320] = 17,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1607), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 9,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [36392] = 23,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1605), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
  [36476] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1553), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36564] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1500), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36652] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1532), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36740] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1536), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36828] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1619), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36916] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1390), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1868), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37004] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    ACTIONS(1974), 1,
      anon_sym_COLON,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37091] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    ACTIONS(1976), 1,
      anon_sym_COLON,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37178] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1978), 1,
      anon_sym_RBRACK,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37265] = 26,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1717), 1,
      anon_sym_of,
    ACTIONS(1870), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1872), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1874), 1,
      anon_sym_GT_GT,
    ACTIONS(1878), 1,
      anon_sym_AMP,
    ACTIONS(1880), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_PIPE,
    ACTIONS(1886), 1,
      anon_sym_PERCENT,
    ACTIONS(1888), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1898), 1,
      sym__ternary_qmark,
    ACTIONS(1980), 1,
      anon_sym_in,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1866), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1868), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1876), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1884), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1892), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1894), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1890), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37354] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    ACTIONS(1983), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37441] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1565), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1567), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1569), 1,
      anon_sym_GT_GT,
    ACTIONS(1573), 1,
      anon_sym_AMP,
    ACTIONS(1575), 1,
      anon_sym_CARET,
    ACTIONS(1577), 1,
      anon_sym_PIPE,
    ACTIONS(1581), 1,
      anon_sym_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1591), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1593), 1,
      sym__ternary_qmark,
    ACTIONS(1985), 1,
      anon_sym_RBRACK,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1559), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1571), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1579), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1587), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1563), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1585), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37528] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    ACTIONS(1987), 1,
      anon_sym_COLON,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37615] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    ACTIONS(1989), 1,
      anon_sym_COLON,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37702] = 25,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    ACTIONS(1991), 1,
      anon_sym_COLON,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37789] = 21,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_async,
    ACTIONS(2000), 1,
      anon_sym_static,
    STATE(928), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1910), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1995), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2002), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1993), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1328), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1474), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1481), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1672), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [37867] = 24,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1344), 1,
      anon_sym_LBRACK,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37951] = 24,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(1621), 1,
      sym_optional_chain,
    ACTIONS(1766), 1,
      anon_sym_GT_GT,
    ACTIONS(1770), 1,
      anon_sym_AMP,
    ACTIONS(1774), 1,
      anon_sym_PERCENT,
    ACTIONS(1776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1788), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1790), 1,
      anon_sym_CARET,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    ACTIONS(1794), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1796), 1,
      sym__ternary_qmark,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1362), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1768), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1772), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1782), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1764), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1778), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38035] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2008), 1,
      anon_sym_RBRACE,
    ACTIONS(2010), 1,
      anon_sym_SEMI,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    STATE(882), 1,
      aux_sym_class_body_repeat1,
    STATE(926), 1,
      aux_sym_export_statement_repeat1,
    STATE(970), 1,
      sym_method_definition,
    STATE(974), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_class_static_block,
    STATE(991), 1,
      sym_decorator,
    STATE(1491), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1136), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38112] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2030), 1,
      anon_sym_RBRACE,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    STATE(883), 1,
      aux_sym_class_body_repeat1,
    STATE(926), 1,
      aux_sym_export_statement_repeat1,
    STATE(970), 1,
      sym_method_definition,
    STATE(974), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_class_static_block,
    STATE(991), 1,
      sym_decorator,
    STATE(1491), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1136), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38189] = 23,
    ACTIONS(2037), 1,
      anon_sym_STAR,
    ACTIONS(2040), 1,
      anon_sym_RBRACE,
    ACTIONS(2042), 1,
      anon_sym_SEMI,
    ACTIONS(2045), 1,
      anon_sym_LBRACK,
    ACTIONS(2048), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2051), 1,
      anon_sym_DQUOTE,
    ACTIONS(2054), 1,
      anon_sym_SQUOTE,
    ACTIONS(2057), 1,
      anon_sym_async,
    ACTIONS(2063), 1,
      anon_sym_AT,
    ACTIONS(2066), 1,
      anon_sym_static,
    ACTIONS(2069), 1,
      aux_sym_method_definition_token1,
    STATE(883), 1,
      aux_sym_class_body_repeat1,
    STATE(926), 1,
      aux_sym_export_statement_repeat1,
    STATE(970), 1,
      sym_method_definition,
    STATE(974), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_class_static_block,
    STATE(991), 1,
      sym_decorator,
    STATE(1491), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2060), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2072), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2034), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1136), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38266] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2075), 1,
      anon_sym_RBRACE,
    ACTIONS(2077), 1,
      anon_sym_SEMI,
    STATE(888), 1,
      aux_sym_class_body_repeat1,
    STATE(926), 1,
      aux_sym_export_statement_repeat1,
    STATE(970), 1,
      sym_method_definition,
    STATE(974), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_class_static_block,
    STATE(991), 1,
      sym_decorator,
    STATE(1491), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1136), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38343] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2079), 1,
      anon_sym_RBRACE,
    ACTIONS(2081), 1,
      anon_sym_SEMI,
    STATE(886), 1,
      aux_sym_class_body_repeat1,
    STATE(926), 1,
      aux_sym_export_statement_repeat1,
    STATE(970), 1,
      sym_method_definition,
    STATE(974), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_class_static_block,
    STATE(991), 1,
      sym_decorator,
    STATE(1491), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1136), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38420] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    ACTIONS(2083), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      aux_sym_class_body_repeat1,
    STATE(926), 1,
      aux_sym_export_statement_repeat1,
    STATE(970), 1,
      sym_method_definition,
    STATE(974), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_class_static_block,
    STATE(991), 1,
      sym_decorator,
    STATE(1491), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1136), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38497] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2085), 1,
      anon_sym_RBRACE,
    ACTIONS(2087), 1,
      anon_sym_SEMI,
    STATE(889), 1,
      aux_sym_class_body_repeat1,
    STATE(926), 1,
      aux_sym_export_statement_repeat1,
    STATE(970), 1,
      sym_method_definition,
    STATE(974), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_class_static_block,
    STATE(991), 1,
      sym_decorator,
    STATE(1491), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1136), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38574] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    ACTIONS(2089), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      aux_sym_class_body_repeat1,
    STATE(926), 1,
      aux_sym_export_statement_repeat1,
    STATE(970), 1,
      sym_method_definition,
    STATE(974), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_class_static_block,
    STATE(991), 1,
      sym_decorator,
    STATE(1491), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1136), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38651] = 23,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_STAR,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2014), 1,
      sym_glimmer_opening_tag,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2020), 1,
      anon_sym_async,
    ACTIONS(2024), 1,
      anon_sym_static,
    ACTIONS(2026), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2032), 1,
      anon_sym_SEMI,
    ACTIONS(2091), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      aux_sym_class_body_repeat1,
    STATE(926), 1,
      aux_sym_export_statement_repeat1,
    STATE(970), 1,
      sym_method_definition,
    STATE(974), 1,
      sym_glimmer_template,
    STATE(975), 1,
      sym_class_static_block,
    STATE(991), 1,
      sym_decorator,
    STATE(1491), 1,
      sym_field_definition,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2022), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2028), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1136), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38728] = 20,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(709), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(2097), 1,
      anon_sym_RBRACE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2101), 1,
      anon_sym_async,
    ACTIONS(2105), 1,
      anon_sym_static,
    STATE(928), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    STATE(1371), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2103), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2107), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2093), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1361), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1375), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [38798] = 18,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(101), 1,
      anon_sym_STAR,
    ACTIONS(121), 1,
      aux_sym_method_definition_token1,
    ACTIONS(709), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2113), 1,
      anon_sym_async,
    ACTIONS(2115), 1,
      anon_sym_static,
    STATE(928), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2103), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2111), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2117), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2109), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1375), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1481), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [38863] = 14,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(2123), 1,
      anon_sym_RBRACE,
    STATE(1360), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2125), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1309), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1672), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(1689), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2119), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38920] = 14,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(2129), 1,
      anon_sym_RBRACE,
    STATE(1370), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2125), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1367), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1672), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(1689), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2127), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [38977] = 12,
    ACTIONS(683), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(1906), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2125), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2133), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1474), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1672), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(1689), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2131), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39029] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39085] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39143] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39199] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39257] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39315] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(845), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39371] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39427] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1372), 1,
      aux_sym_object_repeat1,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39485] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(843), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39541] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(843), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39599] = 16,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(845), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39657] = 15,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1372), 1,
      aux_sym_object_repeat1,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [39713] = 14,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2147), 1,
      anon_sym_STAR,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    ACTIONS(2151), 1,
      anon_sym_async,
    ACTIONS(2157), 1,
      sym__automatic_semicolon,
    STATE(969), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2153), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2155), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 3,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    STATE(1125), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2004), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [39766] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1372), 1,
      aux_sym_object_repeat1,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39817] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(845), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39868] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39919] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(843), 1,
      anon_sym_RBRACE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39970] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40021] = 13,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40072] = 12,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2160), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40120] = 18,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2163), 1,
      anon_sym_export,
    ACTIONS(2165), 1,
      anon_sym_STAR,
    ACTIONS(2167), 1,
      anon_sym_class,
    ACTIONS(2169), 1,
      anon_sym_async,
    ACTIONS(2173), 1,
      anon_sym_static,
    ACTIONS(2175), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2177), 1,
      anon_sym_get,
    ACTIONS(2179), 1,
      anon_sym_set,
    STATE(973), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(879), 2,
      anon_sym_let,
      sym_identifier,
    ACTIONS(2171), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1494), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40180] = 13,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2160), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [40230] = 13,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    STATE(1387), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40280] = 14,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    STATE(1387), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [40332] = 11,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2183), 1,
      anon_sym_STAR,
    ACTIONS(2187), 1,
      anon_sym_get,
    ACTIONS(2189), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2185), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1535), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40377] = 11,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2191), 1,
      anon_sym_STAR,
    ACTIONS(2195), 1,
      anon_sym_get,
    ACTIONS(2197), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2193), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40422] = 11,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2199), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40467] = 12,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2199), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [40514] = 11,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    STATE(1387), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40559] = 10,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2160), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40602] = 10,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2147), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2201), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2203), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1492), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40645] = 16,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2205), 1,
      anon_sym_STAR,
    ACTIONS(2207), 1,
      anon_sym_async,
    ACTIONS(2211), 1,
      anon_sym_static,
    ACTIONS(2213), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2215), 1,
      anon_sym_get,
    ACTIONS(2217), 1,
      anon_sym_set,
    STATE(973), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2209), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2004), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1133), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40700] = 12,
    ACTIONS(2012), 1,
      anon_sym_LBRACK,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2219), 1,
      anon_sym_STAR,
    ACTIONS(2221), 1,
      anon_sym_async,
    ACTIONS(2225), 1,
      anon_sym_get,
    ACTIONS(2227), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2223), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1127), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2004), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [40747] = 16,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2165), 1,
      anon_sym_STAR,
    ACTIONS(2169), 1,
      anon_sym_async,
    ACTIONS(2173), 1,
      anon_sym_static,
    ACTIONS(2175), 1,
      aux_sym_method_definition_token1,
    ACTIONS(2177), 1,
      anon_sym_get,
    ACTIONS(2179), 1,
      anon_sym_set,
    STATE(973), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2171), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(879), 3,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
    STATE(1494), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40802] = 10,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2229), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2233), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1516), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40845] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40873] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40901] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [40929] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2239), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1536), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40967] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2241), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1537), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41005] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41033] = 6,
    ACTIONS(2247), 1,
      anon_sym_LPAREN,
    ACTIONS(2249), 1,
      anon_sym_DOT,
    STATE(1007), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2243), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2245), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41067] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41095] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41123] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41151] = 4,
    ACTIONS(2251), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(572), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(570), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41181] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2253), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2255), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41209] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41237] = 9,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2199), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41277] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2257), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2259), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41305] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2261), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2263), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41333] = 4,
    ACTIONS(2265), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(510), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(508), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41363] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2267), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2269), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2271), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2273), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41419] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2267), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2269), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41447] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2267), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2269), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41475] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2267), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2269), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41503] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2267), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2269), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41531] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2275), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2277), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41559] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2275), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2277), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41587] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2275), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2277), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41615] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2275), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2277), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41643] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2275), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2277), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41671] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2275), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2277), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41699] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41727] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41755] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2201), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1492), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41793] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2235), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2237), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41821] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2279), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2281), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41849] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1516), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41887] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2283), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1520), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41925] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2285), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1521), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41963] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2267), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2269), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [41991] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1547), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1549), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42018] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2287), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2289), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42045] = 4,
    ACTIONS(2295), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2291), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2293), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42074] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2298), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2300), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42101] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(580), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(578), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42128] = 6,
    ACTIONS(2306), 1,
      anon_sym_AT,
    STATE(973), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2304), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      aux_sym_method_definition_token1,
    ACTIONS(2302), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42161] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2309), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2311), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42188] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2291), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2293), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42215] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2313), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2315), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42242] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(572), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(570), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42269] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1456), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1458), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42296] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2317), 9,
      anon_sym_export,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2319), 9,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42323] = 10,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2321), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2325), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1567), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42363] = 12,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2327), 1,
      anon_sym_STAR,
    ACTIONS(2329), 1,
      anon_sym_async,
    ACTIONS(2333), 1,
      anon_sym_get,
    ACTIONS(2335), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2331), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1427), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42407] = 11,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2337), 1,
      anon_sym_STAR,
    ACTIONS(2341), 1,
      anon_sym_get,
    ACTIONS(2343), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2339), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1462), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42449] = 10,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2229), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2233), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1516), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42489] = 13,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(819), 1,
      anon_sym_var,
    ACTIONS(833), 1,
      anon_sym_class,
    ACTIONS(835), 1,
      anon_sym_async,
    ACTIONS(837), 1,
      anon_sym_function,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2345), 1,
      anon_sym_default,
    STATE(411), 1,
      sym_declaration,
    STATE(991), 1,
      sym_decorator,
    STATE(1257), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(821), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(407), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [42535] = 11,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2347), 1,
      anon_sym_STAR,
    ACTIONS(2351), 1,
      anon_sym_get,
    ACTIONS(2353), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2349), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1408), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42577] = 11,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2355), 1,
      anon_sym_STAR,
    ACTIONS(2359), 1,
      anon_sym_get,
    ACTIONS(2361), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2357), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1539), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42619] = 11,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_STAR,
    ACTIONS(2367), 1,
      anon_sym_get,
    ACTIONS(2369), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2365), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1448), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 5,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42661] = 9,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1567), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42699] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2373), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1533), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42734] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1448), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1450), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42759] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2375), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2377), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42784] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2243), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2245), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [42809] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1567), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42844] = 12,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(819), 1,
      anon_sym_var,
    ACTIONS(833), 1,
      anon_sym_class,
    ACTIONS(835), 1,
      anon_sym_async,
    ACTIONS(837), 1,
      anon_sym_function,
    ACTIONS(2345), 1,
      anon_sym_default,
    STATE(411), 1,
      sym_declaration,
    STATE(991), 1,
      sym_decorator,
    STATE(1257), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(821), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(407), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [42887] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2379), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1401), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42922] = 10,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(881), 1,
      anon_sym_async,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2135), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(883), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [42961] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2381), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1573), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42996] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2383), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1578), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43031] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2385), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43066] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2387), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1423), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43101] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2389), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1593), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43136] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2391), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1450), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43171] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2393), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1454), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43206] = 11,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2395), 1,
      anon_sym_STAR,
    ACTIONS(2397), 1,
      anon_sym_async,
    ACTIONS(2401), 1,
      anon_sym_get,
    ACTIONS(2403), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2399), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1436), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [43247] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2405), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1437), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43282] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2407), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1438), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43317] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2409), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2411), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43342] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2413), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1463), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43377] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2415), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1464), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43412] = 10,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2147), 1,
      anon_sym_STAR,
    ACTIONS(2417), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2201), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2203), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1492), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [43451] = 12,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(819), 1,
      anon_sym_var,
    ACTIONS(833), 1,
      anon_sym_class,
    ACTIONS(835), 1,
      anon_sym_async,
    ACTIONS(837), 1,
      anon_sym_function,
    ACTIONS(2419), 1,
      anon_sym_default,
    STATE(411), 1,
      sym_declaration,
    STATE(991), 1,
      sym_decorator,
    STATE(1257), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(821), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(407), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [43494] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1516), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43529] = 11,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2421), 1,
      anon_sym_STAR,
    ACTIONS(2423), 1,
      anon_sym_async,
    ACTIONS(2427), 1,
      anon_sym_get,
    ACTIONS(2429), 1,
      anon_sym_set,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2425), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1519), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 4,
      anon_sym_export,
      anon_sym_let,
      sym_identifier,
      anon_sym_static,
  [43570] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1494), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1496), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43595] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2431), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1530), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43630] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2433), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1532), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43665] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2435), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1540), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43700] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2437), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1541), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43735] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2439), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1547), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43770] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2441), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1548), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43805] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2443), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1550), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43840] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2445), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1551), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43875] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1399), 8,
      anon_sym_export,
      anon_sym_let,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1401), 8,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      aux_sym_method_definition_token1,
  [43900] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2447), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1594), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43935] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(867), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43967] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2449), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1592), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43999] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2323), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1567), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44031] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2451), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44053] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2453), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1428), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44085] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2455), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1404), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44117] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2457), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1457), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44149] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2459), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44171] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2461), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44193] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2463), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44215] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2201), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1492), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44247] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2231), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1516), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44279] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2465), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1517), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44311] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2379), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1401), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44343] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2431), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1530), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44375] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2467), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1531), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44407] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2469), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1571), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44439] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2471), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1534), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44471] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2473), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1538), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44503] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2475), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1546), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44535] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2477), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1549), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44567] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2099), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2479), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(879), 7,
      anon_sym_export,
      anon_sym_let,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [44599] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2481), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [44621] = 11,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    ACTIONS(2483), 1,
      sym_identifier,
    ACTIONS(2485), 1,
      anon_sym_STAR,
    ACTIONS(2487), 1,
      anon_sym_LBRACE,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    STATE(1280), 1,
      sym_string,
    STATE(1583), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2489), 2,
      anon_sym_LPAREN,
      sym_optional_chain,
    STATE(1665), 2,
      sym_namespace_import,
      sym_named_imports,
  [44658] = 11,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(2505), 1,
      anon_sym_SLASH_GT,
    STATE(1073), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44694] = 11,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(2507), 1,
      anon_sym_SLASH_GT,
    STATE(1078), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44730] = 8,
    ACTIONS(2509), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_LT,
    ACTIONS(2515), 1,
      anon_sym_LT_SLASH,
    STATE(1052), 1,
      sym_jsx_opening_element,
    STATE(1193), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2511), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1057), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44760] = 8,
    ACTIONS(2509), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_LT,
    ACTIONS(2519), 1,
      anon_sym_LT_SLASH,
    STATE(1052), 1,
      sym_jsx_opening_element,
    STATE(1183), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2517), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1056), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44790] = 8,
    ACTIONS(2509), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_LT,
    ACTIONS(2523), 1,
      anon_sym_LT_SLASH,
    STATE(570), 1,
      sym_jsx_closing_element,
    STATE(1052), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2521), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1058), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44820] = 11,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(2525), 1,
      anon_sym_SLASH_GT,
    STATE(1070), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44856] = 8,
    ACTIONS(2509), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_LT,
    ACTIONS(2529), 1,
      anon_sym_LT_SLASH,
    STATE(664), 1,
      sym_jsx_closing_element,
    STATE(1052), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2527), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1062), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44886] = 8,
    ACTIONS(2509), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_LT,
    ACTIONS(2519), 1,
      anon_sym_LT_SLASH,
    STATE(1052), 1,
      sym_jsx_opening_element,
    STATE(1179), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2527), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1062), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44916] = 8,
    ACTIONS(2509), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_LT,
    ACTIONS(2515), 1,
      anon_sym_LT_SLASH,
    STATE(1052), 1,
      sym_jsx_opening_element,
    STATE(1201), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2527), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1062), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44946] = 8,
    ACTIONS(2509), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_LT,
    ACTIONS(2523), 1,
      anon_sym_LT_SLASH,
    STATE(571), 1,
      sym_jsx_closing_element,
    STATE(1052), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2527), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1062), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44976] = 8,
    ACTIONS(2509), 1,
      anon_sym_LBRACE,
    ACTIONS(2513), 1,
      anon_sym_LT,
    ACTIONS(2529), 1,
      anon_sym_LT_SLASH,
    STATE(646), 1,
      sym_jsx_closing_element,
    STATE(1052), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2531), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1055), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [45006] = 11,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(2533), 1,
      anon_sym_SLASH_GT,
    STATE(1089), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45042] = 10,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2507), 1,
      anon_sym_SLASH_GT,
    STATE(1076), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45075] = 7,
    ACTIONS(2535), 1,
      anon_sym_LBRACE,
    ACTIONS(2541), 1,
      anon_sym_LT,
    ACTIONS(2544), 1,
      anon_sym_LT_SLASH,
    STATE(1052), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2538), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(1062), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [45102] = 10,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(2533), 1,
      anon_sym_SLASH_GT,
    STATE(1090), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45135] = 10,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2505), 1,
      anon_sym_SLASH_GT,
    STATE(1072), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45168] = 10,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2525), 1,
      anon_sym_SLASH_GT,
    STATE(1081), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45201] = 10,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(2505), 1,
      anon_sym_SLASH_GT,
    STATE(1074), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45234] = 10,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2533), 1,
      anon_sym_SLASH_GT,
    STATE(1087), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45267] = 10,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(2525), 1,
      anon_sym_SLASH_GT,
    STATE(1082), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45300] = 10,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(2507), 1,
      anon_sym_SLASH_GT,
    STATE(1077), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45333] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2546), 1,
      anon_sym_GT,
    ACTIONS(2548), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45363] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2505), 1,
      anon_sym_SLASH_GT,
    STATE(1075), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45393] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2550), 1,
      anon_sym_GT,
    ACTIONS(2552), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45423] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2546), 1,
      anon_sym_GT,
    ACTIONS(2554), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45453] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2556), 1,
      anon_sym_GT,
    ACTIONS(2558), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45483] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2560), 1,
      anon_sym_GT,
    ACTIONS(2562), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45513] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2550), 1,
      anon_sym_GT,
    ACTIONS(2564), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45543] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2556), 1,
      anon_sym_GT,
    ACTIONS(2566), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45573] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2546), 1,
      anon_sym_GT,
    ACTIONS(2568), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45603] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2560), 1,
      anon_sym_GT,
    ACTIONS(2570), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45633] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2525), 1,
      anon_sym_SLASH_GT,
    STATE(1083), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45663] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2550), 1,
      anon_sym_GT,
    ACTIONS(2572), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45693] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2556), 1,
      anon_sym_GT,
    ACTIONS(2574), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45723] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2560), 1,
      anon_sym_GT,
    ACTIONS(2576), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45753] = 7,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2578), 1,
      anon_sym_LT,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2582), 1,
      anon_sym_SQUOTE,
    STATE(1051), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1171), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [45779] = 7,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2578), 1,
      anon_sym_LT,
    ACTIONS(2580), 1,
      anon_sym_DQUOTE,
    ACTIONS(2582), 1,
      anon_sym_SQUOTE,
    STATE(1051), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1172), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [45805] = 8,
    ACTIONS(2584), 1,
      sym_identifier,
    ACTIONS(2587), 1,
      anon_sym_LBRACE,
    ACTIONS(2592), 1,
      sym_jsx_identifier,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2590), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45833] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2550), 1,
      anon_sym_GT,
    ACTIONS(2595), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45863] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2507), 1,
      anon_sym_SLASH_GT,
    STATE(1079), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45893] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2546), 1,
      anon_sym_GT,
    ACTIONS(2597), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45923] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2556), 1,
      anon_sym_GT,
    ACTIONS(2599), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45953] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2560), 1,
      anon_sym_GT,
    ACTIONS(2601), 1,
      anon_sym_SLASH_GT,
    STATE(1086), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45983] = 9,
    ACTIONS(2493), 1,
      sym_identifier,
    ACTIONS(2495), 1,
      anon_sym_LBRACE,
    ACTIONS(2499), 1,
      anon_sym_GT,
    ACTIONS(2501), 1,
      sym_jsx_identifier,
    ACTIONS(2533), 1,
      anon_sym_SLASH_GT,
    STATE(1091), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1126), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1192), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [46013] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2603), 1,
      sym_identifier,
    ACTIONS(2605), 1,
      anon_sym_COMMA,
    ACTIONS(2607), 1,
      anon_sym_RBRACE,
    STATE(1341), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1680), 2,
      sym__module_export_name,
      sym_string,
  [46040] = 8,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2609), 1,
      sym_identifier,
    ACTIONS(2611), 1,
      anon_sym_COMMA,
    ACTIONS(2613), 1,
      anon_sym_RBRACE,
    STATE(1323), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1345), 2,
      sym__module_export_name,
      sym_string,
  [46067] = 4,
    ACTIONS(2615), 1,
      anon_sym_COMMA,
    STATE(1095), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1625), 5,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46085] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2618), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46099] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2620), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46113] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46137] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2603), 1,
      sym_identifier,
    ACTIONS(2622), 1,
      anon_sym_RBRACE,
    STATE(1473), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1680), 2,
      sym__module_export_name,
      sym_string,
  [46161] = 4,
    ACTIONS(1752), 1,
      anon_sym_COMMA,
    STATE(1095), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2624), 5,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [46179] = 6,
    ACTIONS(934), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    ACTIONS(2626), 1,
      sym_identifier,
    STATE(1349), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46201] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2137), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46225] = 5,
    ACTIONS(2632), 1,
      anon_sym_EQ,
    STATE(1186), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2630), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [46245] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(845), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46269] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2609), 1,
      sym_identifier,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    STATE(1576), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1345), 2,
      sym__module_export_name,
      sym_string,
  [46293] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2636), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46307] = 6,
    ACTIONS(934), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    ACTIONS(2626), 1,
      sym_identifier,
    STATE(1219), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46329] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2609), 1,
      sym_identifier,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    STATE(1576), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1345), 2,
      sym__module_export_name,
      sym_string,
  [46353] = 6,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    ACTIONS(2642), 1,
      sym__automatic_semicolon,
    STATE(1353), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2628), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2630), 2,
      anon_sym_in,
      anon_sym_of,
  [46375] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2645), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46389] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2647), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46403] = 6,
    ACTIONS(934), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    ACTIONS(2649), 1,
      sym_identifier,
    STATE(1219), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46425] = 6,
    ACTIONS(934), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    ACTIONS(2651), 1,
      sym_identifier,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1109), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46447] = 7,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2603), 1,
      sym_identifier,
    ACTIONS(2653), 1,
      anon_sym_RBRACE,
    STATE(1473), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1680), 2,
      sym__module_export_name,
      sym_string,
  [46471] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(817), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1372), 1,
      aux_sym_object_repeat1,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46495] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2145), 1,
      anon_sym_RBRACE,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46519] = 5,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2655), 1,
      sym_identifier,
    ACTIONS(2659), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2657), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46539] = 6,
    ACTIONS(934), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    ACTIONS(2626), 1,
      sym_identifier,
    STATE(1221), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1163), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46561] = 7,
    ACTIONS(103), 1,
      anon_sym_COMMA,
    ACTIONS(843), 1,
      anon_sym_RBRACE,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1383), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [46585] = 5,
    ACTIONS(2663), 1,
      anon_sym_BQUOTE,
    ACTIONS(2665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2661), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1140), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46604] = 5,
    ACTIONS(2667), 1,
      anon_sym_default,
    ACTIONS(2669), 1,
      anon_sym_RBRACE,
    ACTIONS(2671), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1124), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46623] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2636), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46636] = 3,
    ACTIONS(2673), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2675), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
  [46651] = 5,
    ACTIONS(2677), 1,
      anon_sym_default,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    ACTIONS(2682), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1124), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46670] = 6,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1515), 1,
      sym__initializer,
    STATE(1556), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2687), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46691] = 4,
    ACTIONS(2689), 1,
      sym_identifier,
    ACTIONS(2693), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2691), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [46708] = 6,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1603), 1,
      sym__initializer,
    STATE(1618), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2695), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46729] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1701), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46742] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1697), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46755] = 6,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2609), 1,
      sym_identifier,
    STATE(1576), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1345), 2,
      sym__module_export_name,
      sym_string,
  [46776] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2645), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46789] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2620), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46802] = 6,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1526), 1,
      sym__initializer,
    STATE(1563), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2697), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46823] = 5,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(2699), 1,
      sym_identifier,
    ACTIONS(2701), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1266), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46842] = 5,
    ACTIONS(934), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      anon_sym_LBRACK,
    ACTIONS(2703), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1339), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46861] = 6,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1472), 1,
      sym_formal_parameters,
    STATE(1485), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2705), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46882] = 5,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
    ACTIONS(2701), 1,
      anon_sym_LBRACK,
    ACTIONS(2707), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1697), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46901] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2618), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [46914] = 5,
    ACTIONS(2665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2711), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2709), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1149), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46933] = 5,
    ACTIONS(2665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2713), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2709), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1149), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46952] = 6,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2603), 1,
      sym_identifier,
    STATE(1473), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1680), 2,
      sym__module_export_name,
      sym_string,
  [46973] = 5,
    ACTIONS(2667), 1,
      anon_sym_default,
    ACTIONS(2671), 1,
      anon_sym_case,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1121), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46992] = 5,
    ACTIONS(2665), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2719), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2717), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1139), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [47011] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1508), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [47024] = 3,
    ACTIONS(2721), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2723), 5,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47039] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1378), 6,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [47052] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1699), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47065] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2647), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47078] = 5,
    ACTIONS(2728), 1,
      anon_sym_BQUOTE,
    ACTIONS(2730), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2725), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1149), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [47097] = 3,
    ACTIONS(1468), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1470), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47111] = 3,
    ACTIONS(2733), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2735), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47125] = 6,
    ACTIONS(2737), 1,
      sym_identifier,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2741), 1,
      anon_sym_extends,
    STATE(728), 1,
      sym_class_body,
    STATE(1529), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47145] = 6,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2743), 1,
      anon_sym_export,
    ACTIONS(2745), 1,
      anon_sym_class,
    STATE(973), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47165] = 3,
    ACTIONS(2749), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2747), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47179] = 6,
    ACTIONS(2751), 1,
      sym_identifier,
    ACTIONS(2753), 1,
      anon_sym_GT,
    ACTIONS(2755), 1,
      sym_jsx_identifier,
    STATE(1063), 1,
      sym_nested_identifier,
    STATE(1092), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47199] = 3,
    ACTIONS(2757), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1309), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [47213] = 3,
    ACTIONS(2760), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2762), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47227] = 3,
    ACTIONS(1460), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1462), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47241] = 3,
    ACTIONS(2764), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1318), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [47255] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1309), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [47267] = 6,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2766), 1,
      anon_sym_export,
    ACTIONS(2768), 1,
      anon_sym_class,
    STATE(973), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47287] = 6,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2741), 1,
      anon_sym_extends,
    ACTIONS(2770), 1,
      sym_identifier,
    STATE(642), 1,
      sym_class_body,
    STATE(1480), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47307] = 4,
    ACTIONS(2640), 1,
      anon_sym_EQ,
    STATE(1353), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [47323] = 6,
    ACTIONS(2772), 1,
      sym_identifier,
    ACTIONS(2774), 1,
      anon_sym_GT,
    ACTIONS(2776), 1,
      sym_jsx_identifier,
    STATE(1629), 1,
      sym_nested_identifier,
    STATE(1703), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47343] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1378), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47355] = 3,
    ACTIONS(2733), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2735), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47369] = 3,
    ACTIONS(2778), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2780), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47383] = 3,
    ACTIONS(2782), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2784), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47397] = 6,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2741), 1,
      anon_sym_extends,
    ACTIONS(2786), 1,
      sym_identifier,
    STATE(642), 1,
      sym_class_body,
    STATE(1480), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47417] = 3,
    ACTIONS(1372), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1374), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47431] = 3,
    ACTIONS(2788), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2790), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47445] = 3,
    ACTIONS(2792), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2794), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47459] = 3,
    ACTIONS(2782), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2784), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47473] = 5,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2796), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1584), 2,
      sym__module_export_name,
      sym_string,
  [47491] = 6,
    ACTIONS(2798), 1,
      sym_identifier,
    ACTIONS(2800), 1,
      anon_sym_GT,
    ACTIONS(2802), 1,
      sym_jsx_identifier,
    STATE(1447), 1,
      sym_nested_identifier,
    STATE(1711), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47511] = 6,
    ACTIONS(2804), 1,
      sym_identifier,
    ACTIONS(2806), 1,
      anon_sym_GT,
    ACTIONS(2808), 1,
      sym_jsx_identifier,
    STATE(1418), 1,
      sym_nested_identifier,
    STATE(1735), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47531] = 4,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2160), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47547] = 6,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(2810), 1,
      sym_identifier,
    ACTIONS(2812), 1,
      anon_sym_LBRACK,
    ACTIONS(2814), 1,
      sym_private_property_identifier,
    STATE(566), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47567] = 3,
    ACTIONS(1526), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1528), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47581] = 6,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2818), 1,
      anon_sym_LBRACK,
    ACTIONS(2820), 1,
      sym_private_property_identifier,
    STATE(650), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47601] = 3,
    ACTIONS(1468), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1470), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47615] = 3,
    ACTIONS(1468), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1470), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47629] = 3,
    ACTIONS(1522), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1524), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47643] = 6,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(2139), 1,
      anon_sym_COLON,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2822), 1,
      anon_sym_RBRACE,
    STATE(1389), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47663] = 5,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(2181), 1,
      anon_sym_RBRACE,
    STATE(1387), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [47681] = 4,
    ACTIONS(2826), 1,
      anon_sym_in,
    ACTIONS(2828), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [47697] = 6,
    ACTIONS(2830), 1,
      sym_identifier,
    ACTIONS(2832), 1,
      anon_sym_GT,
    ACTIONS(2834), 1,
      sym_jsx_identifier,
    STATE(1523), 1,
      sym_nested_identifier,
    STATE(1642), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47717] = 3,
    ACTIONS(2749), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2747), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47731] = 6,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2741), 1,
      anon_sym_extends,
    ACTIONS(2836), 1,
      sym_identifier,
    STATE(728), 1,
      sym_class_body,
    STATE(1529), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47751] = 3,
    ACTIONS(1424), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1426), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47765] = 6,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2741), 1,
      anon_sym_extends,
    ACTIONS(2838), 1,
      sym_identifier,
    STATE(728), 1,
      sym_class_body,
    STATE(1529), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47785] = 3,
    ACTIONS(2840), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2842), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47799] = 3,
    ACTIONS(1522), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1524), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47813] = 3,
    ACTIONS(2749), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2747), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [47827] = 6,
    ACTIONS(2753), 1,
      anon_sym_GT,
    ACTIONS(2844), 1,
      sym_identifier,
    ACTIONS(2846), 1,
      sym_jsx_identifier,
    STATE(1069), 1,
      sym_nested_identifier,
    STATE(1088), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47847] = 6,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2741), 1,
      anon_sym_extends,
    ACTIONS(2848), 1,
      sym_identifier,
    STATE(642), 1,
      sym_class_body,
    STATE(1480), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47867] = 3,
    ACTIONS(1460), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1462), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47881] = 6,
    ACTIONS(2753), 1,
      anon_sym_GT,
    ACTIONS(2850), 1,
      sym_identifier,
    ACTIONS(2852), 1,
      sym_jsx_identifier,
    STATE(1066), 1,
      sym_nested_identifier,
    STATE(1071), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [47901] = 5,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      anon_sym_SQUOTE,
    ACTIONS(2854), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1669), 2,
      sym__module_export_name,
      sym_string,
  [47919] = 3,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1374), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47933] = 3,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1528), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47947] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1508), 5,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47959] = 3,
    ACTIONS(1468), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1470), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47973] = 3,
    ACTIONS(1468), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1470), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [47987] = 3,
    ACTIONS(1468), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1470), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [48001] = 3,
    ACTIONS(1468), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1470), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [48015] = 3,
    ACTIONS(1424), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1426), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [48029] = 6,
    ACTIONS(2741), 1,
      anon_sym_extends,
    ACTIONS(2856), 1,
      sym_identifier,
    ACTIONS(2858), 1,
      anon_sym_LBRACE,
    STATE(567), 1,
      sym_class_body,
    STATE(1553), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48049] = 3,
    ACTIONS(2862), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2860), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [48063] = 3,
    ACTIONS(2864), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1309), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [48077] = 3,
    ACTIONS(2869), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2867), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [48091] = 3,
    ACTIONS(2749), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2747), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [48105] = 6,
    ACTIONS(2741), 1,
      anon_sym_extends,
    ACTIONS(2858), 1,
      anon_sym_LBRACE,
    ACTIONS(2871), 1,
      sym_identifier,
    STATE(519), 1,
      sym_class_body,
    STATE(1626), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48125] = 6,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(2139), 1,
      anon_sym_COLON,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(2873), 1,
      anon_sym_RBRACE,
    STATE(1373), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48145] = 6,
    ACTIONS(2753), 1,
      anon_sym_GT,
    ACTIONS(2875), 1,
      sym_identifier,
    ACTIONS(2877), 1,
      sym_jsx_identifier,
    STATE(1068), 1,
      sym_nested_identifier,
    STATE(1080), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48165] = 3,
    ACTIONS(1468), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1470), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [48179] = 5,
    ACTIONS(2879), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      anon_sym_extends,
    STATE(76), 1,
      sym_class_body,
    STATE(1577), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48196] = 5,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2883), 1,
      anon_sym_EQ,
    ACTIONS(2885), 1,
      anon_sym_RBRACK,
    STATE(1327), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48213] = 4,
    ACTIONS(2887), 1,
      anon_sym_COMMA,
    STATE(1282), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2889), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48228] = 4,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    STATE(1281), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2624), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48243] = 4,
    ACTIONS(2887), 1,
      anon_sym_COMMA,
    STATE(1283), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2891), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48258] = 5,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      anon_sym_extends,
    STATE(655), 1,
      sym_class_body,
    STATE(1568), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48275] = 5,
    ACTIONS(2879), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      anon_sym_extends,
    STATE(82), 1,
      sym_class_body,
    STATE(1569), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48292] = 5,
    ACTIONS(2858), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      anon_sym_extends,
    STATE(537), 1,
      sym_class_body,
    STATE(1511), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48309] = 5,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      anon_sym_extends,
    STATE(676), 1,
      sym_class_body,
    STATE(1395), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48326] = 5,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      anon_sym_extends,
    STATE(681), 1,
      sym_class_body,
    STATE(1400), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48343] = 5,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(2893), 1,
      sym_identifier,
    ACTIONS(2895), 1,
      anon_sym_STAR,
    STATE(1625), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2897), 1,
      anon_sym_DQUOTE,
    STATE(1228), 1,
      aux_sym_string_repeat1,
    ACTIONS(2899), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2902), 1,
      anon_sym_SQUOTE,
    STATE(1229), 1,
      aux_sym_string_repeat2,
    ACTIONS(2904), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48394] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1699), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [48405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2907), 1,
      sym_html_character_reference,
    ACTIONS(2910), 1,
      anon_sym_DQUOTE,
    ACTIONS(2912), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1231), 1,
      aux_sym__jsx_string_repeat1,
  [48424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2915), 1,
      sym_html_character_reference,
    ACTIONS(2918), 1,
      anon_sym_SQUOTE,
    ACTIONS(2920), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1232), 1,
      aux_sym__jsx_string_repeat2,
  [48443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2923), 1,
      anon_sym_SQUOTE,
    STATE(1256), 1,
      aux_sym_string_repeat2,
    ACTIONS(2925), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48460] = 5,
    ACTIONS(2881), 1,
      anon_sym_extends,
    ACTIONS(2927), 1,
      anon_sym_LBRACE,
    STATE(354), 1,
      sym_class_body,
    STATE(1613), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48477] = 5,
    ACTIONS(2883), 1,
      anon_sym_EQ,
    ACTIONS(2929), 1,
      anon_sym_COMMA,
    ACTIONS(2931), 1,
      anon_sym_RPAREN,
    STATE(1300), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48494] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2933), 1,
      anon_sym_class,
    STATE(973), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48511] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2935), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [48522] = 3,
    ACTIONS(2937), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1318), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [48535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2923), 1,
      anon_sym_DQUOTE,
    STATE(1255), 1,
      aux_sym_string_repeat1,
    ACTIONS(2939), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48552] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1730), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [48563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2941), 1,
      anon_sym_DQUOTE,
    STATE(1246), 1,
      aux_sym_string_repeat1,
    ACTIONS(2943), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2941), 1,
      anon_sym_SQUOTE,
    STATE(1247), 1,
      aux_sym_string_repeat2,
    ACTIONS(2945), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48597] = 4,
    ACTIONS(2139), 1,
      anon_sym_COLON,
    ACTIONS(2141), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2947), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48612] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2199), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48625] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2768), 1,
      anon_sym_class,
    STATE(973), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2949), 1,
      anon_sym_DQUOTE,
    STATE(1228), 1,
      aux_sym_string_repeat1,
    ACTIONS(2951), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2949), 1,
      anon_sym_SQUOTE,
    STATE(1229), 1,
      aux_sym_string_repeat2,
    ACTIONS(2953), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48676] = 5,
    ACTIONS(2858), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      anon_sym_extends,
    STATE(550), 1,
      sym_class_body,
    STATE(1599), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2955), 1,
      anon_sym_DQUOTE,
    STATE(1252), 1,
      aux_sym_string_repeat1,
    ACTIONS(2957), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2955), 1,
      anon_sym_SQUOTE,
    STATE(1253), 1,
      aux_sym_string_repeat2,
    ACTIONS(2959), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48727] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2139), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [48738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2961), 1,
      anon_sym_DQUOTE,
    STATE(1228), 1,
      aux_sym_string_repeat1,
    ACTIONS(2951), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2961), 1,
      anon_sym_SQUOTE,
    STATE(1229), 1,
      aux_sym_string_repeat2,
    ACTIONS(2953), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48772] = 5,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(2963), 1,
      sym_identifier,
    ACTIONS(2965), 1,
      anon_sym_STAR,
    STATE(1432), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_DQUOTE,
    STATE(1228), 1,
      aux_sym_string_repeat1,
    ACTIONS(2951), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2967), 1,
      anon_sym_SQUOTE,
    STATE(1229), 1,
      aux_sym_string_repeat2,
    ACTIONS(2953), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48823] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2969), 1,
      anon_sym_class,
    STATE(973), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48840] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1701), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [48851] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1697), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [48862] = 5,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(2971), 1,
      sym_identifier,
    ACTIONS(2973), 1,
      anon_sym_STAR,
    STATE(1396), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48879] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2975), 1,
      anon_sym_class,
    STATE(973), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48896] = 5,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(2977), 1,
      sym_identifier,
    ACTIONS(2979), 1,
      anon_sym_STAR,
    STATE(1396), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48913] = 4,
    ACTIONS(2981), 1,
      anon_sym_COMMA,
    STATE(1263), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1848), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [48928] = 5,
    ACTIONS(93), 1,
      anon_sym_AT,
    ACTIONS(2745), 1,
      anon_sym_class,
    STATE(973), 1,
      aux_sym_export_statement_repeat1,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48945] = 5,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(2984), 1,
      sym_identifier,
    ACTIONS(2986), 1,
      anon_sym_STAR,
    STATE(1625), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48962] = 4,
    ACTIONS(2988), 1,
      anon_sym_EQ,
    STATE(1631), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2630), 2,
      anon_sym_in,
      anon_sym_of,
  [48977] = 5,
    ACTIONS(1611), 1,
      anon_sym_LPAREN,
    ACTIONS(1615), 1,
      anon_sym_DOT,
    ACTIONS(2990), 1,
      sym_optional_chain,
    STATE(726), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [48994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2992), 1,
      sym_html_character_reference,
    ACTIONS(2994), 1,
      anon_sym_DQUOTE,
    ACTIONS(2996), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1286), 1,
      aux_sym__jsx_string_repeat1,
  [49013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(2994), 1,
      anon_sym_SQUOTE,
    ACTIONS(2998), 1,
      sym_html_character_reference,
    ACTIONS(3000), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1290), 1,
      aux_sym__jsx_string_repeat2,
  [49032] = 4,
    ACTIONS(2485), 1,
      anon_sym_STAR,
    ACTIONS(2487), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1673), 2,
      sym_namespace_import,
      sym_named_imports,
  [49047] = 5,
    ACTIONS(3002), 1,
      anon_sym_with,
    ACTIONS(3004), 1,
      anon_sym_SEMI,
    ACTIONS(3006), 1,
      sym__automatic_semicolon,
    STATE(1493), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49064] = 5,
    ACTIONS(2881), 1,
      anon_sym_extends,
    ACTIONS(2927), 1,
      anon_sym_LBRACE,
    STATE(341), 1,
      sym_class_body,
    STATE(1476), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49081] = 4,
    ACTIONS(3008), 1,
      anon_sym_COMMA,
    STATE(1273), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3011), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49096] = 5,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3013), 1,
      sym_identifier,
    ACTIONS(3015), 1,
      anon_sym_STAR,
    STATE(1396), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49113] = 5,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3017), 1,
      sym_identifier,
    ACTIONS(3019), 1,
      anon_sym_STAR,
    STATE(1627), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_DQUOTE,
    STATE(1287), 1,
      aux_sym_string_repeat1,
    ACTIONS(3023), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [49147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3021), 1,
      anon_sym_SQUOTE,
    STATE(1288), 1,
      aux_sym_string_repeat2,
    ACTIONS(3025), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [49164] = 5,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3027), 1,
      sym_identifier,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1625), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49181] = 5,
    ACTIONS(1342), 1,
      anon_sym_LPAREN,
    ACTIONS(1346), 1,
      anon_sym_DOT,
    ACTIONS(3031), 1,
      sym_optional_chain,
    STATE(540), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49198] = 4,
    ACTIONS(3002), 1,
      anon_sym_with,
    STATE(1543), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3033), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49213] = 4,
    ACTIONS(3035), 1,
      anon_sym_COMMA,
    STATE(1281), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49228] = 4,
    ACTIONS(2887), 1,
      anon_sym_COMMA,
    STATE(1273), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3038), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49243] = 4,
    ACTIONS(2887), 1,
      anon_sym_COMMA,
    STATE(1273), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3040), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49258] = 4,
    ACTIONS(3042), 1,
      anon_sym_from,
    STATE(1581), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3044), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49273] = 5,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2883), 1,
      anon_sym_EQ,
    ACTIONS(3046), 1,
      anon_sym_RBRACK,
    STATE(1302), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49290] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3048), 1,
      sym_html_character_reference,
    ACTIONS(3050), 1,
      anon_sym_DQUOTE,
    ACTIONS(3052), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(1231), 1,
      aux_sym__jsx_string_repeat1,
  [49309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_DQUOTE,
    STATE(1228), 1,
      aux_sym_string_repeat1,
    ACTIONS(2951), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [49326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3054), 1,
      anon_sym_SQUOTE,
    STATE(1229), 1,
      aux_sym_string_repeat2,
    ACTIONS(2953), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [49343] = 5,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    ACTIONS(2881), 1,
      anon_sym_extends,
    STATE(633), 1,
      sym_class_body,
    STATE(1598), 1,
      sym_class_heritage,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3050), 1,
      anon_sym_SQUOTE,
    ACTIONS(3056), 1,
      sym_html_character_reference,
    ACTIONS(3058), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(1232), 1,
      aux_sym__jsx_string_repeat2,
  [49379] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3046), 1,
      anon_sym_RBRACK,
    STATE(1331), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49393] = 4,
    ACTIONS(3060), 1,
      sym_identifier,
    STATE(936), 1,
      sym_decorator_member_expression,
    STATE(992), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49407] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1838), 1,
      anon_sym_RPAREN,
    STATE(1297), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49421] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1838), 1,
      anon_sym_RPAREN,
    STATE(1263), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49435] = 3,
    ACTIONS(1643), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1711), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49447] = 4,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(3062), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49461] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3064), 1,
      anon_sym_RPAREN,
    STATE(1263), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49475] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3066), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49485] = 4,
    ACTIONS(2634), 1,
      anon_sym_RBRACE,
    ACTIONS(3068), 1,
      anon_sym_COMMA,
    STATE(1347), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49499] = 4,
    ACTIONS(711), 1,
      anon_sym_RPAREN,
    ACTIONS(3070), 1,
      anon_sym_COMMA,
    STATE(1352), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49513] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3072), 1,
      anon_sym_RBRACK,
    STATE(1263), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49527] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3074), 1,
      anon_sym_RBRACK,
    STATE(1331), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49541] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3076), 1,
      sym__glimmer_template_content,
    ACTIONS(3078), 1,
      sym_glimmer_closing_tag,
    STATE(1378), 1,
      aux_sym_glimmer_template_repeat1,
  [49557] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3080), 1,
      anon_sym_RBRACE,
    STATE(1334), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49571] = 4,
    ACTIONS(2016), 1,
      anon_sym_DQUOTE,
    ACTIONS(2018), 1,
      anon_sym_SQUOTE,
    STATE(1330), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49585] = 4,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(3082), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49599] = 3,
    ACTIONS(3084), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3086), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49611] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3088), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49625] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3090), 1,
      anon_sym_RBRACE,
    STATE(1342), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49639] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1818), 1,
      anon_sym_RBRACK,
    STATE(1263), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49653] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1818), 1,
      anon_sym_RBRACK,
    STATE(1325), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49667] = 4,
    ACTIONS(3092), 1,
      anon_sym_LPAREN,
    ACTIONS(3094), 1,
      anon_sym_await,
    STATE(33), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49681] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1848), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [49691] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3096), 1,
      anon_sym_RBRACE,
    STATE(1358), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49705] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1842), 1,
      anon_sym_RPAREN,
    STATE(1355), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49719] = 3,
    ACTIONS(2883), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [49731] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1842), 1,
      anon_sym_RPAREN,
    STATE(1263), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49745] = 4,
    ACTIONS(2653), 1,
      anon_sym_RBRACE,
    ACTIONS(3100), 1,
      anon_sym_COMMA,
    STATE(1319), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49759] = 4,
    ACTIONS(3102), 1,
      anon_sym_COMMA,
    ACTIONS(3105), 1,
      anon_sym_RBRACE,
    STATE(1319), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49773] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3107), 1,
      anon_sym_RPAREN,
    STATE(1263), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49787] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3109), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49797] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      anon_sym_RPAREN,
    STATE(1320), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49811] = 4,
    ACTIONS(3111), 1,
      anon_sym_COMMA,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    STATE(1299), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49825] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1756), 1,
      anon_sym_RPAREN,
    STATE(1263), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49839] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3115), 1,
      anon_sym_RBRACK,
    STATE(1263), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49853] = 4,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3117), 1,
      sym_identifier,
    STATE(1435), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49867] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3119), 1,
      anon_sym_RBRACK,
    STATE(1331), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49881] = 4,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3121), 1,
      anon_sym_COLON,
    STATE(1477), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49895] = 4,
    ACTIONS(3042), 1,
      anon_sym_from,
    ACTIONS(3123), 1,
      anon_sym_as,
    STATE(1558), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49909] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3125), 3,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_SEMI,
  [49919] = 4,
    ACTIONS(3098), 1,
      anon_sym_RBRACK,
    ACTIONS(3127), 1,
      anon_sym_COMMA,
    STATE(1331), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49933] = 4,
    ACTIONS(989), 1,
      anon_sym_while,
    ACTIONS(3130), 1,
      anon_sym_else,
    STATE(397), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49947] = 4,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    ACTIONS(3135), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49961] = 4,
    ACTIONS(3137), 1,
      anon_sym_COMMA,
    ACTIONS(3140), 1,
      anon_sym_RBRACE,
    STATE(1334), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [49975] = 3,
    ACTIONS(2764), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1328), 2,
      anon_sym_in,
      anon_sym_of,
  [49987] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2885), 1,
      anon_sym_RBRACK,
    STATE(1331), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50001] = 4,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3142), 1,
      sym_identifier,
    STATE(1407), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50015] = 3,
    ACTIONS(3144), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2489), 2,
      anon_sym_LPAREN,
      sym_optional_chain,
  [50027] = 3,
    ACTIONS(3146), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2630), 2,
      anon_sym_in,
      anon_sym_of,
  [50039] = 3,
    ACTIONS(3148), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3150), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50051] = 4,
    ACTIONS(3152), 1,
      anon_sym_COMMA,
    ACTIONS(3154), 1,
      anon_sym_RBRACE,
    STATE(1318), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50065] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3156), 1,
      anon_sym_RBRACE,
    STATE(1334), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50079] = 4,
    ACTIONS(2810), 1,
      sym_identifier,
    ACTIONS(2812), 1,
      anon_sym_LBRACK,
    ACTIONS(2814), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50093] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3158), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [50103] = 3,
    ACTIONS(3160), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3162), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50115] = 4,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3164), 1,
      sym_identifier,
    STATE(1500), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50129] = 4,
    ACTIONS(3166), 1,
      anon_sym_COMMA,
    ACTIONS(3169), 1,
      anon_sym_RBRACE,
    STATE(1347), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3171), 1,
      sym__glimmer_template_content,
    ACTIONS(3173), 1,
      sym_glimmer_closing_tag,
    STATE(1374), 1,
      aux_sym_glimmer_template_repeat1,
  [50159] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3011), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [50169] = 3,
    ACTIONS(2883), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3175), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [50181] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3177), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [50191] = 4,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    STATE(1352), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50205] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [50215] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3096), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50229] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(3182), 1,
      anon_sym_RPAREN,
    STATE(1263), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50243] = 4,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_identifier,
    STATE(1407), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3186), 1,
      sym__glimmer_template_content,
    ACTIONS(3188), 1,
      sym_glimmer_closing_tag,
    STATE(1386), 1,
      aux_sym_glimmer_template_repeat1,
  [50273] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3190), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50287] = 4,
    ACTIONS(2929), 1,
      anon_sym_COMMA,
    ACTIONS(2931), 1,
      anon_sym_RPAREN,
    STATE(1300), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50301] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3090), 1,
      anon_sym_RBRACE,
    STATE(1334), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50315] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3192), 1,
      anon_sym_RBRACE,
    STATE(1388), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50329] = 4,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3194), 1,
      sym_identifier,
    STATE(1407), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50343] = 4,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3196), 1,
      sym_identifier,
    STATE(1500), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3198), 1,
      sym__glimmer_template_content,
    ACTIONS(3201), 1,
      sym_glimmer_closing_tag,
    STATE(1364), 1,
      aux_sym_glimmer_template_repeat1,
  [50373] = 4,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2818), 1,
      anon_sym_LBRACK,
    ACTIONS(2820), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50387] = 4,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      sym_identifier,
    STATE(1500), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50401] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3205), 1,
      anon_sym_RBRACE,
    STATE(1304), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50415] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    STATE(1308), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50429] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3207), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50443] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3205), 1,
      anon_sym_RBRACE,
    STATE(1334), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50457] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3192), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50471] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3209), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50485] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3211), 1,
      anon_sym_RBRACE,
    STATE(1334), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3213), 1,
      sym__glimmer_template_content,
    ACTIONS(3215), 1,
      sym_glimmer_closing_tag,
    STATE(1364), 1,
      aux_sym_glimmer_template_repeat1,
  [50515] = 4,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3217), 1,
      anon_sym_COLON,
    STATE(1477), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50529] = 3,
    ACTIONS(3219), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3221), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50541] = 3,
    ACTIONS(2491), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2489), 2,
      anon_sym_LPAREN,
      sym_optional_chain,
  [50553] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3213), 1,
      sym__glimmer_template_content,
    ACTIONS(3223), 1,
      sym_glimmer_closing_tag,
    STATE(1364), 1,
      aux_sym_glimmer_template_repeat1,
  [50569] = 4,
    ACTIONS(3225), 1,
      anon_sym_LPAREN,
    ACTIONS(3227), 1,
      anon_sym_await,
    STATE(56), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50583] = 4,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      sym_identifier,
    STATE(1575), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50597] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(3046), 1,
      anon_sym_RBRACK,
    STATE(1302), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50611] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1816), 1,
      anon_sym_RBRACK,
    STATE(1301), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50625] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3231), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50639] = 4,
    ACTIONS(705), 1,
      anon_sym_COMMA,
    ACTIONS(1816), 1,
      anon_sym_RBRACK,
    STATE(1263), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50653] = 3,
    ACTIONS(2883), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3233), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3213), 1,
      sym__glimmer_template_content,
    ACTIONS(3235), 1,
      sym_glimmer_closing_tag,
    STATE(1364), 1,
      aux_sym_glimmer_template_repeat1,
  [50681] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3237), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50695] = 4,
    ACTIONS(2095), 1,
      anon_sym_COMMA,
    ACTIONS(3239), 1,
      anon_sym_RBRACE,
    STATE(1333), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50709] = 4,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    STATE(1334), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50723] = 4,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(3245), 1,
      anon_sym_LPAREN,
    STATE(348), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50737] = 4,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(3247), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50751] = 4,
    ACTIONS(675), 1,
      anon_sym_COMMA,
    ACTIONS(2885), 1,
      anon_sym_RBRACK,
    STATE(1327), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50765] = 3,
    ACTIONS(2937), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1328), 2,
      anon_sym_in,
      anon_sym_of,
  [50777] = 4,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(3249), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50791] = 3,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    STATE(707), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50802] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(651), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50813] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3233), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50822] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(708), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50833] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(709), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50844] = 3,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    STATE(710), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50855] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1562), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50866] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(711), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50877] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50888] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1420), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50899] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50910] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1513), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50921] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(706), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50932] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1426), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50943] = 3,
    ACTIONS(2810), 1,
      sym_identifier,
    ACTIONS(2814), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50954] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(938), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50965] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50976] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3253), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50985] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(931), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [50996] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51007] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(942), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51018] = 3,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(3062), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51029] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51040] = 3,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(3062), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51051] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(959), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51062] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(967), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51073] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1564), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51084] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1565), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51095] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1566), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51106] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(960), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51117] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(962), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51128] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(947), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51139] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1456), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51150] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1570), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51161] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51172] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1434), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51181] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(408), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51192] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(562), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51203] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51214] = 3,
    ACTIONS(3257), 1,
      anon_sym_LPAREN,
    STATE(51), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51225] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(520), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51236] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1465), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51247] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1466), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51258] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1467), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51269] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51280] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(712), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51291] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(953), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51302] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1454), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51311] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1405), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51320] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(941), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51331] = 3,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(3082), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51342] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(954), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51353] = 3,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(3082), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51364] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1585), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51375] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(955), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51386] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1586), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51397] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(956), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51408] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3098), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [51417] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(957), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51428] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1589), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51439] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51450] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(949), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51461] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1591), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51472] = 3,
    ACTIONS(3257), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51483] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(669), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51494] = 3,
    ACTIONS(3257), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51505] = 3,
    ACTIONS(3257), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51516] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1595), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51527] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1596), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51538] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1597), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51549] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(950), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51560] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51571] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51582] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51591] = 3,
    ACTIONS(3261), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51602] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3263), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [51611] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(953), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51622] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(948), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51633] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3105), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51642] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3140), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51651] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1459), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51662] = 3,
    ACTIONS(2927), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51673] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(948), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51684] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(514), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51693] = 3,
    ACTIONS(3261), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51704] = 3,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    STATE(652), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51715] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3135), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [51724] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(971), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51735] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1600), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51746] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1606), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51757] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3265), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51766] = 3,
    ACTIONS(3267), 1,
      anon_sym_LBRACE,
    STATE(343), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51777] = 3,
    ACTIONS(3269), 1,
      sym_identifier,
    ACTIONS(3271), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51788] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1552), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51799] = 3,
    ACTIONS(3273), 1,
      anon_sym_LPAREN,
    STATE(342), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51810] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3275), 2,
      anon_sym_in,
      anon_sym_of,
  [51819] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3277), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51828] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1556), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51839] = 3,
    ACTIONS(3279), 1,
      anon_sym_SEMI,
    ACTIONS(3281), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51850] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1444), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51861] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(954), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51872] = 3,
    ACTIONS(2816), 1,
      sym_identifier,
    ACTIONS(2820), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51883] = 3,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51894] = 3,
    ACTIONS(3283), 1,
      anon_sym_LBRACE,
    STATE(404), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51905] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1528), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51916] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(744), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51927] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1572), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51938] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1579), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51949] = 3,
    ACTIONS(3285), 1,
      anon_sym_LBRACE,
    STATE(84), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51960] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1588), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51971] = 3,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(3287), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51982] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1632), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [51993] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(525), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52004] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(528), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52015] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(955), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52026] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3289), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [52035] = 3,
    ACTIONS(2858), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52046] = 3,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(3249), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52057] = 3,
    ACTIONS(3285), 1,
      anon_sym_LBRACE,
    STATE(65), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52068] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3291), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52077] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3293), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52086] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1614), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52097] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1616), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52108] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1617), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52119] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1622), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52130] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1633), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52141] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1634), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52152] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3295), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [52161] = 3,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(3249), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52172] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1398), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52183] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1399), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52194] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3297), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52203] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1402), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52214] = 3,
    ACTIONS(3285), 1,
      anon_sym_LBRACE,
    STATE(67), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52225] = 3,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    STATE(730), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52236] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1403), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52247] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1405), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52258] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1410), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52269] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1411), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52280] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1413), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52291] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1414), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52302] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1415), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52313] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1417), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52324] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1419), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52335] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1424), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52346] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1425), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52357] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1429), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52368] = 3,
    ACTIONS(3299), 1,
      anon_sym_LBRACE,
    STATE(1514), 1,
      sym_object,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52379] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3301), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52388] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1440), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52399] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3303), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52408] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1441), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52419] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1446), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52430] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1449), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52441] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1451), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52452] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1453), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52463] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1455), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52474] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52485] = 3,
    ACTIONS(2858), 1,
      anon_sym_LBRACE,
    STATE(538), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52496] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3305), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52505] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(956), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52516] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52527] = 3,
    ACTIONS(3267), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52538] = 3,
    ACTIONS(3307), 1,
      anon_sym_SEMI,
    ACTIONS(3309), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52549] = 3,
    ACTIONS(3311), 1,
      sym_identifier,
    ACTIONS(3313), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52560] = 3,
    ACTIONS(3315), 1,
      sym_identifier,
    ACTIONS(3317), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52571] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1486), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52582] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(963), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52593] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(941), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52604] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52615] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(938), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52626] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52637] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1628), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52648] = 3,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    STATE(678), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52659] = 3,
    ACTIONS(2879), 1,
      anon_sym_LBRACE,
    STATE(66), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52670] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(931), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52681] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1471), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52692] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(680), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52703] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1495), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52714] = 3,
    ACTIONS(3319), 1,
      anon_sym_SEMI,
    ACTIONS(3321), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52725] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52736] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3169), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [52745] = 3,
    ACTIONS(2879), 1,
      anon_sym_LBRACE,
    STATE(79), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52756] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1509), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52767] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(699), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52778] = 3,
    ACTIONS(3323), 1,
      anon_sym_COMMA,
    ACTIONS(3325), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52789] = 3,
    ACTIONS(3327), 1,
      anon_sym_SEMI,
    ACTIONS(3329), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52800] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1715), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [52809] = 3,
    ACTIONS(3042), 1,
      anon_sym_from,
    STATE(1271), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52820] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3331), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [52829] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52840] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(942), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52851] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1557), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52862] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(703), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52873] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(939), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52884] = 3,
    ACTIONS(3257), 1,
      anon_sym_LPAREN,
    STATE(1498), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52895] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(959), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52906] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1555), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52917] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1637), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52928] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1433), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52939] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(960), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52950] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(962), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52961] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52972] = 3,
    ACTIONS(2739), 1,
      anon_sym_LBRACE,
    STATE(661), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52983] = 3,
    ACTIONS(2858), 1,
      anon_sym_LBRACE,
    STATE(533), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [52994] = 3,
    ACTIONS(3267), 1,
      anon_sym_LBRACE,
    STATE(338), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53005] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1409), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53014] = 3,
    ACTIONS(3257), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53025] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3333), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53034] = 3,
    ACTIONS(3042), 1,
      anon_sym_from,
    STATE(1574), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53045] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1739), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53054] = 3,
    ACTIONS(3267), 1,
      anon_sym_LBRACE,
    STATE(339), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53065] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1638), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53076] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1507), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53087] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1722), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [53096] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1508), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53107] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53118] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3335), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [53127] = 3,
    ACTIONS(2927), 1,
      anon_sym_LBRACE,
    STATE(340), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53138] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53149] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1730), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [53158] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(967), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53169] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(947), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53180] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(949), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53191] = 3,
    ACTIONS(3337), 1,
      sym_identifier,
    ACTIONS(3339), 1,
      sym_jsx_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53202] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1611), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53213] = 3,
    ACTIONS(3257), 1,
      anon_sym_LPAREN,
    STATE(48), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53224] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(950), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53235] = 3,
    ACTIONS(2685), 1,
      anon_sym_LPAREN,
    STATE(1503), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53246] = 3,
    ACTIONS(2497), 1,
      anon_sym_COLON,
    ACTIONS(3247), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53257] = 3,
    ACTIONS(3251), 1,
      anon_sym_LBRACE,
    STATE(671), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53268] = 3,
    ACTIONS(2858), 1,
      anon_sym_LBRACE,
    STATE(548), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53279] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(552), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53290] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53301] = 3,
    ACTIONS(2503), 1,
      anon_sym_DOT,
    ACTIONS(3247), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53312] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3175), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [53321] = 3,
    ACTIONS(2826), 1,
      anon_sym_in,
    ACTIONS(2828), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53332] = 3,
    ACTIONS(3255), 1,
      anon_sym_LBRACE,
    STATE(563), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53343] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(951), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53354] = 3,
    ACTIONS(2149), 1,
      anon_sym_LBRACE,
    STATE(952), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53365] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(337), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53376] = 3,
    ACTIONS(3341), 1,
      sym_identifier,
    ACTIONS(3343), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53387] = 3,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    STATE(957), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53398] = 3,
    ACTIONS(3285), 1,
      anon_sym_LBRACE,
    STATE(81), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53409] = 2,
    ACTIONS(1784), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53417] = 2,
    ACTIONS(3345), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53425] = 2,
    ACTIONS(3347), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53433] = 2,
    ACTIONS(3249), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53441] = 2,
    ACTIONS(1585), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53449] = 2,
    ACTIONS(1846), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53457] = 2,
    ACTIONS(3349), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53465] = 2,
    ACTIONS(1862), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53473] = 2,
    ACTIONS(3351), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53481] = 2,
    ACTIONS(3353), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53489] = 2,
    ACTIONS(3355), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53497] = 2,
    ACTIONS(3357), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53505] = 2,
    ACTIONS(2764), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53513] = 2,
    ACTIONS(3359), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3361), 1,
      anon_sym_SLASH2,
  [53531] = 2,
    ACTIONS(3363), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3365), 1,
      anon_sym_SLASH2,
  [53549] = 2,
    ACTIONS(3367), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53557] = 2,
    ACTIONS(1802), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53565] = 2,
    ACTIONS(3369), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53573] = 2,
    ACTIONS(3371), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53581] = 2,
    ACTIONS(3154), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53589] = 2,
    ACTIONS(3373), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53597] = 2,
    ACTIONS(1810), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53605] = 2,
    ACTIONS(1828), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53613] = 2,
    ACTIONS(3375), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53621] = 2,
    ACTIONS(3325), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53629] = 2,
    ACTIONS(3357), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53637] = 2,
    ACTIONS(3377), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53645] = 2,
    ACTIONS(3379), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53653] = 2,
    ACTIONS(3381), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53661] = 2,
    ACTIONS(1840), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53669] = 2,
    ACTIONS(1754), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53677] = 2,
    ACTIONS(3383), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53685] = 2,
    ACTIONS(3385), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53693] = 2,
    ACTIONS(3387), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53701] = 2,
    ACTIONS(3389), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53709] = 2,
    ACTIONS(2139), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53717] = 2,
    ACTIONS(3391), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53725] = 2,
    ACTIONS(1643), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3393), 1,
      anon_sym_SLASH2,
  [53743] = 2,
    ACTIONS(3395), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53751] = 2,
    ACTIONS(3397), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53759] = 2,
    ACTIONS(1854), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53767] = 2,
    ACTIONS(3399), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53775] = 2,
    ACTIONS(1778), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53783] = 2,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53791] = 2,
    ACTIONS(1860), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53799] = 2,
    ACTIONS(1824), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53807] = 2,
    ACTIONS(1760), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53815] = 2,
    ACTIONS(3401), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53823] = 2,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53831] = 2,
    ACTIONS(2937), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53839] = 2,
    ACTIONS(3403), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53847] = 2,
    ACTIONS(3405), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53855] = 2,
    ACTIONS(3407), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53863] = 2,
    ACTIONS(3409), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53871] = 2,
    ACTIONS(1814), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53879] = 2,
    ACTIONS(3411), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53887] = 2,
    ACTIONS(3413), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53895] = 2,
    ACTIONS(1852), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53903] = 2,
    ACTIONS(3415), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53911] = 2,
    ACTIONS(3417), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53919] = 2,
    ACTIONS(2371), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53927] = 2,
    ACTIONS(3247), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3419), 1,
      sym_regex_pattern,
  [53945] = 2,
    ACTIONS(3421), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3423), 1,
      sym_regex_pattern,
  [53963] = 2,
    ACTIONS(3425), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3427), 1,
      sym_regex_pattern,
  [53981] = 2,
    ACTIONS(1856), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53989] = 2,
    ACTIONS(1834), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [53997] = 2,
    ACTIONS(3082), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54005] = 2,
    ACTIONS(1812), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54013] = 2,
    ACTIONS(3429), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3431), 1,
      sym_regex_pattern,
  [54031] = 2,
    ACTIONS(1830), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54039] = 2,
    ACTIONS(1685), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54047] = 2,
    ACTIONS(1836), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54055] = 2,
    ACTIONS(3433), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54063] = 2,
    ACTIONS(1832), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54071] = 2,
    ACTIONS(3435), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54079] = 2,
    ACTIONS(1808), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54087] = 2,
    ACTIONS(3437), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54095] = 2,
    ACTIONS(1890), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54103] = 2,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54111] = 2,
    ACTIONS(3439), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54119] = 2,
    ACTIONS(3441), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54127] = 2,
    ACTIONS(3443), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54135] = 2,
    ACTIONS(3445), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54143] = 2,
    ACTIONS(3379), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54151] = 2,
    ACTIONS(3447), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54159] = 2,
    ACTIONS(1822), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(3449), 1,
      anon_sym_SLASH2,
  [54177] = 2,
    ACTIONS(3451), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54185] = 2,
    ACTIONS(3453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54193] = 2,
    ACTIONS(3062), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54201] = 2,
    ACTIONS(3455), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54209] = 2,
    ACTIONS(1858), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54217] = 2,
    ACTIONS(3287), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54225] = 2,
    ACTIONS(1826), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54233] = 2,
    ACTIONS(3113), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54241] = 2,
    ACTIONS(3457), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54249] = 2,
    ACTIONS(1844), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54257] = 2,
    ACTIONS(1864), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54265] = 2,
    ACTIONS(3459), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [54273] = 2,
    ACTIONS(1850), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(330)] = 0,
  [SMALL_STATE(331)] = 89,
  [SMALL_STATE(332)] = 164,
  [SMALL_STATE(333)] = 255,
  [SMALL_STATE(334)] = 327,
  [SMALL_STATE(335)] = 397,
  [SMALL_STATE(336)] = 469,
  [SMALL_STATE(337)] = 539,
  [SMALL_STATE(338)] = 609,
  [SMALL_STATE(339)] = 681,
  [SMALL_STATE(340)] = 753,
  [SMALL_STATE(341)] = 825,
  [SMALL_STATE(342)] = 897,
  [SMALL_STATE(343)] = 969,
  [SMALL_STATE(344)] = 1041,
  [SMALL_STATE(345)] = 1131,
  [SMALL_STATE(346)] = 1203,
  [SMALL_STATE(347)] = 1273,
  [SMALL_STATE(348)] = 1343,
  [SMALL_STATE(349)] = 1413,
  [SMALL_STATE(350)] = 1483,
  [SMALL_STATE(351)] = 1553,
  [SMALL_STATE(352)] = 1627,
  [SMALL_STATE(353)] = 1713,
  [SMALL_STATE(354)] = 1785,
  [SMALL_STATE(355)] = 1857,
  [SMALL_STATE(356)] = 1943,
  [SMALL_STATE(357)] = 2029,
  [SMALL_STATE(358)] = 2098,
  [SMALL_STATE(359)] = 2183,
  [SMALL_STATE(360)] = 2252,
  [SMALL_STATE(361)] = 2321,
  [SMALL_STATE(362)] = 2390,
  [SMALL_STATE(363)] = 2459,
  [SMALL_STATE(364)] = 2528,
  [SMALL_STATE(365)] = 2597,
  [SMALL_STATE(366)] = 2666,
  [SMALL_STATE(367)] = 2735,
  [SMALL_STATE(368)] = 2804,
  [SMALL_STATE(369)] = 2873,
  [SMALL_STATE(370)] = 2942,
  [SMALL_STATE(371)] = 3011,
  [SMALL_STATE(372)] = 3080,
  [SMALL_STATE(373)] = 3149,
  [SMALL_STATE(374)] = 3218,
  [SMALL_STATE(375)] = 3287,
  [SMALL_STATE(376)] = 3356,
  [SMALL_STATE(377)] = 3425,
  [SMALL_STATE(378)] = 3494,
  [SMALL_STATE(379)] = 3563,
  [SMALL_STATE(380)] = 3632,
  [SMALL_STATE(381)] = 3701,
  [SMALL_STATE(382)] = 3770,
  [SMALL_STATE(383)] = 3839,
  [SMALL_STATE(384)] = 3908,
  [SMALL_STATE(385)] = 3977,
  [SMALL_STATE(386)] = 4046,
  [SMALL_STATE(387)] = 4115,
  [SMALL_STATE(388)] = 4184,
  [SMALL_STATE(389)] = 4253,
  [SMALL_STATE(390)] = 4322,
  [SMALL_STATE(391)] = 4391,
  [SMALL_STATE(392)] = 4460,
  [SMALL_STATE(393)] = 4529,
  [SMALL_STATE(394)] = 4598,
  [SMALL_STATE(395)] = 4667,
  [SMALL_STATE(396)] = 4736,
  [SMALL_STATE(397)] = 4805,
  [SMALL_STATE(398)] = 4874,
  [SMALL_STATE(399)] = 4943,
  [SMALL_STATE(400)] = 5012,
  [SMALL_STATE(401)] = 5081,
  [SMALL_STATE(402)] = 5168,
  [SMALL_STATE(403)] = 5237,
  [SMALL_STATE(404)] = 5306,
  [SMALL_STATE(405)] = 5375,
  [SMALL_STATE(406)] = 5444,
  [SMALL_STATE(407)] = 5513,
  [SMALL_STATE(408)] = 5582,
  [SMALL_STATE(409)] = 5651,
  [SMALL_STATE(410)] = 5720,
  [SMALL_STATE(411)] = 5789,
  [SMALL_STATE(412)] = 5858,
  [SMALL_STATE(413)] = 5947,
  [SMALL_STATE(414)] = 6016,
  [SMALL_STATE(415)] = 6085,
  [SMALL_STATE(416)] = 6154,
  [SMALL_STATE(417)] = 6223,
  [SMALL_STATE(418)] = 6292,
  [SMALL_STATE(419)] = 6361,
  [SMALL_STATE(420)] = 6430,
  [SMALL_STATE(421)] = 6517,
  [SMALL_STATE(422)] = 6586,
  [SMALL_STATE(423)] = 6655,
  [SMALL_STATE(424)] = 6724,
  [SMALL_STATE(425)] = 6793,
  [SMALL_STATE(426)] = 6878,
  [SMALL_STATE(427)] = 6947,
  [SMALL_STATE(428)] = 7035,
  [SMALL_STATE(429)] = 7118,
  [SMALL_STATE(430)] = 7184,
  [SMALL_STATE(431)] = 7254,
  [SMALL_STATE(432)] = 7320,
  [SMALL_STATE(433)] = 7402,
  [SMALL_STATE(434)] = 7484,
  [SMALL_STATE(435)] = 7566,
  [SMALL_STATE(436)] = 7632,
  [SMALL_STATE(437)] = 7698,
  [SMALL_STATE(438)] = 7764,
  [SMALL_STATE(439)] = 7830,
  [SMALL_STATE(440)] = 7896,
  [SMALL_STATE(441)] = 7967,
  [SMALL_STATE(442)] = 8038,
  [SMALL_STATE(443)] = 8109,
  [SMALL_STATE(444)] = 8180,
  [SMALL_STATE(445)] = 8263,
  [SMALL_STATE(446)] = 8331,
  [SMALL_STATE(447)] = 8395,
  [SMALL_STATE(448)] = 8459,
  [SMALL_STATE(449)] = 8523,
  [SMALL_STATE(450)] = 8587,
  [SMALL_STATE(451)] = 8651,
  [SMALL_STATE(452)] = 8715,
  [SMALL_STATE(453)] = 8779,
  [SMALL_STATE(454)] = 8843,
  [SMALL_STATE(455)] = 8907,
  [SMALL_STATE(456)] = 8976,
  [SMALL_STATE(457)] = 9039,
  [SMALL_STATE(458)] = 9102,
  [SMALL_STATE(459)] = 9173,
  [SMALL_STATE(460)] = 9236,
  [SMALL_STATE(461)] = 9307,
  [SMALL_STATE(462)] = 9376,
  [SMALL_STATE(463)] = 9447,
  [SMALL_STATE(464)] = 9510,
  [SMALL_STATE(465)] = 9581,
  [SMALL_STATE(466)] = 9650,
  [SMALL_STATE(467)] = 9713,
  [SMALL_STATE(468)] = 9782,
  [SMALL_STATE(469)] = 9851,
  [SMALL_STATE(470)] = 9922,
  [SMALL_STATE(471)] = 9985,
  [SMALL_STATE(472)] = 10052,
  [SMALL_STATE(473)] = 10123,
  [SMALL_STATE(474)] = 10192,
  [SMALL_STATE(475)] = 10263,
  [SMALL_STATE(476)] = 10334,
  [SMALL_STATE(477)] = 10403,
  [SMALL_STATE(478)] = 10466,
  [SMALL_STATE(479)] = 10537,
  [SMALL_STATE(480)] = 10608,
  [SMALL_STATE(481)] = 10677,
  [SMALL_STATE(482)] = 10747,
  [SMALL_STATE(483)] = 10817,
  [SMALL_STATE(484)] = 10885,
  [SMALL_STATE(485)] = 10951,
  [SMALL_STATE(486)] = 11019,
  [SMALL_STATE(487)] = 11085,
  [SMALL_STATE(488)] = 11153,
  [SMALL_STATE(489)] = 11225,
  [SMALL_STATE(490)] = 11297,
  [SMALL_STATE(491)] = 11368,
  [SMALL_STATE(492)] = 11435,
  [SMALL_STATE(493)] = 11502,
  [SMALL_STATE(494)] = 11569,
  [SMALL_STATE(495)] = 11640,
  [SMALL_STATE(496)] = 11709,
  [SMALL_STATE(497)] = 11777,
  [SMALL_STATE(498)] = 11847,
  [SMALL_STATE(499)] = 11913,
  [SMALL_STATE(500)] = 11983,
  [SMALL_STATE(501)] = 12049,
  [SMALL_STATE(502)] = 12115,
  [SMALL_STATE(503)] = 12181,
  [SMALL_STATE(504)] = 12248,
  [SMALL_STATE(505)] = 12311,
  [SMALL_STATE(506)] = 12367,
  [SMALL_STATE(507)] = 12433,
  [SMALL_STATE(508)] = 12493,
  [SMALL_STATE(509)] = 12554,
  [SMALL_STATE(510)] = 12607,
  [SMALL_STATE(511)] = 12660,
  [SMALL_STATE(512)] = 12723,
  [SMALL_STATE(513)] = 12786,
  [SMALL_STATE(514)] = 12839,
  [SMALL_STATE(515)] = 12894,
  [SMALL_STATE(516)] = 12955,
  [SMALL_STATE(517)] = 13005,
  [SMALL_STATE(518)] = 13055,
  [SMALL_STATE(519)] = 13105,
  [SMALL_STATE(520)] = 13155,
  [SMALL_STATE(521)] = 13205,
  [SMALL_STATE(522)] = 13255,
  [SMALL_STATE(523)] = 13305,
  [SMALL_STATE(524)] = 13359,
  [SMALL_STATE(525)] = 13409,
  [SMALL_STATE(526)] = 13459,
  [SMALL_STATE(527)] = 13509,
  [SMALL_STATE(528)] = 13563,
  [SMALL_STATE(529)] = 13613,
  [SMALL_STATE(530)] = 13663,
  [SMALL_STATE(531)] = 13713,
  [SMALL_STATE(532)] = 13763,
  [SMALL_STATE(533)] = 13813,
  [SMALL_STATE(534)] = 13863,
  [SMALL_STATE(535)] = 13913,
  [SMALL_STATE(536)] = 13963,
  [SMALL_STATE(537)] = 14013,
  [SMALL_STATE(538)] = 14063,
  [SMALL_STATE(539)] = 14113,
  [SMALL_STATE(540)] = 14163,
  [SMALL_STATE(541)] = 14213,
  [SMALL_STATE(542)] = 14263,
  [SMALL_STATE(543)] = 14313,
  [SMALL_STATE(544)] = 14363,
  [SMALL_STATE(545)] = 14413,
  [SMALL_STATE(546)] = 14463,
  [SMALL_STATE(547)] = 14513,
  [SMALL_STATE(548)] = 14563,
  [SMALL_STATE(549)] = 14613,
  [SMALL_STATE(550)] = 14663,
  [SMALL_STATE(551)] = 14713,
  [SMALL_STATE(552)] = 14763,
  [SMALL_STATE(553)] = 14813,
  [SMALL_STATE(554)] = 14863,
  [SMALL_STATE(555)] = 14915,
  [SMALL_STATE(556)] = 14965,
  [SMALL_STATE(557)] = 15015,
  [SMALL_STATE(558)] = 15065,
  [SMALL_STATE(559)] = 15115,
  [SMALL_STATE(560)] = 15165,
  [SMALL_STATE(561)] = 15215,
  [SMALL_STATE(562)] = 15265,
  [SMALL_STATE(563)] = 15315,
  [SMALL_STATE(564)] = 15365,
  [SMALL_STATE(565)] = 15415,
  [SMALL_STATE(566)] = 15465,
  [SMALL_STATE(567)] = 15515,
  [SMALL_STATE(568)] = 15565,
  [SMALL_STATE(569)] = 15615,
  [SMALL_STATE(570)] = 15665,
  [SMALL_STATE(571)] = 15715,
  [SMALL_STATE(572)] = 15765,
  [SMALL_STATE(573)] = 15815,
  [SMALL_STATE(574)] = 15865,
  [SMALL_STATE(575)] = 15919,
  [SMALL_STATE(576)] = 15969,
  [SMALL_STATE(577)] = 16019,
  [SMALL_STATE(578)] = 16069,
  [SMALL_STATE(579)] = 16120,
  [SMALL_STATE(580)] = 16213,
  [SMALL_STATE(581)] = 16262,
  [SMALL_STATE(582)] = 16355,
  [SMALL_STATE(583)] = 16448,
  [SMALL_STATE(584)] = 16497,
  [SMALL_STATE(585)] = 16548,
  [SMALL_STATE(586)] = 16599,
  [SMALL_STATE(587)] = 16692,
  [SMALL_STATE(588)] = 16785,
  [SMALL_STATE(589)] = 16878,
  [SMALL_STATE(590)] = 16951,
  [SMALL_STATE(591)] = 17014,
  [SMALL_STATE(592)] = 17099,
  [SMALL_STATE(593)] = 17186,
  [SMALL_STATE(594)] = 17255,
  [SMALL_STATE(595)] = 17336,
  [SMALL_STATE(596)] = 17419,
  [SMALL_STATE(597)] = 17486,
  [SMALL_STATE(598)] = 17549,
  [SMALL_STATE(599)] = 17626,
  [SMALL_STATE(600)] = 17715,
  [SMALL_STATE(601)] = 17808,
  [SMALL_STATE(602)] = 17901,
  [SMALL_STATE(603)] = 17950,
  [SMALL_STATE(604)] = 18013,
  [SMALL_STATE(605)] = 18070,
  [SMALL_STATE(606)] = 18163,
  [SMALL_STATE(607)] = 18212,
  [SMALL_STATE(608)] = 18305,
  [SMALL_STATE(609)] = 18398,
  [SMALL_STATE(610)] = 18491,
  [SMALL_STATE(611)] = 18542,
  [SMALL_STATE(612)] = 18593,
  [SMALL_STATE(613)] = 18644,
  [SMALL_STATE(614)] = 18729,
  [SMALL_STATE(615)] = 18777,
  [SMALL_STATE(616)] = 18829,
  [SMALL_STATE(617)] = 18879,
  [SMALL_STATE(618)] = 18939,
  [SMALL_STATE(619)] = 18997,
  [SMALL_STATE(620)] = 19055,
  [SMALL_STATE(621)] = 19107,
  [SMALL_STATE(622)] = 19199,
  [SMALL_STATE(623)] = 19247,
  [SMALL_STATE(624)] = 19297,
  [SMALL_STATE(625)] = 19351,
  [SMALL_STATE(626)] = 19401,
  [SMALL_STATE(627)] = 19461,
  [SMALL_STATE(628)] = 19511,
  [SMALL_STATE(629)] = 19558,
  [SMALL_STATE(630)] = 19605,
  [SMALL_STATE(631)] = 19686,
  [SMALL_STATE(632)] = 19769,
  [SMALL_STATE(633)] = 19818,
  [SMALL_STATE(634)] = 19869,
  [SMALL_STATE(635)] = 19916,
  [SMALL_STATE(636)] = 19967,
  [SMALL_STATE(637)] = 20032,
  [SMALL_STATE(638)] = 20079,
  [SMALL_STATE(639)] = 20140,
  [SMALL_STATE(640)] = 20187,
  [SMALL_STATE(641)] = 20262,
  [SMALL_STATE(642)] = 20349,
  [SMALL_STATE(643)] = 20396,
  [SMALL_STATE(644)] = 20443,
  [SMALL_STATE(645)] = 20534,
  [SMALL_STATE(646)] = 20595,
  [SMALL_STATE(647)] = 20642,
  [SMALL_STATE(648)] = 20689,
  [SMALL_STATE(649)] = 20736,
  [SMALL_STATE(650)] = 20783,
  [SMALL_STATE(651)] = 20830,
  [SMALL_STATE(652)] = 20877,
  [SMALL_STATE(653)] = 20924,
  [SMALL_STATE(654)] = 20971,
  [SMALL_STATE(655)] = 21018,
  [SMALL_STATE(656)] = 21065,
  [SMALL_STATE(657)] = 21112,
  [SMALL_STATE(658)] = 21203,
  [SMALL_STATE(659)] = 21250,
  [SMALL_STATE(660)] = 21297,
  [SMALL_STATE(661)] = 21344,
  [SMALL_STATE(662)] = 21395,
  [SMALL_STATE(663)] = 21442,
  [SMALL_STATE(664)] = 21533,
  [SMALL_STATE(665)] = 21580,
  [SMALL_STATE(666)] = 21663,
  [SMALL_STATE(667)] = 21754,
  [SMALL_STATE(668)] = 21839,
  [SMALL_STATE(669)] = 21886,
  [SMALL_STATE(670)] = 21937,
  [SMALL_STATE(671)] = 22028,
  [SMALL_STATE(672)] = 22075,
  [SMALL_STATE(673)] = 22122,
  [SMALL_STATE(674)] = 22213,
  [SMALL_STATE(675)] = 22304,
  [SMALL_STATE(676)] = 22395,
  [SMALL_STATE(677)] = 22446,
  [SMALL_STATE(678)] = 22493,
  [SMALL_STATE(679)] = 22540,
  [SMALL_STATE(680)] = 22631,
  [SMALL_STATE(681)] = 22678,
  [SMALL_STATE(682)] = 22725,
  [SMALL_STATE(683)] = 22816,
  [SMALL_STATE(684)] = 22907,
  [SMALL_STATE(685)] = 22978,
  [SMALL_STATE(686)] = 23025,
  [SMALL_STATE(687)] = 23076,
  [SMALL_STATE(688)] = 23159,
  [SMALL_STATE(689)] = 23244,
  [SMALL_STATE(690)] = 23311,
  [SMALL_STATE(691)] = 23390,
  [SMALL_STATE(692)] = 23471,
  [SMALL_STATE(693)] = 23554,
  [SMALL_STATE(694)] = 23619,
  [SMALL_STATE(695)] = 23680,
  [SMALL_STATE(696)] = 23755,
  [SMALL_STATE(697)] = 23842,
  [SMALL_STATE(698)] = 23933,
  [SMALL_STATE(699)] = 24024,
  [SMALL_STATE(700)] = 24075,
  [SMALL_STATE(701)] = 24166,
  [SMALL_STATE(702)] = 24257,
  [SMALL_STATE(703)] = 24348,
  [SMALL_STATE(704)] = 24399,
  [SMALL_STATE(705)] = 24490,
  [SMALL_STATE(706)] = 24581,
  [SMALL_STATE(707)] = 24628,
  [SMALL_STATE(708)] = 24679,
  [SMALL_STATE(709)] = 24726,
  [SMALL_STATE(710)] = 24773,
  [SMALL_STATE(711)] = 24820,
  [SMALL_STATE(712)] = 24871,
  [SMALL_STATE(713)] = 24918,
  [SMALL_STATE(714)] = 24965,
  [SMALL_STATE(715)] = 25032,
  [SMALL_STATE(716)] = 25079,
  [SMALL_STATE(717)] = 25128,
  [SMALL_STATE(718)] = 25175,
  [SMALL_STATE(719)] = 25266,
  [SMALL_STATE(720)] = 25357,
  [SMALL_STATE(721)] = 25404,
  [SMALL_STATE(722)] = 25451,
  [SMALL_STATE(723)] = 25498,
  [SMALL_STATE(724)] = 25577,
  [SMALL_STATE(725)] = 25624,
  [SMALL_STATE(726)] = 25673,
  [SMALL_STATE(727)] = 25720,
  [SMALL_STATE(728)] = 25769,
  [SMALL_STATE(729)] = 25816,
  [SMALL_STATE(730)] = 25867,
  [SMALL_STATE(731)] = 25914,
  [SMALL_STATE(732)] = 25965,
  [SMALL_STATE(733)] = 26016,
  [SMALL_STATE(734)] = 26067,
  [SMALL_STATE(735)] = 26114,
  [SMALL_STATE(736)] = 26205,
  [SMALL_STATE(737)] = 26252,
  [SMALL_STATE(738)] = 26343,
  [SMALL_STATE(739)] = 26390,
  [SMALL_STATE(740)] = 26461,
  [SMALL_STATE(741)] = 26552,
  [SMALL_STATE(742)] = 26599,
  [SMALL_STATE(743)] = 26646,
  [SMALL_STATE(744)] = 26737,
  [SMALL_STATE(745)] = 26784,
  [SMALL_STATE(746)] = 26845,
  [SMALL_STATE(747)] = 26939,
  [SMALL_STATE(748)] = 26989,
  [SMALL_STATE(749)] = 27083,
  [SMALL_STATE(750)] = 27175,
  [SMALL_STATE(751)] = 27269,
  [SMALL_STATE(752)] = 27363,
  [SMALL_STATE(753)] = 27413,
  [SMALL_STATE(754)] = 27507,
  [SMALL_STATE(755)] = 27597,
  [SMALL_STATE(756)] = 27691,
  [SMALL_STATE(757)] = 27741,
  [SMALL_STATE(758)] = 27831,
  [SMALL_STATE(759)] = 27883,
  [SMALL_STATE(760)] = 27935,
  [SMALL_STATE(761)] = 27987,
  [SMALL_STATE(762)] = 28039,
  [SMALL_STATE(763)] = 28132,
  [SMALL_STATE(764)] = 28225,
  [SMALL_STATE(765)] = 28318,
  [SMALL_STATE(766)] = 28411,
  [SMALL_STATE(767)] = 28490,
  [SMALL_STATE(768)] = 28583,
  [SMALL_STATE(769)] = 28668,
  [SMALL_STATE(770)] = 28757,
  [SMALL_STATE(771)] = 28846,
  [SMALL_STATE(772)] = 28935,
  [SMALL_STATE(773)] = 29028,
  [SMALL_STATE(774)] = 29117,
  [SMALL_STATE(775)] = 29206,
  [SMALL_STATE(776)] = 29295,
  [SMALL_STATE(777)] = 29388,
  [SMALL_STATE(778)] = 29481,
  [SMALL_STATE(779)] = 29570,
  [SMALL_STATE(780)] = 29659,
  [SMALL_STATE(781)] = 29710,
  [SMALL_STATE(782)] = 29803,
  [SMALL_STATE(783)] = 29892,
  [SMALL_STATE(784)] = 29985,
  [SMALL_STATE(785)] = 30078,
  [SMALL_STATE(786)] = 30167,
  [SMALL_STATE(787)] = 30248,
  [SMALL_STATE(788)] = 30341,
  [SMALL_STATE(789)] = 30434,
  [SMALL_STATE(790)] = 30527,
  [SMALL_STATE(791)] = 30620,
  [SMALL_STATE(792)] = 30713,
  [SMALL_STATE(793)] = 30806,
  [SMALL_STATE(794)] = 30899,
  [SMALL_STATE(795)] = 30992,
  [SMALL_STATE(796)] = 31085,
  [SMALL_STATE(797)] = 31178,
  [SMALL_STATE(798)] = 31267,
  [SMALL_STATE(799)] = 31356,
  [SMALL_STATE(800)] = 31449,
  [SMALL_STATE(801)] = 31542,
  [SMALL_STATE(802)] = 31605,
  [SMALL_STATE(803)] = 31698,
  [SMALL_STATE(804)] = 31791,
  [SMALL_STATE(805)] = 31884,
  [SMALL_STATE(806)] = 31953,
  [SMALL_STATE(807)] = 32012,
  [SMALL_STATE(808)] = 32071,
  [SMALL_STATE(809)] = 32144,
  [SMALL_STATE(810)] = 32237,
  [SMALL_STATE(811)] = 32318,
  [SMALL_STATE(812)] = 32395,
  [SMALL_STATE(813)] = 32488,
  [SMALL_STATE(814)] = 32581,
  [SMALL_STATE(815)] = 32632,
  [SMALL_STATE(816)] = 32725,
  [SMALL_STATE(817)] = 32776,
  [SMALL_STATE(818)] = 32859,
  [SMALL_STATE(819)] = 32948,
  [SMALL_STATE(820)] = 32999,
  [SMALL_STATE(821)] = 33092,
  [SMALL_STATE(822)] = 33185,
  [SMALL_STATE(823)] = 33278,
  [SMALL_STATE(824)] = 33371,
  [SMALL_STATE(825)] = 33460,
  [SMALL_STATE(826)] = 33553,
  [SMALL_STATE(827)] = 33618,
  [SMALL_STATE(828)] = 33711,
  [SMALL_STATE(829)] = 33804,
  [SMALL_STATE(830)] = 33897,
  [SMALL_STATE(831)] = 33986,
  [SMALL_STATE(832)] = 34074,
  [SMALL_STATE(833)] = 34160,
  [SMALL_STATE(834)] = 34248,
  [SMALL_STATE(835)] = 34336,
  [SMALL_STATE(836)] = 34382,
  [SMALL_STATE(837)] = 34468,
  [SMALL_STATE(838)] = 34556,
  [SMALL_STATE(839)] = 34646,
  [SMALL_STATE(840)] = 34734,
  [SMALL_STATE(841)] = 34820,
  [SMALL_STATE(842)] = 34908,
  [SMALL_STATE(843)] = 34994,
  [SMALL_STATE(844)] = 35080,
  [SMALL_STATE(845)] = 35166,
  [SMALL_STATE(846)] = 35216,
  [SMALL_STATE(847)] = 35304,
  [SMALL_STATE(848)] = 35350,
  [SMALL_STATE(849)] = 35438,
  [SMALL_STATE(850)] = 35526,
  [SMALL_STATE(851)] = 35614,
  [SMALL_STATE(852)] = 35682,
  [SMALL_STATE(853)] = 35740,
  [SMALL_STATE(854)] = 35820,
  [SMALL_STATE(855)] = 35902,
  [SMALL_STATE(856)] = 35966,
  [SMALL_STATE(857)] = 36042,
  [SMALL_STATE(858)] = 36120,
  [SMALL_STATE(859)] = 36200,
  [SMALL_STATE(860)] = 36262,
  [SMALL_STATE(861)] = 36320,
  [SMALL_STATE(862)] = 36392,
  [SMALL_STATE(863)] = 36476,
  [SMALL_STATE(864)] = 36564,
  [SMALL_STATE(865)] = 36652,
  [SMALL_STATE(866)] = 36740,
  [SMALL_STATE(867)] = 36828,
  [SMALL_STATE(868)] = 36916,
  [SMALL_STATE(869)] = 37004,
  [SMALL_STATE(870)] = 37091,
  [SMALL_STATE(871)] = 37178,
  [SMALL_STATE(872)] = 37265,
  [SMALL_STATE(873)] = 37354,
  [SMALL_STATE(874)] = 37441,
  [SMALL_STATE(875)] = 37528,
  [SMALL_STATE(876)] = 37615,
  [SMALL_STATE(877)] = 37702,
  [SMALL_STATE(878)] = 37789,
  [SMALL_STATE(879)] = 37867,
  [SMALL_STATE(880)] = 37951,
  [SMALL_STATE(881)] = 38035,
  [SMALL_STATE(882)] = 38112,
  [SMALL_STATE(883)] = 38189,
  [SMALL_STATE(884)] = 38266,
  [SMALL_STATE(885)] = 38343,
  [SMALL_STATE(886)] = 38420,
  [SMALL_STATE(887)] = 38497,
  [SMALL_STATE(888)] = 38574,
  [SMALL_STATE(889)] = 38651,
  [SMALL_STATE(890)] = 38728,
  [SMALL_STATE(891)] = 38798,
  [SMALL_STATE(892)] = 38863,
  [SMALL_STATE(893)] = 38920,
  [SMALL_STATE(894)] = 38977,
  [SMALL_STATE(895)] = 39029,
  [SMALL_STATE(896)] = 39085,
  [SMALL_STATE(897)] = 39143,
  [SMALL_STATE(898)] = 39199,
  [SMALL_STATE(899)] = 39257,
  [SMALL_STATE(900)] = 39315,
  [SMALL_STATE(901)] = 39371,
  [SMALL_STATE(902)] = 39427,
  [SMALL_STATE(903)] = 39485,
  [SMALL_STATE(904)] = 39541,
  [SMALL_STATE(905)] = 39599,
  [SMALL_STATE(906)] = 39657,
  [SMALL_STATE(907)] = 39713,
  [SMALL_STATE(908)] = 39766,
  [SMALL_STATE(909)] = 39817,
  [SMALL_STATE(910)] = 39868,
  [SMALL_STATE(911)] = 39919,
  [SMALL_STATE(912)] = 39970,
  [SMALL_STATE(913)] = 40021,
  [SMALL_STATE(914)] = 40072,
  [SMALL_STATE(915)] = 40120,
  [SMALL_STATE(916)] = 40180,
  [SMALL_STATE(917)] = 40230,
  [SMALL_STATE(918)] = 40280,
  [SMALL_STATE(919)] = 40332,
  [SMALL_STATE(920)] = 40377,
  [SMALL_STATE(921)] = 40422,
  [SMALL_STATE(922)] = 40467,
  [SMALL_STATE(923)] = 40514,
  [SMALL_STATE(924)] = 40559,
  [SMALL_STATE(925)] = 40602,
  [SMALL_STATE(926)] = 40645,
  [SMALL_STATE(927)] = 40700,
  [SMALL_STATE(928)] = 40747,
  [SMALL_STATE(929)] = 40802,
  [SMALL_STATE(930)] = 40845,
  [SMALL_STATE(931)] = 40873,
  [SMALL_STATE(932)] = 40901,
  [SMALL_STATE(933)] = 40929,
  [SMALL_STATE(934)] = 40967,
  [SMALL_STATE(935)] = 41005,
  [SMALL_STATE(936)] = 41033,
  [SMALL_STATE(937)] = 41067,
  [SMALL_STATE(938)] = 41095,
  [SMALL_STATE(939)] = 41123,
  [SMALL_STATE(940)] = 41151,
  [SMALL_STATE(941)] = 41181,
  [SMALL_STATE(942)] = 41209,
  [SMALL_STATE(943)] = 41237,
  [SMALL_STATE(944)] = 41277,
  [SMALL_STATE(945)] = 41305,
  [SMALL_STATE(946)] = 41333,
  [SMALL_STATE(947)] = 41363,
  [SMALL_STATE(948)] = 41391,
  [SMALL_STATE(949)] = 41419,
  [SMALL_STATE(950)] = 41447,
  [SMALL_STATE(951)] = 41475,
  [SMALL_STATE(952)] = 41503,
  [SMALL_STATE(953)] = 41531,
  [SMALL_STATE(954)] = 41559,
  [SMALL_STATE(955)] = 41587,
  [SMALL_STATE(956)] = 41615,
  [SMALL_STATE(957)] = 41643,
  [SMALL_STATE(958)] = 41671,
  [SMALL_STATE(959)] = 41699,
  [SMALL_STATE(960)] = 41727,
  [SMALL_STATE(961)] = 41755,
  [SMALL_STATE(962)] = 41793,
  [SMALL_STATE(963)] = 41821,
  [SMALL_STATE(964)] = 41849,
  [SMALL_STATE(965)] = 41887,
  [SMALL_STATE(966)] = 41925,
  [SMALL_STATE(967)] = 41963,
  [SMALL_STATE(968)] = 41991,
  [SMALL_STATE(969)] = 42018,
  [SMALL_STATE(970)] = 42045,
  [SMALL_STATE(971)] = 42074,
  [SMALL_STATE(972)] = 42101,
  [SMALL_STATE(973)] = 42128,
  [SMALL_STATE(974)] = 42161,
  [SMALL_STATE(975)] = 42188,
  [SMALL_STATE(976)] = 42215,
  [SMALL_STATE(977)] = 42242,
  [SMALL_STATE(978)] = 42269,
  [SMALL_STATE(979)] = 42296,
  [SMALL_STATE(980)] = 42323,
  [SMALL_STATE(981)] = 42363,
  [SMALL_STATE(982)] = 42407,
  [SMALL_STATE(983)] = 42449,
  [SMALL_STATE(984)] = 42489,
  [SMALL_STATE(985)] = 42535,
  [SMALL_STATE(986)] = 42577,
  [SMALL_STATE(987)] = 42619,
  [SMALL_STATE(988)] = 42661,
  [SMALL_STATE(989)] = 42699,
  [SMALL_STATE(990)] = 42734,
  [SMALL_STATE(991)] = 42759,
  [SMALL_STATE(992)] = 42784,
  [SMALL_STATE(993)] = 42809,
  [SMALL_STATE(994)] = 42844,
  [SMALL_STATE(995)] = 42887,
  [SMALL_STATE(996)] = 42922,
  [SMALL_STATE(997)] = 42961,
  [SMALL_STATE(998)] = 42996,
  [SMALL_STATE(999)] = 43031,
  [SMALL_STATE(1000)] = 43066,
  [SMALL_STATE(1001)] = 43101,
  [SMALL_STATE(1002)] = 43136,
  [SMALL_STATE(1003)] = 43171,
  [SMALL_STATE(1004)] = 43206,
  [SMALL_STATE(1005)] = 43247,
  [SMALL_STATE(1006)] = 43282,
  [SMALL_STATE(1007)] = 43317,
  [SMALL_STATE(1008)] = 43342,
  [SMALL_STATE(1009)] = 43377,
  [SMALL_STATE(1010)] = 43412,
  [SMALL_STATE(1011)] = 43451,
  [SMALL_STATE(1012)] = 43494,
  [SMALL_STATE(1013)] = 43529,
  [SMALL_STATE(1014)] = 43570,
  [SMALL_STATE(1015)] = 43595,
  [SMALL_STATE(1016)] = 43630,
  [SMALL_STATE(1017)] = 43665,
  [SMALL_STATE(1018)] = 43700,
  [SMALL_STATE(1019)] = 43735,
  [SMALL_STATE(1020)] = 43770,
  [SMALL_STATE(1021)] = 43805,
  [SMALL_STATE(1022)] = 43840,
  [SMALL_STATE(1023)] = 43875,
  [SMALL_STATE(1024)] = 43900,
  [SMALL_STATE(1025)] = 43935,
  [SMALL_STATE(1026)] = 43967,
  [SMALL_STATE(1027)] = 43999,
  [SMALL_STATE(1028)] = 44031,
  [SMALL_STATE(1029)] = 44053,
  [SMALL_STATE(1030)] = 44085,
  [SMALL_STATE(1031)] = 44117,
  [SMALL_STATE(1032)] = 44149,
  [SMALL_STATE(1033)] = 44171,
  [SMALL_STATE(1034)] = 44193,
  [SMALL_STATE(1035)] = 44215,
  [SMALL_STATE(1036)] = 44247,
  [SMALL_STATE(1037)] = 44279,
  [SMALL_STATE(1038)] = 44311,
  [SMALL_STATE(1039)] = 44343,
  [SMALL_STATE(1040)] = 44375,
  [SMALL_STATE(1041)] = 44407,
  [SMALL_STATE(1042)] = 44439,
  [SMALL_STATE(1043)] = 44471,
  [SMALL_STATE(1044)] = 44503,
  [SMALL_STATE(1045)] = 44535,
  [SMALL_STATE(1046)] = 44567,
  [SMALL_STATE(1047)] = 44599,
  [SMALL_STATE(1048)] = 44621,
  [SMALL_STATE(1049)] = 44658,
  [SMALL_STATE(1050)] = 44694,
  [SMALL_STATE(1051)] = 44730,
  [SMALL_STATE(1052)] = 44760,
  [SMALL_STATE(1053)] = 44790,
  [SMALL_STATE(1054)] = 44820,
  [SMALL_STATE(1055)] = 44856,
  [SMALL_STATE(1056)] = 44886,
  [SMALL_STATE(1057)] = 44916,
  [SMALL_STATE(1058)] = 44946,
  [SMALL_STATE(1059)] = 44976,
  [SMALL_STATE(1060)] = 45006,
  [SMALL_STATE(1061)] = 45042,
  [SMALL_STATE(1062)] = 45075,
  [SMALL_STATE(1063)] = 45102,
  [SMALL_STATE(1064)] = 45135,
  [SMALL_STATE(1065)] = 45168,
  [SMALL_STATE(1066)] = 45201,
  [SMALL_STATE(1067)] = 45234,
  [SMALL_STATE(1068)] = 45267,
  [SMALL_STATE(1069)] = 45300,
  [SMALL_STATE(1070)] = 45333,
  [SMALL_STATE(1071)] = 45363,
  [SMALL_STATE(1072)] = 45393,
  [SMALL_STATE(1073)] = 45423,
  [SMALL_STATE(1074)] = 45453,
  [SMALL_STATE(1075)] = 45483,
  [SMALL_STATE(1076)] = 45513,
  [SMALL_STATE(1077)] = 45543,
  [SMALL_STATE(1078)] = 45573,
  [SMALL_STATE(1079)] = 45603,
  [SMALL_STATE(1080)] = 45633,
  [SMALL_STATE(1081)] = 45663,
  [SMALL_STATE(1082)] = 45693,
  [SMALL_STATE(1083)] = 45723,
  [SMALL_STATE(1084)] = 45753,
  [SMALL_STATE(1085)] = 45779,
  [SMALL_STATE(1086)] = 45805,
  [SMALL_STATE(1087)] = 45833,
  [SMALL_STATE(1088)] = 45863,
  [SMALL_STATE(1089)] = 45893,
  [SMALL_STATE(1090)] = 45923,
  [SMALL_STATE(1091)] = 45953,
  [SMALL_STATE(1092)] = 45983,
  [SMALL_STATE(1093)] = 46013,
  [SMALL_STATE(1094)] = 46040,
  [SMALL_STATE(1095)] = 46067,
  [SMALL_STATE(1096)] = 46085,
  [SMALL_STATE(1097)] = 46099,
  [SMALL_STATE(1098)] = 46113,
  [SMALL_STATE(1099)] = 46137,
  [SMALL_STATE(1100)] = 46161,
  [SMALL_STATE(1101)] = 46179,
  [SMALL_STATE(1102)] = 46201,
  [SMALL_STATE(1103)] = 46225,
  [SMALL_STATE(1104)] = 46245,
  [SMALL_STATE(1105)] = 46269,
  [SMALL_STATE(1106)] = 46293,
  [SMALL_STATE(1107)] = 46307,
  [SMALL_STATE(1108)] = 46329,
  [SMALL_STATE(1109)] = 46353,
  [SMALL_STATE(1110)] = 46375,
  [SMALL_STATE(1111)] = 46389,
  [SMALL_STATE(1112)] = 46403,
  [SMALL_STATE(1113)] = 46425,
  [SMALL_STATE(1114)] = 46447,
  [SMALL_STATE(1115)] = 46471,
  [SMALL_STATE(1116)] = 46495,
  [SMALL_STATE(1117)] = 46519,
  [SMALL_STATE(1118)] = 46539,
  [SMALL_STATE(1119)] = 46561,
  [SMALL_STATE(1120)] = 46585,
  [SMALL_STATE(1121)] = 46604,
  [SMALL_STATE(1122)] = 46623,
  [SMALL_STATE(1123)] = 46636,
  [SMALL_STATE(1124)] = 46651,
  [SMALL_STATE(1125)] = 46670,
  [SMALL_STATE(1126)] = 46691,
  [SMALL_STATE(1127)] = 46708,
  [SMALL_STATE(1128)] = 46729,
  [SMALL_STATE(1129)] = 46742,
  [SMALL_STATE(1130)] = 46755,
  [SMALL_STATE(1131)] = 46776,
  [SMALL_STATE(1132)] = 46789,
  [SMALL_STATE(1133)] = 46802,
  [SMALL_STATE(1134)] = 46823,
  [SMALL_STATE(1135)] = 46842,
  [SMALL_STATE(1136)] = 46861,
  [SMALL_STATE(1137)] = 46882,
  [SMALL_STATE(1138)] = 46901,
  [SMALL_STATE(1139)] = 46914,
  [SMALL_STATE(1140)] = 46933,
  [SMALL_STATE(1141)] = 46952,
  [SMALL_STATE(1142)] = 46973,
  [SMALL_STATE(1143)] = 46992,
  [SMALL_STATE(1144)] = 47011,
  [SMALL_STATE(1145)] = 47024,
  [SMALL_STATE(1146)] = 47039,
  [SMALL_STATE(1147)] = 47052,
  [SMALL_STATE(1148)] = 47065,
  [SMALL_STATE(1149)] = 47078,
  [SMALL_STATE(1150)] = 47097,
  [SMALL_STATE(1151)] = 47111,
  [SMALL_STATE(1152)] = 47125,
  [SMALL_STATE(1153)] = 47145,
  [SMALL_STATE(1154)] = 47165,
  [SMALL_STATE(1155)] = 47179,
  [SMALL_STATE(1156)] = 47199,
  [SMALL_STATE(1157)] = 47213,
  [SMALL_STATE(1158)] = 47227,
  [SMALL_STATE(1159)] = 47241,
  [SMALL_STATE(1160)] = 47255,
  [SMALL_STATE(1161)] = 47267,
  [SMALL_STATE(1162)] = 47287,
  [SMALL_STATE(1163)] = 47307,
  [SMALL_STATE(1164)] = 47323,
  [SMALL_STATE(1165)] = 47343,
  [SMALL_STATE(1166)] = 47355,
  [SMALL_STATE(1167)] = 47369,
  [SMALL_STATE(1168)] = 47383,
  [SMALL_STATE(1169)] = 47397,
  [SMALL_STATE(1170)] = 47417,
  [SMALL_STATE(1171)] = 47431,
  [SMALL_STATE(1172)] = 47445,
  [SMALL_STATE(1173)] = 47459,
  [SMALL_STATE(1174)] = 47473,
  [SMALL_STATE(1175)] = 47491,
  [SMALL_STATE(1176)] = 47511,
  [SMALL_STATE(1177)] = 47531,
  [SMALL_STATE(1178)] = 47547,
  [SMALL_STATE(1179)] = 47567,
  [SMALL_STATE(1180)] = 47581,
  [SMALL_STATE(1181)] = 47601,
  [SMALL_STATE(1182)] = 47615,
  [SMALL_STATE(1183)] = 47629,
  [SMALL_STATE(1184)] = 47643,
  [SMALL_STATE(1185)] = 47663,
  [SMALL_STATE(1186)] = 47681,
  [SMALL_STATE(1187)] = 47697,
  [SMALL_STATE(1188)] = 47717,
  [SMALL_STATE(1189)] = 47731,
  [SMALL_STATE(1190)] = 47751,
  [SMALL_STATE(1191)] = 47765,
  [SMALL_STATE(1192)] = 47785,
  [SMALL_STATE(1193)] = 47799,
  [SMALL_STATE(1194)] = 47813,
  [SMALL_STATE(1195)] = 47827,
  [SMALL_STATE(1196)] = 47847,
  [SMALL_STATE(1197)] = 47867,
  [SMALL_STATE(1198)] = 47881,
  [SMALL_STATE(1199)] = 47901,
  [SMALL_STATE(1200)] = 47919,
  [SMALL_STATE(1201)] = 47933,
  [SMALL_STATE(1202)] = 47947,
  [SMALL_STATE(1203)] = 47959,
  [SMALL_STATE(1204)] = 47973,
  [SMALL_STATE(1205)] = 47987,
  [SMALL_STATE(1206)] = 48001,
  [SMALL_STATE(1207)] = 48015,
  [SMALL_STATE(1208)] = 48029,
  [SMALL_STATE(1209)] = 48049,
  [SMALL_STATE(1210)] = 48063,
  [SMALL_STATE(1211)] = 48077,
  [SMALL_STATE(1212)] = 48091,
  [SMALL_STATE(1213)] = 48105,
  [SMALL_STATE(1214)] = 48125,
  [SMALL_STATE(1215)] = 48145,
  [SMALL_STATE(1216)] = 48165,
  [SMALL_STATE(1217)] = 48179,
  [SMALL_STATE(1218)] = 48196,
  [SMALL_STATE(1219)] = 48213,
  [SMALL_STATE(1220)] = 48228,
  [SMALL_STATE(1221)] = 48243,
  [SMALL_STATE(1222)] = 48258,
  [SMALL_STATE(1223)] = 48275,
  [SMALL_STATE(1224)] = 48292,
  [SMALL_STATE(1225)] = 48309,
  [SMALL_STATE(1226)] = 48326,
  [SMALL_STATE(1227)] = 48343,
  [SMALL_STATE(1228)] = 48360,
  [SMALL_STATE(1229)] = 48377,
  [SMALL_STATE(1230)] = 48394,
  [SMALL_STATE(1231)] = 48405,
  [SMALL_STATE(1232)] = 48424,
  [SMALL_STATE(1233)] = 48443,
  [SMALL_STATE(1234)] = 48460,
  [SMALL_STATE(1235)] = 48477,
  [SMALL_STATE(1236)] = 48494,
  [SMALL_STATE(1237)] = 48511,
  [SMALL_STATE(1238)] = 48522,
  [SMALL_STATE(1239)] = 48535,
  [SMALL_STATE(1240)] = 48552,
  [SMALL_STATE(1241)] = 48563,
  [SMALL_STATE(1242)] = 48580,
  [SMALL_STATE(1243)] = 48597,
  [SMALL_STATE(1244)] = 48612,
  [SMALL_STATE(1245)] = 48625,
  [SMALL_STATE(1246)] = 48642,
  [SMALL_STATE(1247)] = 48659,
  [SMALL_STATE(1248)] = 48676,
  [SMALL_STATE(1249)] = 48693,
  [SMALL_STATE(1250)] = 48710,
  [SMALL_STATE(1251)] = 48727,
  [SMALL_STATE(1252)] = 48738,
  [SMALL_STATE(1253)] = 48755,
  [SMALL_STATE(1254)] = 48772,
  [SMALL_STATE(1255)] = 48789,
  [SMALL_STATE(1256)] = 48806,
  [SMALL_STATE(1257)] = 48823,
  [SMALL_STATE(1258)] = 48840,
  [SMALL_STATE(1259)] = 48851,
  [SMALL_STATE(1260)] = 48862,
  [SMALL_STATE(1261)] = 48879,
  [SMALL_STATE(1262)] = 48896,
  [SMALL_STATE(1263)] = 48913,
  [SMALL_STATE(1264)] = 48928,
  [SMALL_STATE(1265)] = 48945,
  [SMALL_STATE(1266)] = 48962,
  [SMALL_STATE(1267)] = 48977,
  [SMALL_STATE(1268)] = 48994,
  [SMALL_STATE(1269)] = 49013,
  [SMALL_STATE(1270)] = 49032,
  [SMALL_STATE(1271)] = 49047,
  [SMALL_STATE(1272)] = 49064,
  [SMALL_STATE(1273)] = 49081,
  [SMALL_STATE(1274)] = 49096,
  [SMALL_STATE(1275)] = 49113,
  [SMALL_STATE(1276)] = 49130,
  [SMALL_STATE(1277)] = 49147,
  [SMALL_STATE(1278)] = 49164,
  [SMALL_STATE(1279)] = 49181,
  [SMALL_STATE(1280)] = 49198,
  [SMALL_STATE(1281)] = 49213,
  [SMALL_STATE(1282)] = 49228,
  [SMALL_STATE(1283)] = 49243,
  [SMALL_STATE(1284)] = 49258,
  [SMALL_STATE(1285)] = 49273,
  [SMALL_STATE(1286)] = 49290,
  [SMALL_STATE(1287)] = 49309,
  [SMALL_STATE(1288)] = 49326,
  [SMALL_STATE(1289)] = 49343,
  [SMALL_STATE(1290)] = 49360,
  [SMALL_STATE(1291)] = 49379,
  [SMALL_STATE(1292)] = 49393,
  [SMALL_STATE(1293)] = 49407,
  [SMALL_STATE(1294)] = 49421,
  [SMALL_STATE(1295)] = 49435,
  [SMALL_STATE(1296)] = 49447,
  [SMALL_STATE(1297)] = 49461,
  [SMALL_STATE(1298)] = 49475,
  [SMALL_STATE(1299)] = 49485,
  [SMALL_STATE(1300)] = 49499,
  [SMALL_STATE(1301)] = 49513,
  [SMALL_STATE(1302)] = 49527,
  [SMALL_STATE(1303)] = 49541,
  [SMALL_STATE(1304)] = 49557,
  [SMALL_STATE(1305)] = 49571,
  [SMALL_STATE(1306)] = 49585,
  [SMALL_STATE(1307)] = 49599,
  [SMALL_STATE(1308)] = 49611,
  [SMALL_STATE(1309)] = 49625,
  [SMALL_STATE(1310)] = 49639,
  [SMALL_STATE(1311)] = 49653,
  [SMALL_STATE(1312)] = 49667,
  [SMALL_STATE(1313)] = 49681,
  [SMALL_STATE(1314)] = 49691,
  [SMALL_STATE(1315)] = 49705,
  [SMALL_STATE(1316)] = 49719,
  [SMALL_STATE(1317)] = 49731,
  [SMALL_STATE(1318)] = 49745,
  [SMALL_STATE(1319)] = 49759,
  [SMALL_STATE(1320)] = 49773,
  [SMALL_STATE(1321)] = 49787,
  [SMALL_STATE(1322)] = 49797,
  [SMALL_STATE(1323)] = 49811,
  [SMALL_STATE(1324)] = 49825,
  [SMALL_STATE(1325)] = 49839,
  [SMALL_STATE(1326)] = 49853,
  [SMALL_STATE(1327)] = 49867,
  [SMALL_STATE(1328)] = 49881,
  [SMALL_STATE(1329)] = 49895,
  [SMALL_STATE(1330)] = 49909,
  [SMALL_STATE(1331)] = 49919,
  [SMALL_STATE(1332)] = 49933,
  [SMALL_STATE(1333)] = 49947,
  [SMALL_STATE(1334)] = 49961,
  [SMALL_STATE(1335)] = 49975,
  [SMALL_STATE(1336)] = 49987,
  [SMALL_STATE(1337)] = 50001,
  [SMALL_STATE(1338)] = 50015,
  [SMALL_STATE(1339)] = 50027,
  [SMALL_STATE(1340)] = 50039,
  [SMALL_STATE(1341)] = 50051,
  [SMALL_STATE(1342)] = 50065,
  [SMALL_STATE(1343)] = 50079,
  [SMALL_STATE(1344)] = 50093,
  [SMALL_STATE(1345)] = 50103,
  [SMALL_STATE(1346)] = 50115,
  [SMALL_STATE(1347)] = 50129,
  [SMALL_STATE(1348)] = 50143,
  [SMALL_STATE(1349)] = 50159,
  [SMALL_STATE(1350)] = 50169,
  [SMALL_STATE(1351)] = 50181,
  [SMALL_STATE(1352)] = 50191,
  [SMALL_STATE(1353)] = 50205,
  [SMALL_STATE(1354)] = 50215,
  [SMALL_STATE(1355)] = 50229,
  [SMALL_STATE(1356)] = 50243,
  [SMALL_STATE(1357)] = 50257,
  [SMALL_STATE(1358)] = 50273,
  [SMALL_STATE(1359)] = 50287,
  [SMALL_STATE(1360)] = 50301,
  [SMALL_STATE(1361)] = 50315,
  [SMALL_STATE(1362)] = 50329,
  [SMALL_STATE(1363)] = 50343,
  [SMALL_STATE(1364)] = 50357,
  [SMALL_STATE(1365)] = 50373,
  [SMALL_STATE(1366)] = 50387,
  [SMALL_STATE(1367)] = 50401,
  [SMALL_STATE(1368)] = 50415,
  [SMALL_STATE(1369)] = 50429,
  [SMALL_STATE(1370)] = 50443,
  [SMALL_STATE(1371)] = 50457,
  [SMALL_STATE(1372)] = 50471,
  [SMALL_STATE(1373)] = 50485,
  [SMALL_STATE(1374)] = 50499,
  [SMALL_STATE(1375)] = 50515,
  [SMALL_STATE(1376)] = 50529,
  [SMALL_STATE(1377)] = 50541,
  [SMALL_STATE(1378)] = 50553,
  [SMALL_STATE(1379)] = 50569,
  [SMALL_STATE(1380)] = 50583,
  [SMALL_STATE(1381)] = 50597,
  [SMALL_STATE(1382)] = 50611,
  [SMALL_STATE(1383)] = 50625,
  [SMALL_STATE(1384)] = 50639,
  [SMALL_STATE(1385)] = 50653,
  [SMALL_STATE(1386)] = 50665,
  [SMALL_STATE(1387)] = 50681,
  [SMALL_STATE(1388)] = 50695,
  [SMALL_STATE(1389)] = 50709,
  [SMALL_STATE(1390)] = 50723,
  [SMALL_STATE(1391)] = 50737,
  [SMALL_STATE(1392)] = 50751,
  [SMALL_STATE(1393)] = 50765,
  [SMALL_STATE(1394)] = 50777,
  [SMALL_STATE(1395)] = 50791,
  [SMALL_STATE(1396)] = 50802,
  [SMALL_STATE(1397)] = 50813,
  [SMALL_STATE(1398)] = 50822,
  [SMALL_STATE(1399)] = 50833,
  [SMALL_STATE(1400)] = 50844,
  [SMALL_STATE(1401)] = 50855,
  [SMALL_STATE(1402)] = 50866,
  [SMALL_STATE(1403)] = 50877,
  [SMALL_STATE(1404)] = 50888,
  [SMALL_STATE(1405)] = 50899,
  [SMALL_STATE(1406)] = 50910,
  [SMALL_STATE(1407)] = 50921,
  [SMALL_STATE(1408)] = 50932,
  [SMALL_STATE(1409)] = 50943,
  [SMALL_STATE(1410)] = 50954,
  [SMALL_STATE(1411)] = 50965,
  [SMALL_STATE(1412)] = 50976,
  [SMALL_STATE(1413)] = 50985,
  [SMALL_STATE(1414)] = 50996,
  [SMALL_STATE(1415)] = 51007,
  [SMALL_STATE(1416)] = 51018,
  [SMALL_STATE(1417)] = 51029,
  [SMALL_STATE(1418)] = 51040,
  [SMALL_STATE(1419)] = 51051,
  [SMALL_STATE(1420)] = 51062,
  [SMALL_STATE(1421)] = 51073,
  [SMALL_STATE(1422)] = 51084,
  [SMALL_STATE(1423)] = 51095,
  [SMALL_STATE(1424)] = 51106,
  [SMALL_STATE(1425)] = 51117,
  [SMALL_STATE(1426)] = 51128,
  [SMALL_STATE(1427)] = 51139,
  [SMALL_STATE(1428)] = 51150,
  [SMALL_STATE(1429)] = 51161,
  [SMALL_STATE(1430)] = 51172,
  [SMALL_STATE(1431)] = 51181,
  [SMALL_STATE(1432)] = 51192,
  [SMALL_STATE(1433)] = 51203,
  [SMALL_STATE(1434)] = 51214,
  [SMALL_STATE(1435)] = 51225,
  [SMALL_STATE(1436)] = 51236,
  [SMALL_STATE(1437)] = 51247,
  [SMALL_STATE(1438)] = 51258,
  [SMALL_STATE(1439)] = 51269,
  [SMALL_STATE(1440)] = 51280,
  [SMALL_STATE(1441)] = 51291,
  [SMALL_STATE(1442)] = 51302,
  [SMALL_STATE(1443)] = 51311,
  [SMALL_STATE(1444)] = 51320,
  [SMALL_STATE(1445)] = 51331,
  [SMALL_STATE(1446)] = 51342,
  [SMALL_STATE(1447)] = 51353,
  [SMALL_STATE(1448)] = 51364,
  [SMALL_STATE(1449)] = 51375,
  [SMALL_STATE(1450)] = 51386,
  [SMALL_STATE(1451)] = 51397,
  [SMALL_STATE(1452)] = 51408,
  [SMALL_STATE(1453)] = 51417,
  [SMALL_STATE(1454)] = 51428,
  [SMALL_STATE(1455)] = 51439,
  [SMALL_STATE(1456)] = 51450,
  [SMALL_STATE(1457)] = 51461,
  [SMALL_STATE(1458)] = 51472,
  [SMALL_STATE(1459)] = 51483,
  [SMALL_STATE(1460)] = 51494,
  [SMALL_STATE(1461)] = 51505,
  [SMALL_STATE(1462)] = 51516,
  [SMALL_STATE(1463)] = 51527,
  [SMALL_STATE(1464)] = 51538,
  [SMALL_STATE(1465)] = 51549,
  [SMALL_STATE(1466)] = 51560,
  [SMALL_STATE(1467)] = 51571,
  [SMALL_STATE(1468)] = 51582,
  [SMALL_STATE(1469)] = 51591,
  [SMALL_STATE(1470)] = 51602,
  [SMALL_STATE(1471)] = 51611,
  [SMALL_STATE(1472)] = 51622,
  [SMALL_STATE(1473)] = 51633,
  [SMALL_STATE(1474)] = 51642,
  [SMALL_STATE(1475)] = 51651,
  [SMALL_STATE(1476)] = 51662,
  [SMALL_STATE(1477)] = 51673,
  [SMALL_STATE(1478)] = 51684,
  [SMALL_STATE(1479)] = 51693,
  [SMALL_STATE(1480)] = 51704,
  [SMALL_STATE(1481)] = 51715,
  [SMALL_STATE(1482)] = 51724,
  [SMALL_STATE(1483)] = 51735,
  [SMALL_STATE(1484)] = 51746,
  [SMALL_STATE(1485)] = 51757,
  [SMALL_STATE(1486)] = 51766,
  [SMALL_STATE(1487)] = 51777,
  [SMALL_STATE(1488)] = 51788,
  [SMALL_STATE(1489)] = 51799,
  [SMALL_STATE(1490)] = 51810,
  [SMALL_STATE(1491)] = 51819,
  [SMALL_STATE(1492)] = 51828,
  [SMALL_STATE(1493)] = 51839,
  [SMALL_STATE(1494)] = 51850,
  [SMALL_STATE(1495)] = 51861,
  [SMALL_STATE(1496)] = 51872,
  [SMALL_STATE(1497)] = 51883,
  [SMALL_STATE(1498)] = 51894,
  [SMALL_STATE(1499)] = 51905,
  [SMALL_STATE(1500)] = 51916,
  [SMALL_STATE(1501)] = 51927,
  [SMALL_STATE(1502)] = 51938,
  [SMALL_STATE(1503)] = 51949,
  [SMALL_STATE(1504)] = 51960,
  [SMALL_STATE(1505)] = 51971,
  [SMALL_STATE(1506)] = 51982,
  [SMALL_STATE(1507)] = 51993,
  [SMALL_STATE(1508)] = 52004,
  [SMALL_STATE(1509)] = 52015,
  [SMALL_STATE(1510)] = 52026,
  [SMALL_STATE(1511)] = 52035,
  [SMALL_STATE(1512)] = 52046,
  [SMALL_STATE(1513)] = 52057,
  [SMALL_STATE(1514)] = 52068,
  [SMALL_STATE(1515)] = 52077,
  [SMALL_STATE(1516)] = 52086,
  [SMALL_STATE(1517)] = 52097,
  [SMALL_STATE(1518)] = 52108,
  [SMALL_STATE(1519)] = 52119,
  [SMALL_STATE(1520)] = 52130,
  [SMALL_STATE(1521)] = 52141,
  [SMALL_STATE(1522)] = 52152,
  [SMALL_STATE(1523)] = 52161,
  [SMALL_STATE(1524)] = 52172,
  [SMALL_STATE(1525)] = 52183,
  [SMALL_STATE(1526)] = 52194,
  [SMALL_STATE(1527)] = 52203,
  [SMALL_STATE(1528)] = 52214,
  [SMALL_STATE(1529)] = 52225,
  [SMALL_STATE(1530)] = 52236,
  [SMALL_STATE(1531)] = 52247,
  [SMALL_STATE(1532)] = 52258,
  [SMALL_STATE(1533)] = 52269,
  [SMALL_STATE(1534)] = 52280,
  [SMALL_STATE(1535)] = 52291,
  [SMALL_STATE(1536)] = 52302,
  [SMALL_STATE(1537)] = 52313,
  [SMALL_STATE(1538)] = 52324,
  [SMALL_STATE(1539)] = 52335,
  [SMALL_STATE(1540)] = 52346,
  [SMALL_STATE(1541)] = 52357,
  [SMALL_STATE(1542)] = 52368,
  [SMALL_STATE(1543)] = 52379,
  [SMALL_STATE(1544)] = 52388,
  [SMALL_STATE(1545)] = 52399,
  [SMALL_STATE(1546)] = 52408,
  [SMALL_STATE(1547)] = 52419,
  [SMALL_STATE(1548)] = 52430,
  [SMALL_STATE(1549)] = 52441,
  [SMALL_STATE(1550)] = 52452,
  [SMALL_STATE(1551)] = 52463,
  [SMALL_STATE(1552)] = 52474,
  [SMALL_STATE(1553)] = 52485,
  [SMALL_STATE(1554)] = 52496,
  [SMALL_STATE(1555)] = 52505,
  [SMALL_STATE(1556)] = 52516,
  [SMALL_STATE(1557)] = 52527,
  [SMALL_STATE(1558)] = 52538,
  [SMALL_STATE(1559)] = 52549,
  [SMALL_STATE(1560)] = 52560,
  [SMALL_STATE(1561)] = 52571,
  [SMALL_STATE(1562)] = 52582,
  [SMALL_STATE(1563)] = 52593,
  [SMALL_STATE(1564)] = 52604,
  [SMALL_STATE(1565)] = 52615,
  [SMALL_STATE(1566)] = 52626,
  [SMALL_STATE(1567)] = 52637,
  [SMALL_STATE(1568)] = 52648,
  [SMALL_STATE(1569)] = 52659,
  [SMALL_STATE(1570)] = 52670,
  [SMALL_STATE(1571)] = 52681,
  [SMALL_STATE(1572)] = 52692,
  [SMALL_STATE(1573)] = 52703,
  [SMALL_STATE(1574)] = 52714,
  [SMALL_STATE(1575)] = 52725,
  [SMALL_STATE(1576)] = 52736,
  [SMALL_STATE(1577)] = 52745,
  [SMALL_STATE(1578)] = 52756,
  [SMALL_STATE(1579)] = 52767,
  [SMALL_STATE(1580)] = 52778,
  [SMALL_STATE(1581)] = 52789,
  [SMALL_STATE(1582)] = 52800,
  [SMALL_STATE(1583)] = 52809,
  [SMALL_STATE(1584)] = 52820,
  [SMALL_STATE(1585)] = 52829,
  [SMALL_STATE(1586)] = 52840,
  [SMALL_STATE(1587)] = 52851,
  [SMALL_STATE(1588)] = 52862,
  [SMALL_STATE(1589)] = 52873,
  [SMALL_STATE(1590)] = 52884,
  [SMALL_STATE(1591)] = 52895,
  [SMALL_STATE(1592)] = 52906,
  [SMALL_STATE(1593)] = 52917,
  [SMALL_STATE(1594)] = 52928,
  [SMALL_STATE(1595)] = 52939,
  [SMALL_STATE(1596)] = 52950,
  [SMALL_STATE(1597)] = 52961,
  [SMALL_STATE(1598)] = 52972,
  [SMALL_STATE(1599)] = 52983,
  [SMALL_STATE(1600)] = 52994,
  [SMALL_STATE(1601)] = 53005,
  [SMALL_STATE(1602)] = 53014,
  [SMALL_STATE(1603)] = 53025,
  [SMALL_STATE(1604)] = 53034,
  [SMALL_STATE(1605)] = 53045,
  [SMALL_STATE(1606)] = 53054,
  [SMALL_STATE(1607)] = 53065,
  [SMALL_STATE(1608)] = 53076,
  [SMALL_STATE(1609)] = 53087,
  [SMALL_STATE(1610)] = 53096,
  [SMALL_STATE(1611)] = 53107,
  [SMALL_STATE(1612)] = 53118,
  [SMALL_STATE(1613)] = 53127,
  [SMALL_STATE(1614)] = 53138,
  [SMALL_STATE(1615)] = 53149,
  [SMALL_STATE(1616)] = 53158,
  [SMALL_STATE(1617)] = 53169,
  [SMALL_STATE(1618)] = 53180,
  [SMALL_STATE(1619)] = 53191,
  [SMALL_STATE(1620)] = 53202,
  [SMALL_STATE(1621)] = 53213,
  [SMALL_STATE(1622)] = 53224,
  [SMALL_STATE(1623)] = 53235,
  [SMALL_STATE(1624)] = 53246,
  [SMALL_STATE(1625)] = 53257,
  [SMALL_STATE(1626)] = 53268,
  [SMALL_STATE(1627)] = 53279,
  [SMALL_STATE(1628)] = 53290,
  [SMALL_STATE(1629)] = 53301,
  [SMALL_STATE(1630)] = 53312,
  [SMALL_STATE(1631)] = 53321,
  [SMALL_STATE(1632)] = 53332,
  [SMALL_STATE(1633)] = 53343,
  [SMALL_STATE(1634)] = 53354,
  [SMALL_STATE(1635)] = 53365,
  [SMALL_STATE(1636)] = 53376,
  [SMALL_STATE(1637)] = 53387,
  [SMALL_STATE(1638)] = 53398,
  [SMALL_STATE(1639)] = 53409,
  [SMALL_STATE(1640)] = 53417,
  [SMALL_STATE(1641)] = 53425,
  [SMALL_STATE(1642)] = 53433,
  [SMALL_STATE(1643)] = 53441,
  [SMALL_STATE(1644)] = 53449,
  [SMALL_STATE(1645)] = 53457,
  [SMALL_STATE(1646)] = 53465,
  [SMALL_STATE(1647)] = 53473,
  [SMALL_STATE(1648)] = 53481,
  [SMALL_STATE(1649)] = 53489,
  [SMALL_STATE(1650)] = 53497,
  [SMALL_STATE(1651)] = 53505,
  [SMALL_STATE(1652)] = 53513,
  [SMALL_STATE(1653)] = 53521,
  [SMALL_STATE(1654)] = 53531,
  [SMALL_STATE(1655)] = 53539,
  [SMALL_STATE(1656)] = 53549,
  [SMALL_STATE(1657)] = 53557,
  [SMALL_STATE(1658)] = 53565,
  [SMALL_STATE(1659)] = 53573,
  [SMALL_STATE(1660)] = 53581,
  [SMALL_STATE(1661)] = 53589,
  [SMALL_STATE(1662)] = 53597,
  [SMALL_STATE(1663)] = 53605,
  [SMALL_STATE(1664)] = 53613,
  [SMALL_STATE(1665)] = 53621,
  [SMALL_STATE(1666)] = 53629,
  [SMALL_STATE(1667)] = 53637,
  [SMALL_STATE(1668)] = 53645,
  [SMALL_STATE(1669)] = 53653,
  [SMALL_STATE(1670)] = 53661,
  [SMALL_STATE(1671)] = 53669,
  [SMALL_STATE(1672)] = 53677,
  [SMALL_STATE(1673)] = 53685,
  [SMALL_STATE(1674)] = 53693,
  [SMALL_STATE(1675)] = 53701,
  [SMALL_STATE(1676)] = 53709,
  [SMALL_STATE(1677)] = 53717,
  [SMALL_STATE(1678)] = 53725,
  [SMALL_STATE(1679)] = 53733,
  [SMALL_STATE(1680)] = 53743,
  [SMALL_STATE(1681)] = 53751,
  [SMALL_STATE(1682)] = 53759,
  [SMALL_STATE(1683)] = 53767,
  [SMALL_STATE(1684)] = 53775,
  [SMALL_STATE(1685)] = 53783,
  [SMALL_STATE(1686)] = 53791,
  [SMALL_STATE(1687)] = 53799,
  [SMALL_STATE(1688)] = 53807,
  [SMALL_STATE(1689)] = 53815,
  [SMALL_STATE(1690)] = 53823,
  [SMALL_STATE(1691)] = 53831,
  [SMALL_STATE(1692)] = 53839,
  [SMALL_STATE(1693)] = 53847,
  [SMALL_STATE(1694)] = 53855,
  [SMALL_STATE(1695)] = 53863,
  [SMALL_STATE(1696)] = 53871,
  [SMALL_STATE(1697)] = 53879,
  [SMALL_STATE(1698)] = 53887,
  [SMALL_STATE(1699)] = 53895,
  [SMALL_STATE(1700)] = 53903,
  [SMALL_STATE(1701)] = 53911,
  [SMALL_STATE(1702)] = 53919,
  [SMALL_STATE(1703)] = 53927,
  [SMALL_STATE(1704)] = 53935,
  [SMALL_STATE(1705)] = 53945,
  [SMALL_STATE(1706)] = 53953,
  [SMALL_STATE(1707)] = 53963,
  [SMALL_STATE(1708)] = 53971,
  [SMALL_STATE(1709)] = 53981,
  [SMALL_STATE(1710)] = 53989,
  [SMALL_STATE(1711)] = 53997,
  [SMALL_STATE(1712)] = 54005,
  [SMALL_STATE(1713)] = 54013,
  [SMALL_STATE(1714)] = 54021,
  [SMALL_STATE(1715)] = 54031,
  [SMALL_STATE(1716)] = 54039,
  [SMALL_STATE(1717)] = 54047,
  [SMALL_STATE(1718)] = 54055,
  [SMALL_STATE(1719)] = 54063,
  [SMALL_STATE(1720)] = 54071,
  [SMALL_STATE(1721)] = 54079,
  [SMALL_STATE(1722)] = 54087,
  [SMALL_STATE(1723)] = 54095,
  [SMALL_STATE(1724)] = 54103,
  [SMALL_STATE(1725)] = 54111,
  [SMALL_STATE(1726)] = 54119,
  [SMALL_STATE(1727)] = 54127,
  [SMALL_STATE(1728)] = 54135,
  [SMALL_STATE(1729)] = 54143,
  [SMALL_STATE(1730)] = 54151,
  [SMALL_STATE(1731)] = 54159,
  [SMALL_STATE(1732)] = 54167,
  [SMALL_STATE(1733)] = 54177,
  [SMALL_STATE(1734)] = 54185,
  [SMALL_STATE(1735)] = 54193,
  [SMALL_STATE(1736)] = 54201,
  [SMALL_STATE(1737)] = 54209,
  [SMALL_STATE(1738)] = 54217,
  [SMALL_STATE(1739)] = 54225,
  [SMALL_STATE(1740)] = 54233,
  [SMALL_STATE(1741)] = 54241,
  [SMALL_STATE(1742)] = 54249,
  [SMALL_STATE(1743)] = 54257,
  [SMALL_STATE(1744)] = 54265,
  [SMALL_STATE(1745)] = 54273,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(462),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(301),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1048),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1621),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1107),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1434),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1590),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1379),
  [192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(96),
  [195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(346),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1602),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(35),
  [207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1439),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1307),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1376),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(111),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(59),
  [228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(64),
  [231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1303),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1155),
  [237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1239),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1233),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1162),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1262),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1714),
  [261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(243),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1143),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(649),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1678),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(649),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(632),
  [282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(475),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 100),
  [294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 100),
  [296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 59),
  [298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 59),
  [300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 38),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 38),
  [304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1461),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 88),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 88),
  [538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 88),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 92),
  [548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 92),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 98),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 98),
  [558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 98),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 69),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 69),
  [570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 37),
  [586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 37),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 37),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 37),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 71),
  [602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 71),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 71),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 76),
  [614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 76),
  [616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 76),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 80),
  [624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 80),
  [626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 80),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 88),
  [636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 88),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 88),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4),
  [826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(53),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(1027),
  [854] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 4), SHIFT(99),
  [858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(242),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(99),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 6),
  [902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 6),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [927] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(185),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(226),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 19),
  [951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 19),
  [954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 28),
  [956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 28),
  [958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(129),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 105),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 105),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 62),
  [971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 62),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 6),
  [989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 24),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 24),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 29),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 29),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 54),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 54),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 62),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 71),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 76),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 91),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 80),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 96),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 88),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 88),
  [1073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 3),
  [1077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 92),
  [1081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 54),
  [1085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 13),
  [1089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 14),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 104),
  [1107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 104),
  [1109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 20),
  [1113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 98),
  [1117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 109),
  [1119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 109),
  [1121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 110),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 110),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 111),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 111),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 112),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 112),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 23),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 60),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 20),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 21),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 23),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 25),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 61),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 6),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 63),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 37),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 37),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 52),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 79),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 26),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 27),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 55),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 30),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 30),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 78),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 90),
  [1249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 4),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 48),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 48),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 47),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 45),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 46),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [1278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(93),
  [1281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 95),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 95),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 107),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 107),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 108),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 108),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 101),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 101),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 94),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 94),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [1303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(187),
  [1309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(228),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [1325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(130),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 8),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 8),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 9),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 6),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 6),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 73),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 16),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 77),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 77),
  [1396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 17),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 17),
  [1411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 32),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 32),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 81),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 81),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 10),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 10),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 87),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 17),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 17),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 31),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 31),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 32),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, 0, 32),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 38),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 38),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 64),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 39),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 39),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 1, 40),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 1, 40),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 41),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 41),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 43),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 43),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 72),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 73),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 49),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 49),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 53),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 53),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 11),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 11),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 7),
  [1524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 7),
  [1526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 50),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 74),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 75),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 7),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 7),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 51),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 15),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 42),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 44),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 44),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 44),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [1619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 89),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [1699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 18),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 15),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56),
  [1708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 59),
  [1719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(253),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 56), REDUCE(sym_assignment_expression, 3, 0, 42),
  [1727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [1732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 42), REDUCE(sym_assignment_expression, 3, 0, 42),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 42),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 42),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [1743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [1746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 17), REDUCE(sym_object_pattern, 3, 0, 18),
  [1749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 57),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [1980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 59), SHIFT(280),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [2034] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1251),
  [2037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1035),
  [2040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70),
  [2042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(883),
  [2045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(267),
  [2048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1348),
  [2051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1276),
  [2054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1277),
  [2057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(925),
  [2060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1136),
  [2063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1292),
  [2066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(907),
  [2069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(1010),
  [2072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 70), SHIFT_REPEAT(961),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 4), SHIFT(1482),
  [2160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 17),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 99),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 83),
  [2257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 76),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 88),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 93),
  [2271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 58),
  [2275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 106),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 106),
  [2279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 98),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [2287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 6),
  [2291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35),
  [2293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35),
  [2295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 35), SHIFT_REPEAT(976),
  [2298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 38),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 38),
  [2302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12),
  [2306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 12), SHIFT_REPEAT(1292),
  [2309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 34),
  [2313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 35),
  [2315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 35),
  [2317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 45),
  [2319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 45),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [2409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 10),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 10),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(108),
  [2538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1062),
  [2541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1198),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1117),
  [2587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(105),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65),
  [2592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 65), SHIFT_REPEAT(1117),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(190),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5), SHIFT(1490),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 18),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [2655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 4),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 45),
  [2675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 45),
  [2677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1707),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [2682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(126),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 66),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 85),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 68),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, 0, 36),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [2725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1149),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [2730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(133),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [2747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 4, -1, 64),
  [2749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 64),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(187),
  [2760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1391),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [2788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 4),
  [2792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [2804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 22),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [2840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 33),
  [2842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 33),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [2850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 3, -1, 32),
  [2862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 32),
  [2864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(228),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1228),
  [2902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [2904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1229),
  [2907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1231),
  [2910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0),
  [2912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1231),
  [2915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1232),
  [2918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0),
  [2920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1232),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 18),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1101),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [3050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [3078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(1141),
  [3105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 20),
  [3127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(95),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [3132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(891),
  [3135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [3137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [3162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1130),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [3179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(109),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [3198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(1364),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 57),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 82),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, 0, 67),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 84),
  [3295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, 0, 86),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 82),
  [3333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, 0, 97),
  [3335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [3369] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [3381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [3385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
  ts_external_token_jsx_text = 7,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
  [ts_external_token_jsx_text] = sym_jsx_text,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_jsx_text] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_jsx_text] = true,
  },
  [7] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [8] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [9] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
